<?php

class Admin_Form_AddAdvertise extends Zend_Form
{
	public function init()
    {
    	
    	$compName = $this->createElement('text','adcampaignName');
    	$compName->removeDecorator('Label')
    		 	 ->removeDecorator('HtmlTag')
    			   ->setAttrib('maxlength', '100')
        		   ->setAttrib('class','inp1 required')
        		   ->addFilters(array('StringTrim'))
        		   ->addValidator('StringLength', false,array(0,100))
        		   ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter Ad Campaign Name.'))))
        		   ->setValue('')
        		   ->setRequired(true);
        		  
		$billingAddress = $this->createElement('textarea','adcampaignDesc');
		$billingAddress->removeDecorator('Label')
		 				->removeDecorator('HtmlTag')
					  ->setValue('')              
                	  ->setAttrib('cols', '20')
                	  ->setAttrib('maxlength', '100')
                	  ->setAttrib('style','width: 300px; height: 61px;')
			          ->setAttrib('rows', '3')
			          ->addFilters(array('StringTrim'))
			          ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please Enter Ad Campaign Description.'))))
			          ->setRequired(true);
        
		

//      $campaignImage = $this->createElement('file','campaignImage');
//		$campaignImage->removeDecorator('Label')
//		     		  ->removeDecorator('HtmlTag')
//				      ->setAttrib('class','inp1')			     
//				      ->setRequired(false)
//				      ->addValidator('FilesSize', false, array('min' => '1kB', 'max' => '200kB'))
//				      ->addValidator('Extension', false, 'jpg,png,gif,jpeg');
				      
	 		  
        $adStartDate = $this->createElement('text','adStartDate');
		$adStartDate->removeDecorator('Label')
					  ->removeDecorator('HtmlTag')
					  ->setAttrib('class','form inp12 datepicker')
					  ->setAttrib('style','width:160px;')
					  ->setAttrib('readonly','readonly')
					  ->addFilters(array('StringTrim'))
					  ->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please select StartDate'))))
					  ->setRequired(true);
					  
		$adEndDate = $this->createElement('text','adEndDate');
		$adEndDate->removeDecorator('Label')
					->removeDecorator('HtmlTag')
					->setAttrib('class','form inp12 datepicker2')
					->setAttrib('readonly','readonly')
					->setAttrib('style','width:160px;')
					->addFilters(array('StringTrim'))
					->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please select EndDate.'))))
					->setRequired(true);            
        
	   $edit = $this->createElement('button','Submit');
       $edit->removeDecorator('Label')
           ->removeDecorator('DtDdWrapper')
           ->setValue('Search')           		          		        		
           ->setAttrib('class','submitBtn')
           ->setIgnore(true);
           
       $adlink = $this->createElement('text', 'adlink');
       $adlink->removeDecorator('Label') 
                    ->removeDecorator('HtmlTag')               	
                	->setAttrib('class','inp1')              
                	->setAttrib('maxlength', '255')
                	->addFilters(array('StringTrim'))
                	->addValidators(array(array('NotEmpty', true, array('messages' => 'Please Enter URL.'))))
                	->setValue('')              
                	->setRequired(false);
    	
    	                   
		$this->addElements( array ($compName,
								   $edit,
								   $adStartDate,
								   $adEndDate,
								   $adlink,
								   $billingAddress
								   ));                           	        
    }
}