<?php

class Admin_Form_AddManualPaymentDetails extends Zend_Form
{
 
    public function init()
    {
    	/* Populating Offline Payment Bd*/
    	$adOfflinePay = $this->createElement('checkbox','offlinepayment');
		$adOfflinePay ->removeDecorator('Label')
					  ->removeDecorator('HtmlTag')
					  ->setAttrib('style','width:160px;')
					  ->setAttrib('readonly','readonly')
					  ->addFilters(array('StringTrim'));
    	
    	$adStartDate = $this->createElement('text','payStartDate');
		$adStartDate->removeDecorator('Label')
					  ->removeDecorator('HtmlTag')
					  ->setAttrib('class','form inp12 datepicker required')
					  ->setAttrib('style','width:160px;')
					  ->setAttrib('readonly','readonly')
					  ->addFilters(array('StringTrim'))
					  ->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please select StartDate'))))
					  ->setRequired(true);
					  
		$adEndDate = $this->createElement('text','payEndDate');
		$adEndDate->removeDecorator('Label')
					->removeDecorator('HtmlTag')
					->setAttrib('class','form inp12 datepicker2 required')
					->setAttrib('readonly','readonly')
					->setAttrib('style','width:160px;')
					->addFilters(array('StringTrim'))
					->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please select EndDate.'))))
					->setRequired(true);  

		$payDescription = $this->createElement('textarea','payDescription');
		$payDescription->removeDecorator('Label')
		 			   ->removeDecorator('HtmlTag')
					  ->setValue('') 
					  ->setAttrib('class','required')
                	  ->setAttrib('cols', '20')
                	  ->setAttrib('maxlength', '100')
                	  ->setAttrib('style','width: 300px; height: 61px;')
			          ->setAttrib('rows', '3')
			          ->addFilters(array('StringTrim'))
			          ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please Enter Payment Description.'))))
			          ->setRequired(true);
			          
        $payAmount = $this->createElement('text','payAmount');
		$payAmount->removeDecorator('Label')
					->removeDecorator('HtmlTag')
					->setAttrib('class','form inp12 required')					
					->setAttrib('style','width:160px;')
					->addFilters(array('StringTrim'))
					->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please Enter Amount.'))))
					->setRequired(true); 
			          
			
		$save = $this->createElement('button','Save');
		$save->removeDecorator('Label')
		 	->removeDecorator('HtmlTag')
		 	->removeDecorator('DtDdWrapper');  
		
		$cancel = $this->createElement('button','Cancel');
		$cancel->removeDecorator('Label')
		 	->removeDecorator('HtmlTag')
		 	->removeDecorator('DtDdWrapper');         
			      
		$Id = $this->createElement('hidden','resid');
    	$Id->removeDecorator('HtmlTag')
    		  ->removeDecorator('Label')
    		   ->removeDecorator('DtDdWrapper');
    		  
    	
       $edit = $this->createElement('button','Submit');
       $edit->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Search')           		          		        		
        		   ->setAttrib('class','submitBtn')
                   ->setIgnore(true);
    	
    	                   
		$this->addElements( array ($adOfflinePay,
								   $adStartDate,
								   $adEndDate,
								   $payDescription,
								   $edit,
								   $Id,
								   $payAmount,
								   $save,
								   $cancel));                           	        
    }
}