<?php
class Admin_Model_UreservAdvertise
{
	private $_adName;
	private $_desc;
	private $_image;
	private $_status;
	private $_delstatus;
	private $_id;
	private $_startdate;
	private $_enddate;
	private $_adlink;
	private $_adcount;
	
	
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Price Plan property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Price Plan property');
		}
		return $this->$method();
	}
	
	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}
	
	public function setId($id)
	{
		$this->_id = $id;
		return $this;
	}
	
	public function getId()
	{
		return $this->_id;
	}
	
	public function setadName($name)
	{
		$this->_adName = $name;
		return $this;
	}
	
	public function getadName()
	{
		return $this->_adName;
	}
	
	public function setadDesc($desc)
	{
		$this->_desc = $desc;
		return $this;
	}
	
	public function getadDesc()
	{
		return $this->_desc;
	}
		
	public function setadImage($img)
	{
		$this->_image = $img;
		return $this;
	}
	
	public function getadImage()
	{
		return $this->_image;
	}
	
	public function setStatus($status)
	{
		$this->_status = $status;
		return $this;
	}
	
	public function getStatus()
	{
		return $this->_status;
	}
	
	public function setDelStatus($status)
	{
		$this->_delstatus = $status;
		return $this;
	}
	
	public function getDelStatus()
	{
		return $this->_delstatus;
	}
	
	public function setStartdate($startdate)
	{
		$this->_startdate = $startdate;
		return $this;
	}
	
	public function getStartdate()
	{
		return $this->_startdate;
	}
	
	public function setEnddate($enddate)
	{
		$this->_enddate = $enddate;
		return $this;
	}
	
	public function getEnddate()
	{
		return $this->_enddate;
	}
	
	public function setLink($adlink)
	{
		$this->_adlink = $adlink;
		return $this;
	}
	
	public function getLink()
	{
		return $this->_adlink;
	}
	
	public function setCount($adcount)
	{
		$this->_adcount = $adcount;
		return $this;
	}
	
	public function getCount()
	{
		return $this->_adcount;
	}
}