<?php
class ManageRestaurant_Form_RestaurantSpecialSchedule extends Zend_Form
{
	public function init()
    {
     	$StatusMapper = new Application_Model_UserStatusDataMapper();
    	$statusres = $StatusMapper->fetchAll();
    	$statusresLst = array();
    	$statusresLst[] = array('key'=>'','value'=>'Select Status');
    	foreach($statusres as $val){
    		if($val->getId() != 3){
    			$statusresLst[] = array('key'=>$val->getId(),'value'=>$val->getDescription());
    		}
    	}
    	
    	$restnamelist = $this->createElement('select','RestaurantName');
        $restnamelist->removeDecorator('Label')
         		     ->removeDecorator('HtmlTag')
         		     ->setAttrib('class','inp1 required')
         		     ->setAttrib('class','form')
         		     ->setRegisterInArrayValidator(false);
         		     
        $eventname = $this->createElement('text','eventname');
    	$eventname->removeDecorator('Label')
    		 	  ->removeDecorator('HtmlTag')
    		 	  ->setAttrib('class','inp1 required')
    		 	  ->setAttrib('class','form')
    		      ->setAttrib('maxlength', '180')
    		      ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter eventname.'))))
    		      ->setRequired(true);

    	$eventdesc = $this->createElement('textarea','eventdesc');
    	$eventdesc->removeDecorator('Label')
    		 ->removeDecorator('HtmlTag')
    		 ->setAttrib('class','inp1 required')
    		 ->setAttrib('style','width:178px')
    		 ->setAttrib('cols', '40')
			 ->setAttrib('rows', '4')
    		 ->setAttrib('maxlength', '500')
    		 ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter eventdescription.'))))
    		 ->setRequired(true);
    		 
    	$eventdate = $this->createElement('text','eventdate');
    	$eventdate->removeDecorator('Label')
    		 	  ->removeDecorator('HtmlTag')
    		 	  ->setAttrib('class','inp1 required datepicker')
    		 	  ->setAttrib('style','width:178px')
    		      ->setAttrib('maxlength', '10')
    		      ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please select eventdate.'))))
    		      ->setRequired(true); 
    		      
        $Status = $this->createElement('select','eventstatus');
		$Status->removeDecorator('Label')
         		    ->removeDecorator('HtmlTag')
         		    ->setAttrib('style','width:160px') 
         		    ->setAttrib('class','inp1 form')      	     
        	        ->addMultiOptions($statusresLst);
    		      
        $this->addElements(array($restnamelist,
        						 $eventname,
        						 $eventdesc,
        						 $eventdate,
        						 $Status));

         
    		 
    }
}