<?php
class Payments_Form_PaymentTerms extends Zend_Form
{
	public function init()
	{
		$restid = $this->createElement('hidden','restaurantid');                    	
        $restid->removeDecorator('HtmlTag');
        
        $invoiceid = $this->createElement('hidden','invoiceid');                    	
        $invoiceid->removeDecorator('HtmlTag');
        
        $paymentTermsTextArea = $this->createElement('textarea', 'paymentTerms');
		$paymentTermsTextArea->removeDecorator('Label')
		               		 ->removeDecorator('HtmlTag')
		               		 ->setAttrib('cols', '122')
		            		 ->setAttrib('rows', '12') 
		            		 ->setAttrib('style', 'padding:5px; width:775px;')
		               		 ->setValue("Terms and Conditions:
		               		 			
										 URESERV.COM

General Terms of Service

UReserv.com (the 'Site') is provided as a service of I Need a Table, Inc.  For purposes hereof, UReserv.com and I Need A Table, Inc. are collectively referred to as the 'Company'.

The Site acts as an easy, efficient, affordable online service for restaurant owners who have registered with and paid a fee to the Company (each, a 'Restaurant') to manage reservations, table inventory, and guest contact information from any web-enabled device and to provide restaurant consumers (each, a 'Guest') with a fast, friendly way to search and reserve tables from any web-enabled device.  The Company does not sell any products and is not a party to any transaction or any agreement a Guest may make with a Restaurant with regard to any food, product or service offered by such Restaurant.

All users, whether a Guest, Restaurant or any other party, of the Site (each, a 'User'), including, but not limited to, vendors who request an Account ('Account' or 'Accounts') are subject to the following terms of service ('Terms of Service') and its privacy policy located at www.ureserv.com/privacypolicy (the 'Privacy Policy').

The Company reserves the right to update and change the Terms of Service and the Privacy Policy from time to time without notice.  Any features added to the current Accounts, including the release of new tools and resources (the 'Changes'), shall be subject to the Terms of Service.  Continued use of an Account after any Changes shall constitute consent to such Changes.

Account Terms

To access certain functions of the Site, you must register as a User by providing certain current, complete, and accurate information about yourself.  As part of the registration process, you will select a password and a User ID.  You also have to give us certain registration information, all of which must be accurate and updated.  You may not (i) select or use a User ID of another person with the intent to impersonate that person; (ii) use a User ID in which another person has rights without such person's authorization; or (iii) use a User ID in that the Company, in its sole discretion, deems offensive.  Failure to provide any requested information may delay or prevent the creation of an Account.  You represent that: (a) the information you submit is truthful and accurate and that you have not misrepresented your identity; (b) you will update your contact information if it changes so that we can contact you; (c) your use of this Site and your use of services available on this Site do not violate any applicable law or regulation; (d) you are 18 years of age or older.  Failure to comply with the foregoing shall constitute a breach of this Agreement, which may result in immediate termination of your account.  You shall be responsible for maintaining the confidentiality of your password.

You shall notify the Company of any known or suspected unauthorized use(s) of your account, or any known or suspected breach of security, including loss, theft, or unauthorized disclosure of your password or credit card information.

You are responsible for maintaining the security of your password.  The Company is not liable for any loss that you may suffer through the use of your password by others.  You agree to notify the Company immediately of any unauthorized use of your Account or of any other breach of security known to you with respect to the Site or your Account.  You agree to report any violations of this Agreement by others to support@ureserv.com.

You are responsible for all usage or activity on your Account, including use of the account by any third party authorized by you to use your User ID and password.  Any fraudulent, abusive, or otherwise illegal activity may be grounds for termination of your account, at the Company's sole discretion, and the Company may refer you to appropriate law enforcement agencies.  Accounts may be issued to individuals who are 18 years of age or older, who are not under any legal disability and who agree to abide by these Terms of Service and the Privacy Policy.  Accounts not meeting these requirements will be terminated.  One Account is allowed per person or company.  Accounts registered by 'bots' or other automated methods are not permitted and will be deleted.

The Company does not sell, license or endorse any of the Restaurants participating or listed on the Site and does not act as an agent of sale or an agent of any merchant or provider of food, products or services.  The Company does not have and will not assume any responsibility for, or liability related to, any food, products and services offered, sold or provided by the Restaurants participating or listed on the Site.  You should direct any questions, complaints or claims related to any food, product or service to the appropriate Restaurant.

The Company does not warrant that products or descriptions, or any other content of the Site is accurate, complete, reliable, current or error-free.  Site content is provided for informational purposes only and the Company shall have no liability for inaccuracy or incompleteness in product or service content, user ratings or commentary, or other content on the Site.  The Company is not responsible or liable for any food, products, services, information or other materials displayed, purchased, or obtained by a Guest from the Restaurant or the Site.  The Company does not endorse, warrant or guarantee the food, products or services of any Restaurant, including, without limitations, any prices, promotions, programs, policies, services, or other information posted by any Restaurant.

The Company is not liable for any delays, inaccuracies, errors or omissions with respect to the information or the transmission or delivery of all or any part thereof, for any damage arising therefrom or occasioned thereby, or for the results obtained from the use of the information.  The Company is not liable for any acts or omission of acts of any Restaurant on the Site.  You assume the entire risk as to the accuracy, adequacy, completeness, currency, validity and quality of any information relating to the food, products or services provided to you by a Restaurant.

Any information on the Site can change without notice.

The Company assumes no liability, obligation or responsibility in connection with any transactions between a Guest and any Restaurant(s), including, but not limited to, failure by either party to keep a reservation, Restaurant's knowledge (or lack thereof) of any Guest's food allergies, injuries and/or damages sustained or caused by a Guest at a Restaurant, a Guest's or any employee's behavior at a Restaurant or the quality of the food, service and products at a Restaurant.  If a Guest has a dispute with a Restaurant or any third party, all parties release the Company (and its agents and employees) from claims, demands and damages (actual and consequential) of every kind and nature, known and unknown, suspected and unsuspected, disclosed and undisclosed, arising out of or in any way connected with such dispute.

Links to Other Websites

This Site may provide links to third-party websites ('Third-Party Websites').  This Terms of Service Agreement governs only this Site and not any Third-Party Websites.  The Company's decision to link to a Third-Party Website is not an endorsement of the content or services in that linked Third-Party Website.  The Company does not own or operate the Third-Party Websites, and it has not reviewed, and cannot review, all of the material, including goods or services, made available through Third-Party Websites.  The Company expressly disclaims any responsibility for the content, the accuracy of the information and any products or services available on the Third-Party Websites.  If you decide to access linked Third-Party Websites, you do so at your own risk.

The Company reserves the right, and the Users agree, that any information in an Account designated as 'Public' may be used by the Company for promotional uses.  External search engines may also index such Public information.  This information may be designated as 'Private' by (insert steps to make Private here) to prevent such use.

Use of an Account does not grant a User a license to any software contained in, or used by, the Account.  Users agree not to, directly or indirectly: reverse engineer, decompile, disassemble, or otherwise attempt to discover the source code, object code, or underlying structure, ideas, or algorithms of, or found at, or through, the Account or any software, documentation, or data related to the Account ('Software'); remove any proprietary notices or labels from the Account or any Software, modify, translate, or create derivative works based on the Account or any Software; or copy, distribute, pledge, assign, or otherwise transfer or encumber rights to the Account or any Software.  The Account shall be used for a User's business or personal purposes only, as the case may be, and a User shall not use the Account or any Software for timesharing or service bureau purposes or otherwise for the benefit of a third party.  If a User is using the Account in any country in the European Community, the prohibition against modifying, translating, reverse engineering, decompiling, disassembling or creating derivative works based on the Services or the Software does not affect a Users rights under any legislation implementing the E.C. Council Directive on the Legal Protection of Computer Programs.

Intellectual Property Rights

The Users acknowledge and agree that any and all Company or Restaurant names and logos related to the Account and the Company or Restaurant and all related product and service names, design marks and slogans, are the property of the Company, the Restaurant or their affiliates or suppliers, as the case may be (collectively, the 'Marks').  By agreeing to these Terms of Service, the Users agree not to use any of the Marks in any advertising, publicity or any other commercial manner without the prior written consent of the Company or the applicable Restaurant.  The Users have no title or ownership in the Account, the Software or the Marks (other than their own Marks) and no other rights in the Account, the Software or the Marks.  All ownership rights remain in the Company, the Restaurant or their third party suppliers, as the case may be.  The Users agree to comply with all intellectual property laws and shall not encumber any interest in, or assert any rights to, the Marks (other than their own).  The User may not reverse engineer, reverse assemble, decompile or disassemble, reproduce, modify, transmit, participate in the sale or transfer of, or create derivative works based on any Marks, in whole or in part.

By registering and paying for an Account, each Restaurant agrees and grants the Company the right to use for this Site and other related purposes, all images, menus, logos, content and other information that may be found on the Restaurant's own website.

Payment for Restaurant Accounts;  Modifications to the Service and Prices:

The Company reserves the right at any time and from time to time to modify or discontinue, temporarily or permanently, the Accounts (or any part thereof) with or without notice. 

Payment for Accounts must be made by echeck/ACH electronic funds transfer registration at the time of registration of the Account.  Any other payment arrangements must be made in advance between the User and an authorized Company representative.  All fees paid to the Company for use of an Account are non-refundable.

The User will be charged the pro-rated monthly fee from the time of registration until the beginning of the next monthly billing cycle.  All fees are subject to change without notice.  The Restaurant is responsible for reviewing the Pricing Schedule and remaining aware of the fees charged by the Company.  Unless a cancellation notice is received by the Company in writing, or through the account management options on the Site prior to the start of the next billing cycle of the Account, an Account will automatically renew for the next month.  By agreeing to these Terms of Service, the User authorizes the Company to charge the monthly renewal amount by echeck/ACH electronic funds transfer for the Account on the 1st day of each monthly billing cycle, or the next business day available.  Fees are payable in US dollars.

Users may modify their subscription at any time through the My Account section of the website. All changes will take effect at the beginning of the next billing cycle.

Termination

The Company, in its sole discretion, has the right to suspend or terminate any User's Account and refuse any and all current or future use of the Account, or any other service of the Company, at any time for any reason, including, but not limited to, violation of these Terms of Service.  Such a termination of a User's Account will result in the forfeiture and relinquishment of all content in said Account. 

Users may cancel their Accounts at any time by using the account management options or by submitting a request in writing to support@ureserv.com.

The Company may delete any of a User's archived data within thirty (30) days after the date of termination.

Indemnification

All Users agree to indemnify and hold the Company, its subsidiaries, affiliates, officers and employees, and service providers harmless from any claim or demand, including reasonable attorneys' fees, made by any third-party due to or arising out of a User's use of the Site, the User's violation of this Agreement, or the User's infringement of any intellectual property or other right of any person or entity.  Even though prohibited, people may provide information that is offensive, false, harmful, or deceptive.  The Company assumes no responsibility or liability whatsoever for such content or actions.

Limitation of Liability

UNDER NO CIRCUMSTANCES WILL THE COMPANY BE LIABLE FOR ANY INJURIES, DEATH, LOSS OR DAMAGE CAUSED BY YOUR USE OF THE SITE, INCLUDING ANY SOFTWARE, MATERIALS, CONTENT, FOOD, PRODUCTS AND/OR SERVICES PROVIDED OR USE OR RELIANCE ON INFORMATION OBTAINED THROUGH THIS SITE.  IT IS YOUR RESPONSIBILITY TO EVALUATE THE ACCURACY, COMPLETENESS, OR USEFULNESS OF THIS SITE AND THE RESOURCES, MATERIALS, CONTENT AND SOFTWARE PROVIDED THEREIN.  IN NO EVENT SHALL THE COMPANY BE LIABLE FOR ANY DIRECT, INDIRECT, PUNITIVE, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THE SITE OR THIS AGREEMENT, WHETHER BASED ON WARRANTY, CONTRACT, TORT, OR ANY OTHER LEGAL THEORY.  BECAUSE SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR NEGLIGENCE, CONSEQUENTIAL, INCIDENTAL OR OTHER DAMAGES, IN SUCH JURISDICTIONS THE COMPANY'S LIABILITY IS LIMITED TO THE GREATEST EXTENT PERMITTED BY LAW.  YOUR SOLE REMEDY FOR DISSATISFACTION WITH THIS WEBSITE IS TO STOP USING THIS WEBSITE.

Disclaimer of Warranties

YOU ACKNOWLEDGE AND AGREE THAT THIS SITE IS PROVIDED ON AN 'AS IS' AND 'AS AVAILABLE' BASIS.  NONE OF THE COMPANY, ITS AFFILIATES, SUBSIDIARIES OR ITS OR THEIR OFFICERS, DIRECTORS, EMPLOYEES OR AGENTS (COLLECTIVELY THE 'COMPANY PARTIES') GUARANTEES THE ACCURACY, COMPLETENESS, TIMELINESS, RELIABILITY, SUITABILITY OR USEFULNESS OF ANY PORTION OF THE SITE.  NONE OF THE COMPANY PARTIES WARRANT THAT THIS WEBSITE WILL BE UNINTERRUPTED OR ERROR FREE, THAT ANY SPECIFIC INFORMATION THAT IS REQUESTED WILL BE PROVIDED OR THAT THIS SITE OR ITS SERVER(S) ARE OR WILL BE FREE OF COMPUTER VIRUSES OR OTHER HARMFUL ELEMENTS.  YOU EXPRESSLY AGREE THAT THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THIS SITE AND THE ACCURACY, TIMELINESS OR COMPLETENESS OF THE CONTENT OR SERVICES IS ASSUMED SOLELY BY YOU.

NONE OF THE COMPANY PARTIES MAKE ANY, AND HEREBY SPECIFICALLY DISCLAIM ANY AND ALL, REPRESENTATIONS, ENDORSEMENTS, GUARANTEES, AND WARRANTIES, EXPRESSED OR IMPLIED, REGARDING THIS SITE AND ANY OF THE INFORMATION, SOFTWARE AND OTHER MATERIALS THEREIN, INCLUDING WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT OF THIRD-PARTY RIGHTS.

YOU UNDERSTAND AND AGREE THAT ANY CONTENT, SOFTWARE, MATERIALS AND/OR DATA DOWNLOADED OR OTHERWISE OBTAINED THROUGH THE USE OF THE WEBSITE IS USED AT YOUR OWN RISK AND THAT YOU WILL BE SOLELY RESPONSIBLE FOR ANY DAMAGE TO YOUR COMPUTER SYSTEM OR LOSS OF DATA THAT RESULTS FROM THE DOWNLOAD OF SUCH CONTENT, MATERIALS AND/OR DATA.

The Users expressly understand and agree that the Company shall not be liable for any direct, indirect, incidental, special, consequential or exemplary damages, including but not limited to, damages for loss of profits, goodwill, use, data or other intangible losses (even if the Company has been advised of the possibility of such damages), resulting from: (i) the use or the inability to use the service; (ii) the cost of procurement of substitute food, goods and services resulting from any food, goods, data, information or services purchased or obtained or messages received or transactions entered into through or from the service; (iii) unauthorized access to or alteration of the Users' transmissions or data; (iv) statements or conduct of any third party on the service; (v) termination of the Users' Accounts; or (vi) any other matter relating to the Accounts.  In the event that notwithstanding the foregoing, the Company is found liable to a User for damages from any cause whatsoever, and regardless of the form of the action (whether in contract, tort (including negligence), product liability or otherwise), the liability of the Company to the User will be limited to the amount that the User paid for his/her/its Account. 

General Conditions

The User agrees that their use of the Accounts is at their sole risk.  The service is provided on an 'as is' and 'as available' basis.

The User must not modify, adapt or hack the Accounts or modify another website so as to falsely imply that it is associated with the Accounts, the Company, or any other Company service.

The User agrees not to reproduce, duplicate, copy, sell, resell or exploit any portion of the Accounts, use of the Accounts, or access to the Accounts without the express written permission of the Company.

The Company may, but have no obligation to, remove content, and Accounts containing content, that it determines in its sole discretion to be unlawful, offensive, threatening, libelous, defamatory, pornographic, obscene or otherwise objectionable or violates any intellectual property rights or these Terms of Service. 

Verbal, physical, written or other abuse (including threats of abuse or retribution) of any Company customer, employee, member, or officer will result in immediate Account termination. 

The User understands that the technical processing and transmission of the Accounts, including their content, may be transferred unencrypted and involve (a) transmissions over various networks; and (b) changes to conform and adapt to technical requirements of connecting networks or devices.

The User must not upload, post, host, or transmit unsolicited email, SMSs, or 'spam' messages. 

The User must not transmit any worms or viruses or any code of a destructive nature. 

The Company does not warrant that (i) the Accounts will meet the User's specific requirements, (ii) the Accounts will be uninterrupted, timely, secure, or error-free, (iii) the results that may be obtained from the use of the Accounts will be accurate or reliable, (iv) the quality of any food, products, services, information, or other material purchased or obtained by the Users through the Site will meet their expectations, and (v) any errors in the Accounts will be corrected.

The failure of the Company to exercise or enforce any right or provision of the Terms of Service shall not constitute a waiver of such right or provision.  The Terms of Service constitutes the entire agreement between the Users and the Company and govern the use of the Accounts, superceding any prior agreements between the Users and the Company (including, but not limited to, any prior versions of the Terms of Service).

Unless otherwise provided, the Terms of Service shall be governed by the laws of the Commonwealth of Massachusetts without effect to its conflict of laws provisions.

Claims, disputes or other matters in question between the parties to the Terms of Service arising out of or relating to the Terms of Service or breach thereof shall be subject to and decided by binding arbitration in accordance with the rules of the American Arbitration Association currently in effect unless the parties mutually agree otherwise.  No arbitration arising out of or relating to the Terms of Service shall include, by consolidation, joinder or in any other manner, an additional person or entity not a party to the Terms of Service, except by written consent of the Users, the Company and any other person or entity sought to be joined.  Consent to arbitration involving an additional person or entity shall not constitute consent to arbitration of any claim, dispute or other matter in question not described in the written consent.  The agreement to arbitrate shall be specifically enforceable in accordance with applicable law in any court having jurisdiction thereof.  The award rendered by the arbitrator or arbitrators shall be binding and final, and judgment may be entered upon it in accordance with applicable law in any court having jurisdiction thereof.  The parties agree that in the event any such dispute proceeds to arbitration, the prevailing party will be entitled to recover, as part of the arbitration award, its reasonable attorneys' fees and costs incurred in the arbitration, at the discretion of the arbitrator.  Said arbitration shall be held in Boston, Massachusetts, unless a different location is agreed to in writing by all parties.

If any term of the Terms of Service is deemed unenforceable or invalid by a tribunal with valid jurisdiction then the finding of unenforceability or invalidity of that part shall not affect the remaining portions of the Terms of Service which shall remain in fall force and effect.

The Terms of Service and all of its terms and provisions are binding upon the heirs and personal representatives of the Users and the successors and assignees of the Company; provided, however, no assignment by the Users of their rights and/or interests in and to these Terms of Service shall be permitted without the prior written consent of the Company.

Questions about the Terms of Service should be sent to support@ureserv.com.
		               		 ")
		               		  
		               		 ->setAttrib('readonly','readonly');
		
        
        $acceptTerms = $this->createElement('checkbox','acceptterms');
       	$acceptTerms->setLabel('I accept the terms and conditions')
			        ->removeDecorator('HtmlTag')
			        ->setUncheckedValue('')
			        ->setCheckedValue('I Agree')
			        ->addValidators(array(array('notEmpty', true, array('messages' => 'Please accept terms and condition.'))))
			        ->removeDecorator('DtDdWrapper')			       
			        ->setRequired(true);

         $confirm = $this->createElement('submit','confirm');
         $confirm->setLabel("")
         	   	 ->removeDecorator('DtDdWrapper')       	            	  
                 ->setIgnore(true); 

          $this->addElements( array($restid,
          							$invoiceid,
          							$paymentTermsTextArea,
          							$acceptTerms,
          							$confirm));
          
          
	}
}
		