<?php
class Payments_Form_SearchPaymentProfile extends Zend_Form
{
	public function init()
	{
		$customerProfileId = $this->createElement('hidden','customerProfileId');                    	
        $customerProfileId->removeDecorator('HtmlTag');
        
        $paymentProfileId = $this->createElement('text', 'paymentProfileId');
        $paymentProfileId->removeDecorator('Label')
        			   	 ->removeDecorator('HtmlTag')
        			   	 ->setAttrib('maxlength', '40')
        			   	 ->setAttrib('style','width:100px;')
        			   	 ->setAttrib('class','inp1')
        			   	 ->addFilters(array('StringTrim'))
        			     ->addValidator('StringLength', false,array(0,40))
        			     ->setValue('')
        			     ->setRequired(true);  ;     

		$search = $this->createElement('submit','Search');
        $search->removeDecorator('Label')
        		  ->removeDecorator('HtmlTag')
        		  ->removeDecorator('DtDdWrapper') 
        		  ->setValue('Submit')           		          		        		
        		  ->setAttrib('class','submitBtn')
                  ->setIgnore(true);
                  
        $this->addElements( array ($customerProfileId,
        						   $paymentProfileId,	
        						   $search
        						)); 		
	}
}