<?php
class Payments_Model_SearchPaymentProfile
{
	protected $_srchcustomer_profile_id;
	protected $_srchpayment_profile_id;
	protected $_srchstart_date;
	protected $_srchstart_time;
	protected $_srchend_date;
	protected $_srchend_time;
	protected $_ancpstatus;
	protected $_anppstatus;
	
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid AuthnetCustomerProfile property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid AuthnetCustomerProfile property');
		}
		return $this->$method();
	}
	
	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}

	public function setsrchcustomer_profile_id($srchcustomer_profile_id){
		$this->_srchcustomer_profile_id = $srchcustomer_profile_id;
		return $this;
	}
	
	public function getsrchcustomer_profile_id()
	{
		return $this->_srchcustomer_profile_id;
	}
	
	public function setsrchpayment_profile_id($srchpayment_profile_id){
		$this->_srchpayment_profile_id = $srchpayment_profile_id;
		return $this;
	}
	
	public function getsrchpayment_profile_id()
	{
		return $this->_srchpayment_profile_id;
	}
	
	public function setsrchstart_date($srchstart_date)
	{
		$this->_srchstart_date = $srchstart_date;
		return $this;
	}
	
	public function getsrchstart_date()
	{
		return $this->_srchstart_date;
	}
	
	public function setsrchstart_time($srchstart_time)
	{
		$this->_srchstart_time = $srchstart_time;
		return $this;
	}
	
	public function getsrchstart_time()
	{
		return $this->_srchstart_time;
	}
	
	public function setsrchend_date($srchend_date)
	{
		$this->_srchend_date = $srchend_date;
		return $this;
	}
	
	public function getsrchend_date()
	{
		return $this->_srchend_date;
	}
	
	public function setsrchend_time($srchend_time)
	{
		$this->_srchend_time = $srchend_time;
		return $this;
	}
	
	public function getsrchend_time()
	{
		return $this->_srchend_time;
	}
	
	public function setancpstatus($ancpstatus){
		$this->_ancpstatus = $ancpstatus;
		return $this;
	}
	
	public function getancpstatus(){
		return $this->_ancpstatus;
	}
	
	public function setanppstatus($anppstatus){
		$this->_anppstatus = $anppstatus;
		return $this;
	}
	
	public function getanppstatus(){
		return $this->_anppstatus;
	}
}