<?php
/**
*	Name			: SponsorTargetPagesDataMapper.php
*	Author			: mahesh
*	Creation Date	: 5/28/2011
*	Path 			: application/models/SponsorTargetPagesDataMapper.php
*	Description		: This is the DataMapper class for the sponsor targetpages basedata table.
*					   	
*/
class Application_Model_SponsorTargetPagesDataMapper
{
	protected $_dbTable;
	
	public function setDbTable($dbTable)
	{
		if (is_string($dbTable)) {
			$dbTable = new $dbTable();
		}
		if (!$dbTable instanceof Zend_Db_Table_Abstract) {
			throw new Exception('Invalid table data gateway provided');
		}
		$this->_dbTable = $dbTable;
		return $this;
	}
	
	public function getDbTable()
	{
		if (null === $this->_dbTable) {
			$this->setDbTable('Application_Model_DbTable_SponsorTargetPages');
		}
		return $this->_dbTable;
	}
	
	public function fetchAll()
	{
		$cache = new Uss_Helper_CacheManager();
		$bookstatus = array();
		if(!$bookstatus = $cache->Fetch('targetpages')){
			$where = array('status = ?'=> true);
			$order = array('id');
			$records = $this->getDbTable()->fetchAll($where,$order);
						
			foreach($records as $record){
				$bookstatus[] = new Application_Model_SponsorTargetPages(						
					$record->toArray());	
			}
			$cache->Save($bookstatus,'targetpages');			
		}else{
			$bookstatus = $cache->Fetch('targetpages');
		}
		
		$cache = null;
		return $bookstatus;
	}
}