<?php
class Admin_Form_AddPrice extends Zend_Form
{
	public function init()
    {
    	$code = $this->createElement('text','code');
    	$code->removeDecorator('Label')
    		 ->removeDecorator('HtmlTag')
    		 ->setAttrib('maxlength', '30')
        	 ->setAttrib('class','inp1 required')
        	 ->addFilters(array('StringTrim'))
        	 ->addValidator('StringLength', false,array(0,20))
        	 ->setValue('')
        	 ->setRequired(true);
        		  
		$desc = $this->createElement('text','desc');
		$desc->removeDecorator('Label')
    			  ->setAttrib('class','inp1 required')
    			  ->setAttrib('maxlength', '30')
        		  ->removeDecorator('HtmlTag')
        		  ->addFilters(array('StringTrim'))
        		  ->setValue('');
        		  
		$Id = $this->createElement('hidden','restypeid');
    	$Id->removeDecorator('HtmlTag')
    		  ->removeDecorator('Label');
    		  
    	
       $edit = $this->createElement('button','Submit');
       $edit->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Search')           		          		        		
        		   ->setAttrib('class','submitBtn')
                   ->setIgnore(true);
    	
    	                   
		$this->addElements( array ($code,
								   $desc,
								   $edit,
								   $Id));                           	        
    }
}