<?php

class Administrator_AdministratorController extends Zend_Controller_Action
{

	protected $_adminService = null;
	protected $_paymetnService = null;

	public function init()
	{
		if(!$this->_adminService){
			$this->_adminService = new Application_Service_Administrator();
		}
		if(!$this->_paymetnService){
			$this->_paymetnService = new Application_Service_Renumeration();
		}
	}

	public function indexAction()
	{
		// action body
	}

	public function administratordashboardAction()
	{
		$auth = Zend_Auth::getInstance();
		if($auth->hasIdentity()){
			$this->_helper->layout()->setLayout('adminlayout');
			$storage = new Zend_Auth_Storage_Session();
			$loginProf = $storage->read();
			$loginProf['restownerId'] = "";
			$storage = new Zend_Auth_Storage_Session();
			$storage->write($loginProf);	
		}
		else{
			$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
		}
	}
	public function administratoruserdashboardAction()
	{
		$auth = Zend_Auth::getInstance();
		if($auth->hasIdentity()){
			$this->_helper->layout()->setLayout('adminlayout');

		}
		else{
			$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
		}
	}

	public function editfirmAction()
	{
		$this->_helper->layout()->setLayout('adminlayout');
		$auth = Zend_Auth::getInstance();
		
		if($auth->hasIdentity()){
			$storage = new Zend_Auth_Storage_Session();
			$loginProf = $storage->read();
			$page = $this->_request->getParam('page');
			if (empty($page)){
				$page = 1;
			}
			$payForm = $this->_adminService->getRestaurantPaymentForm();
			$data = array();
			$request = $this->getRequest();
			$form = $this->_adminService->getManageRestForm();
			if($this->getRequest()->isPost()){
				$data = $this->getRequest()->getPost();
				$form->populate($data);
				$this->view->form = $form;
			}
			
			$resultSet = $this->_adminService->GetRestaurantSummary($data,$page,$loginProf);
      //echo '<pre>'; print_r($resultSet); exit;
      
			if($resultSet['status']){
				$s = $resultSet['restForm'];
				$this->view->resultSet = $s['rowset'];
				$this->view->restmatchcount = $s['restmatchcount'];
				$this->view->form = $this->_adminService->getManageRestForm();
				if($s['cityBd']){
						$form->resCity->addMultiOptions($s['cityBd']);
					}
			}else{
				$this->view->form = $resultSet['restForm'];
			}
			
			if($request->firstname){
					$this->view->firstname = $request->firstname;
				}
			if($request->lastname){
					$this->view->lastname = $request->lastname;
				}
			if($request->resid){
					$this->view->resid = $request->resid;
				}
			if($request->restname){
					$this->view->restname = $request->restname;
				}
			if($request->resRegion){
					$this->view->resRegion = $request->resRegion;
				}	
			if($request->resCity){
					$this->view->resCity = $request->resCity;
				}
			if($request->reststatus){
					$this->view->reststatus = $request->reststatus;
				}
			if($request->restappstatus){
					$this->view->restappstatus = $request->restappstatus;
				}
			if($request->comapny){
					$this->view->comapny = $request->comapny;
				}
				
			//$this->view->resultSet      = $resultSet['rowset'];
			$this->view->payForm = $payForm;
			
			if($request){
				$msg = $request->msg;
				$this->view->msg = $msg;
			}
		 }
		
		else{
			$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
		}
	}
	
	public function firminfoAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$this->_helper->layout()->setLayout('adminlayout');
				$request = $this->getRequest();
				$restDetails = $this->_adminService->GetRestaurantDetails($request);
				$restConflictDetails = $this->_adminService->GetRestaurantConflictDetails($restDetails);
				$this->view->restdetails = $restDetails;
				$this->view->restconflictdetails = $restConflictDetails;
	
				//* Reservation History Report *//
				$bokService = new Application_Service_Reservation();
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$this->view->userStatus = $data['Usertype'];
				//$this->view->userPermissions = $data['Permissions'];
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$request = $this->getRequest();
				$result = $this->_adminService->ReservationReport($request,$page);
				
				$bokstatus = $bokService->getBookingStatusBd();

				/* Reteriving restaurant names */
				$x= $request->bokdatetype;
				
				if($request->reserveid){
					$this->view->reservid = $request->reserveid;
				}
				if($request->bokstartdate){
					$this->view->bokstartdate = $request->bokstartdate;
				}
				if($request->bokenddate){
					$this->view->bokenddate = $request->bokenddate;
				}
				if($request->bokstarttime){
					$this->view->bokstarttime = $request->bokstarttime;
				}
				if($request->bokendtime){
					$this->view->bokendtime = $request->bokendtime;
				}
				if($request->bookstatus){
					$bookingstatus = $request->bookstatus;
					$bokstsarr = array();
					foreach($bookingstatus as $types){
						$bokstsarr[] = $types;
					}
					$this->view->status = $bokstsarr;
				}
				if($request->bokdatetype){
					$this->view->datetype = $request->bokdatetype;
				}
				if($request->restaurantid){
					$this->view->restaurantid = $request->restaurantid;
				}
				if($request->date){
					$this->view->date = $request->date;
				}else{
					$this->view->date = date("m-d-Y");
				}
				
				if($request->filterfirstname != ""){
					$this->view->filtfrstName = $request->filterfirstname;
				}
				
				if($request->filterlastname != ""){
					$this->view->filtlstName = $request->filterlastname;
				}
				
				if($request->reportsorton){
					$this->view->reportsorton = $request->reportsorton;	
				}
				
				if($request->reportsortorder){
					$this->view->reportsortorder = $request->reportsortorder;
				}
				
				if($request->tab == 2){
					$this->view->tab = $request->tab;
				}
				$form = $bokService->getMakeReservationForm();
				$this->view->MakeResForm   = $form;
				$this->view->rowSet 	   = $result['RowSet'];
				$this->view->counts        = $result['Count'];
								
				if($result['RestName']){
					$this->view->RestName = $result['RestName'];
				}
				
				$this->view->bokStatus = $bokstatus;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function editfirmappstatusAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$request = $this->getRequest();
				$operation = $request->operation;
				switch($operation){
					case 'Selected':
						if($request->resselection == 'SAME'){
							$params = $this->_adminService->UpdateRestAppStatus($request,$data);
							$listed = $this->_adminService->UpdateListedRestStatus($request);
						}else{
							$params = $this->_adminService->UpdateRestAppStatus($request,$data);
						}
						break;
					case 'NotSelected':
						if($request->resselection == 'SAME'){
							$params = $this->_adminService->UpdateRestAppStatus($request,$data);
							$listed = $this->_adminService->UpdateListedRestStatus($request);
						}else{
							$params = $this->_adminService->UpdateRestAppStatus($request,$data);
						}
						break;
					default :
						$params = $this->_adminService->UpdateRestAppStatus($request,$data);
						break;
				}
	
	
				$this->_helper->redirector('editfirm','Administrator','Administrator',array('msg'=>$params));
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function editfirmstatusAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$request = $this->getRequest();
				$params = $this->_adminService->UpdateRestStatus($request,$data);
				if($request->resttype == 'list'){
					$this->_helper->redirector('showlistedfirms','Administrator','Administrator',array('msg'=>$params));
				}else{
					$this->_helper->redirector('editfirm','Administrator','Administrator',array('msg'=>$params));
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function administratorfirminfoAction()
	{
		try{

			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$restDetails = $this->_adminService->GetRestaurantArrDetails($request);
			echo json_encode($restDetails);
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}

	}

	public function editfirmtypeAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$operation = $request->status;
					switch($operation){
						case 'EDIT' :
							$editDetails = $this->_adminService->EditResTypes($request);
							if($editDetails){
								break;
							}else{
								$this->view->editstatus = 't';
								$this->view->rtcode = $request->editcode;
								$this->view->rtdesc = $request->editdesc;
								break;
							}
						case 'DEL' 	:
							$delete = $this->_adminService->DeleteResTypes($request->restypeid);
							break;
						case 'ADD'	:
							$add = $this->_adminService->AddResTypes($request);
							if($add){
								break;
							}else{
								$this->view->addstatus = 't';
								$this->view->rtcode = $request->code;
								$this->view->rtdesc = $request->desc;
								break;
							}
					}
				}
				if($request->status == 'UPS'){
					$mapper = new Application_Model_RestaurantTypeDataMapper();
					$add = $mapper->UpdateStatus($request);
				}
				$resDetails = $this->_adminService->GetRestTypes($page);
				$this->view->addForm = $this->_adminService->getAddResTypeForm();
				$this->view->editForm = $this->_adminService->getEditResTypeForm();
				$this->view->resDetails = $resDetails;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function editstatesAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
				$operation = $request->status;
					switch($operation){
						case 'EDIT' :
							$editDetails = $this->_adminService->EditState($this->getRequest()->getPost());
							if($editDetails){
								break;
							}else{
								$this->view->addstatus = 'e';
								$this->view->statecode = $request->editcode;
								$this->view->statedesc = $request->editdesc;
								break;
							}
						case 'ADD'	:
							$add = $this->_adminService->AddState($this->getRequest()->getPost());
							if($add){
								$this->_helper->redirector('editstates','Administrator','Administrator');
							}else{
								$this->view->addstatus = 'a';
								$this->view->statecode = $request->code;
								$this->view->statedesc = $request->desc;
								break;
							}
					}
				}
				if($request->status == 'UPS'){
					$mapper = new Application_Model_StateDataMapper();
					$add = $mapper->UpdateStatus($request);
				}
				$resDetails = $this->_adminService->GetStates($page);
				$this->view->addForm = $this->_adminService->getAddStateForm();
				$this->view->editForm = $this->_adminService->getEditStateForm();
				$this->view->resDetails = $resDetails;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function updatefirmtypeAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$edit = $this->_adminService->EditResTypes($request);
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}

	}
	
	public function deletefirmtypeAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$delete = $this->_adminService->DeleteResTypes($request->restypeid);
			if($delete){
				$this->_helper->redirector('editfirmtype','Administrator','Administrator');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function createfirmtypeAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$delete = $this->_adminService->DeleteResTypes($request->restypeid);
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function showlistedfirmsAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$data = array();
				//$this->view->form = $this->_adminService->getListedRestForm();
				$form = $this->_adminService->getListedRestForm();
					if($this->getRequest()->isPost()){
						$data = $this->getRequest()->getPost();
						$form->populate($data);
						$this->view->form = $form;
								}
				$resultSet = $this->_adminService->ViewListedRestaurants($data);
			
		             if($resultSet['status'] ){
						//$s = $resultSet['ListedRest'];
						$this->view->resultSet = $resultSet['ListedRest'];
					    $this->view->form = $this->_adminService->getListedRestForm();
					    if($resultSet['Regions']!='')
					    $this->view->form->resRegion->addMultiOptions($resultSet['Regions']);
					    if($resultSet['Cities']!='')
					    $this->view->form->resCity->addMultiOptions($resultSet['Cities']);
					    if($resultSet['Nbds']!='')
					    $this->view->form->restNeighbour->addMultiOptions($resultSet['Nbds']);
						
					    //$this->view->form->resRegion->addMultiOptions($regionList);
					}else{
						$this->view->form = $resultSet['ListedRest'];
					}
				$this->view->listedrestaurants = $resultSet['ListedRest'];
				$request = $this->getRequest();
				if($request){
					$msg = $request->msg;
					$this->view->msg = $msg;
				}
			}else{
				$this->_helper->redirector('managerestype','Login','User');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function createlistedfirmsAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$restService = new Application_Service_Firm();
				$form = $restService->getAddListedRestForm();
	
				if($this->getRequest()->isPost()){
					$msg = "";
					$results = array();
					$results = $restService->AddListedRestaurant($this->getRequest()->getPost());
					if(isset($results['RestStatus']) && $results['RestStatus'] == true){
						$msg = true;
						$this->view->msgstatus = $msg;
					}else if(isset($results['RestStatus']) && $results['RestStatus'] == false){
						$msg = false;
						$form = $results['form'];
						$this->view->msgstatus = $msg;
					}else {
						$form = $results['form'];
					}
				}
				$this->view->addRestform = $form;
				
				$CountryCodeMapper = new Application_Model_CountryCodeDataMapper();
		    	$CountryCode = $CountryCodeMapper->fetchAll();
		    	$CodeList = array();
		    	$CodeList[] = array('key'=>'','value'=>'Select Country Flag');
		    	foreach($CountryCode as $listcode){
		    		$CodeList[] = array('key'=>$listcode->getCountry_dial_code(),'value'=>$listcode->getCountry_flag());
		    	}
			    	
		    	$this->view->codelist = $CodeList;
			}else{
				$this->_helper->redirector('managerestype','Login','User');
	
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}

	}
	
	public function editcosttypeAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$operation = $request->status;
					switch($operation){
						case 'EDIT' :
							$editDetails = $this->_adminService->EditPrice($request);
							if($editDetails){
								break;
							}else{
								$this->view->addstatus = 't';
								$this->view->rtcode = $request->editcode;
								$this->view->rtdesc = $request->editdesc;
								break;
							}
						case 'ADD'	:
							$add = $this->_adminService->AddPrice($request);
							if($add){
								break;
							}else{
								$this->view->addstatus = 't';
								$this->view->rtcode = $request->code;
								$this->view->rtdesc = $request->desc;
							}
					}
				}
				if($request->status == 'UPS'){
					$mapper = new Application_Model_PriceDataMapper();
					$add = $mapper->UpdateStatus($request);
				}
				$priceDetails = $this->_adminService->GetpriceTypes($page);
				$this->view->addForm = $this->_adminService->getAddPriceForm();
				$this->view->editForm = $this->_adminService->getEditPriceForm();
				$this->view->priceDetails = $priceDetails;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
	
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}


	}
	
	public function editneighborhoodAction()
	{
		try{

			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			$state = new Application_Model_StateDataMapper();
			$stateBd = $state->fetchAll();
//			$region = new Application_Model_RegionDataMapper();
//			$regionBd = $region->fetchAll();
			$bokService = new Application_Service_Reservation();
			$cityBd		= $bokService->GetCityBaseData();
			if($auth->hasIdentity()){
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$operation = $request->status;
					switch($operation){
						case 'EDIT' :
							if(count($request->editdescrip) == 0){
								$this->view->editmsg = "Please Enter A Neighbourhood";
								$this->view->editneighid = $request->editneighid;
								break;
							}else{
							$editDetails = $this->_adminService->EditNeighborhood($request);
								if($editDetails){
									break;
								}else{
									$this->view->editstatus = 't';
									$this->view->editneighid = $request->editneighid;
									$this->view->editdesc = $request->editdescrip;
									break;
								}
							}
							
							
	//					case 'DEL' 	:
	//						$delete = $this->_adminService->DeleteNeighborhood($request->restypeid);
	//						break;
						case 'ADD'	:
							if($request->descrip == null){
								$this->view->msg = "Please Enter A Neighbourhood";
								break;
							}else{
								$add = $this->_adminService->AddNeighborhood($request);
								if($add){
									break;
								}else{
									$this->view->addstatus = 't';
									$this->view->desc = $request->descrip;
									break;
								}
							}
					}
				}if($request->update == "UPDATE"){
					$mapper = new Application_Model_NeighborhoodDataMapper();
					$update = $mapper->UpdateStatus($request);
				}
				$this->view->stateBd = $stateBd;
				if($request->stateid){
					$stateid = $request->stateid;
					$reglist = $this->_adminService->GetRegionByStateId($stateid,$page);
					$this->view->state = $request->stateid;
					$this->view->regionBd = $reglist;
				}
				if($request->regionid){
					$citylist = $this->_adminService->GetCityByRegionId($request->regionid,$page);
					$this->view->region = $request->regionid;
					$this->view->cityBd = $citylist;
				}
				if($request->cityid){
					$restService = new Application_Service_Firm();
					$neilist = $restService->GetNeighListByCityid($request->cityid,$page);
					$this->view->city = $request->cityid;
					$this->view->neighbd = $neilist;
				}
				
				//$this->view->cityBd = $cityBd;
	
				$this->view->addForm = $this->_adminService->getAddNeighborForm();
				$this->view->editForm = $this->_adminService->getEditNeighborForm();
	
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function updatelistedfirmsAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$this->_helper->layout()->setLayout('adminlayout');
				if($this->getRequest()->isPost()){
					$request = $this->getRequest();
					$result = $this->_adminService->EditRestaurantDetails($this->getRequest()->getPost(),$request);
					$formArr = $this->_adminService->editRestaurantDeatails($request);
					$resultObj = $this->_adminService->viewRestaurantDetails($request);
					if($result['status']){
							
						$this->view->restdetails = $resultObj;
						$this->view->personalForm = $formArr['personalForm'];
						$this->view->addressForm = $formArr['addressForm'];
						$this->view->parkingForm = $formArr['parkingForm'];
						$this->view->restaurantimage = $formArr['restaurantimage'];
						$this->view->restaurantlogo = $formArr['restaurantlogo'];
					}else{
							
						if(isset($result['personalForm'])){
							$this->view->personalForm = $result['personalForm'];
							$this->view->popUpForm = 	'personalForm';
						}else{
							$this->view->personalForm = $formArr['personalForm'];
						}
						if(isset($result['addressForm'])){
							$this->view->addressForm = $result['addressForm'];
							$this->view->popUpForm = 	'addressForm';
						}else{
							$this->view->addressForm = $formArr['addressForm'];
						}
						if(isset($result['parkingForm'])){
							$this->view->parkingForm = $result['parkingForm'];
							$this->view->popUpForm = 	'parkingForm';
						}else{
							$this->view->parkingForm = $formArr['parkingForm'];
						}
						if(isset($result['restaurantimage'])){
							$this->view->restaurantimage = $result['restaurantimage'];
							$this->view->popUpForm = 	'restaurantimage';
						}else{
							$this->view->restaurantimage = $formArr['restaurantimage'];
						}
						if(isset($result['restaurantlogo'])){
							$this->view->restaurantlogo = $result['restaurantlogo'];
							$this->view->popUpForm = 	'restaurantlogo';
						}else{
							$this->view->restaurantlogo = $formArr['restaurantlogo'];
						}
						$this->view->restdetails = $resultObj;
					}
				}else{
					$request = $this->getRequest();
					$resultObj = $this->_adminService->viewRestaurantDetails($request);
					$formArr = $this->_adminService->editRestaurantDeatails($request);
					$this->view->restdetails = $resultObj;
					$this->view->personalForm = $formArr['personalForm'];
					$this->view->addressForm = $formArr['addressForm'];
					$this->view->parkingForm = $formArr['parkingForm'];
					$this->view->restaurantimage = $formArr['restaurantimage'];
					$this->view->restaurantlogo = $formArr['restaurantlogo'];
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}

	}
	
	public function editcityAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			$state = new Application_Model_StateDataMapper();
			$stateBd = $state->fetchAll();
//			$region = new Application_Model_RegionDataMapper();
//			$regionBd = $region->fetchAll();
			if($auth->hasIdentity()){
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$operation = $request->status;
					switch($operation){
						case 'EDIT' :
							if($request->editcitycode == null || $request->editcitydesc == null){
								$this->view->editmsg = "Please Enter both City Code and Description";
								if($request->editcitycode){
									$this->view->editcitcode = $request->editcitycode;
								}
								if($request->editcitydesc){
									$this->view->editcitdesc = $request->editcitydesc;
								}
								break;
							}else{
								$editDetails = $this->_adminService->EditCity($request);
								if($editDetails){
									break;
								}else{
									$this->view->editstatus = 't';
									$this->view->editdesc = $request->editcitydesc;
									$this->view->editcityid = $request->editcityid;
									$this->view->editcode = $request->editcitycode;
									break;
								}
							}
	
	
							//					case 'DEL' 	:
							//						$delete = $this->_adminService->DeleteNeighborhood($request->restypeid);
							//						break;
						case 'ADD'	:
							if($request->citycode == null || $request->citydesc == null){
								$this->view->msg = "Please Enter both City Code and Description";
								if($request->citycode){
									$this->view->citycode = $request->citycode;
								}
								if($request->citydesc){
									$this->view->citydesc = $request->citydesc;
								}
								break;
							}else{
								$add = $this->_adminService->AddCity($request);
								if($add){
									break;
								}else{
									$this->view->addstatus = 't';
									$this->view->desc = $request->citydesc;
									$this->view->code = $request->citycode;
									break;
								}
							}
					}
				}
				if($request->update == "UPDATE"){
					$mapper = new Application_Model_CityDataMapper();
					$update = $mapper->UpdateStatus($request);
				}
				$this->view->stateBd = $stateBd;
				if($request->stateid){
					$stateid = $request->stateid;
					$reglist = $this->_adminService->GetRegionByStateId($stateid,$page);
					$this->view->state = $request->stateid;
					$this->view->regionBd = $reglist;
				}
				if($request->regionid){
					$neilist = $this->_adminService->GetCityByRegionId($request->regionid,$page);
					$this->view->region = $request->regionid;
					$this->view->citybd = $neilist;
				}
	
				$this->view->addForm = $this->_adminService->getAddCityForm();
				$this->view->editForm = $this->_adminService->getEditCityForm();
	
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function editregionsAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			$state = new Application_Model_StateDataMapper();
			$stateBd = $state->fetchAll();
			if($auth->hasIdentity()){
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$operation = $request->status;
					switch($operation){
						case 'EDIT' :
							if($request->editregioncode == null || $request->editregiondesc == null){
								$this->view->editmsg = "Please Enter both Region Code and Description";
								if($request->editregioncode){
									$this->view->editregcode = $request->editregioncode;
								}
								if($request->editregiondesc){
									$this->view->editregdesc = $request->editregiondesc;
								}
								break;
							}else{
								$editDetails = $this->_adminService->EditRegion($request);
								if($editDetails){
									break;
								}else{
									$this->view->editstatus = 't';
									$this->view->editdesc = $request->editregiondesc;
									$this->view->editregionid = $request->editregionid;
									$this->view->editcode = $request->editregioncode;
									break;
								}
							}
	
	
							//					case 'DEL' 	:
							//						$delete = $this->_adminService->DeleteNeighborhood($request->restypeid);
							//						break;
						case 'ADD'	:
							if($request->regioncode == null || $request->regiondesc == null){
								$this->view->msg = "Please Enter both Region Code and Description";
								if($request->regioncode){
									$this->view->regioncode = $request->regioncode;
								}
								if($request->regiondesc){
									$this->view->regiondesc = $request->regiondesc;
								}
								break;
							}else{
								$add = $this->_adminService->AddRegion($request);
								if($add){
									break;
								}else{
									$this->view->addstatus = 't';
									$this->view->desc = $request->regiondesc;
									$this->view->code = $request->regioncode;
									break;
								}
							}
					}
				}
				if($request->update == "UPDATE"){
					$mapper = new Application_Model_RegionDataMapper();
					$update = $mapper->UpdateStatus($request);
				}
				if($request->stateid){
					$regionist = $this->_adminService->GetRegionByStateId($request->stateid,$page);
					$this->view->state = $request->stateid;
					$this->view->regionbd = $regionist;
				}
	
				$this->view->stateBd = $stateBd;
	
				$this->view->addForm = $this->_adminService->getAddRegionForm();
				$this->view->editForm = $this->_adminService->getEditRegionForm();
	
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function editreachusAction()
	{

		$this->_helper->layout()->setLayout('adminlayout');
		$auth = Zend_Auth::getInstance();
		
		$storage = new Zend_Auth_Storage_Session();
		$userdata = $storage->read();
		$this->view->companyid = $userdata['companyid'];
		
		if($auth->hasIdentity()){
	        $data = array();
			$page = $this->_request->getParam('page');
			if (empty($page)){
				$page = 1;
			}
			$contform = $this->_adminService->getManageContactUsForm();
			if($this->getRequest()->isPost()){
				$data = $this->getRequest()->getPost();
				$contform->populate($data);
				$this->view->form = $contform;
			}
			$resultSet = $this->_adminService->GetAllContactUsDeatils($page,$data,$userdata);
			//$resultSet = $this->_adminService->GetContactUsDeatils($data);
			if($resultSet['status']){
				$this->view->resultSet = $resultSet['personalForm'];
				$this->view->form = $contform;
				
			}else{
				$this->view->form = $resultSet['personalForm'];
			}
		}else{
			$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
		}

	}
	
	public function deactreachusAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$status = $this->_adminService->CloseContactUsDeatils($request);
				if($status){
					return $this->_helper->redirector('editreachus');
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function receivereachusdetbyajaxAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$result = $this->_adminService->GetContactUsDeatils($request);
			echo json_encode($result);
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function addcommunicationAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$Service = new Application_Service_Communication();
				$form = $Service->getNotificationCreationForm();
				if($this->getRequest()->isPost()){
					$result = $Service->NotificationCreation($this->getRequest()->getPost(),$request);
					if(isset($result['msgid'])){
						return $this->_helper->redirector('receivefirmorcusinfo','Administrator','Administrator',array('msgid'=>$result['msgid']));
					}
					if(isset($result['form'])){
						$this->view->form = $result['form'];
					}
				}else{
					$this->view->form = $form;
				}
				
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function receivefirmorcusinfoAction()
	{
		try{
			$stateid 	= "";
			$userStatus = "";
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$Service = new Application_Service_Communication();
				$msgform = $Service->getNotificationCreationForm();
				$form = $Service->getRecipentFilterForm();
				$request = $this->getRequest();
				$result = $Service->getMessageDeatails($request);
				$this->view->message = $result;
				$this->view->msgid = $request->msgid;
				if($request->state){
					$stateid = $request->state;
					$resservice = new Application_Service_Firm();
					$regionBd  = $resservice->GetRegionByStateId_($stateid);
					$form->region->addMultiOptions($regionBd);
				}
				if($request->region){
					$regionid = $request->region;
					$resservice = new Application_Service_Firm();
					$cityBd  = $resservice->GetCityByRegionId_($regionid);
					$form->city->addMultiOptions($cityBd);
				}
				if($request->usertype){
					$userStatus = $request->usertype;
				}else{
					$userStatus = 'RES';
				}
				$campaignProp = new Application_Model_GetCampaignForPost();
				$campaignProp->setAudType($userStatus)
							 ->setIsAjaxCall(true);
				
				$campaign = $this->_adminService->GetCampaignDetails($campaignProp);
				$form->campaign->addMultiOptions($campaign);
				$this->view->form = $form;
				$this->view->msgform = $msgform;
				if($this->getRequest()->isPost()){
					$result = $Service->getrestaurantorcustomerdetailsbystateid($this->getRequest()->getPost(),$request);
					if(isset($result['form'])){
						$this->view->form = $result['form'];
					}else{
						if(isset($result['offset'])){
							$this->view->offset		   = $result['offset'];
						}
						$this->view->prev = $result['prev'];
						$this->view->next = $result['next'];
						$this->view->idcount = $result['count'];
						$this->view->result = $result;
					    $this->view->UnCheckedvals = $request->UnCheckedvals;
					}
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function updatecommunicationmsgAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$msgid = $request->msgid;
				$Service = new Application_Service_Communication();
				if($this->getRequest()->isPost()){
					$result = $Service->UpdatemessageDeatils($this->getRequest()->getPost());
					if(isset($result['form'])){
						$this->view->msgform = $result['form'];
						$this->view->msgid = $request->msgid;
					}
					if(isset($result['status'])){
						return $this->_helper->redirector('receivefirmorcusinfo','Administrator','Administrator',array('msgid'=>$msgid));
					}
				}else{
					$msgform = $Service->getMessageFromDetails($request);
					$this->view->msgform = $msgform;
					$this->view->msgid = $request->msgid;
				}
				
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function postcommunicationAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$Service = new Application_Service_Communication();
				$request = $this->getRequest();
				$result = $Service->SendNotificationToUsers($request);
				$this->view->result = $result;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function editcommunicationsAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$Service = new Application_Service_Communication();
				$result = $Service->getAllNotifications();
				$this->view->result = $result;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function receivemsginfoandposttolistbymsgidAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$Service = new Application_Service_Communication();
				$result = $Service->GetMsgDetalisandSentListByMsgId($request);
				$this->view->message = $result['Message'];
				$this->view->title   = $result['title'];
				$this->view->msgid   = $request->msgid; 
				if(count($result) > 2){
					$this->view->list = $result['list'];
					if(isset($result['offset'])){
						$this->view->offset = $result['offset'];
					}
					$this->view->prev = $result['prev'];
					$this->view->next = $result['next'];
				}			
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function createinvestorAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				if($this->getRequest()->isPost()){
					$result = $this->_adminService->AddSponsor($this->getRequest()->getPost(),$request);
					if($result['status']){
						return $this->_helper->_redirector('createinvestorconfimation','Administrator','Administrator',array('status'=>'success','sponsor'=>$result['result']));
					}else{
						$this->view->sponsorForm = $result['addSponsor'];
					}
				}else{
					$form = $this->_adminService->getAddSponsorForm();
					$this->view->sponsorForm = $form;
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function updateinvestorAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				if($this->getRequest()->isPost()){
					$result = $this->_adminService->EditSponsor($this->getRequest()->getPost(),$request);
					if($result['status']){
						return $this->_helper->_redirector('editinvestors','Administrator','Administrator');
					}else{
						$this->view->sponsorForm = $result['editSponsor'];
						$this->view->campSponsor = $request->campSponsor;
					}
				}else{
					if($request->campSponsor){
						$form = $this->_adminService->getSponsor($request);
						$this->view->campSponsor = $request->campSponsor;
					}else{
						$form = $this->_adminService->getEditSponsorForm();
					}
					$this->view->sponsorForm = $form;
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function createcostscenarioAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$result = $this->_adminService->AddPricePlan($this->getRequest()->getPost());
					if($result['status']){
						return $this->_helper->_redirector('createcostscenarioconfimation','Administrator','Administrator',array('status'=>'success','priceplan'=>$result['result']));
					}else{
						if(trim($request->plantype) == "NOT" || trim($request->plantype) == "BOTH"){
							$this->view->formstatus = 'failure';
						}
						$this->view->priceForm = $result['addPricePlan'];
					}
				}else{
					$form = $this->_adminService->getAddPricePlanForm();
					$this->view->priceForm = $form;
				}
			}else{
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function createcanvassAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$result = $this->_adminService->AddCampaign($this->getRequest()->getPost());
					if($result['status']){
						return $this->_helper->_redirector('updatecanvass','Administrator','Administrator',array('campaignName'=>$result['result']));
					}else{
						$this->view->campaignForm = $result['addCampaign'];
					}
				}else{
					$form = $this->_adminService->getAddCampaignForm();
					$this->view->campaignForm = $form;
				}
			}else{
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function updatecanvassAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				if($this->getRequest()->isPost()){
					$result = $this->_adminService->EditCampaign($this->getRequest()->getPost(),$request);
					if($result['status']){
						return $this->_helper->_redirector('updatecanvass','Administrator','Administrator',array('campaignName'=>$result['result']));
					}else{
						$camId = "";
						if($request->campaingName){
							$camId = $request->campaingName;
						}else if($request->campId){
							$camId = $request->campId;
						}
						$forms = $this->_adminService->getCampaign($camId);
						$this->view->stat = $result['status'];
						$this->view->formstat = $result['form'];
						if($result['form'] == 'campImage'){
							$this->view->imgForm =  $result['editCampaign'];
							$this->view->planForm = $forms['planForm'];
						$this->view->locationForm = $forms['locationForm'];		
						}else if($result['form'] == 'campPlan'){
							$this->view->planForm = $result['editCampaign'];
							$this->view->imgForm = $forms['descForm'];
							$this->view->locationForm = $forms['locationForm'];
						}else if($result['form'] == 'campLocation'){
							$this->view->locationForm =  $result['editCampaign'];
							$this->view->imgForm = $forms['descForm'];
							$this->view->planForm = $forms['planForm'];
						}
						$CampDetails = $this->_adminService->GetCampaignById($camId);
						$this->view->CampDetails = $CampDetails;
					}
				}else{
					$camId = "";
						
					if($request->campaignName){
						$camId = $request->campaignName;
						$CampDetails = $this->_adminService->GetCampaignById($camId);
						$this->view->CampDetails = $CampDetails;
						$forms = $this->_adminService->getCampaign($camId);
						$this->view->stat = true;
						$this->view->formstat = false;
						$this->view->imgForm = $forms['descForm'];
						$this->view->planForm = $forms['planForm'];
						$this->view->locationForm = $forms['locationForm'];
					}else if($request->campId){
						$camId = $request->campId;
						$CampDetails = $this->_adminService->GetCampaignById($camId);
						$this->view->CampDetails = $CampDetails;
						$forms = $this->_adminService->getCampaign($camId);
						$this->view->stat = true;
						$this->view->formstat = false;
						$this->view->imgForm = $forms['descForm'];
						$this->view->planForm = $forms['planForm'];
						$this->view->locationForm = $forms['locationForm'];
					}else{						
						$form = $this->_adminService->getEditCampaignForm();
						$this->view->campaignForm = $form;
					}
					
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function createinvestorconfimationAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				if($request->sponsor){
					$spoDetails = $this->_adminService->GetSponsorDetailsById($request->sponsor);
					$this->view->sponsor = $spoDetails;
				}
				$this->view->status = $request->status;
			}else{
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function createcostscenarioconfimationAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				if($request->priceplan){
					$spoDetails = $this->_adminService->GetPricePlanById($request->priceplan,false);
					$this->view->price = $spoDetails;
				}
				$this->view->status = $request->status;
			}else{
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function createcanvassconfirmationAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				if($request->campaign){
					$spoDetails = $this->_adminService->GetCampaignById($request->campaign);
					$this->view->campaign = $spoDetails;
				}
				$this->view->status = $request->status;
			}else{
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function retrievecostscenariobyidAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$result = $this->_adminService->GetPricePlanById($request->priceplan,true);
				echo json_encode($result);
			}else{
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function retrievecanvassinfoAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$cus = $request->type;
				$state = $request->state;
				$isAjaxCall = $request->status;
				$campProp = new Application_Model_GetCampaignForPost();
				$campProp->setAudType($cus)
						 ->setStateId($state)
						 ->setIsAjaxCall($isAjaxCall);
				
				$result = $this->_adminService->GetCampaignDetails($campProp);
				echo json_encode($result);
			}else{
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function editinvestorsAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$result = $this->_adminService->GetAllSponsors();
				$this->view->sponsors = $result; 
			}else{
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}	
	}

	public function editcanvassAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$result = $this->_adminService->GetAllSponsorships();
				$this->view->sponsors = $result; 
			}else{
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function retrievecanvassinfobyidAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$result = $this->_adminService->GetCampaignDetailsBySponsorsId($request);
				$this->view->campaign = $result;
				$this->view->id = $request->id;
			}else{
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function retrievecanvasssenttoinfoAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$result = $this->_adminService->GetCampaignSentToDetails($request);
				
				echo json_encode($result);
			}else{
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function updateinvestorstatusAction()
	{
		try{
//			$this->_helper->layout->disableLayout();
//			$this->_helper->viewRenderer->setNoRender();
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$result = $this->_adminService->EditSponsorStatus($request);
				if($result){
					return $this->_helper->_redirector('editinvestors','Administrator','Administrator');
				}
			}else{
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function updatecanvassstatusAction()
	{
		try{
//			$this->_helper->layout->disableLayout();
//			$this->_helper->viewRenderer->setNoRender();
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$result = $this->_adminService->EditCampaignStatus($request);
				$subaction = $request->subaction;
				
				if($result){
					if(isset($request->id)){
						$id = $request->id;
						return $this->_helper->_redirector($subaction,'Administrator','Administrator',array('id'=>$id));
					}else{
						return $this->_helper->_redirector($subaction,'Administrator','Administrator');
					}
					
				}
			}else{
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function reservationhistoryadministratorAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
			    $bokService = new Application_Service_Reservation();
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$this->view->userStatus = $data['Usertype'];
				//$this->view->userPermissions = $data['Permissions'];
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$request = $this->getRequest();
				$result = $this->_adminService->ReservationReport($request,$page);
				
				$bokstatus = $bokService->getBookingStatusBd();

				/* Reteriving restaurant names */

				//$restService = new Application_Service_Firm();
				//$restNamesList = $restService->GetRestNameById($data['User_Id']);
				$x= $request->bokdatetype;
				
				if($request->reserveid){
					$this->view->reservid = $request->reserveid;
				}
				if($request->bokstartdate){
					$this->view->bokstartdate = $request->bokstartdate;
				}
				if($request->bokenddate){
					$this->view->bokenddate = $request->bokenddate;
				}
				if($request->bokstarttime){
					$this->view->bokstarttime = $request->bokstarttime;
				}
				if($request->bokendtime){
					$this->view->bokendtime = $request->bokendtime;
				}
				if($request->bookstatus){
					$bookingstatus = $request->bookstatus;
					$bokstsarr = array();
					foreach($bookingstatus as $types){
						$bokstsarr[] = $types;
					}
					$this->view->status = $bokstsarr;
				}
				if($request->bokdatetype){
					$this->view->datetype = $request->bokdatetype;
				}
				if($request->restaurantid){
					$this->view->restaurantid = $request->restaurantid;
				}
				if($request->date){
					$this->view->date = $request->date;
				}else{
					$this->view->date = date("m-d-Y");
				}
				
				if($request->filterfirstname != ""){
					$this->view->filtfrstName = $request->filterfirstname;
				}
				
				if($request->filterlastname != ""){
					$this->view->filtlstName = $request->filterlastname;
				}
				
				if($request->reportsorton){
					$this->view->reportsorton = $request->reportsorton;	
				}
				
				if($request->reportsortorder){
					$this->view->reportsortorder = $request->reportsortorder;
				}
				
				$form = $bokService->getMakeReservationForm();
				$this->view->MakeResForm   = $form;
				$this->view->rowSet 	   = $result['RowSet'];
				$this->view->counts        = $result['Count'];
				
				
				if($result['RestName']){
					$this->view->RestName = $result['RestName'];
				}
				
				$this->view->bokStatus = $bokstatus;
				
				
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	/**
	 * function to retreive all restaurant owners and 
	 * edit password and email   
	 */
	public function editfirmproprietorAction()
	{
		$this->_helper->layout()->setLayout('adminlayout');
		$auth = Zend_Auth::getInstance();
		if($auth->hasIdentity()){
			$data = array();
			$page = $this->_request->getParam('page');
			if (empty($page)){
				$page = 1;
			}
			$form = $this->_adminService->getEditPasswordForm();
			$serform = $this->_adminService->getRestOwnerSearchForm();
			$request = $this->getRequest();
			if($this->getRequest()->isPost()){
				$data = $this->getRequest()->getPost();
				$serform->populate($data);
				$this->view->serform = $serform;
			}			
			$result = $this->_adminService->manageRestaurantOwners($data,$page);
			$this->view->result = $result;
			$this->view->form = $form;
			$regionBd	= array();
			$cityBd 	= array();
			if($request->state){
				$stateid 	= $request->state;
				$userService= new Application_Service_Client();
				$regionBd  	= $userService->GetRegionByStateId($stateid);
			}
			if($request->region){
				$regionid 	= $request->region;
				$userService= new Application_Service_Client();
				$cityBd  	= $userService->GetCityByRegionId($regionid);
			}
			if($regionBd){
				$serform->region->addMultiOptions($regionBd);
			}
			if($cityBd){
				$serform->city->addMultiOptions($cityBd);
			}
			$this->view->serform = $serform;
			if(isset($request->msg)){
				$msg = $request->msg;
				$this->view->msg = $msg;
			}
			if($request->firstname){
				$this->view->firstname = $request->firstname;
			}
			if($request->lastname){
				$this->view->lastname = $request->lastname;
			}
			if($request->userId){
				$this->view->userId = $request->userId;
			}
			if($request->email){
				$this->view->email = $request->email;
			}
			if($request->status){
				$this->view->status = $request->status;
			}
			if($request->state){
				$this->view->state = $request->state;
			}
			if($request->city){
				$this->view->city = $request->city;
			}
		}else{
			$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
		}
	}
	
	public function retrievefirmproprietorinfoAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->getrestaurantownerdetails($request);
			$jsonObj = json_encode($result);
			echo $jsonObj;
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function updatefirminfoAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$resultset = $this->_adminService->EditRestaurantOwnerDetails($request);
			$jsonObj = json_encode($resultset);
			echo $jsonObj;			
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function updatesrcoffirmAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$resultset = $this->_adminService->EditSourceofRestaurant($request);
			$msg = $this->_adminService->UpdateRestaurantOwnerStatus($request);
			$jsonObj = json_encode($msg);
			echo $jsonObj;		
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function updatefirmproprietorinfoAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$resultset = $this->_adminService->EditRestaurantOwnerDetails($request);
			$jsonObj = json_encode($resultset);
			echo $jsonObj;	
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function editproprietorstatusAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$msg = $this->_adminService->UpdateRestaurantOwnerStatus($request);
				$jsonObj = json_encode($msg);
				echo $jsonObj;		
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function edituserstatusAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$msg = $this->_adminService->UpdateRestaurantViewStatus($request);
				$jsonObj = json_encode($msg);
				echo $jsonObj;		
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
	
	}
	}
	/**
	 * Action to validate edit password from   
	 */
	public function postajaxforpasswordcheckAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$form = $this->_adminService->getEditPasswordForm();
	        $form->isValid($this->_getAllParams());
	        $json = $form->getMessages();
	        if(empty($json)){
	        	echo json_encode('t');
	        }else{
	        	header('Content-type: application/json');
	        	echo json_encode($json);
	        }
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	/**
	 * Action to retreive all restaurants of restaurant owner   
	 */
	public function retrievefirmdatabyproprietoridpostAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			
			$resultObj = $this->_adminService->GetRestaurantDataByOwnerId($request);
			$jsonObj = json_encode($resultObj);
			echo $jsonObj;
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	/* This Action is used for generating invoices before subscription renewal */
	public function editstatementAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			$this->_helper->layout()->setLayout('adminlayout');
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				if($data['Usertype'] == 'ADM'){
					$request = $this->getRequest();
					$result = $this->_adminService->GenerateInvoicesForSubscriptionRenewal($request);
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			 }	
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	/**
	 * Action to retreive all customers   
	 */
	public function editclientsAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			$this->_helper->layout()->setLayout('adminlayout');
			if($auth->hasIdentity()){
				$data = array();
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$form = $this->_adminService->getEditPasswordForm();
				$serform = $this->_adminService->getCustomerSearchForm();
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$data = $this->getRequest()->getPost();
					$serform->populate($data);
					$this->view->serform = $serform;
				}			
				$result = $this->_adminService->manageCustomers($data,$page);
				$this->view->result = $result;
				$this->view->form = $form;
				$regionBd	= array();
				$cityBd 	= array();
				if($request->state){
					$stateid 	= $request->state;
					$userService= new Application_Service_Client();
					$regionBd  	= $userService->GetRegionByStateId($stateid);
				}
				if($request->region){
					$regionid 	= $request->region;
					$userService= new Application_Service_Client();
					$cityBd  	= $userService->GetCityByRegionId($regionid);
				}
				if($regionBd){
					$serform->region->addMultiOptions($regionBd);
				}
				if($cityBd){
					$serform->city->addMultiOptions($cityBd);
				}
				$this->view->serform = $serform;
				if(isset($request->msg)){
					$msg = $request->msg;
					$this->view->msg = $msg;
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}	
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	/**
	 * Action to upadte customer status   
	 */
	public function editclientstatusAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$msg = $this->_adminService->UpdateCustomerStatus($request);
				$this->_helper->redirector('editclients','Administrator','Administrator',array('msg'=>$msg));
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	/**
	 * Action to edit customer email and password by admin   
	 */
	public function updatecliemailandpasswordAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$resultset = $this->_adminService->EditCusEmailAndPassword($request);
			$this->_helper->redirector('editclients','Administrator','Administrator');
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function dealtypefirmAction()
	{
		try{
		
		    $this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$operation = $request->status;
					switch($operation){
						case 'EDIT' :
							$editSpcltype = $this->_adminService->EditSpecialType($request);
							if($editSpcltype){
								break;
							}else{
								$this->view->addstatus = 'e';
								$this->view->stcode = $request->spclcode;
								$this->view->stdesc = $request->spcldesc;
								break;
							}
						//case 'DEL' 	:
							//$delete = $this->_adminService->DeleteResTypes($request->restypeid);
							//break;
						case 'ADD'	:
							$addSpclType = $this->_adminService->AddSpecialTypes($request);
							if($addSpclType){
								break;
							}else{
								$this->view->addstatus = 'a';
								$this->view->stcode = $request->addcode;
								$this->view->stdesc = $request->adddesc;
								break;
							}
					}
				}
				if($request->status == 'UPS'){
					$mapper = new Application_Model_SpecialTypeDataMapper();
					$add = $mapper->UpdateStatus($request);
				}
				$resDetails = $this->_adminService->GetSpecialRestTypes($page);
				$this->view->addForm = $this->_adminService->getAddSpecialTypeForm();
				$this->view->editForm = $this->_adminService->getSpecialTypeForm();
				$this->view->resDetails = $resDetails;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
			
	}
		
	public function dealtypeAction()
	{
		try{
		
		    $this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$operation = $request->status;
					switch($operation){
						case 'EDIT' :
							$editCategory = $this->_adminService->EditSpecialCategory($request);
							if($editCategory){
								break;
							}else{
								$this->view->addstatus = 'e';
								$this->view->sccode = $request->editcode;
								$this->view->scdesc = $request->editdesc;
								break;
							}
						//case 'DEL' 	:
							//$delete = $this->_adminService->DeleteResTypes($request->restypeid);
							//break;
						case 'ADD'	:
							$addCategory = $this->_adminService->AddSpecialCategory($request);
							if($addCategory){
								break;
							}else{
								$this->view->addstatus = 'a';
								$this->view->sccode = $request->addcode;
								$this->view->scdesc = $request->adddesc;
								break;
							}
					}
				}
				if($request->status == 'UPS'){
					$mapper = new Application_Model_SpecialCategoryDataMapper();
					$add = $mapper->UpdateStatus($request);
				}
				$resDetails = $this->_adminService->GetSpecialCategory($page);
				$this->view->addForm = $this->_adminService->getAddSpecialCategoryForm();
				$this->view->editForm = $this->_adminService->getEditSpecialCategoryForm();
				$this->view->resDetails = $resDetails;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}	
		
	public function dealnumberfirmAction()
	{
		try{
		
		    $this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$operation = $request->status;
					switch($operation){
						case 'EDIT' :
							$editCount = $this->_adminService->EditSpecialNumberRest($request);
							if($editCount){
								break;
							}else{
								$this->view->addstatus = 'e';
								$this->view->ctcode = $request->editcode;
								$this->view->ctdesc = $request->editdesc;
								break;
							}
						//case 'DEL' 	:
							//$delete = $this->_adminService->DeleteResTypes($request->restypeid);
							//break;
						case 'ADD'	:
							$addCount = $this->_adminService->AddSpecialNumber($request);
							if($addCount){
								break;
							}else{
								$this->view->addstatus = 'a';
								$this->view->ctcode = $request->addcode;
								$this->view->ctdesc = $request->adddesc;
								break;
							}
					}
				}
				if($request->status == 'UPS'){
					$mapper = new Application_Model_SpecialCountTypeDataMapper();
					$add = $mapper->UpdateStatus($request);
				}
				$resDetails = $this->_adminService->GetSpecialNumber($page);
				$this->view->addForm = $this->_adminService->getAddSpecialNumberForm();
				$this->view->editForm = $this->_adminService->getEditSpecialNumberForm();
				$this->view->resDetails = $resDetails;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
			
	}	
	
	public function dealconcessionAction()
	{
		try{
		
		    $this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$operation = $request->status;
					switch($operation){
						case 'EDIT' :
							$editDiscount = $this->_adminService->EditDiscountMode($request);
							if($editDiscount){
								break;
							}else{
								$this->view->addstatus = 'e';
								$this->view->dmcode = $request->editcode;
								$this->view->dmdesc = $request->editdesc;
								break;
							}
						//case 'DEL' 	:
							//$delete = $this->_adminService->DeleteResTypes($request->restypeid);
							//break;
						//case 'ADD'	:
							//$addDiscount = $this->_adminService->AddDiscountMode($request);
							//if($addDiscount){
							//	break;
							//}else{
								//$this->view->addstatus = 'a';
								//$this->view->dmcode = $request->addcode;
								//$this->view->dmdesc = $request->adddesc;
								//break;
							//}
					}
				}
				if($request->status == 'UPS'){
					$mapper = new Application_Model_DiscountModeDataMapper();
					$add = $mapper->UpdateStatus($request);
				}
				$resDetails = $this->_adminService->GetDiscountMode($page);
				$this->view->addForm = $this->_adminService->getAddDiscountModeForm();
				$this->view->editForm = $this->_adminService->getEditDiscountModeForm();
				$this->view->resDetails = $resDetails;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
			
	}
	
	public function showallclientsAction()
	{
		$this->_helper->layout()->setLayout('adminlayout');
		$auth = Zend_Auth::getInstance();
		if($auth->hasIdentity()){
			$data = array();
			$page = $this->_request->getParam('page');
			if (empty($page)){
				$page = 1;
			}
			$form = $this->_adminService->getEditPasswordForm();
			$serform = $this->_adminService->getViewAllUserSearchForm();
			$request = $this->getRequest();
			if($this->getRequest()->isPost()){
				$data = $this->getRequest()->getPost();
				$serform->populate($data);
				$this->view->serform = $serform;
			}			
			$result = $this->_adminService->viewAllUsers($data,$page);
			$this->view->result = $result;
			$this->view->form = $form;
			$regionBd	= array();
			$cityBd 	= array();
			if($request->state){
				$stateid 	= $request->state;
				$userService= new Application_Service_Client();
				$regionBd  	= $userService->GetRegionByStateId($stateid);
			}
			if($request->region){
				$regionid 	= $request->region;
				$userService= new Application_Service_Client();
				$cityBd  	= $userService->GetCityByRegionId($regionid);
			}
			if($regionBd){
				$serform->region->addMultiOptions($regionBd);
			}
			if($cityBd){
				$serform->city->addMultiOptions($cityBd);
			}
			$this->view->serform = $serform;
			if(isset($request->msg)){
				$msg = $request->msg;
				$this->view->msg = $msg;
			}
			if($request->firstname){
				$this->view->firstname = $request->firstname;
			}
			if($request->lastname){
				$this->view->lastname = $request->lastname;
			}
			if($request->userId){
				$this->view->userId = $request->userId;
			}
			if($request->email){
				$this->view->email = $request->email;
			}
			if($request->status){
				$this->view->status = $request->status;
			}
			if($request->state){
				$this->view->state = $request->state;
			}
			if($request->city){
				$this->view->city = $request->city;
			}
		}else{
			$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
		}
	}
				
			
	public function historyforadmintratorAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$data = array();
				$request = $this->getRequest();
				$result = $this->_adminService->AdminReport($data, $request);
				$Contacts = "";
				$Arr = array();
				$Arr[] = 'Restaurant Id';
				$Arr[] = 'Restaurant Name';
				$Arr[] = 'Restaurant Owner';
				$Arr[] = 'Restaurant Created On';
				$Arr[] = 'Region';
				$Arr[] = 'City';
				$Arr[] = 'Status';
//				$Arr[] = 'Payment profile setup status';
				$Arr[] = 'No of reservations';
				$Arr[] = 'No of covers';
				$Arr[] = 'Reserv';
				$Arr[] = 'Completed';
				$Arr[] = 'Seated';
				$Arr[] = 'Partially seated';
				$Arr[] = 'wipe Ready';
				$Arr[] = 'Cancelled';
				$Arr[] = 'Reschedule';
				$Arr[] = 'Dessert';
				$Arr[] = 'Check Ready';
				$Arr[] = 'Waiting List';
				$Arr[] = 'Blocked';
				$Arr[] = 'No-Show';
				$Arr[] = 'Waiting Status Change';
				$Arr[] = 'Web';
				$Arr[] = 'Walk-In';
				$Arr[] = 'FaceBook';
				
				$Contacts .= join(',',$Arr)."\n";
				if($result['restForm']){
					foreach($result['restForm'] as $key=>$value){
						$Arr = array();
						$Arr[] = $key;
						$Arr[] = $value['resname'];
						$Arr[] = $value['firstname'].' '.$value['lastname'];
						$Arr[] = date('Y-m-d',strtotime($value['createDate']));
						$Arr[] = $value['city'];
						$Arr[] = $value['region'];
						$Arr[] = $value['appstatus'];
//						$Arr[] = $value['respaymentstatus'];
//						$Arr[] =$value['res_payment_mode'];
						$Arr[] = $value['finalcount'];
						$Arr[] = $value['totalpax'];
						$Arr[] = $value['statcount']['10'];
						$Arr[] = $value['statcount']['5'];
						$Arr[] = $value['statcount']['3'];
						$Arr[] = $value['statcount']['8'];
						$Arr[] = $value['statcount']['22'];
						$Arr[] = $value['statcount']['4'];
						$Arr[] = $value['statcount']['9'];
						$Arr[] = $value['statcount']['7'];
						$Arr[] = $value['statcount']['6'];
						$Arr[] = $value['statcount']['11'];
						$Arr[] = $value['statcount']['12'];
						$Arr[] = $value['statcount']['14'];
						$Arr[] = $value['statcount']['15'];
						$Arr[] = $value['modecount']['1'];
						$Arr[] = $value['modecount']['2'];
						$Arr[] = $value['modecount']['6'];
						$Contacts .= join(',',$Arr)."\n";
					}
				}				
				// Output the headers to download the file
				header("Content-type: application/x-msdownload");
				header("Content-Disposition: attachment; filename=AdminReport.csv");
				header("Pragma: no-cache");
				header("Expires: 0");
				echo $Contacts;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function administratorhistoryAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$data = array();
				$form = $this->_adminService->getRestaurantSearchForm();
				if($this->getRequest()->isPost()){
					$posData = $this->getRequest()->getPost();
					$result = $this->_adminService->AdminReport($this->getRequest()->getPost(),$request);
					if($result['status']){
						$this->view->result = $result['restForm'];
					}
					$data = $this->getRequest()->getPost();
					$cityBd=array();
					if($data['region']){
						$citymapper = new Application_Model_CityDataMapper();
						$cityObj = new Application_Model_City();
						$cityObj->setRegionId($data['region']);
						$city = $citymapper->getCityByRegionId($cityObj);
						$cityBd = $city->getCityList();						
					}
					$form->populate($data);
					$form->city->addMultiOptions($cityBd);
					$this->view->form = $form;
					$this->view->startDate = $posData['DP-startDate'];
					$this->view->endDate = $posData['DP-endDate'];
				}else{
					$result = $this->_adminService->AdminReport($data,$request);
					if($result['status']){
						$this->view->result = $result['restForm'];
					}
					$this->view->form = $form;
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}	
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	/**
         * Desc - Action to display restaurant reservation report
         * bitrix Id: #416
         * Administrator_AdministratorController
         * 
         */
        
        public function restaurantreservationreportAction()
        {
            try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
                        $storage = new Zend_Auth_Storage_Session();
                        $sessiondata = $storage->read();
			if($auth->hasIdentity() && $sessiondata['User_Id']==1){			
                                $data = array();
                                $form = $this->_adminService->getCusBookingReportForm();
                                $page = $this->_request->getParam('page');
                                $request = $this->getRequest();
				if (empty($page)){
					$page = 1;
				}
                                if($this->getRequest()->isPost())
                                {         
                                    if($request->formstatus == 'search'){
                                    $posData = $this->getRequest()->getPost();                                    
                                    $result = $this->_adminService->RestaurantReservationReport($this->getRequest()->getPost(),$request, $page);
                                    if($result){
                                                        if(isset($result['result'])){
							$this->view->userbookdetails = $result['result'];
                                                        }
                                                        $this->view->form = $result['form'];							
						}else{							
						        $this->view->searchform = $form;
						}                                   
                                    }                                    
                                                        $this->view->startDate = $posData['DP-startDate'];                                    
                                    if(isset($posData['DP-endDate'])){
				                        $this->view->endDate = $posData['DP-endDate'];
                                    }         
                                }
                                else
                                {
                                $result = $this->_adminService->RestaurantReservationReport($data, $request, $page);    
                                if($result){
							$this->view->userbookdetails = $result['result'];                
							$this->view->searchform = $result['form'];
						}else{							
				                        $this->view->searchform = $form;
						}
                                $this->view->form = $form;    
                                }                                
                        }
                        else
                        {
                               $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));      
                        }                        
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
        }
	
	
	
	public function retrievequerystatusbdAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$enquirystatus = new Application_Model_EnquiryStatusDataMapper();
			$enquries = $enquirystatus->fetchAll();
			$enquirystatusList[] = array('key'=>'','value'=>'Select Status');   	   
    		foreach($enquries as $enquiry){
    			$enquirystatusList[] = array('key'=>$enquiry->getId(),'value'=>$enquiry->getDescription());
    	 	} 
			$jsonObj = json_encode($enquirystatusList);
			echo $jsonObj;
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function updatequerylogAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$result = $this->_adminService->editEnquiryLog($this->getRequest()->getPost(),$data);
					if($result){
						return $this->_helper->_redirector('editreachus','Administrator','Administrator');
					}
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function retrivequerylogAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->getEnquiryLog($request);
			$jsonObj = json_encode($result);
			echo $jsonObj;
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function standardcompensationmanagementAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->manageManualPayment($request);
			$status=false;
			if($result)
			{
				$status=true;
				echo $status;
			}
			else
			{
				echo $status;
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function administerrecommendationsAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			if($auth->hasIdentity()){
				$result = $this->_adminService->ManageSuggestions();
				$this->view->result = $result;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function administerassociategroupAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$request = $this->getRequest();
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$operation = $request->status;
					switch($operation){
						case 'ADD'	:
							$result = $this->_adminService->AddCompany($this->getRequest()->getPost(), $data);
							if(isset($result['form']) && (!$result['status'])){
								$this->view->addForm = $result['form'];
								$this->view->addstatus = 't';
							}else{
								return $this->_helper->_redirector('administerassociategroup','Administrator','Administrator');
							}
							break;
						case 'EDIT'	:
							$result = $this->_adminService->UpdateCompany($this->getRequest()->getPost(), $data);
							if(isset($result['form']) && (!$result['status'])){
								$this->view->addForm = $result['form'];
								$this->view->editstatus = 't';
							}else{
								return $this->_helper->_redirector('administerassociategroup','Administrator','Administrator');
							}
							break;
					}
				}
				if($request->update == "UPDATE"){
					$mapper = new Administrator_Model_CompanyDataMapper();
					$update = $mapper->UpdateStatus($request);
				}				
				$companys = $this->_adminService->GetCompanys($page);
				$this->view->companys = $companys;
				$this->view->addForm = $this->_adminService->getAddCompanyForm();
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function retrieveassociatedetbyidAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->getCompanyDetailsById($request);
			$jsonObj = json_encode($result);
			echo $jsonObj;
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function verifyassociateAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->checkCompanyExist($request);
			$jsonObj = json_encode($result);
			echo $jsonObj;
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function administerpermissionsandrolesAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$request = $this->getRequest();
				$form = $this->_adminService->getAddAdminRoleForm();
				$editform = $this->_adminService->getEditAdminRoleForm();
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				if($this->getRequest()->isPost()){
					$operation = $request->status;
					switch($operation){
						case 'ADD'	:
								$result = $this->_adminService->AddRoleToCompany($this->getRequest()->getPost(), $data);
								if($result['status']){
									break;
								}else if(isset($result['form'])){
									$this->view->addForm = $result['form'];
									$this->view->addstatus = 't';
									break;
								}
						case 'EDIT'	:
								$result = $this->_adminService->UpdateRoleByCompany($this->getRequest()->getPost(), $data);
								if($result['status']){
									break;
								}else if(isset($result['form'])){
									$this->view->addForm = $result['form'];
									$this->view->editstatus = 't';
									break;
								}
					}
				}
				$compNameList = $this->_adminService->getComapnyNameList($data);
				$menumapper = new Application_Model_AdminPermissionsTypeDataMapper();
				$menu = $menumapper->getAdminMenuBD();
				$restUserMenuList = array();
				foreach($menu as $menulist){
					if($menulist->getCode() != "MR" && $menulist->getCode() != 'PS' && $menulist->getCode() != 'MPAY' && $menulist->getCode() != "BV"){
						$restUserMenuList[] = array('key'=>$menulist->getId(),'value'=>$menulist->getDescription());
					}
				}
				$form->permisstionType->addMultiOptions($restUserMenuList);
				$form->company->addMultiOptions($compNameList);
				$editform->editcompany->addMultiOptions($compNameList);
				if($request->companyid){
					$roles = $this->_adminService->getRolesByCompanyId($request->companyid, $page);
					$this->view->roles = $roles;
					$form->setDefaults(array('company'=>$request->companyid));
				}
				$this->view->form = $form;
				$this->view->editform = $editform;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function changerolestatusbyroleidAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$result = $this->_adminService->changeRoleStatusByRoleId($request);
			return $this->_helper->redirector('maintainadminpatrons','Client','User',array('companyid'=>$request->companyid));
	
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function retrieveroleinfobyroleandassociateidAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->getRoleDetailsByRoleandCompanyid($request);
			$jsonObj = json_encode($result);
			echo $jsonObj;
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function administratorrolenameverifyAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->adminRoleNameCheck($request);
			if($result){
				echo "t";
			}else{
				echo "f";
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function retrieverolesbyassociateAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->getRolesByCompany($request);
			$jsonObj = json_encode($result);
			echo $jsonObj;
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function retrievepermitlistAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->getPermissionsList($request);
			if($result){
				echo json_encode($result);
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function administerfirmpatronsAction()
	{
		$this->_helper->layout()->setLayout('adminlayout');
		$auth = Zend_Auth::getInstance();
		if($auth->hasIdentity()){
			$data = array();
			$page = $this->_request->getParam('page');
			if (empty($page)){
				$page = 1;
			}
			$form = $this->_adminService->getEditPasswordForm();
			$serform = $this->_adminService->getRestOwnerSearchForm();
			$request = $this->getRequest();
			if($this->getRequest()->isPost()){
				$data = $this->getRequest()->getPost();
				$serform->populate($data);
				$this->view->serform = $serform;
			}			
			$result = $this->_adminService->manageRestaurantUsers($data,$page);
			
			$this->view->result = $result;
			$this->view->form = $form;
			$regionBd	= array();
			$cityBd 	= array();
			if($request->state){
				$stateid 	= $request->state;
				$userService= new Application_Service_Client();
				$regionBd  	= $userService->GetRegionByStateId($stateid);
			}
			if($request->region){
				$regionid 	= $request->region;
				$userService= new Application_Service_Client();
				$cityBd  	= $userService->GetCityByRegionId($regionid);
			}
			if($regionBd){
				$serform->region->addMultiOptions($regionBd);
			}
			if($cityBd){
				$serform->city->addMultiOptions($cityBd);
			}
			$this->view->serform = $serform;
			if(isset($request->msg)){
				$msg = $request->msg;
				$this->view->msg = $msg;
			}
			if($request->firstname){
				$this->view->firstname = $request->firstname;
			}
			if($request->lastname){
				$this->view->lastname = $request->lastname;
			}
			if($request->userId){
				$this->view->userId = $request->userId;
			}
			if($request->email){
				$this->view->email = $request->email;
			}
			if($request->status){
				$this->view->status = $request->status;
			}
			if($request->state){
				$this->view->state = $request->state;
			}
			if($request->city){
				$this->view->city = $request->city;
			}
		}else{
			$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
		}
	}
	
	public function getrestaurantuserdetailsAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->getrestaurantuserdetails($request);
			$jsonObj = json_encode($result);
			echo $jsonObj;
		}catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}
	}
	
	public function editrestaurantuserdetailsAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$resultset = $this->_adminService->EditRestaurantOwnerDetails($request);
			$jsonObj = json_encode($resultset);
			echo $jsonObj;
//			$this->_helper->redirector('administerfirmpatrons','Administrator','Administrator');
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function editsourceofuserAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$resultset = $this->_adminService->EditSourceofRestaurant($request);
			$msg = $this->_adminService->UpdateRestaurantUserStatus($request);
			$jsonObj = json_encode($msg);
			echo $jsonObj;
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function updateuserstatusAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$msg = $this->_adminService->UpdateRestaurantUserStatus($request);
				$jsonObj = json_encode($msg);
				echo $jsonObj;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function updateallemailsandpasswordsAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$resultset = $this->_adminService->EditCusEmailAndPassword($request);
			$jsonObj = json_encode($resultset);
			echo $jsonObj;
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function createfirmownerbyadministratorpatronAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			if($this->getRequest()->isPost()){
				$result = $this->_adminService->RegisterRestaurantOwnerByAdminUser($this->getRequest()->getPost());
				if($result['status']){
					return $this->_helper->redirector('editfirmproprietor','Administrator','Administrator');
				}else if($result['form']){
					$this->view->form = $result['form'];
				}
			}else{
				$this->view->form = $this->_adminService->getAddRestaurantOwnerForm();
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function firminfosnewlocalityAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$this->_helper->layout->disableLayout();
				$this->_helper->viewRenderer->setNoRender();
				$request = $this->getRequest();
				$restDetails = $this->_adminService->GetRestaurantNewLocationDetails($request);
				echo json_encode($restDetails);
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	

	public function retrievecompensationreportAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$this->_helper->layout->disableLayout();
				$this->_helper->viewRenderer->setNoRender();
				$request = $this->getRequest();
				$payHistory = $this->_adminService->getPaymentHistory($request);
				echo json_encode($payHistory); 
			}else{
				$this->_redirect('signin','Login','User');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function updatecompensationdescriptionAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$this->_helper->layout->disableLayout();
				$this->_helper->viewRenderer->setNoRender();
				$request = $this->getRequest();
				$payDescUpdt = $this->_adminService->payDescriptionUpdate($request);
				$updateDescStatus=false;
				if($payDescUpdt)
				{
					$updateDescStatus=true;
					echo $updateDescStatus; 
				}
				else
				{
					echo $updateDescStatus; 
				}
			}else{
				$this->_redirect('signin','Login','User');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function smscreditsreportAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
	         $data = array();
			 $page = $this->_request->getParam('page');
			 if (empty($page)){
				$page = 1;
			 }
			 $request = $this->getRequest();
			 if($request->msg){
			 	$this->view->msg = true;
			 }
	         $resultSet = $this->_adminService->GetAllRestaurantCreditDetails($page,$data);
			 $this->view->resultSet = $resultSet;
			 
			}else{
					$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
		}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function postcreditsonrequestAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$resultset = $this->_adminService->PostCreditsOnRequest($request);
			if($resultset){
				echo json_encode($resultset);
			}else{
				echo json_encode('f');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function savesmscreditstatusAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$resultset = $this->_adminService->SaveSmsCreditStatus($request);
			if($resultset){
				echo json_encode($resultset);
			}else{
				echo json_encode('f');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function createsubscribedfirmAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$this->_helper->layout()->setLayout('adminlayout');			
				$request = $this->getRequest();	
				/* Populating Restaurant owners */
		    	$resownerMapper  = new User_Model_ManagerDataMapper();
		    	$resOwners = $resownerMapper->fetchAll();
		    	$this->view->resowners = $resOwners;
		    	
		    	$userservice = new Application_Service_Client();
		    	$form = $userservice->getRestaurantOwnerForm();
		    	$this->view->form = $form;
		    	
//				$CountryCodeMapper = new Application_Model_CountryCodeDataMapper();
//		    	$CountryCode = $CountryCodeMapper->fetchAll();
//		    	$CodeList = array();
//		    	$CodeList[] = array('key'=>'','value'=>'Select Country Flag');
//		    	foreach($CountryCode as $listcode){
//		    		$CodeList[] = array('key'=>$listcode->getCountry_dial_code(),'value'=>$listcode->getCountry_flag());
//		    	}			    	
//		    	$this->view->codelist = $CodeList;
		    	
				if(isset($request->userid)){
					$data['restownerId'] = $request->userid;
					$rsoMapper = new User_Model_ManagerDataMapper();
					$table 	   = $rsoMapper->getDbTable();
					$select    = $table->select();
					$select->setIntegrityCheck(false);
					$select->from($table,array('rsofk_salution','rsofirst_name','rsolast_name','rsophone','rsostateid','rsocityid','rsoregionid','rso_companyid','presid','defaultview'))
							->join(array('mt.restaurant'),'resfk_user = rsofk_user',array('resid'))
							->where('rsofk_user = ?',$request->userid)   
							->where('resstatus = ?',1);
					$row       = $table->fetchRow($select);
					if($row->resid != null){
						if($row->presid != null){
							$data['RestId'] = $row->presid;
						}else{
							$data['RestId'] = $row->resid;
						}
						$restNameByOwnObj = new FirmManagement_Model_FirmNamesByOwnerId();
						$restNameByOwnObj->setRestOwnerId($request->userid);
						$restMapper = new FirmManagement_Model_FirmDataMapper();
						$restList   = $restMapper->getRestaurantNamesByOwnerId($restNameByOwnObj);
						$data['restList'] = $restList;
					}else{
						$data['RestId'] = "";
						$data['restList'] = "";
					}
					$storage->write($data);	
					if($data['companyid'] != 6){				
						return $this->_helper->redirector('addfirm','Firm','FirmManagement');
					}else{
						return $this->_helper->redirector('addroundmenufirm','Firm','FirmManagement');
					}
				}else{
					if($this->getRequest()->isPost()){
						
						$result = $userservice->RegisterRestaurantOwner($this->getRequest()->getPost());
						if($result['status']){						
							$data['restownerId'] = $result['userid'];
							$storage->write($data);
							if($data['companyid'] != 6){				
								return $this->_helper->redirector('addfirm','Firm','FirmManagement');
							}else{
								return $this->_helper->redirector('addroundmenufirm','Firm','FirmManagement');
							}
						}else if($result['form']){
							$this->view->form = $result['form'];
							$this->view->errors  = $form;
						}
					}
				}								
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function createnewassociategroupAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){					
					$result = $this->_adminService->AddCompany($this->getRequest()->getPost(), $data);
					if(isset($result['form']) && (!$result['status'])){
						$this->view->addForm = $result['form'];
					}else{
						return $this->_helper->_redirector('maintainadminpatrons','Client','User');
					}					
				}else{				
					$this->view->addForm = $this->_adminService->getAddCompanyForm();
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function retrieveinfobystateidAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$resultset = $this->_adminService->GetdetailsofStatebyid($request);
			if($resultset){
				echo json_encode($resultset);
			}else{
				echo json_encode('f');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function emailblastnotificationsAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
	         $page = $this->_request->getParam('page');
			 if (empty($page)){
				$page = 1;
			 }
			 $request = $this->getRequest();
			 $resultSet = $this->_adminService->GetAllRestaurantEmailBlastDetails($page);
			 $this->view->resultSet = $resultSet;
			 
			}else{
					$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
		}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}	
	
	public function connoisseurserviceAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
		        $storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$companyid = $data['companyid'];
				$page = $this->_request->getParam('page');
				 if (empty($page)){
					$page = 1;
				 }
				 $request = $this->getRequest();
				 $form = $this->_adminService->getCompanyInatReservationsForm();
				 $this->view->form = $form;
				 $this->view->companyid = $companyid;
				 $formdata = array();
				 if($this->getRequest()->isPost()){
					$formdata = $this->getRequest()->getPost();
					$form->populate($formdata);
					$this->view->form = $form;
				 }
	 			 $resultSet = $this->_adminService->GetReservationAndRestListbyCompanyid($formdata, $companyid, $page);	
		    	 $this->view->resList	=  $resultSet['resList'];
	    	 	 if(isset($formdata['tabNumber'])){
		    	 	$this->view->tabNumber = $formdata['tabNumber'];
				 }
				if(isset($formdata['booksorton'])){
				 	$this->view->booksorton = $formdata['booksorton'];
			 	 }
				 $stateBd = array();
				 $cityBd=array();
			 	 if(isset($formdata['resCountry']) && $formdata['resCountry'] != ''){
					$statemapper = new Application_Model_RegionDataMapper();
					$stateObj = new Application_Model_Region();
					$stateObj->setStateId($formdata['resCountry']);
					$state = $statemapper->getRegionByStateId($stateObj);
					$stateBd = $state->getRegionList();		
				 	if($formdata['resState'] != ''){
						$citymapper = new Application_Model_CityDataMapper();
						$cityObj = new Application_Model_City();
						$cityObj->setRegionId($formdata['resState']);
						$city = $citymapper->getCityByRegionId($cityObj);
						$cityBd = $city->getCityList();						
					}				
				 }
				 
				 $form->populate($formdata);
				 $form->resState->addMultiOptions($stateBd);
				 $form->resCity->addMultiOptions($cityBd);
				 if(count($resultSet['restForm']) > 0){
				 	$this->view->resultSet = $resultSet['restForm'];
				 }
				 if($resultSet['dates']){
				 	$dates	= $resultSet['dates']; 
				 	$this->view->fromdate = $dates['StartDate'];
				 	if(isset($dates['EndDate'])){
				 		$this->view->todate = $dates['EndDate'];
				 	}
				 }
				 $reservationForm = new Application_Service_Reservation();
				 $makeresform = $reservationForm->getMakeReservationForm();
				 $this->view->MakeResForm   = $makeresform;
				 $CountryCodeMapper = new Application_Model_CountryCodeDataMapper();
		    	 $CountryCode = $CountryCodeMapper->fetchAll();
		    	 $CodeList = array();
		    	 $CodeList[] = array('key'=>'','value'=>'Select Country Flag');
		    	 foreach($CountryCode as $listcode){
		    		$CodeList[] = array('key'=>$listcode->getCountry_dial_code(),'value'=>$listcode->getCountry_flag());
		    	 }			    	
		    	$this->view->codelist = $CodeList;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}	
	
	public function updateinatreservoperationsAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$resultset = $this->_adminService->saveInatReserveOperations($request);
			if($resultset){
				echo json_encode($resultset);
			}else{
				echo json_encode('f');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
/**
	 * 	auto refresh to retreive the reservations of the company restaurants using ajax call
	 */
	public function ajaxconnoisseurserviceAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
                        $pageNo = $request->ajaxpage;
                        if($pageNo==null)
                             {
                             $pageNo=1;
                             }
                         $perPage = 12;
                         $pageOffset = ($pageNo*$perPage)-($perPage);
			$results = $this->_adminService->AjaxConnoisseurService($request, $pageOffset, $perPage);
			echo $results;
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function updateresownerprofilebyadminAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$result = $this->_adminService->UpdateResOwnerProfile($request);
			if($result){
				echo json_encode($result);
			}else{
				echo json_encode('f');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function emailmarketnotificationsAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
	         $page = $this->_request->getParam('page');
			 if (empty($page)){
				$page = 1;
			 }
			 $form = $this->_adminService->getEmailMarketSearchForm();
			 $data = array();
			 if($this->getRequest()->isPost()){
				$data = $this->getRequest()->getPost();
				$form->populate($data);
				$this->view->form = $form;
				$this->view->startDate = $data['DP-startDate'];
				$this->view->endDate = $data['DP-endDate'];
			 }else{
			 	 $this->view->form = $form;
			 }
			
			 $resultSet = $this->_adminService->GetAllRestaurantEmailMarketDetails($page,$data);
			 $this->view->resultSet = $resultSet;
			 
			}else{
					$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
		}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}	
	
/**
	 * action to download the excel for restaurant contacts 
	 */
	public function uploademailmarketexcelAction()
	{
		$this->_helper->layout->disableLayout();
		$this->_helper->viewRenderer->setNoRender();
		$request = $this->getRequest();
		$file = '';
		if($request){
			$tempid = $request->tempid;
			$resultSet = $this->_adminService->getExcelPathByTempid($tempid);
			if($resultSet){
				$file = $resultSet;
				$size = filesize($file);	
			}
			if (file_exists($file))
			{
				header("Content-type: application/force-download");
				header("Content-Transfer-Encoding: Binary");
				header('Content-Length: '.$size);
				header("Content-disposition: attachment; filename=".basename($file));
				readfile($file);	
			}else{
				echo "Excel Not Available.";
			}			
		}
	}
	
	public function emailmarketstatusbdAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$emailmarket = new Administrator_Model_EmailMarketStatusDataMapper();
			$resultset = $emailmarket->fetchAll();
			$emailmarketList[] = array('key'=>'','value'=>'Select Status');   	   
    		foreach($resultset as $result){
    			$emailmarketList[] = array('key'=>$result->getId(),'value'=>$result->getDescription());
    	 	} 
			$jsonObj = json_encode($emailmarketList);
			echo $jsonObj;
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	
	public function updateemailmarketlogAction()
	{
		try{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				if($this->getRequest()->isPost()){
					$result = $this->_adminService->editEmailMarketLog($this->getRequest()->getPost(),$data);
					if($result){
						return $this->_helper->_redirector('emailmarketnotifications','Administrator','Administrator');
					}
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function getemailmarketlogAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->getEmailmarketLogByID($request);
			$jsonObj = json_encode($result);
			echo $jsonObj;
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	/**
	 * MANAGE THE EMAIL TEMPLATES 
	 */
	public function manageemailtemplatesAction()
	{
		try
		{
			$this->_helper->layout()->setLayout('adminlayout');
			$auth = Zend_Auth::getInstance();
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			if($auth->hasIdentity()){
				$userid = $data['User_Id'];
				if($userid==1)
				{
					$this->view->pageStatus = true;
					$request = $this->getRequest();
					$page = $request->page;
					$templates = $this->_adminService->manageEmailTemplates($page);
					$this->view->templates = $templates;
				}
				else
				{
					$this->view->pageStatus = false;
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}
		catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	/**
	 * GET EMAIL TEMPLATE BY ID
	 */
	public function getemailtemplatebyidAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->getEmailTemplatesById($request);
			$jsonObj = json_encode($result);
			echo $jsonObj;
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
		
	}

	/**
	 * EDIT THE EMAIL TEMPLATE
	 */
	public function editemailtemplateajaxAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->editEmailTemplatesById($request);
			$jsonObj = json_encode($result);
			echo $jsonObj;
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	/**
	 * ADD EMAIL TEMPLATE
	 */
	public function addemailtemplateajaxAction()
	{
		try
		{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->addEmailTemplates($request);
			$jsonObj = json_encode($result);
			echo $jsonObj;
		}
		catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	/**
	 * UPDATE THE DATA
	 */
	public function updatetemplatebdajaxAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$result = $this->_adminService->updateTeplateBdById($request);
			$jsonObj = json_encode($result);
			echo $jsonObj;
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	/**ADD SMS CREDITS BY RESID**/
	public function addsmscreditsbyresidAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			if($request->isPost())
			{
				$resid = $request->resid;
				$creditCount = $request->creditCount;
				if((isset($resid))&&(isset($creditCount)))
				{
					$result = $this->_adminService->addSMSCreditsByResid($resid,$creditCount);
				    echo json_encode(array("status"=>$result));;
				}
				else
				{
					echo json_encode(array("status"=>false));
				}
			}
			else
			{
				echo json_encode(array("status"=>false));
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	public function livereservationsAction()
	{
		try
		{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$this->_helper->layout()->setLayout('webviewlayout');
				$data = $this->_adminService->getLiveReservationsCount();
				$this->view->data = $data;
			}
			else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}
		catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
}