<?php
class Administrator_Form_AddAdminRole extends Zend_Form
{
    public function init()
    {
     	$menumapper = new Application_Model_AdminPermissionsTypeDataMapper();
        $menu = $menumapper->getAdminMenuBD();
    	$restUserMenuList = array();
    	foreach($menu as $menulist){
    		if($menulist->getCode() != "MR" && $menulist->getCode() != 'PS' && $menulist->getCode() != 'MPAY' && $menulist->getCode() != "BV"){
    			$restUserMenuList[] = array('key'=>$menulist->getId(),'value'=>$menulist->getDescription());
    		}
    	}
    	
    	$checkboxarr = $this->createElement('hidden','checkboxarr');
    	$checkboxarr->removeDecorator('HtmlTag')
    		  		 ->removeDecorator('Label');
    	
    	$companyName = $this->createElement('select','companyName');
		$companyName->removeDecorator('Label')
				->removeDecorator('HtmlTag')
				->setAttrib('class','sel1 required')
				->setRegisterInArrayValidator(false)					
				->setRequired(true);
					
		$rolename = $this->createElement('text','rolename');
    	$rolename->removeDecorator('Label')
    		 	 ->removeDecorator('HtmlTag')
    		 	 ->setAttrib('class','inp1 required')
    		 	 ->setAttrib('style','width:367px;height:40px;')
    		 	 ->setAttrib('placeholder','Role Name*')
    		 	 ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter Role Name.'))))
    		 	 ->setAttrib('maxlength', '30')
    		 	 ->setRequired(true);

    	$roledesc = $this->createElement('textarea','roledesc');
    	$roledesc->removeDecorator('Label')
	    		 ->removeDecorator('HtmlTag')
	    		 ->setAttrib('class','inp1 required')
	    		 ->setAttrib('style','width:367px;height:50px;')
	    		 ->setAttrib('placeholder','Role Description*')
	    		 ->setAttrib('cols', '40')
				 ->setAttrib('rows', '4')
	    		 ->setAttrib('maxlength', '200')
	    		 ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter Role Description.'))))
	    		 ->setRequired(true);
        
		$permisstionType = $this->createElement('select','permisstionType');
        $permisstionType->removeDecorator('Label')
         			 ->removeDecorator('HtmlTag')
         			 ->setAttrib('class','sel1 required')
         			 ->setAttrib('multiple', 'multiple')
         			 ->addMultiOptions($restUserMenuList)
         			 ->setRegisterInArrayValidator(false)
         			 //->setRequired(true)
         			 ->size=5;
              
         $this->addElements( array (
        					$companyName,
                            $rolename,
                            $roledesc,
                            $checkboxarr,
                            $permisstionType                    
                            )
                );
    }
}