<?php

class Administrator_Form_AddPaymentPlan extends Zend_Form
{

    public function init()
    {

    	$i = 1;
    	$durationArray = array();
    	$durationArray[] = array('key'=>'','value'=>'Select Duration');
    	for($i;$i<25;$i++){
    		$durationArray[] = array('key'=>$i,'value'=>$i);
    	}
    	
    	$planTitle = $this->createElement('text','planTitle');
		$planTitle->removeDecorator('Label')
        		  ->removeDecorator('HtmlTag')
        		  ->setAttrib('maxlength', '100')
        		  ->setAttrib('class','inp1')
        		  ->addFilters(array('StringTrim'))
        		  ->addValidator('StringLength', false,array(0,100))
        		  ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter Subscription Plan Title.'))))
        		  ->setValue('')
        		  ->setRequired(true);
        			    
    	$planDesc = $this->createElement('textarea','planDesc');
		$planDesc->removeDecorator('Label')
		 		 ->removeDecorator('HtmlTag')
				 ->setValue('')              
                 ->setAttrib('cols', '40')
			     ->setAttrib('rows', '5')
			     ->addFilters(array('StringTrim'))
			     ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please Enter Subscription Plan Description.'))))
			     ->setRequired(true);
			     
			     
		$planDuration = $this->createElement('select','planDuration');
		$planDuration->removeDecorator('Label')
        			 ->removeDecorator('HtmlTag')
        			 ->setAttrib('maxlength', '100')
        			 ->setAttrib('class','sel1')
        			 ->addMultiOptions($durationArray)        			    
        			 ->setValue('')
        			 ->setRequired(true);
        
        			 
        $planAmount = $this->createElement('text','planAmount');
		$planAmount->removeDecorator('Label')
			       ->removeDecorator('HtmlTag')        			     
        	       ->setAttrib('class','inp1')
                   ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter your Plan Amount.')),
      				 				array('StringLength', false,array(0,5))))
      				 ->addValidator('Digits',new Zend_Validate_Digits(),array('messages' => 'Please enter Numbers only'))
                   ->addFilters(array('StringTrim'))
                   ->setRequired(true);
               
    	                   
		$this->addElements( array ($planTitle,
								   $planDesc,
								   $planDuration,
								   $planAmount
								   ));                           	        
    }
}
