<?php

class Administrator_Form_CompanyRestInatReservationsSearch extends Zend_Form
{

    public function init()
    {
    	$this->setAttrib('enctype', 'multipart/form-data');
    	/* Populating Country Base Data */
    	
    	$countryMapper  = new Application_Model_StateDataMapper();
    	$countrys = $countryMapper->fetchAll();
    	$countryList = array();  
    	$countryList[] = array('key'=>'','value'=>'Select Country');  	   
    	foreach($countrys as $country){
    		$countryList[] = array('key'=>$country->getId(),'value'=>$country->getDescription());
    	} 
    	
    	/* Populating Reservation  Status */
  	    $bookStaLst = array();
    	$bookStaLst[0]    = array('key'=>'','value'=>'Select Status');
    	$bookStaLst[1]    = array('key'=>1,'value'=>'Notified',);
    	$bookStaLst[2]    = array('key'=>2,'value'=>'Phone Not Receiving');
    	$bookStaLst[3]    = array('key'=>3,'value'=>'Wrong Number');
    	
    	$reservdateType = array();
    //	$reservdateType[0]    = array('key'=>'','value'=>'Select Date Type');
    	$reservdateType[1]    = array('key'=>1,'value'=>'Created Date',);
    	$reservdateType[2]    = array('key'=>2,'value'=>'Reservation Date');
    	
    	
    	$companyList = array();
    	$companyMapper = new Administrator_Model_CompanyDataMapper();
    	$companyList = $companyMapper->getAllComapnyList();    	
    	
        $restId = $this->createElement('text','restId');
    	$restId->removeDecorator('Label')
    			 ->setAttrib('class','inp1 form input_form' )
    			 ->setAttrib('placeholder','Restaurant Id' )
    			 ->setAttrib('Title','Restaurant Id' )
        		 ->removeDecorator('HtmlTag')
        		 ->setAttrib('maxlength', '6')
//        	     ->setAttrib('style','width:160px;height:25px')   
        		  ->addValidator('Digits',new Zend_Validate_Digits(),array('messages' => 'Please enter Numbers only'))
        		 ->setValue('');
    	
    	$restName = $this->createElement('text','restname');
    	$restName->removeDecorator('Label')
    			 ->setAttrib('class','inp1 form input_form')
    			 ->setAttrib('placeholder','Restaurant Name' )
    			 ->setAttrib('Title','Restaurant Name' )
//    		     ->setAttrib('style','width:160px;height:25px')   
        		 ->removeDecorator('HtmlTag')
        		 ->addFilters(array('StringTrim'))
        		 ->setValue('');

         $resCountry = $this->createElement('select', 'resCountry');
         $resCountry->removeDecorator('Label')
         		 ->removeDecorator('HtmlTag') 
         		 ->setAttrib('class','drpDown form input_form') 
         		 ->setAttrib('title','Country' )
//         		 ->setAttrib('style','width:160px')     	     
        	     ->addMultiOptions($countryList);
		
        $resState = $this->createElement('select', 'resState');
        $resState->removeDecorator('Label')
         		 ->removeDecorator('HtmlTag') 
         		 ->setAttrib('class','form drpDown input_form') 
         		 ->setAttrib('title','State' )
//         		 ->setAttrib('style','width:160px')
         		 ->setRegisterInArrayValidator(false);
         
        	     
	 	$resCity = $this->createElement('select', 'resCity');
        $resCity->removeDecorator('Label')
         		 ->removeDecorator('HtmlTag') 
         		 ->setAttrib('class','form drpDown input_form')
         		 ->setAttrib('title','City' ) 
//         		 ->setAttrib('style','width:160px')
         		 ->setRegisterInArrayValidator(false);
             	              

		 $bookStatus = $this->createElement('select','bookStatus');
		 $bookStatus->removeDecorator('Label')
         		    ->removeDecorator('HtmlTag')
//         		    ->setAttrib('style','width:160px') 
         		    ->setAttrib('title','Booking Status' )
         		    ->setAttrib('class','drpDown form input_form')       	     
        	        ->addMultiOptions($bookStaLst);
        	        
         $reservDateType = $this->createElement('select','reservDateType');
		 $reservDateType->removeDecorator('Label')
         		    ->removeDecorator('HtmlTag')
//         		    ->setAttrib('style','width:160px')
         		    ->setAttrib('title','Reservation Type' ) 
         		    ->setAttrib('class','drpDown form input_form')       	     
        	        ->addMultiOptions($reservdateType);
        	        
        	        
        $startDate = $this->createElement('text','startDate');
		$startDate->removeDecorator('Label')
				  ->removeDecorator('HtmlTag')
				  ->setAttrib('class','inp1 datepicker form input_form')
				  ->setAttrib('placeholder','Start Date' )
				  ->setAttrib('title','Start Date' )
				  ->setAttrib('readonly','readonly')
//			      ->setAttrib('style','width:160px;height:25px')   
				  ->addFilters(array('StringTrim'))
				  ->addValidators(array
        	 				  (array('NotEmpty', true, array('messages' => 'Please select StartDate'))))
				  ->setRequired(false);
					  
		$endDate = $this->createElement('text','endDate');
		$endDate->removeDecorator('Label')
				->removeDecorator('HtmlTag')
				->setAttrib('class','inp1 datepicker2 form input_form')
				->setAttrib('placeholder','End Date' )
    			->setAttrib('title','End Date' )
				->setAttrib('readonly','readonly')
//			    ->setAttrib('style','width:160px;height:25px')   
				->addFilters(array('StringTrim'))
				->addValidators(array
        	 				  (array('NotEmpty', true, array('messages' => 'Please select EndDate.'))))
				->setRequired(false);
				
		$rguEmail = $this->createElement('text','rguEmail');
    	$rguEmail->removeDecorator('Label')
    			 ->setAttrib('class','inp1 form input_form')
    			 ->setAttrib('placeholder','Patron Email' )
    			 ->setAttrib('title','Patron Email' )
    		 //    ->setAttrib('style','width:160px;height:25px')   
        		 ->removeDecorator('HtmlTag')
        		 ->addFilters(array('StringTrim'))
        		 ->setValue('');
        		 
        $rguPhone = $this->createElement('text','rguPhone');
    	$rguPhone->removeDecorator('Label')
    			 ->setAttrib('class','inp1 form input_form')
    			 ->setAttrib('placeholder','Patron Phone' )
    			 ->setAttrib('title','Patron Phone' )
//    		     ->setAttrib('style','width:160px;height:25px')   
        		 ->removeDecorator('HtmlTag')
        		 ->addFilters(array('StringTrim'))
        		 ->setValue('');
        		 
        $rguName = $this->createElement('text','rguName');
    	$rguName->removeDecorator('Label')
    			 ->setAttrib('class','inp1 form input_form')
    			 ->setAttrib('placeholder','Patron Name' )
    			 ->setAttrib('title','Patron Name' )
//    		     ->setAttrib('style','width:160px;height:25px')   
        		 ->removeDecorator('HtmlTag')
        		 ->addFilters(array('StringTrim'))
        		 ->setValue('');
 	        		 		                  
		 $resSearch = $this->createElement('submit','search');
         $resSearch->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Search')           		          		        		
        		   ->setAttrib('class','submitBtn')
                   ->setIgnore(true);
                   
		$this->addElements( array ($restId,
								   $restName,
								   $resCountry,
		                           $resState,
								   $resCity,
								   $bookStatus,
								   $startDate,
								   $endDate,
								   $rguEmail,
								   $rguPhone,
								   $rguName,
								   $reservDateType,
								   $resSearch));                           	        
    }


}

