<?php
class Administrator_Form_EditAdminRole extends Zend_Form
{
    public function init()
    {
    	$editcheckboxarr = $this->createElement('hidden','editcheckboxarr');
    	$editcheckboxarr->removeDecorator('HtmlTag')
    		  		 ->removeDecorator('Label');
    		  		 
		$roleid = $this->createElement('hidden','roleid');
    	$roleid->removeDecorator('HtmlTag')
    		   ->removeDecorator('Label');	    		  		 
    	
    	$editcompanyName = $this->createElement('select','editcompanyName');
		$editcompanyName->removeDecorator('Label')
				->removeDecorator('HtmlTag')
				->setAttrib('class','sel1 required')
				->setRegisterInArrayValidator(false)					
				->setRequired(true);
					
		$editrolename = $this->createElement('text','editrolename');
    	$editrolename->removeDecorator('Label')
    		 	 ->removeDecorator('HtmlTag')
    		 	 ->setAttrib('class','inp1 required')
    		 	 ->setAttrib('style','width:367px;height:40px;')
    		 	 ->setAttrib('placeholder','Role Name*')
    		 	 ->setAttrib('readonly','readonly')
    		 	 ->setAttrib('maxlength', '30')
    		 	 ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter Role Name.'))))
    		 	 ->setRequired(true);

    	$editroledesc = $this->createElement('textarea','editroledesc');
    	$editroledesc->removeDecorator('Label')
	    		 ->removeDecorator('HtmlTag')
	    		 ->setAttrib('class','inp1 required')
	    		 ->setAttrib('style','width:367px;height:50px;')
	    		 ->setAttrib('placeholder','Role Description*')
	    		 ->setAttrib('cols', '40')
				 ->setAttrib('rows', '4')
	    		 ->setAttrib('maxlength', '200')
	    		 ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter Role Description.'))))
	    		 ->setRequired(true);
        
              
         $this->addElements( array (
        					$editcompanyName,
                            $editrolename,
                            $editroledesc,
                            $editcheckboxarr,
                            $roleid                   
                            )
                );
    }
}