<?php
class Administrator_Form_EditCampImage extends Zend_Form
{

	public function init()
    {
    	$this->setAttrib('enctype', 'multipart/form-data');
    	
    	$camName = $this->createElement('hidden','campId');
    	$camName->removeDecorator('DtDdWrapper')
			  	->removeDecorator('Label')
			  	->removeDecorator('HtmlTag');
    	
		$campName = $this->createElement('hidden','campaignName');
    	$campName->removeDecorator('DtDdWrapper')
			  	->removeDecorator('Label')
			  	->removeDecorator('HtmlTag');
			  	
		$price = $this->createElement('hidden','priceId');
    	$price->removeDecorator('DtDdWrapper')
			  	->removeDecorator('Label')
			  	->removeDecorator('HtmlTag');
			  	
    	$retsurantimage = $this->createElement('hidden','campName');
    	$retsurantimage->removeDecorator('DtDdWrapper')
					  	->removeDecorator('Label')
					  	->removeDecorator('HtmlTag');
    	
    	
    	$campImage = $this->createElement('file','campImage');
		$campImage->removeDecorator('Label')
			      ->removeDecorator('HtmlTag')
			      ->setAttrib('class','inp1')			     
			      ->setRequired(false)
			      ->addValidator('FilesSize', false, array('min' => '1kB', 'max' => '100kB'))
			      ->addValidator('Extension', false,array('jpg,png','messages' => 'Please select jpg or png images only'));
			      
		$billingAddress = $this->createElement('textarea','campaignDesc');
		$billingAddress->removeDecorator('Label')
		 				->removeDecorator('HtmlTag')
					  ->setValue('')              
                	  ->setAttrib('cols', '20')
			          ->setAttrib('rows', '3')
			          ->addFilters(array('StringTrim'))
			          ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please Enter Campaign Description.'))))
			          ->setRequired(true);
		
		$campaignWebsite = $this->createElement('text','campaignWebsite');
        $campaignWebsite->removeDecorator('Label') 
                   		->removeDecorator('HtmlTag')               	
	        	        ->setAttrib('class','inp1')              
	                    ->setAttrib('maxlength', '255')
	                    ->addFilters(array('StringTrim'))
//	                     ->addValidator('regex', false, '/^[a-zA-Z0-9._-]+\.[a-zA-Z]{2,6}$/')
	                    //->addValidators(new Zend_Validate_Callback(array(Zend_Uri::check())))
	                    ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please Enter Link.'))))
	                    ->setValue('')              
	                    ->setRequired(false);
                	
			     
		$this->addElements( array ($camName,
								   $retsurantimage,
								   $billingAddress,
								   $price,
								   $campaignWebsite,
								   $campName,
								   $campImage
								 ));
    	
    }
}