<?php
class Administrator_Form_EditCampPlanLocation extends Zend_Form
{

	public function init()
    {
    	
    	$stateMapper  = new Application_Model_StateDataMapper();
    	$states = $stateMapper->fetchAll();
    	$stateList = array();  
    	$stateList[] = array('key'=>'','value'=>'Select State');  	   
    	foreach($states as $state){
    		$stateList[] = array('key'=>$state->getId(),'value'=>$state->getDescription());
    	}
    	
    	
    	$this->setAttrib('enctype', 'multipart/form-data');
    	
    	$camName = $this->createElement('hidden','campId');
    	$camName->removeDecorator('DtDdWrapper')
			  	->removeDecorator('Label')
			  	->removeDecorator('HtmlTag');
    	
		$price = $this->createElement('hidden','priceId');
    	$price->removeDecorator('DtDdWrapper')
			  	->removeDecorator('Label')
			  	->removeDecorator('HtmlTag');
			  	
    	$state = $this->createElement('select','state');
        $state->removeDecorator('Label') 
         		  ->removeDecorator('HtmlTag')
         		  ->setAttrib('class','sel1 drpDown')
         		  ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please select State.'))))       	   
               	  ->addMultiOptions($stateList)
                  ->setRequired(false);
					  
		$region = $this->createElement('select','region');
        $region->removeDecorator('Label') 
         		  ->removeDecorator('HtmlTag')
         		  ->setAttrib('class','sel1 drpDown')
         		  ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please select Region.'))))       	   
               	  ->setRegisterInArrayValidator(false)
         		  ->setRequired(false);           
                  
                  
        $city = $this->createElement('select', 'city');
        $city->removeDecorator('Label')
         		 ->removeDecorator('HtmlTag')
         		 ->setAttrib('class','sel1 drpDown')
         		 ->setRegisterInArrayValidator(false)
         		 ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please select City.'))))       	     
                 ->setRequired(false);
			     
		$this->addElements( array ($camName,
								   $price,
								   $state,
								   $region,
								   $city
								 ));
    	
    }
}