<?php

class Administrator_Form_EmailMarketSearch extends Zend_Form
{

    public function init()
    {
    	$this->setAttrib('enctype', 'multipart/form-data');
    	/* Populating City Base Data */
    	
    	
    	/* Populating Restaurant Approval Status Bd  */
    	
    	$restId = $this->createElement('text','restid');
    	$restId->removeDecorator('Label')
    			 ->setAttrib('class','inp1 form input_form')
    	  		 ->setAttrib('placeholder','Restaurant Id')
    	  		 ->setAttrib('title','Restaurant Id')
        		 ->removeDecorator('HtmlTag')
        		  ->setAttrib('maxlength', '6')
        		  ->addValidator('Digits',new Zend_Validate_Digits(),array('messages' => 'Please enter Numbers only'))
        		 ->setValue('');
    	
    	$restName = $this->createElement('text','restname');
    	$restName->removeDecorator('Label')
    			 ->setAttrib('class','inp1 form input_form')
    		  	 ->setAttrib('placeholder','Restaurant Name')
    		  	 ->setAttrib('title','Restaurant Name') 
        		 ->removeDecorator('HtmlTag')
        		 ->addFilters(array('StringTrim'))
        		 ->setValue('');

        $emailmarket = new Administrator_Model_EmailMarketStatusDataMapper();
		$resultset = $emailmarket->fetchAll();
		$emailmarketList[] = array('key'=>'','value'=>'Select Status');   	   
    	foreach($resultset as $result){
    		$emailmarketList[] = array('key'=>$result->getId(),'value'=>$result->getDescription());
     	} 
     	$emailmarketList[] = array('key'=> 4,'value'=>'Pending');
        		 
        $Status = $this->createElement('select','status');
		$Status->removeDecorator('Label')
         	    ->removeDecorator('HtmlTag')
         	    ->setAttrib('style','width:100%') 
              	->setAttrib('placeholder','Select Status')
         	 	->setAttrib('title','Status') 
         	    ->setAttrib('class','drpDown form input_form')       	     
                ->addMultiOptions($emailmarketList);
        	        
        $resSearch = $this->createElement('submit','search');
        $resSearch->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Search')           		          		        		
        		   ->setAttrib('class','submitBtn')
                   ->setIgnore(true);
                   $startDate = $this->createElement('text','startDate');
		$startDate->removeDecorator('Label')
				  ->removeDecorator('HtmlTag')
				  ->setAttrib('class','inp1 datepicker form input_form')
				  ->setAttrib('placeholder','Start Date' )
				  ->setAttrib('title','Start Date' )
				  ->setAttrib('readonly','readonly')
//			      ->setAttrib('style','width:160px;height:25px')   
				  ->addFilters(array('StringTrim'))
				  ->addValidators(array
        	 				  (array('NotEmpty', true, array('messages' => 'Please select StartDate'))))
				  ->setRequired(false);
					  
		$endDate = $this->createElement('text','endDate');
		$endDate->removeDecorator('Label')
				->removeDecorator('HtmlTag')
				->setAttrib('class','inp1 datepicker2 form input_form')
				->setAttrib('placeholder','End Date' )
    			->setAttrib('title','End Date' )
				->setAttrib('readonly','readonly')
//			    ->setAttrib('style','width:160px;height:25px')   
				->addFilters(array('StringTrim'))
				->addValidators(array
        	 				  (array('NotEmpty', true, array('messages' => 'Please select EndDate.'))))
				->setRequired(false);
                   
		$this->addElements( array ($restId,
								   $restName,
		                           $Status,
		                           $startDate,
		                           $endDate,
								   $resSearch));                           	        
    }


}

