<?php
class Associate_AssociateController extends Zend_Controller_Action
{
	protected $_partnerService = null;

	public function init()
	{
		if(!$this->_partnerService){
			$this->_partnerService	= new Application_Service_Partner();
		}
	}
	
	public function partnersapiAction()
	{
		try{
			header('Access-Control-Allow-Origin: *');
			header('Access-Control-Allow-Methods: GET, POST');
			header("Content-Type: application/json");
						
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			
			$request = $this->getRequest();			
			
			$result = $this->_partnerService->APIAccess($request);
			if($result){
				if($result['status']){
					if($request->apiname === 'authenticatelogin'){
						if($result['status'] == 'Y'){
							Header( 'Location:'. $result['url']);
						}else{
							if (strpos($result['url'],'http://www.DineDesk.com') !== false) {						
								echo json_encode($result);
							}else{
								$url = $result['url'].'?status='.$result['status'].'&message='.$result['message'];
								Header( 'Location: '.$url );
							}
						}
					}else{ 
						echo json_encode($result);
					}
				}else{ 
					echo json_encode($result);
				}
    	    }else{
    	    	echo json_encode(array('f'));
    	    }
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
}