<?php
class Communication_CommunicationController extends Zend_Controller_Action
{
	protected $_commService = null;
	protected $_bookService = null;
	protected $_restService = null;
	public function init()
	{
		if(!$this->_commService){
			$this->_commService	= new Application_Service_Communication();
		}
		if(!$this->_bookService){
			$this->_bookService	= new Application_Service_Reservation();
		}
		if(!$this->_restService){
			$this->_restService	= new Application_Service_Firm();
		}
	
	}
	public function indexAction()
	{
		// action body
	}
	public function postemailAction()
	{
		
			
		if($this->getRequest()->isPost()){
			if($this->_commService->SendMail($this->getRequest()->getPost())){
				$this->view->isSubmit_ = true;
				//return $this->_helper->redirector('restaurantschedule');
			}
		}
	}
	
	public function getinformationAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			if($request){
				$this->_commService->ChangeBokStatusByResponse($request);
			}
		}catch(Exception $ex){
			
		}
	}
	
	public function informfrndsorpartnersAction()
	{
		$this->_helper->layout()->setLayout('emaillayout');
	try{
			
			$request = $this->getRequest();
			$bokid   = $request->bokid;
			$restId = $request->resid;
			$bokStat = $request->bokstat;
			$notstat = $request->notstat;
			$result = $this->_bookService->GetBookingDetailsByPhraseId($bokid);
			$this->view->bookedData = $result;
			$this->view->restaurantid = $restId;
			$this->view->bokStat = $bokStat;
			$this->view->bokid = $bokid;
			$this->view->notstat = $notstat;
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	
	public function informfrndsorpartnersbyemailAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();	
			if($this->_commService->NotifyFriendsByEmail($request)){
				echo json_encode('t');
			}else{
				echo json_encode('f');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	
	public function informfrndsorpartnersemailAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();		
			if($this->_commService->NotifyFriendsEmail($request)){
				$this->view->isSubmit_ = true;
			return 	$this->_helper->redirector('reservationwidgetconfirmation','Reservation','Reservation',array('bokid'=>$request->bokid,'resid'=>$request->resid,'bokstat'=>$request->bokstat));
			}

		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
		
	}
	
	public function reservationwidgetinformfrndsAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			$request = $this->getRequest();
			$bokid   = $request->bokid;
			$restId = $request->restid;
			$bokStat = $request->bokstat;
			$result = $this->_bookService->GetBookingDetailsByPhraseId($bokid);
			$this->view->bookedData = $result;
			$this->view->restaurantid = $restId;
			$widsettings = $this->_restService->getRestaurantCustomizeWidgetByResid($restId);
			if($widsettings){
				$this->view->widsettings = $widsettings;
			}
			if(isset($request->bokSrcComp)){
				$this->view->bokSrcComp = $request->bokSrcComp;
			}else{
				$this->view->bokSrcComp = 'INAT';
			}
			$this->view->bokStat = $bokStat;
			$this->view->bokid = $bokid;
			$this->view->splname = $request->splname;
			$restService = new Application_Service_Firm();
			/* Get Widget Theme Start */
			
			$theme = $restService->GetWidgetThemeByRestId($request);
			$this->view->theme = $theme;
			
			if($request->status){
				$this->view->status = $request->status;
			}
			
			if($request->emailAddress){
				$this->view->emailAddress = $request->emailAddress;
			}
			
			if($request->friendNames){
				$this->view->friendNames = $request->friendNames;
			}
			
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function wixwidgetinformfrndsAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			$request = $this->getRequest();
			$bokid   = $request->bokid;
			$restId = $request->restid;
			$bokStat = $request->bokstat;
			$this->view->deviceType = $request->deviceType;
			$result = $this->_bookService->GetBookingDetailsByPhraseId($bokid);
			$this->view->bookedData = $result;
			$this->view->restaurantid = $restId;
			$widsettings = $this->_restService->getRestaurantCustomizeWidgetByResid($restId);
			if($widsettings){
				$this->view->widsettings = $widsettings;
			}
			$this->view->bokStat = $bokStat;
			$this->view->bokid = $bokid;
			$this->view->splname = $request->splname;
			$restService = new Application_Service_Firm();
			/* Get Widget Theme Start */
			
			$theme = $restService->GetWidgetThemeByRestId($request);
			$this->view->theme = $theme;
			
			if($request->status){
				$this->view->status = $request->status;
			}
			
			if($request->emailAddress){
				$this->view->emailAddress = $request->emailAddress;
			}
			
			if($request->friendNames){
				$this->view->friendNames = $request->friendNames;
			}
			
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function dealwidgetinformfrndsorpartnersAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			$request = $this->getRequest();
			$bokid   = $request->bokid;
			$restId = $request->restid;
			$bokStat = $request->bokstat;
			$result = $this->_bookService->GetBookingDetailsByPhraseId($bokid);
			$this->view->bookedData = $result;
			$this->view->restaurantid = $restId;
			$widsettings = $this->_restService->getRestaurantCustomizeWidgetByResid($restId);
			if($widsettings){
				$this->view->widsettings = $widsettings;
			}
			$this->view->bokStat = $bokStat;
			$this->view->bokid = $bokid;
			$this->view->splname = $request->splname;
			$restService = new Application_Service_Firm();
			/* Get Widget Theme Start */
			
			$theme = $restService->GetWidgetThemeByRestId($request);
			$this->view->theme = $theme;
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function socialdealwidgetinformfrndsorpartnersAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			$request = $this->getRequest();
			$bokid   = $request->bokid;
			$restId = $request->restid;
			$bokStat = $request->bokstat;
			$result = $this->_bookService->GetBookingDetailsByPhraseId($bokid);
			$this->view->bookedData = $result;
			$this->view->restaurantid = $restId;
			$widsettings = $this->_restService->getRestaurantCustomizeWidgetByResid($restId);
			if($widsettings){
				$this->view->widsettings = $widsettings;
			}
			$this->view->bokStat = $bokStat;
			$this->view->bokid = $bokid;
			$this->view->splname = $request->splname;
			$restService = new Application_Service_Firm();
			/* Get Widget Theme Start */
			
			$theme = $restService->GetWidgetThemeByRestId($request);
			$this->view->theme = $theme;
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function socialreservationwidgetnotifyAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			$request = $this->getRequest();
			$bokid   = $request->bokid;
			$restId = $request->restid;
			$bokStat = $request->bokstat;
			$result = $this->_bookService->GetBookingDetailsByPhraseId($bokid);
			$this->view->bookedData = $result;
			$this->view->restaurantid = $restId;
			$widsettings = $this->_restService->getRestaurantCustomizeWidgetByResid($restId);
			if($widsettings){
				$this->view->widsettings = $widsettings;
			}
			$this->view->bokStat = $bokStat;
			$this->view->bokid = $bokid;
			$this->view->splname = $request->splname;
			$restService = new Application_Service_Firm();
			/* Get Widget Theme Start */
			
			$theme = $restService->GetWidgetThemeByRestId($request);
			$this->view->theme = $theme;
			
			if($request->status){
				$this->view->status = $request->status;
			}
			
			if($request->emailAddress){
				$this->view->emailAddress = $request->emailAddress;
			}
			
			if($request->friendNames){
				$this->view->friendNames = $request->friendNames;
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function wixwidgetinformemailAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			//$mailObj = new Communication_Model_Mail();			
			$request = $this->getRequest();	
			$this->view->deviceType = $request->deviceType;
			if($this->_commService->WixWidgetNotifyFriendsEmail($request)){
				$this->view->isSubmit_ = true;
				return 	$this->_helper->redirector('wixwidgetconfirmation','Reservation','Reservation',array('bokid'=>$request->bokid,'resid'=>$request->resid,'bokstat'=>$request->bokstat,'deviceType'=>$request->deviceType));
			}
			return 	$this->_helper->redirector('wixwidgetinformfrnds','Communication','Communication',array('bokid'=>$request->bokid,'restid'=>$request->resid,'bokstat'=>$request->bokstat,'emailAddress'=>$request->to,'friendNames'=>$request->name,'status'=>'t','deviceType'=>$request->deviceType));
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
			
	public function reservationwidgetinformemailAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			//$mailObj = new Communication_Model_Mail();			
			$request = $this->getRequest();	
			if(isset($request->bokSrcComp)){
				$this->view->bokSrcComp = $request->bokSrcComp;
			}else{
				$this->view->bokSrcComp = 'INAT';
			}
			if($this->_commService->WidgetNotifyFriendsEmail($request)){
				$this->view->isSubmit_ = true;
				return 	$this->_helper->redirector('reservationwidgetconfirmation','Reservation','Reservation',array('bokid'=>$request->bokid,'resid'=>$request->resid,'bokstat'=>$request->bokstat));
			}
			return 	$this->_helper->redirector('informfrndsorpartners','Communication','Communication',array('bokid'=>$request->bokid,'restid'=>$request->resid,'bokstat'=>$request->bokstat,'emailAddress'=>$request->to,'friendNames'=>$request->name,'status'=>'t'));
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function dealwidgetinformemailAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			//$mailObj = new Communication_Model_Mail();			
			$request = $this->getRequest();	
			if($this->_commService->WidgetNotifyFriendsEmail($request)){
				$this->view->isSubmit_ = true;
			return 	$this->_helper->redirector('dealwidgetconfirmation','Reservation','Reservation',array('bokid'=>$request->bokid,'resid'=>$request->resid,'bokstat'=>$request->bokstat));
			}
			
			return $this->_helper->redirector('dealwidgetviewall','Reservation','Reservation',array('restid'=>$request->resid));
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function socialdealwidgetinformemailAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			//$mailObj = new Communication_Model_Mail();			
			$request = $this->getRequest();	
			if($this->_commService->WidgetNotifyFriendsEmail($request)){
				$this->view->isSubmit_ = true;
			return 	$this->_helper->redirector('socialdealwidgetconfirmation','Reservation','Reservation',array('bokid'=>$request->bokid,'resid'=>$request->resid,'bokstat'=>$request->bokstat));
			}
			
			return $this->_helper->redirector('socialdealwidgetviewall','Reservation','Reservation',array('restid'=>$request->resid));
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function socialreservationwidgetinformemailAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			//$mailObj = new Communication_Model_Mail();			
			$request = $this->getRequest();	
			if($this->_commService->WidgetNotifyFriendsEmail($request)){
				$this->view->isSubmit_ = true;
			}
			return 	$this->_helper->redirector('socialreservationwidgetnotify','Communication','Communication',array('bokid'=>$request->bokid,'restid'=>$request->resid,'bokstat'=>$request->bokstat,'emailAddress'=>$request->to,'friendNames'=>$request->name,'status'=>'t'));
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function emailinformemailAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			//$mailObj = new Communication_Model_Mail();			
			$request = $this->getRequest();	
			if($this->_commService->WidgetNotifyFriendsEmail($request)){
				return $this->_helper->redirector('informfrndsorpartners','Communication','Communication',array('bokid'=>$request->bokid,'resid'=>$request->resid,'notstat'=>1));
			}else{
				return $this->_helper->redirector('informfrndsorpartners','Communication','Communication',array('bokid'=>$request->bokid,'resid'=>$request->resid,'notstat'=>1));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	
	
	public function informconfirmationAction()
	{
		try{
			$request = $this->getRequest();
			$bokid   = $request->bokid;
			$bokresult = $this->_bookService->GetBookingDetailsByPhraseId($bokid);
			$this->_commService->NotifyConfirmation($bokresult,$request);
			$this->_redirect($this->view->url(array('module'=>'Reservation','controller'=>'Reservation','action'=>'webinvitedguestdetails','booking'=>$bokid,'guest'=>$request->guestid),'guest',true));
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function sendremindercommunicationAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$bookService = new Application_Service_Reservation();
			$bookService->GetReminderNotificationReservations();
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function emailcommunicationAction()
	{
		try{
			$request = $this->getRequest();
			$requestObj = Zend_Controller_Front::getInstance()->getRequest();
			if(isset($requestObj->viewPage)){
				if($requestObj->viewPage == 'Phone'){
					$this->_helper->layout()->setLayout('mobileaddlayout');
				}else{
					$this->_helper->layout()->setLayout('emaillayout');
				}
			}else{
				$this->_helper->layout()->setLayout('emaillayout');
			}
			$result = $this->_commService->MessageDisplayDetails($request);
			if($result){
				$this->view->body = $result;
				$this->view->bodyStatus = 'true';
			}else{
				$this->view->bodyStatus = 'false';
				$this->view->body = $request->msgid;
			}
		}catch (Exception $ex){
			$this->view->bodyStatus = 'false';
			$this->view->body = $request->msgid;
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function reservationotpvalidationAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$notService = new Application_Service_Communication();
			$result = $notService->GenerateOtp($request);
			echo json_encode($result);
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function socialreservationwidgetotpAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$notService = new Application_Service_Communication();
			$result = $notService->GenerateOtp($request);
			echo json_encode($result);
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function runfeedbacknotificationAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			$identity = $auth->getIdentity();
			if($auth->hasIdentity() && $identity['User_Id'] == 1){
				Uss_Logger_FileLogger::info('in controller');
				$this->_helper->layout->disableLayout();
				$this->_helper->viewRenderer->setNoRender();
				$commServ = new Application_Service_Communication();
				$FeedbackEmails = $commServ->getrestFeedbackEmails();
			//	$result = $restServ->runFeedbackReviewsSendOfRestaurant($data);
				echo $FeedbackEmails;
			}
			else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
			
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function sendbookingnotificationAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$resService = new Application_Service_Reservation();
			$result = $resService->sendBookNotification($request);
			echo 't';
		}catch (Exception $ex){
			echo 'f';
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function sendbookingnotificationforwebAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$resService = new Application_Service_Reservation();
      
			$result = $resService->sendMakeReservationNotificationByBokId($request);
      //echo '<pre>'; print_r($request); exit;
			echo 't';
		}catch (Exception $ex){
			echo 'f';
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function sendwaitingnotificationforwebAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$resService = new Application_Service_Reservation();
			$result = $resService->sendWaitingNotificationByBokId($request);
			echo 't';
		}catch (Exception $ex){
			echo 'f';
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function sendwalkinnotificationAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$resService = new Application_Service_Reservation();
			$result = $resService->sendWalkinNotification($request);
			echo 't';
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function socialsendbookingnotificationAction()
	{
		try{
			$request = $this->getRequest();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$resService = new Application_Service_Reservation();
			$result = $resService->sendBookNotification($request);
			echo 't';
		}catch (Exception $ex){
			echo 'f';
			throw new Exception($ex->getMessage()) ;
		}
	}
	
}