<?php
/**
 * CONTROLLER WRITTEN TO HANDLE THE WEBHOOK AND API REQUESTS FROM THE RDLABS
 * Author : Sai
 * Date : 19-12-2016
 */
class DDApiService_WvController extends Zend_Controller_Action
{	
	protected $_ApiService = null;	
	/**API TO FETCH RESTAURANT GUEST LIST PHONE BY RESID
	* REQUEST TYPE GET
	* PARAMETER RESID (MANDATORY)
	**/
	public function launchviewAction()
	{
		try
		{
			$clientService = new Application_Service_Client();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$auth = Zend_Auth::getInstance();
			$pageHeaders = getallheaders();
			//print_r($pageHeaders);die();
			//$pageHeaders = array();
			//$pageHeaders['access_token'] = 'NTQwMTM3NzE1Mg==';
			if(array_key_exists('access_token', $pageHeaders))
			{
				$access_token = $pageHeaders['access_token'];
				$authFlag = false;
				if($auth->hasIdentity()){
					$authFlag = true;	
				}
				else
				{
					$authFlag = $clientService->authenticateUserWithToken($access_token);
				}
								
			if($authFlag == true)
			{
				$page = $request->page;
				$resid = $request->restaurantid;
				$storage = new Zend_Auth_Storage_Session();
				$userdata = $storage->read();
				$userdata['user_source'] = 'webview';
				$storage->write($userdata);
				if(strlen($page)==0)
				{
					echo "<h4>Invalid Request</h4>";
				}
				else
				{
					switch ($page) {
						case 'settings':
							$this->_redirect($this->view->url(array('module'=>'FirmManagement','controller'=>'firm', 'action'=>'settingshome','restaurantid'=>$resid)));
							break;
						case 'marketing':
						$this->_redirect($this->view->url(array('module'=>'FirmManagement','controller'=>'Firmmarketing', 'action'=>'marketingwebview','restaurantid'=>$resid)));
							break;
						default:
							echo "<h4>404 NOT FOUND</h4>";
							break;
					}
				}
			}
			else
			{
				echo "<h4>Please Logout and login on the app</h4>";
			}
			}
			else
			{
				echo '<h4>Access token not provided</h4>';
			}

		}
		catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}

	}

	public function getusertokenAction()
	{
		try
		{
			$clientService = new Application_Service_Client();
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$userid = $request->userid;
			echo $clientService->generateUserTokenWithUserId($userid);

		}
		catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}

	}
}
