<?php
class Deals_Form_EditRestSpecialTitle extends Zend_Form
{
	public function init()
	{
		$splId = $this->createElement('hidden','specialid');
		$splId->removeDecorator('DtDdWrapper')
			  ->removeDecorator('Label')
			  ->removeDecorator('HtmlTag');
    	$restId = $this->createElement('hidden','restaurantid');
    	$restId->removeDecorator('DtDdWrapper')
    			->removeDecorator('Label')
				->removeDecorator('HtmlTag');
		$spldetails = $this->createElement('hidden','editspltitle');
		$spldetails->setValue('editspltitle')
					->removeDecorator('DtDdWrapper')
	    			->removeDecorator('Label')
					->removeDecorator('HtmlTag');
		
		$spl = $this->createElement('hidden','editsplnoStatus');
		$spl->removeDecorator('DtDdWrapper')
    		->removeDecorator('Label')
			->removeDecorator('HtmlTag');
		
    	$NumOfDishes = $this->createElement('text','NumOfdishes');
        $NumOfDishes->removeDecorator('Label')
        			->removeDecorator('HtmlTag')
        			->setAttrib('class','inp1')
        			->setAttrib('maxlength', '5')
        			->addValidator('Digits',new Zend_Validate_Digits(),array('messages' => 'Please enter Numbers only'))
        			->addFilters(array('StringTrim'))
        			->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please Enter Number of Dishes'))))
        			->setRequired(true);
              		
		$specialTitle = $this->createElement('text','specialTitle');
        $specialTitle->removeDecorator('Label')
    			  	 ->removeDecorator('HtmlTag')
    			  	 ->setAttrib('maxlength', '100')
    			  	 ->setAttrib('class','inp1')
    			  	 ->addFilters(array('StringTrim'))
    			  	 ->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please Enter SpecialTitle'))))
    			  	 ->setValue('')
        		  	 ->setRequired(true);
			            
		$specialSubmit = $this->createElement('submit','editSubmit');
        $specialSubmit->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Submit')           		          		        		
        		   ->setAttrib('class','submitBtn')
                   ->setIgnore(true);

		$specialReset = $this->createElement('reset','editReset');
        $specialReset->removeDecorator('Label')        		 
        		  ->setValue('Reset')
        		  ->removeDecorator('DtDdWrapper')           	  	 
        	  	  ->setAttrib('class','submitBtn')
              	  ->setIgnore(true);
					  	  
        $this->addElements( array ($splId,
        							$spl,
									$restId,
									$spldetails,
									$NumOfDishes,
									$specialTitle,
        							$specialSubmit,
        							$specialReset));
	}
}