<?php
class Deals_Form_EditRestaurantSpecialSchedule extends Zend_Form
{
	public function init()
	{
    	
    	 $splId = $this->createElement('hidden','editspecialid');
    	 $splId->removeDecorator('DtDdWrapper')
			  ->removeDecorator('Label')
			  ->removeDecorator('HtmlTag');
    	$restId = $this->createElement('hidden','editrestaurantid');
    	$restId->removeDecorator('DtDdWrapper')
    			->removeDecorator('Label')
				->removeDecorator('HtmlTag');
		$spldetails = $this->createElement('hidden','editsplschedule');
		$spldetails->setValue('splschedule');
		
		$specialStartDate = $this->createElement('text','specialStartDate');
		$specialStartDate->removeDecorator('Label')
					  ->removeDecorator('HtmlTag')
					  ->setAttrib('class','inp1')
					  ->setAttrib('readonly','readonly')
					  ->addFilters(array('StringTrim'))
					  ->setAttrib('class','inp1 datepicker')
					  ->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please select StartDate'))))
					  ->setRequired(true);
					  
		$specialEndDate = $this->createElement('text','specialEndDate');
		$specialEndDate->removeDecorator('Label')
					->removeDecorator('HtmlTag')
					->setAttrib('readonly','readonly')
					->setAttrib('class','inp1 datepicker2')
					->addFilters(array('StringTrim'))
					->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please select EndDate.'))))
					->setRequired(false);
					
		$specialStartTime = $this->createElement('text','specialStartTime');
		$specialStartTime->removeDecorator('Label')
						 ->removeDecorator('HtmlTag')
						 ->setAttrib('class','timepicker1')
						 ->addFilters(array('StringTrim'))
						 ->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please select StartTime.'))))
						 ->setRequired(true);
						 
		$specialEndTime = $this->createElement('text','specialEndTime');
		$specialEndTime->removeDecorator('Label')
						 ->removeDecorator('HtmlTag')
						 ->setAttrib('class','timepicker1')
						 ->addFilters(array('StringTrim'))
						 ->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please select EndTime.'))))
						 ->setRequired(true);
					
		$specialRecurrence = $this->createElement('checkbox','specialRecurrence');
		$specialRecurrence->removeDecorator('Label')
			          ->removeDecorator('HtmlTag')
			          ->setAttrib('class','chk1 recChk')
			          ->setRequired(false)
			          ->setChecked(false);			  	

		$weeks = new Zend_Form_Element_MultiCheckbox('weeks', array(
						'multiOptions' => array(
							'01' => 'SUN ',
							'02' => 'MON ',
							'03' => 'TUE ',
							'04' => 'WED ',
							'05' => 'THU ',
							'06' => 'FRI ',
							'07' => 'SAT '
						 )
				));
		$weeks->removeDecorator('Label')
			   ->removeDecorator('HtmlTag',array('tag' => 'Br'))
			   ->setSeparator('			')			   
			   ->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please select SpecialDay'))))			  
			   ->setRequired(false);
		
		$specialDay = $this->createElement('checkbox','specialDay');
		$specialDay->removeDecorator('Label')
				          ->removeDecorator('HtmlTag')
				          ->setAttrib('class','spldate recChk')
				          ->setRequired(true);			   
		
			          
		$specialSubmit = $this->createElement('submit','Submit');
        $specialSubmit->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Submit')           		          		        		
        		   ->setAttrib('class','submitBtn')
                   ->setIgnore(true);

		$specialReset = $this->createElement('reset','Reset');
        $specialReset->removeDecorator('Label')        		 
        		  ->setValue('Reset')
        		  ->removeDecorator('DtDdWrapper')           	  	 
        	  	  ->setAttrib('class','submitBtn')
              	  ->setIgnore(true);
					  	  
        $this->addElements( array (
        							$splId,
        							$restId,
        							$spldetails,
        							$specialStartDate,
        							$specialEndDate,
        							$specialStartTime,
        							$specialEndTime,
        							$specialRecurrence,
        							$weeks,
        							$specialDay,
        							$specialSubmit,
        							$specialReset
        							));  
	}
}