<?php
class Phone_AuthenticateController extends Zend_Controller_Action
{
	protected $_userService = null;
	public function init()
	{	
		//$this->_helper->layout->setLayout('webapplayout');
		if(!$this->_userService){
			$this->_userService	= new Application_Service_Client();
		}
	}

	public function indexAction()
	{
		try{	
			$this->_helper->layout->setLayout('webapplayout');		
			$this->view->headtitle = "List2";
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	 
	 public function indexpageAction()
	{
		try{	
			if($_SERVER['HTTP_HOST'] == 'hbcsolutions.net' || $_SERVER['HTTP_HOST'] == 'www.hbcsolutions.net'){
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'hbcsignin'),'hbclogin',true));
			}
			$this->_helper->layout->disableLayout();
	//		$this->_helper->viewRenderer->setNoRender();
	//		$this->view->headtitle = "List2";
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	
	 public function seeaboutusAction()
	{
		try{	
			$this->_helper->layout->disableLayout();
			//$this->_helper->viewRenderer->setNoRender();
			$this->view->headtitle = "List2";
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function reachoutAction()
	{
		try{	
			$communication = new Application_Service_Communication();
			$this->_helper->layout->disableLayout();
			if($this->getRequest()->isPost()){
    			$result = $communication->AddContactMobile($this->getRequest()->getPost());
    			if($result['status']){
    				$params = $result['status'];
    			//	$this->_helper->redirector('contactconfirmfrommobile','Authenticate','Phone',array('contactid' => $params));
    				$this->view->successmsg = true;
    			}else{
    				$this->view->contactform = $result['form'];
    			}
    		}else{
    			$this->view->contactform = $communication->getContactUsMobileForm();	
    		} 
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	 public function characteristicsAction()
	 {
		try{	
			$this->_helper->layout->disableLayout();
			//$this->_helper->viewRenderer->setNoRender();
			$this->view->headtitle = "List2";
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function atglanceAction()
	{
		try{	
			$this->_helper->layout->disableLayout();
			//$this->_helper->viewRenderer->setNoRender();
		//	$this->view->headtitle = "List2";
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function onlinemarketingAction()
	{
		try{	
			$this->_helper->layout->disableLayout();
			//$this->_helper->viewRenderer->setNoRender();
		//	$this->view->headtitle = "List2";
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function reservationsAction()
	{
		try{	
			$this->_helper->layout->disableLayout();
			//$this->_helper->viewRenderer->setNoRender();
		//	$this->view->headtitle = "List2";
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function guestmanagementAction()
	{
		try{	
			$this->_helper->layout->disableLayout();
			//$this->_helper->viewRenderer->setNoRender();
	//		$this->view->headtitle = "List2";
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function mloginAction()
	{	
		try{			
			$this->_helper->layout->disableLayout();
			$this->view->headtitle = "Sign in";
			$form = $this->_userService->getLoginForm();
			$auth = Zend_Auth::getInstance();
			if($this->getRequest()->isPost()){
				$loginRes = $this->_userService->Login($this->getRequest()->getPost());
				if($loginRes['Status']){
					switch($loginRes['Usertype']){						
						case 'RSO' : 
								$this->_helper->redirector('restaurantlist','Restaurant','Phone');						
							break;
						case 'RSU' :								 
								$this->_helper->redirector('restaurantlist','Restaurant','Phone');
							break;
						case 'SRU' :								 
								$this->_helper->redirector('restaurantlist','Restaurant','Phone');
							break;
						case 'CUS' :
							 
							$this->_helper->redirector('customerdashboard','Customer','Phone');
						break;
					}
	
				}else {
					if(!$auth->hasIdentity()){
						if(isset($loginRes['isFormValid'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Invalid username or password.";
						}else if(isset($loginRes['UserNotApproved'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Pending for approval.";
						}else{
							$this->view->loginForm = $loginRes['Form'];
					}
					}else{
						$storage = new Zend_Auth_Storage_Session();
						$data = $storage->read();
						$this->view->emailstat = true;
						$form->emailAddress->setValue($data['Email']);
						//$form->emailAddress->setAttrib('readonly','readonly');
						$this->view->loginForm = $form;
						$this->view->errorMessage = "Invalid Password.";
					}
				}
			}else{
				if(!$auth->hasIdentity()){
					$this->view->loginForm = $form;
				}else{
					$storage = new Zend_Auth_Storage_Session();
					$data = $storage->read();
					$this->view->emailstat = true;
					$form->emailAddress->setValue($data['Email']);
					//$form->emailAddress->setAttrib('readonly','readonly');
					$this->view->loginForm = $form;
				}
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
		
	}
	
	public function signoutAction()
	{
		try{
			if($this->_userService->Logout()){
				return $this->_helper->redirector('mlogin','Authenticate');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function useroperationsformobilewidgetAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$auth = Zend_Auth::getInstance();
			$storage = new Zend_Auth_Storage_Session();
			
			$data = $storage->read();
			$request = $this->getRequest();
			if($auth->hasIdentity()){
				$this->view->userLogStat = 'true';
			}else{
				$this->view->userLogStat = 'false';
			}
			$this->view->restaurantid = $request->restaurantid;
			
			$this->view->widgetlink = $request->widgetlink;
			
			/* Get Widget Theme Start */
			$restService = new Application_Service_Firm();
			$theme = $restService->GetWidgetThemeByRestId($request);
			$this->view->theme = $theme;
			
			/* Get Widget Theme End */
			
			$restId = $request->restaurantid;
			$restService = new Application_Service_Firm();
			$widsettings = $restService->getRestaurantCustomizeWidgetByResid($restId);
			if($widsettings){
				$this->view->widsettings = $widsettings;
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function useroperationsfordealwidgetsplbookingAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$auth = Zend_Auth::getInstance();
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			$request = $this->getRequest();
			if($auth->hasIdentity()){
				$this->view->userLogStat = 'true';
			}else{
				$this->view->userLogStat = 'false';
			}
			$this->view->restaurantid = $request->restaurantid;
			
			$this->view->widgetlink = $request->widgetlink;
			
			/* Get Widget Theme Start */
			$restService = new Application_Service_Firm();
			$theme = $restService->GetWidgetThemeByRestId($request);
			$this->view->theme = $theme;
			
			/* Get Widget Theme End */
			
			$restId = $request->restaurantid;
			$restService = new Application_Service_Firm();
			$widsettings = $restService->getRestaurantCustomizeWidgetByResid($restId);
			if($widsettings){
				$this->view->widsettings = $widsettings;
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function widgetmobileuserregistrationAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$result = $this->_userService->widgetUserRegistration($request);
			if($result){
				echo 't';
			}else{
				echo 'f';
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function widgetloginAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			
			
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			$auth = Zend_Auth::getInstance();
			Uss_Logger_FileLogger::info('to');
			if($auth->hasIdentity() && isset($data['User_Id'])){
				if(isset($request->code)){
					echo "<script type=\"text/javascript\">";
    				echo "window.opener.location.href = '".$loginProfile['widgetlink']."';window.close(); </script>";
				}else{
					echo 'auth';
				}
			}else if(isset($request->error_reason) && isset($request->error)){
				$auth->clearIdentity();
				echo "<script type=\"text/javascript\">";
    			echo "window.close(); </script>";
			}else{
				$storage = new Zend_Auth_Storage_Session('fblogin');
				$data = $storage->read();
				$auth = Zend_Auth::getInstance();
				/* facebook*/
				include('facebook/src/facebook.php');	
			 	$app_id = "457400417677841";
			   	$app_secret = "d9db9df7d728a68d107548de0b8a2a06";
			   	$my_url = "http://www.dinedesk.com/Phone/Authenticate/widgetlogin";
			   	
			   	$loginProfile = $data;
			   	if(isset($request->widgetlink)){
			   		$loginProfile['widgetlink'] = $request->widgetlink;
			   	}
			   	$facebook = new Facebook(array(
				    'appId'  => '457400417677841',
				    'secret' => 'd9db9df7d728a68d107548de0b8a2a06',
				));
				$code = $request->code;
				
			   	if(empty($code)) {
			    	$loginProfile['state'] = md5(uniqid(rand(), TRUE)); // CSRF protection
			     	$dialog_url = "https://www.facebook.com/dialog/oauth?display=popup&domain=www.dinedesk.com&locale=en_US&client_id=" 
							       . $app_id . "&redirect_uri=" . urlencode($my_url) . "&scope=email&state="
							       . $loginProfile['state'];
			
			     	
			//     	echo '<a href="'.$dialog_url.'" onclick="window.open (this.href, "child", "height=400,width=300"); return false">Click to log out</a>';
					$storage->write($loginProfile); 
					echo $dialog_url;
			   	}
			   	if($loginProfile['state'] && ($loginProfile['state'] === $request->state)) {
			    	$token_url = "https://graph.facebook.com/oauth/access_token?"
						       . "client_id=" . $app_id . "&redirect_uri=" . urlencode($my_url)
						       . "&client_secret=" . $app_secret . "&code=" . $code."&scope=email";
			
			     	$response = file_get_contents($token_url);
			     	$params = null;
			     	parse_str($response, $params);
			
			     	$loginProfile['access_token'] = $params['access_token'];
			     	Uss_Logger_FileLogger::info('bef');
			
			     	$graph_url = "https://graph.facebook.com/me?access_token=" 
			       				. $params['access_token'];
			
				    $user = json_decode(file_get_contents($graph_url));
				    $emailObj = new User_Model_Signin();
					$emailObj->setEmailAddress(strtolower(trim($user->email)));
					Uss_Logger_FileLogger::info(strtolower(trim($user->email)));
					$result = $this->_userService->manageLoginProfileWidget($user,$loginProfile);
					Uss_Logger_FileLogger::info($result['Status']);
					if($result['Status']){
						$auth->clearIdentity();
						$auth = Zend_Auth::getInstance();
						$storage = new Zend_Auth_Storage_Session();
						$storage->write($result['loginprofile']);
						echo "<script type=\"text/javascript\">";
    					echo "window.opener.location.href = '".$loginProfile['widgetlink']."';window.close(); </script>";
					}else{
						$auth->clearIdentity();
						echo "<script type=\"text/javascript\">";
    					echo "window.close(); </script>";
					}
			   	}
			}
			if($request){
				
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function widgetlogoutAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$auth = Zend_Auth::getInstance();
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			if($auth->hasIdentity()){
			 	$app_id = "457400417677841";
			   	$app_secret = "d9db9df7d728a68d107548de0b8a2a06";
			   	$my_url = "http://www.dinedesk.com/Phone/Authenticate/widgetlogout";
			
			   	$token = $data["access_token"];
			   	if($token) {
			     	$graph_url = "https://graph.facebook.com/me/permissions?method=delete&access_token=" 
			       				. $token;
			
			     	$result = json_decode(file_get_contents($graph_url));
			     	if($result) {
						$auth->clearIdentity();
				        echo("User is now logged out.");
			     	}
			   	} else {
			     	echo("User already logged out.");
			   	}
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}	
}