<?php
class FirmManagement_Form_EditListFirmImage extends Zend_Form
{

	public function init()
    {
    	$this->setAttrib('enctype', 'multipart/form-data');
    	
    	$restId = $this->createElement('hidden','restaurantid');
    	$retsurantimage = $this->createElement('hidden','restaurantimage');
    	$retsurantimage->setvalue('restaurantimage');
    	$resturantname = $this->createElement('hidden','restaurantname');
    	$reststatus = $this->createElement('hidden','reststatus');
    	$reststatus->setValue('list');
    	
    	$resImage = $this->createElement('file','resImage');
		$resImage->removeDecorator('Label')
			     ->removeDecorator('HtmlTag')
			     ->setAttrib('class','inp1')			     
			     ->setRequired(false)
			     ->addValidator('FilesSize', false, array('min' => '1kB', 'max' => '100kB'))
			     ->addValidator('Extension', false, 'jpg,png,gif');
			     
		$this->addElements( array ($restId,
								   $retsurantimage,
								   $resturantname,
								   $resImage,
								   $reststatus
								 ));
    	
    }
}