<?php
class FirmManagement_Form_EmailMarketingTemplateCreation extends Zend_Form
{

    public function init()
    { 	
    	
    	$mapper = new Application_Model_PriorityDataMapper();
    	$prioritys = $mapper->fetchAll();
   		$priorityList = array();  
    	$priorityList[] = array('key'=>'','value'=>'Select Priority');  	   
    	foreach($prioritys as $priority){
    		$priorityList[] = array('key'=>$priority->getCode(),'value'=>$priority->getDescription());
    	}
    	
//    	$typemapper = new Application_Model_EmailTypeDataMapper();
//    	$emailtypes = $typemapper->fetchAll();
//   	 	$emailtypeList = array();  
//    	$emailtypeList[] = array('key'=>'','value'=>'Select Type');  	   
//    	foreach($emailtypes as $emailtype){
//    		$emailtypeList[] = array('key'=>$emailtype->getCode(),'value'=>$emailtype->getDescription());
//    	}
		
    	$id = $this->createElement('hidden','id');
    	$id->removeDecorator('HtmlTag')
    	   ->removeDecorator('Label');
    	
    	$Title = $this->createElement('text', 'Title');
      	$Title->removeDecorator('Label')
      	      ->removeDecorator('HtmlTag')
      	      ->setAttrib('maxlength', '100')
      	      ->setAttrib('class','form inp12 required')
      	      ->addFilters(array('StringTrim'))
      	      ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter Title.')),
      	      				array('StringLength', false,array(1,100,'messages' => array(
              				Zend_Validate_StringLength::TOO_LONG => 'Title is too long(>100).'
              			)))))
      	      ->setValue('')
      	      ->setRequired(true);
		
  		$Description = $this->createElement('textarea', 'Description');
		$Description->removeDecorator('Label')
		            ->removeDecorator('HtmlTag')                	   
                	->setAttrib('cols', '40')
			        ->setAttrib('rows', '4')
			        ->setAttrib('class','form inp1 required')              
                	->setValue('')              
                	->addValidators(array(array('NotEmpty', true, array('messages' => 'Please Enter Description.')),
			        		))
			        ->setRequired(true);
			        
		$emailPriority = $this->createElement('select','emailPriority');
        $emailPriority->removeDecorator('Label') 
         		  ->removeDecorator('HtmlTag')
         		  ->setAttrib('class','sel1 drpDown required')
         		  ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please select Priority.'))))       	   
               	  ->addMultiOptions($priorityList)
                  ->setRequired(true);
                  
//        $emailtype = $this->createElement('select','emailtype');
//        $emailtype->removeDecorator('Label') 
//         		  ->removeDecorator('HtmlTag')
//         		  ->setAttrib('class','sel1 drpDown required')
//         		  ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please select EmailType.'))))       	   
//               	  ->addMultiOptions($emailtypeList)
//                  ->setRequired(true);

        $contactsfile = $this->createElement('file','contactsfile');
		$contactsfile->removeDecorator('Label')
			     ->removeDecorator('HtmlTag')
			     ->setAttrib('class','form inp12')			     
			     ->setRequired(false)
//			     ->addValidator('FilesSize', false, array('min' => '1kB', 'max' => '100kB'))
			     ->addValidator('Extension', false, 'xls,xlsx');
                  
        $signature = $this->createElement('textarea', 'signature');
		$signature->removeDecorator('Label')
		            ->removeDecorator('HtmlTag')                	   
                	->setAttrib('cols', '40')
			        ->setAttrib('rows', '4')
			        ->setAttrib('class','form inp12 required')
			        ->setAttrib('style','width:200px;')                 
                	->setValue('Thanks,
                				DineDesk.')              
                	->addValidators(array(array('NotEmpty', true, array('messages' => 'Please Enter Description.')),
			        		))
			        ->setRequired(false);
			        
        $contacts = $this->createElement('radio', 'contacts');
		$contacts ->removeDecorator('Label')
			     //  ->removeDecorator('HtmlTag')
			       ->setAttrib('class','selectradio')
			       ->setRequired(true)
				   ->addMultiOptions(array(
                    '1' => 'Send to Existing Contacts   ',
                    '2' => 'Upload New Contacts    ', 
                    '3' => 'Both'
                        ))
                   ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please select contact type.')),))
				   ->setSeparator(' ');
			        
		
			        
		$this->addElements(array($Title,
								 $Description,
								 $emailPriority,
								 $id,
								 $contactsfile,
								 $signature,
								 $contacts	 							
						));
    	
    }
}