<?php
class FirmManagement_Form_FilterUserContact extends Zend_Form
{

	public function init()
    {
		$this->setAttrib('enctype', 'multipart/form-data');
			   
	$specialstatus = $this->createElement('select','formspecialstatus');
        $specialstatus->removeDecorator('Label')
         		    ->removeDecorator('HtmlTag')
         		    ->setAttrib('class','sel1 drpDown')
         		    ->addValidators(array
        		 (array('NotEmpty', true, array('messages' => 'Please select Special Status'))))
         		    ->setRegisterInArrayValidator(false)
         		    ->setRequired(false);
         		            
       	$birthday =  $this->createElement('text', 'formbirthday');
        $birthday->removeDecorator('Label')
        		  ->removeDecorator('HtmlTag')        		
        		  ->setAttrib('title','Birthday')
                          ->setAttrib('placeholder','Birthday')
        		  ->setAttrib('class','inp1, datepicker4 form input_form')
                          ->setAttrib('readonly','readonly')
                          ->addValidators(array
        		                 (array('NotEmpty', true, array('messages' => 'Please select birthday'))))
                          ->setRequired(false);
        
        $anniversary = $this->createElement('text', 'formanniversary');
        $anniversary->removeDecorator('Label')
        		 ->removeDecorator('HtmlTag')
        		 ->setAttrib('title','Anniversary')
                         ->setAttrib('placeholder','Anniversary')
        		 ->setAttrib('class','inp1 datepicker5 form input_form')
                         ->setAttrib('readonly','readonly')                         
        		 ->addFilters(array('StringTrim'))        		 
                         ->addValidators(array
        		                 (array('NotEmpty', true, array('messages' => 'Please select anniversary'))))
                         ->setRequired(false); 
                 
        $specialday = $this->createElement('text', 'formsepcialday');
        $specialday->removeDecorator('Label')
        		 ->removeDecorator('HtmlTag')   
                         ->setAttrib('title','Sepcialday')
                         ->setAttrib('placeholder','Sepcialday')
        		 ->setAttrib('class','inp1 datepicker6 form input_form')
                         ->setAttrib('readonly','readonly')
        		 ->addFilters(array('StringTrim'))        		 
                         ->addValidators(array
        		                 (array('NotEmpty', true, array('messages' => 'Please select Specialday'))))
                        ->setRequired(false); 
        $freqdinner = $this->createElement('checkbox', 'formfrequentdinner');
        $freqdinner->removeDecorator('Label')
        		 ->removeDecorator('HtmlTag')
                         
                         ->setRequired(false); 
        $blacklist = $this->createElement('checkbox', 'formblacklist');
        $blacklist->removeDecorator('Label')
        		 ->removeDecorator('HtmlTag') 
                         
                        ->setRequired(false); 
                 
        
                   
        $search = $this->createElement('submit','Search');
        $search->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Submit')           		          		        		
        		   ->setAttrib('class','submitBtn')
                           ->setIgnore(false);
                
        $this->addElements( array (
        						   
        						   $specialstatus,        						   
        						   $birthday,
        						   $anniversary,
        						   $search,        						   
        						   $specialday,        						           						   
                                                           $blacklist,
                                                           $freqdinner
            
        				));
    }
}