<?php
class FirmManagement_Form_ManageInquiry extends Zend_Form
{

	public function init()
	{
		
		$this->setAttrib('enctype', 'multipart/form-data');
		
		$enquirystatus = new Application_Model_EnquiryStatusDataMapper();
		$enquries = $enquirystatus->fetchAll();
		$enquirystatusList[] = array('key'=>'','value'=>'Select Status');   	   
    	 foreach($enquries as $enquiry){
    		$enquirystatusList[] = array('key'=>$enquiry->getId(),'value'=>$enquiry->getDescription());
    	} 
     /*	$restAppStaMapper = new Application_Model_RestaurantApprovalStatusDataMapper();
    	$restAppStaRes = $restAppStaMapper->fetchAll();
   	    $restAppStaLst = array();
    	$restAppStaLst[] = array('key'=>'0','value'=>'Select Status');
    	foreach($restAppStaRes as $res){
    		$restAppStaLst[] = array('key'=>$res->getId(),'value'=>$res->getDescription());
    	} */
    	
    	/* Populating Manage Contact Us Bd  */
    	$id = $this->createElement('text','id');
    	$id->removeDecorator('Label')
    			  ->setAttrib('class','inp1')
        		  ->removeDecorator('HtmlTag')
        		   
        		  ->addValidator('Digits',new Zend_Validate_Digits(),array('messages' => 'Please enter valid id'))
        		    //->addFilters(array('StringTrim'))
        			//->addValidators(array(array('Digits', true, array('messages' => 'Please enter valid id.'))))
        			//->addValidator('StringLength', false,array(0,15))
        		   //->addFilters(array('Digits'))
        		    ->setValue('');
        
    	
    	$name = $this->createElement('text','name');
    	$name->removeDecorator('Label')
    			  ->setAttrib('class','inp1 form')
        		  ->removeDecorator('HtmlTag')
        		  ->addFilters(array('StringTrim'))
        		  ->setValue('');
        
		$status = $this->createElement('select','status');
		$status->removeDecorator('Label')
         		    ->removeDecorator('HtmlTag')
         		    ->setAttrib('class','drpDown form')       	     
        	        ->setAttrib('style','width:160px')
         		    ->addMultiOptions($enquirystatusList);
//        	        ->setValue($enquirystatusList[1]);
        	        //0=>'Select Status',
        	        
        $startdate = $this->createElement('text','startdate');
    	$startdate->removeDecorator('Label')
    			  ->setAttrib('class','inp1 datepicker form')
        		  ->removeDecorator('HtmlTag')
        		  ->addFilters(array('StringTrim'))
        		  ->setValue('');
        		  
        $enddate = $this->createElement('text','enddate');
    	$enddate->removeDecorator('Label')
    			  ->setAttrib('class','inp1 datepicker2 form')
        		  ->removeDecorator('HtmlTag')
        		  ->addFilters(array('StringTrim'))
        		  ->setValue('');
        		  
		$restNameCtl = $this->createElement('select','RestaurantName');
		$restNameCtl->removeDecorator('Label')
				    ->removeDecorator('DtDdWrapper')
					->removeDecorator('HtmlTag')
					->setAttrib('class','drpDown form') 
					->setAttrib('style','width:160px')  
					->setRegisterInArrayValidator(false)
					->addValidators(array(array('NotEmpty', true, array('messages' => 'Please select State.')))) 
					->setRequired(true);  
					
		 
		$resSearch = $this->createElement('submit','search');
        $resSearch->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Search')           		          		        		
        		   ->setAttrib('class','submitBtn')
                   ->setIgnore(true);	

                   
        $restaurantid = $this->createElement('hidden','RestaurantId');
    	$restaurantid->removeDecorator('Label')
        	   ->removeDecorator('DtDdWrapper')
        	   ->setValue('')
        	   ->removeDecorator('HtmlTag');
        	   
//		$resSubmit = $this->createElement('submit','Submit');
//		$resSubmit->removeDecorator('DtDdWrapper')
//				  ->setLabel('Save floor Plan')
//				  ->setAttrib('class','submitBtn')
//				  ->setIgnore(true);		

		$this->addElements( array (
								$id,
								$restNameCtl,
								$name,
								$status,
								$startdate,
								$enddate,
								$restaurantid,
								$resSearch));
	}
}