<?php
class FirmManagement_Form_SearchRolePermissions extends Zend_Form
{

	public function init()
    {
		$this->setAttrib('enctype', 'multipart/form-data');
		
		$userid = $this->createElement('hidden','roluserid');
    	$searchid = $this->createElement('hidden','rolsearchid');
    	$searchid->removeDecorator('Label')
         		 ->removeDecorator('HtmlTag')
         		 ->setValue('search');
         		    
    	
		$restNameCtl = $this->createElement('select','rolrestaurantName');
        $restNameCtl->removeDecorator('Label')
         		    ->removeDecorator('HtmlTag')
         		    ->setAttrib('class','sel1 drpDown')
         		    ->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please select RestaurantName.'))))
         		    ->setRegisterInArrayValidator(false)
         		    ->setRequired(false);
         		    
        $permName = $this->createElement('select','rolrestpermissions');
        $permName->removeDecorator('Label')
         		  ->removeDecorator('HtmlTag')
        		  ->setAttrib('class','sel1 drpDown')
         		  ->addValidators(array
        		 				(array('NotEmpty', true, array('messages' => 'Please select GroupName.'))))
         		  ->setRegisterInArrayValidator(false)
         		  ->setRequired(false);
         		  
       	
                 
                   
        $search = $this->createElement('submit','Search');
        $search->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Submit')           		          		        		
        		   ->setAttrib('class','submitBtn')
                   ->setIgnore(false);
                
        $this->addElements( array ($userid,
        						   $searchid,
        						   $restNameCtl,
        						   $permName,
        						   $search
        				));
    }
}