<?php
class FirmManagement_Model_FirmAlertRecipentsDataMapper
{
	protected $_dbTable;

	public function setDbTable($dbTable)
	{
		if (is_string($dbTable)) {
			$dbTable = new $dbTable();
		}
		if (!$dbTable instanceof Zend_Db_Table_Abstract) {
			throw new Exception('Invalid table data gateway provided');
		}
		$this->_dbTable = $dbTable;
		return $this;
	}

	public function getDbTable()
	{
		if (null === $this->_dbTable) {
			$this->setDbTable('FirmManagement_Model_DbTable_FirmaurantAlertRecipents');
		}
		return $this->_dbTable;
	}
	
	public function updateAlertStatusId($id)
	{
		try{
			$db = Zend_Db_Table::getDefaultAdapter();
			$mapper = new FirmManagement_Model_FirmAlertRecipentsDataMapper();
			$table = $this->getDbTable();			
			
			$set   = array('rar_alertstatus'=>1);
			$where = $db->quoteInto('rarid = ?',$id);
			$status = $table->update($set,$where);
			return 	$status;		  
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
}