<?php

class FirmManagement_Model_ScheduleCuisine
{
protected $_id;
	protected $_resScheduleId;
	protected $_resTypeId;
	protected $_resId;
	protected $_status;
	
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Customer property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Customer property');
		}
		return $this->$method();
	}
	
	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}
	
	public function setId($id)
	{
		$this->_id = $id;
		return $this;
	}
	
	public function getId()
	{
		return $this->_id;
	}
	public function setResScheduleId($resSchId){
		$this->_resScheduleId = $resSchId;
		return $this;
	}
	public function getResScheduleId()
	{
		return $this->_resScheduleId;
	}
	public function setResTypeId($resTypeId){
		$this->_resTypeId = $resTypeId;
		return $this;
	}
	public function getResTypeId()
	{
		return $this->_resTypeId;
	}	
	public function setResId($resId){
		$this->_resId = $resId;
		return $this;
	}
	public function getResId()
	{
		return $this->_resId;
	}	
	
	
	public function setStatus($status)
	{
		$this->_status = $status;
		return $this;
	}
	
	public function getStatus()
	{
		return $this->_status;
	}

}

