<?php
 
class FirmManagement_Model_custommenu
    {
        protected $_titlecolor;
        protected $_categorycolor;
        protected $_itemnamecolor;
        protected $_itemdesccolor;
        protected $_bgcolor;
        protected $_bgimage;
        protected $_restid;
        private $_created_by;
		private $_created_date;
		private $_updated_by;
		private $_updated_date;
 
	    public function __construct(array $options = null)
	    {
	        if (is_array($options)) {
	            $this->setOptions($options);
	        }
	    }
	    public function __set($name, $value)
	    {
	        $method = 'set' . $name;
	        if (('mapper' == $name) || !method_exists($this, $method)) {
	            throw new Exception('Invalid customwidget property');
	        }
	        $this->$method($value);
	    }
	 
	    public function __get($name)
	    {
	        $method = 'get' . $name;
	        if (('mapper' == $name) || !method_exists($this, $method)) {
	            throw new Exception('Invalid customwidget property');
	        }
	        return $this->$method();
	    }
	 
	    public function setOptions(array $options)
	    {
	        $methods = get_class_methods($this);
	        foreach ($options as $key => $value) {
	            $method = 'set' . ucfirst($key);
	            if (in_array($method, $methods)) {
	                $this->$method($value);
	            }
	        }
	        return $this;
	    }
     
             
        public function settitlecolor($titlecolor)
        {
        	$this->_titlecolor = (string) $titlecolor;
        return $this;
        }
        public function gettitlecolor()
        {
        	return $this ->_titlecolor;
        }
        
  	    public function setcategorycolor($categorycolor)
        {
        	$this->_categorycolor = (string) $categorycolor;
        	return $this;
        }
        public function getcategorycolor()
        {
        	return $this ->_categorycolor;
        }
        
        public function setitemnamecolor($itemnamecolor)
        {
        	$this->_itemnamecolor = (string) $itemnamecolor;
        return $this;
        }
        
        public function getitemnamecolor()
        {
        	return $this ->_itemnamecolor;
        }
        
    	public function setitemdesccolor($itemdesccolor)
        {
        	$this->_itemdesccolor = (string) $itemdesccolor;
        return $this;
        }
        
        public function getitemdesccolor()
        {
        	return $this ->_itemdesccolor;
        }
        
        public function setbgcolor($bgcolor)
        {
        	$this->_bgcolor = (string) $bgcolor;
        return $this;
        }
        public function getbgcolor()
        {
        return $this->_bgcolor;	
        }
     
        public function setbgimage($bgimage)
        {
        	$this->_bgimage = $bgimage;
        	return $this;
        }
        public function getbgimage()
        {
        	return $this -> _bgimage;
        }
        public function setrestid($restid)
        {
        	$this->_restid = $restid;
        	return $this;
        }
        public function getrestid()
        {
        	return $this -> _restid;
        }
    	public function setcreated_by($created_by)
		{
			$this->_created_by = $created_by;
			return $this;
		}
		
		public function getcreated_by()
		{
			return $this->_created_by;
		}
	    public function setcreated_date($created_date)
		{
			$this->_created_date = $created_date;
			return $this;
		}
		
		public function getcreated_date()
		{
			return $this->_created_date;
		}
		
		public function setupdated_by($updated_by)
		{
			$this->_updated_by = $updated_by;
			return $this;
		}
		
		public function getupdated_by()
		{
			return $this->_updated_by;
		}
		
		public function setupdated_date($updated_date)
		{
			$this->_updated_date = $updated_date;
			return $this;
		}
		
		public function getupdated_date()
		{
			return $this->_updated_date;
		}
     }
     
   