<?php

class ManageRestaurant_Model_RestaurantMenu
{

      protected $_id;
      protected $_restaurantid;
      protected $_restaurantmenu;
      protected $_createddate;
      protected $_updatedate;
      protected $_status;
      
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid RestaurantMenu property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid RestaurantMenu property');
		}
		return $this->$method();
	}
	
	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}
	
	public function setrsmid($id)
	{
		$this->_id = (int)$id;
		return $this; 
	}
	
	public function getrsmid()
	{
	    return	$this->_id;
	}
	
	public function setrsmFK_restaurant($restaurandId)
	{
		$this->_restaurantid = $restaurandId;
		return $this; 
	}
	
	public function getrsmFK_restaurant()
	{
	   return $this->_restaurantid;	
	}
	
	public function setrsmmenu($restauranteMenu)
	{
		$this->_restaurantmenu = (string)$restauranteMenu;
		return $this; 
	}
	
	public function getrsmmenu()
	{
	   return $this->_restaurantmenu;
	}
	
	public function setrsmcreated_date($createdDate)
	{
		$this->_createddate = $createdDate;
		return $this;
	}
	
	public function getrsmcreated_date()
	{
	    return $this->_createddate;
	}
	
	public function setrsmupdated_date($updatedDate)
	{
		$this->_updatedate = $updatedDate;
		return $this;
	}
	
	public function getrsmupdated_date()
	{
	   return $this->_updatedate;
	}
	
	public function setrsmstatus($status)
	{
		$this->_status = $status;
		return $this;		
	}
	
	public function getrsmstatus()
	{
	   return $this->_status;
	}

}

