<?php
class Payments_Form_ManageInvoice extends Zend_Form
{
	public function init()
	{
		$invoiceStatusArr = array();
		
		$invoiceStatusMapper = new Application_Model_InvoiceStatusDataMapper();
		$invoiceRowSet = $invoiceStatusMapper->fetchAll();
		$invoiceStatusArr[] = array('key'=>'','value'=>'Select Status');
		foreach($invoiceRowSet as $invoiceRow){
			$invoiceStatusArr[] = array('key'=>$invoiceRow->getid(),'value'=>$invoiceRow->getdescription());	
		}
		
		$invoiceNumber = $this->createElement('text','invoiceNum');
		$invoiceNumber->removeDecorator('Label')
        		   	  ->removeDecorator('HtmlTag')
        		   	  ->setAttrib('class','inp4');
        
     	$invoiceFromDate = $this->createElement('text','startdate');
		$invoiceFromDate->removeDecorator('Label')
        		   	  	->removeDecorator('HtmlTag')
        		   	  	->setAttrib('class','inp4 datepicker sd')
        		   	  	->setAttrib('readonly','readonly');
        		   	  	
        $invoiceToDate = $this->createElement('text','enddate');
		$invoiceToDate->removeDecorator('Label')
        		   	  	->removeDecorator('HtmlTag')
        		   	  	->setAttrib('class','inp1')
        		   	  	->setAttrib('class','inp4 datepicker ed')
        		   	  	->setAttrib('readonly','readonly');
		
	 	$invoiceStatus = $this->createElement('select','invoiceStatus');
	 	$invoiceStatus->removeDecorator('Label')
        		   	  ->removeDecorator('HtmlTag')
        		   	  ->setAttrib('class','sel1')
        		   	  ->addMultiOptions($invoiceStatusArr)
         			  ->setRegisterInArrayValidator(false);	   	  	
        
        $search = $this->createElement('submit','search');
        $search->setLabel("")
         	   ->removeDecorator('DtDdWrapper')       	            	  
               ->setIgnore(true); 		   	  
		

        $this->addElements(array($invoiceNumber,
        						 $invoiceFromDate,
        						 $invoiceToDate,
        						 $invoiceStatus,
        						 $search));
        						 
        		   	  
	}
}