<?php
class Payments_Model_AuthnetCustomerProfile
{
	private $_ancpid;
	private $_ancpprofile_description;
	private $_ancpcustomer_profile_id;
	private $_ancpuser_id;
	private $_ancpcreated_date;
	private $_ancpcreated_time;
	private $_ancpstatus;
	private $_ancpemail;
	
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid AuthnetCustomerProfile property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid AuthnetCustomerProfile property');
		}
		return $this->$method();
	}
	
	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}
	
	public function setancpid($ancpid)
	{
		$this->_ancpid = $ancpid;
		return $this;	
	}
	
	public function getancpid()
	{
		return $this->_ancpid;
	}
	
	public function setancpprofile_description($ancpprofile_description)
	{
		$this->_ancpprofile_description = $ancpprofile_description;
		return $this;
	}
	
	public function getancpprofile_description()
	{
		return $this->_ancpprofile_description;
	}
	
	public function setancpcustomer_profile_id($ancpcustomer_profile_id)
	{
		$this->_ancpcustomer_profile_id = $ancpcustomer_profile_id;
		return $this;
	}
	
	public function getancpcustomer_profile_id()
	{
		return $this->_ancpcustomer_profile_id;
	}
	
	public function setancpuser_id($ancpuser_id)
	{
		$this->_ancpuser_id = $ancpuser_id;
		return $this;
	}
	
	public function getancpuser_id()
	{
		return $this->_ancpuser_id;
	}
	
	public function setancpcreated_date($ancpcreated_date)
	{
		$this->_ancpcreated_date = $ancpcreated_date;
		return $this;
	}
	
	public function getancpcreated_date()
	{
		return $this->_ancpcreated_date;
	}
	
	public function setancpcreated_time($ancpcreated_time)
	{
		$this->_ancpcreated_time = $ancpcreated_time;
		return $this;
	}
	
	public function getancpcreated_time()
	{
		return $this->_ancpcreated_time;
	}
	
	public function setancpstatus($ancpstatus)
	{
		$this->_ancpstatus = $ancpstatus;
		return $this;
	}
	
	public function getancpstatus()
	{
		return $this->_ancpstatus;	
	}
	
	public function setancpemail($ancpemail)
	{
		$this->_ancpemail = $ancpemail;
		return $this;
	}
	
	public function getancpemail()
	{
		return $this->_ancpemail;
	}
}