<?php
class Payments_Model_AuthnetPaymentProfile
{
	private $_anppid;
	private $_anppcustomer_profile_id;
	private $_anpppayment_profile_id;
	private $_anppcreated_date;
	private $_anppcreated_time;
	private $_anppstatus;
	private $_anpppayment_type;
	
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid AuthnetCustomerProfile property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid AuthnetCustomerProfile property');
		}
		return $this->$method();
	}
	
	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}
	
	public function setanppid($anppid)
	{
		$this->_anppid = $anppid;
		return $this;
	}
	
	public function getanppid()
	{
		return $this->_anppid;
	}
	
	public function setanppcustomer_profile_id($anppcustomer_profile_id)
	{
		$this->_anppcustomer_profile_id = $anppcustomer_profile_id;
		return $this;
	}
	
	public function getanppcustomer_profile_id()
	{
		return $this->_anppcustomer_profile_id;		
	}
	
	public function setanpppayment_profile_id($anpppayment_profile_id)
	{
		$this->_anpppayment_profile_id = $anpppayment_profile_id;
		return $this;
	}
	
	public function getanpppayment_profile_id()
	{
		return $this->_anpppayment_profile_id;
	}
	
	public function setanppcreated_date($anppcreated_date)
	{
		$this->_anppcreated_date = $anppcreated_date;
		return $this;
	}
	
	public function getanppcreated_date()
	{
		return $this->_anppcreated_date;
	}
	
	public function setanppcreated_time($anppcreated_time)
	{
		$this->_anppcreated_time = $anppcreated_time;
		return $this;
	}
	
	public function getanppcreated_time()
	{
		return $this->_anppcreated_time;
	}
	
	public function setanppstatus($anppstatus)
	{
		$this->_anppstatus = $anppstatus;
		return $this;
	}
	
	public function getanppstatus()
	{
		return $this->_anppstatus;
	}
	
	public function setanpppayment_type($anpppayment_type)
	{
		$this->_anpppayment_type = $anpppayment_type;
		return $this;
	}
	
	public function getanpppayment_type()
	{
		return $this->_anpppayment_type;
	}
}
