<?php

class Reservation_Form_CustBookHist extends Zend_Form
{

    public function init()
    {
        /* Form Elements & Other Definitions Here ... */
    	
    	$bookid = $this->createElement('text','bookid');
    	$bookid->removeDecorator('Label')
    		   ->setAttrib('class','inp1')
        	   ->removeDecorator('HtmlTag')
        	   ->setAttrib('maxlength', '9')
        	   ->addFilters(array('StringTrim'))
        	   ->addValidator('Digits',new Zend_Validate_Digits(),array('messages' => 'Please enter Numbers only'))
        	   ->setValue('');
       
        $page = $this->createElement('hidden','page');
        $page->removeDecorator('HtmlTag')
    		 ->removeDecorator('Label');
        
        $restName = $this->createElement('text','restname');
        $restName->removeDecorator('Label')
    		   	 ->setAttrib('class','inp1')
        	   	 ->removeDecorator('HtmlTag')
        	   	 ->addFilters(array('StringTrim'))
        	   	 ->setValue('');

		$startDate = $this->createElement('text','startdate');
    	$startDate->setAttrib('class','inp1 datepicker sd')
        	   	  ->removeDecorator('HtmlTag')
        	   	  ->addFilters(array('StringTrim'))
        	   	  ->setAttrib('readonly','readonly')
        	   	  ->setValue('');  

		$endDate = $this->createElement('text','enddate');
    	$endDate->setAttrib('class','inp1 datepicker2 ed')
        	   	 ->removeDecorator('HtmlTag')
        	   	 ->addFilters(array('StringTrim'))
        	   	 ->setAttrib('readonly','readonly')
        	   	 ->setValue('');  

		 $resSearch = $this->createElement('submit','search');
         $resSearch->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Search')           		          		        		
        		   ->setAttrib('class','submitBtn')
                   ->setIgnore(true); 
		$booksorton = $this->createElement('hidden','booksorton');
        $booksorton->removeDecorator('HtmlTag')
    		 ->removeDecorator('Label');
    		 
        $patronName = $this->createElement('text','patronName');
    	$patronName->setAttrib('class','inp1')
        	   	 ->removeDecorator('HtmlTag')
        	   	 ->addFilters(array('StringTrim'))
        	   	 ->setValue(''); 
         
		 $this->addElements(array($bookid,
		 					     $restName,
		 					     $page,
		 					     $startDate,
		 					     $endDate,
		 					     $booksorton,
		 					     $patronName,
		 					     $resSearch));                   
    }


}

