<?php

class Reservation_Form_WaitingReserv extends Zend_Form
{

    public function init()
    {
    	
		$QuotedList	=	array();
   	 	$quoteMapper = new Application_Model_WaitingQuoteTimeDataMapper();
    	$quoteResult = $quoteMapper->fetchAll();
    	$QuotedList = array();
    	$QuotedList[] = array('key'=>'','value'=>'Select Waiting Time');
    	$cnt = count($quoteResult);
    	if($quoteResult[$cnt-1]->getCode() == 'NS'){
    		$QuotedList[] = array('key'=>$quoteResult[$cnt-1]->getCode(),'value'=>$quoteResult[$cnt-1]->getDescription());
    	}
    	foreach($quoteResult as $result){
    		if($result->getCode() != 'NS'){
    			$QuotedList[] = array('key'=>$result->getCode(),'value'=>$result->getDescription());
    		}
    	}
	    	   	
	    $paxList   = array();
	    $paxList[] = array('key'=>'','value'=>'Party size');
    	$paxList[] = array('key'=>'1','value'=>'1 person');    	
    	for($i = 2;$i<=200;$i++){
    		$paxList[] = array('key'=>$i,'value'=>$i.' persons');
   	 	}
    	/*$tableTypeMapper = new Application_Model_TableTypeDataMapper();
    	$tableTypeResult = $tableTypeMapper->fetchAll();
    	$tableTypeList = array();
    	$tableTypeList[] = array('key'=>'','value'=>'Select Table Type');
    	foreach($tableTypeResult  as $result){
    		$tableTypeList[] = array('key'=>$result->getId(),'value'=>$result->getDescription());
    	}*/
    	
		
   		$CountryCodeMapper = new Application_Model_CountryCodeDataMapper();
    	$CountryCode = $CountryCodeMapper->fetchAll();
    	$CodeList = array();
    	$CodeList[] = array('key'=>'','value'=>'Select flag');
    	foreach($CountryCode as $listcode){
    		$CodeList[] = array('key'=>$listcode->getDescription(),'value'=>$listcode->getCode());
    	}
		
//    	$notificationTypeMapper = new Application_Model_NotificationTypeDataMapper();
//    	$result = $notificationTypeMapper->fetchAll();
//    	$notificationList = array();
//    	//$notificationList[] = array('key'=>'','value'=>'None');
//    	foreach($result  as $value){
//    		$notificationList[] = array('key'=>$value->getCode(),'value'=> " ". $value->getDescription());
//    	}
    	
    	$resId = $this->createElement('hidden','restaurantid');
    	$resId->removeDecorator('HtmlTag')
    		  ->removeDecorator('Label');
    	$returnAction = $this->createElement('hidden','returnAction');
    	$returnAction->removeDecorator('HtmlTag')
    		  		 ->removeDecorator('Label'); 	

    	$bookingid = $this->createElement('hidden','bookingid');
    	$bookingid->removeDecorator('HtmlTag')
    		  		 ->removeDecorator('Label');

    	$origin = $this->createElement('hidden','waitorigin');
    	$origin->removeDecorator('HtmlTag')
    		   ->removeDecorator('Label')
    		   ->setValue('WIN');
    		  
    	$resDate = $this->createElement('hidden','waitresDate');
    	$resDate->removeDecorator('HtmlTag')
    			 ->setAttrib('readonly','readonly')
    			 ->addFilters(array('StringTrim'))
    		     ->removeDecorator('Label');
    	
    	$resTime = $this->createElement('hidden','waitresTime');
    	$resTime->removeDecorator('HtmlTag')
//    			 ->setAttrib('class','required')
    			 ->addFilters(array('StringTrim'))
    			 ->removeDecorator('Label');
    	
    	$pax = $this->createElement('select','waitpax');
    	$pax->removeDecorator('HtmlTag')
    	     ->removeDecorator('Label')
    	     ->setAttrib('class', 'sel2 form required')
    	     ->setAttrib('style', 'width:85px;height:22px;')
    	     ->setAttrib('title', 'Party Size')
			 ->addMultiOptions($paxList);
			 
		$quotedtime = $this->createElement('select','quotedTime');
    	$quotedtime->removeDecorator('HtmlTag')
    	     	   ->removeDecorator('Label')
    	     	   ->setAttrib('class', 'sel2 form required')
    	     	   ->setAttrib('title', 'Waiting Time')
			 	   ->addMultiOptions($QuotedList);
			 
		/*$tableType = $this->createElement('select','tableType');
    	$tableType->removeDecorator('HtmlTag')
    	     ->removeDecorator('Label')
    	      ->setAttrib('class','required')        
			 ->addMultiOptions($tableTypeList);*/
			 
    	$bookingStatus = $this->createElement('hidden','waitbookingStatus');
    	$bookingStatus->removeDecorator('HtmlTag')
    				  ->removeDecorator('Label');
    	
    	$tableSize = $this->createElement('hidden','waittableSize');
    	$tableSize->removeDecorator('HtmlTag')
    			  ->removeDecorator('Label');
    	
    	$noOfTables = $this->createElement('hidden','waitnoOfTables');
    	$noOfTables->removeDecorator('HtmlTag')
    			   ->removeDecorator('Label');
    	
    	$inventoryid = $this->createElement('hidden','waitinventoryid');
    	$inventoryid->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label');
    	
    	$rescheduleStatus = $this->createElement('hidden','waitrescheduleStatus');
    	$rescheduleStatus->removeDecorator('HtmlTag')
    					 ->removeDecorator('Label');
    	
        $firstName = $this->createElement('text','waitfirstName');
        $firstName->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '30')
        			   ->setAttrib('class','inp1 required')
        			   ->setAttrib('title', 'First Name')
					   ->setAttrib('placeholder','First Name')
        			   ->addFilters(array('StringTrim'))        			   
        			   ->setValue('')
        			   ->setRequired(true);
        $lastName = $this->createElement('text','waitlastName');
        $lastName->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '30')
        			   ->setAttrib('title', 'Last Name')
					   ->setAttrib('placeholder','Last Name')
        			   ->addFilters(array('StringTrim'))
        			   ->setAttrib('class','inp1');

        			   
        $rescountryCode = $this->createElement('select','rescountryCode');
		$rescountryCode->removeDecorator('Label')
        			    ->removeDecorator('HtmlTag')
        			    ->setAttrib('maxlength', '100')
        			    ->setAttrib('class', 'sel2 form required')
        			    ->setAttrib('style','float:left; width:60px;')
    	     	   		->setAttrib('title', 'Country Code')
        			    ->addMultiOptions($CodeList)  
        			    ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please select country code.'))))    
                        ->setValue('');
        		//	    ->setRequired(true);

         $countryCode = $this->createElement('text', 'countryCode');
         $countryCode->removeDecorator('Label')  
         			   ->removeDecorator('HtmlTag')      		       
        		       ->setAttrib('class','inp1 countrycode')
        		       ->setAttrib('style','float:left; width:60px;')
        		       ->setAttrib('readonly','readonly')
        		       ->setAttrib('title', 'Country Code')
        		       ->addFilters(array('StringTrim'))
        		       ->setValue('')
                       ->setAttrib('maxlength', '5');
                //       ->setRequired(true);
        			   
		$noteType = $this->createElement('hidden','waitnoteType');
    	$noteType->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label');
        $number = $this->createElement('text','waitnumber');
        $number->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '15')
        			   ->setAttrib('style','width:80% !important;float:left;')
        			   ->setAttrib('placeholder', 'Phone Number')
        			   ->setAttrib('title', 'Phone Number')
        			   ->addFilters(array('StringTrim'))
        			   ->addValidator('regex', false, array('pattern' =>'/^[0-9 ]+$/','messages' => 'Enter a valid Phone Number'))               
        			  // ->setRequired(true)
        			   ->setAttrib('class','inp1 phnum');
        			   
		$dinerRequest = $this->createElement('textarea','waitdinerRequest');
        $dinerRequest->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '200')
        			   ->setAttrib('rows', '3')
        			   ->setAttrib('cols', '25')
        			   ->setAttrib('title', 'Waiting Note')
				   ->setAttrib('placeholder','Waiting Note')
        			   ->addFilters(array('StringTrim'));
        $contactInfo = $this->createElement('textarea','waitcontactInfo');
        $contactInfo->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '500')
        			   ->setAttrib('rows', '3')
        			   ->setAttrib('cols', '25')
        			   ->setAttrib('title', 'Guest Notes')
        			   ->addFilters(array('StringTrim'));
               			
        $resSubmit = $this->createElement('submit','Submit');
        $resSubmit->removeDecorator('Label')
        		  ->removeDecorator('DtDdWrapper')
        		  ->setValue('Submit')           		          		        		
        		  ->setAttrib('class','submitBtn')
                  ->setIgnore(true);

		$resReset = $this->createElement('reset','Reset');
        $resReset->removeDecorator('Label')        		 
        		 ->setValue('Reset')
        		 ->removeDecorator('DtDdWrapper')           	  	 
        	  	 ->setAttrib('class','submitBtn')
              	 ->setIgnore(true);
        
        $password =  $this->createElement('password','password');
        $password->removeDecorator('Label')
         		->removeDecorator('HtmlTag')
        		->setAttrib('maxlength', '20')
        		->setAttrib('class','i','wait')
                ->setRequired(false)
                ->setValue('');	

        $pwdstatus = $this->createElement('hidden','waitpwdstatus');
    	$pwdstatus->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label')
    	       	    ->setValue('f');
    	       	    
    	$overBookingstatus = $this->createElement('hidden','waitoverBookingstatus');
    	$overBookingstatus->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label')
    	       	    ->setValue('NO');
    	
    	$addcontactstatus = $this->createElement('hidden','waitaddcontactstatus');
    	$addcontactstatus->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label');
    	
    	$cuscontactid = $this->createElement('hidden','waitcuscontactid');
    	$cuscontactid->removeDecorator('HtmlTag')
    		  		 ->removeDecorator('Label')
    		  		 ->setValue('');
    	       	    
    	/*$addcuscontact = $this->createElement('checkbox','addcuscontact');
       	$addcuscontact->removeDecorator('Label')
			        ->removeDecorator('HtmlTag')
			        ->setAttrib('class','addcontact')
			        ->setRequired(false)
			        ->setChecked(false);*/
    	       	    
    	$this->addElements( array ($firstName,
									$lastName,
									$number,
									//$email,									
									$resId,
							    	$resDate,
							    	$resTime,
							    	$pax,
							    	$bookingStatus,
							    	$noOfTables,
							    	$tableSize,
							    	$resSubmit,
							    	$resReset,
							    	$contactInfo,
							    	$dinerRequest,
							    	$returnAction,
							    	$origin,
							    	//$notificationType,
							    	$bookingid,
							    	$rescheduleStatus,
							    	$inventoryid,
							    	$password,
							    	$pwdstatus,
							    	$overBookingstatus,
							    	$noteType,
							    	$quotedtime,
							    	$addcontactstatus,
							    	$cuscontactid,
							    	$rescountryCode,
							    	$countryCode
							    	//$addcuscontact
								  )		
		
		);	 
    }


}
?>

