<?php
/**
*	Name			: FreezeReservation.php
*	Author			: Zubair Ahmed
*	Creation Date	: 10/26/2010
*	Path 			: application/modules/Reservation/models/FreezeReservation.php
*	Description		: This is the Model class for freeze reservation table.
*					   	
*/
class Reservation_Model_FreezeReservation
{
	/**
	 * 
	 * @var integer
	 */
	private $_restid;
	
	/**
	 * 
	 * @var boolean
	 */
	private $_freezestatus;
	
	/**
	 * 
	 * @var date
	 */
	private $_freezedate;
	
	/**
	 * 
	 * @var integer
	 */
	private $_freezeby;
	
	/**
     * @param integer $restid
     * @return self
     */
	public function setRestId($restid)
	{
		$this->_restid = $restid;
		return $this;
	}
	
	 /**
     * @return integer
     */
	public function getRestId()
	{
		return $this->_restid;
	}
	
	/**
     * @param boolean $restid
     * @return self
     */
	public function setFreezeStatus($freezestatus)
	{
		$this->_freezestatus = $freezestatus;
		return $this;
	}
	
	 /**
     * @return boolean
     */
	public function getFreezeStatus()
	{
		return $this->_freezestatus;
	}
	
	/**
     * @param date $freezedate
     * @return self
     */
	public function setFreezeDate($freezedate)
	{
		$this->_freezedate = $freezedate;
		return $this;
	}
	
	/**
     * @return date
     */
	public function getFreezeDate()
	{
		return $this->_freezedate;					
	}
	
	/**
     * @param integer $freezeby
     * @return self
     */
	public function setFreezeBy($freezeby)
	{
		$this->_freezeby = $freezeby;
		return $this;
	}
	
	/**
     * @return integer
     */
	public function getFreezeBy()
	{
		return $this->_freezeby;
	}
}