<?php
/**
*	Name			: ReservationCountDataMapper.php
*	Author			: kartheek
*	Creation Date	: 10/27/2010
*	Path 			: application/modules/Reservation/models/ReservationCountDataMapper.php
*	Description		: This is the datamapper class for bookingcount table.
*					   	
*/
class Reservation_Model_ReservationCountDataMapper
{
	/**
	 * Instance variable of bookingcount table
	 * @var object
	 */
	protected $_dbTable;
	
	/**
     * @param instance of DbTable bookingcount $dbTable
     * @return self
     */
	public function setDbTable($dbTable)
	{
		if (is_string($dbTable)) {
			$dbTable = new $dbTable();
		}
		if (!$dbTable instanceof Zend_Db_Table_Abstract) {
			throw new Exception('Invalid table data gateway provided');
		}
		$this->_dbTable = $dbTable;
		return $this;
	}
	
	/**
     * @return instance of DbTable bookingcount
     */
	public function getDbTable()
	{
		if (null === $this->_dbTable) {
			$this->setDbTable('Reservation_Model_DbTable_ReservationCount');
		}
		return $this->_dbTable;
	}

}