<?php
class Reservation_Model_ReservationSeatedTime
{
	/**
	 * 
	 * @var integer
	 */
	private $_id;
	
	/**
	 * 
	 * @var integer
	 */
	private $_bokid;
	
	/**
	 * 
	 * @var boolean
	 */
	private $_status;
	
	/**
	 * 
	 * @var integer
	 */
	private $_start;
	
	/**
	 * 
	 * @var integer
	 */
	private $_end;
	private $_duration;
	/**
     * Public constructor
     *
     * @param  array $options
     */
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	/**
	 * Writing data to properties
	 */
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Reservation property');
		}
		$this->$method($value);
	}
	
	/**
	 * Reading data from properties
	 */
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Reservation property');
		}
		return $this->$method();
	}
	
	/**
     * @param integer $restid
     * @return self
     */
	public function setId($id)
	{
		$this->_id = $id;
		return $this;
	}
	
	 /**
     * @return integer
     */
	public function getId()
	{
		return $this->_id;
	} 
	
	/**
     * @param integer $tableid
     * @return self
     */
	public function setBokId($bokid)
	{
		$this->_bokid = $bokid;
		return $this;
	}
	
	 /**
     * @return integer
     */
	public function getBokId()
	{
		return $this->_bokid;
	}
	
	/**
     * @param boolean $status
     * @return self
     */
	public function setStatus($status)
	{
		$this->_status = $status;
		return $this;
	}
	
	/**
     * @return boolean
     */
	public function getStatus()
	{
		return $this->_status;
	}
	
	/**
     * @param integer $tablestatusid
     * @return self
     */
	public function setStartTime($StartTime)
	{
		$this->_start = $StartTime;
		return $this;	
	}
	
	/**
     * @return integer
     */
	public function getStartTimeId()
	{
		return $this->_start;
	}
	
	/**
     * @param integer $tablepax
     * @return self
     */
	public function setEndTime($EndTime)
	{
		$this->_end = $EndTime;
		return $this;	
	}
	
	/**
     * @return integer
     */
	public function getEndTime()
	{
		return $this->_end;
	}
	
	public function setDuration($Duration)
	{
		$this->_duration = $Duration;
		return $this;	
	}
	
	/**
     * @return integer
     */
	public function getDuration()
	{
		return $this->_duration;
	}
}