<?php
/**
*	Name			: RestaurantFreeze.php
*	Author			: Zubair Ahmed
*	Creation Date	: 12/10/2010
*	Path 			: application/modules/Reservation/models/RestaurantFreeze.php
*	Description		: This is the Model class for restaurant freeze table.
*					   	
*/
class Reservation_Model_RestaurantFreeze
{
	/**
	 * 
	 * @var integer
	 */
	private $_frzid;
	
	/**
	 * 
	 * @var integer
	 */
	private $_frzfk_restaurant;
	
	/**
	 * 
	 * @var boolean
	 */
	private $_frzstatus;
	
	/**
	 * 
	 * @var date
	 */
	private $_frzfreezeddate;
	
	/**
	 * 
	 * @var integer
	 */
	private $_frzfreezeddby;
	
	/**
	 * 
	 * @var string
	 */
	private $_frztype;
	private $_frzdesc;
	private $_frzselAllStatus;
	
	/**
     * @param integer $frzid
     * @return self
     */
	public function setfrzid($frzid)
	{
		$this->_frzid = $frzid;
		return $this;
	}
	
	/**
     * @return integer
     */
	public function getfrzid()
	{
		return $this->_frzid;
	}
	
	/**
     * @param integer $frzfk_restaurant
     * @return self
     */
	public function setfrzfk_restaurant($frzfk_restaurant)
	{
		$this->_frzfk_restaurant = $frzfk_restaurant;
		return $this;
	} 
	
	/**
     * @return integer
     */
	public function getfrzfk_restaurant()
	{
		return $this->_frzfk_restaurant;
	}
	
	/**
     * @param boolean $frzstatus
     * @return self
     */
	public function setfrzstatus($frzstatus)
	{
		$this->_frzstatus = $frzstatus;
		return $this;
	}
	
	/**
     * @return boolean
     */
	public function getfrzstatus()
	{
		return $this->_frzstatus;
	}
	
	/**
     * @param date $frzfreezeddate
     * @return self
     */
	public function setfrzfreezeddate($frzfreezeddate)
	{
		$this->_frzfreezeddate = $frzfreezeddate;
		return $this;	
	}
	
	/**
     * @return date
     */
	public function getfrzfreezeddate()
	{
		return $this->_frzfreezeddate;
	}
	
	/**
     * @param integer $frzfreezeddby
     * @return self
     */
	public function setfrzfreezeddby($frzfreezeddby)
	{
		$this->_frzfreezeddby = $frzfreezeddby;
		return $this;
	}
	
	/**
     * @return integer
     */
	public function getfrzfreezeddby()
	{
		return $this->_frzfreezeddby;
	}
	
	/**
     * @param string $frztype
     * @return self
     */
	public function setfrztype($frztype)
	{
		$this->_frztype = $frztype;
		return $this;
	}
	
	/**
     * @return string
     */
	public function getfrztype()
	{
		return $this->_frztype;
	}
	
	public function setfrzdesc($frzdesc)
	{
		$this->_frzdesc = $frzdesc;
		return $this;
	}
	
	/**
     * @return string
     */
	public function getfrzdesc()
	{
		return $this->_frzdesc;
	}
	
	public function setfrzselAllStatus($frzselAllStatus)
	{
		$this->_frzselAllStatus = $frzselAllStatus;
		return $this;
	}
	
	public function getfrzselAllStatus()
	{
		return $this->_frzselAllStatus;
	}
}