<?php
/**
*	Name			: RestaurantFreezeTimeMap.php
*	Author			: kartheek
*	Creation Date	: 6/7/2011
*	Path 			: application/modules/Reservation/models/RestaurantFreezeTimeMap.php
*	Description		: This is the Model class for restaurant freeze timemap table.
*					   	
*/
class Reservation_Model_RestaurantFreezeTimeMap
{
	/**
	 * 
	 * @var integer
	 */
	private $_rftmid;
	
	/**
	 * 
	 * @var integer
	 */
	private $_frzid;
	
	/**
	 * 
	 * @var integer
	 */
	private $_frzfk_restaurant;
	
	/**
	 * 
	 * @var boolean
	 */
	private $_frzstatus;
	
	/**
	 * 
	 * @var time
	 */
	private $_frzfreezedtime;
	
	/**
     * @param integer $rftmid
     * @return self
     */
	public function setfrzmapid($rftmid)
	{
		$this->_rftmid = $rftmid;
		return $this;
	}
	
	/**
     * @return integer
     */
	public function getfrzmapid()
	{
		return $this->_rftmid;
	}
	
	/**
     * @param integer $frzid
     * @return self
     */
	public function setfrzid($frzid)
	{
		$this->_frzid = $frzid;
		return $this;
	}
	
	/**
     * @return integer
     */
	public function getfrzid()
	{
		return $this->_frzid;
	}
	
	/**
     * @param integer $frzfk_restaurant
     * @return self
     */
	public function setfrzfk_restaurant($frzfk_restaurant)
	{
		$this->_frzfk_restaurant = $frzfk_restaurant;
		return $this;
	} 
	
	/**
     * @return integer
     */
	public function getfrzfk_restaurant()
	{
		return $this->_frzfk_restaurant;
	}
	
	/**
     * @param boolean $frzstatus
     * @return self
     */
	public function setfrzstatus($frzstatus)
	{
		$this->_frzstatus = $frzstatus;
		return $this;
	}
	
	/**
     * @return boolean
     */
	public function getfrzstatus()
	{
		return $this->_frzstatus;
	}
	
	/**
     * @param time $frzfreezedtime
     * @return self
     */
	public function setfrzfreezedtime($frzfreezedtime)
	{
		$this->_frzfreezedtime = $frzfreezedtime;
		return $this;	
	}
	
	/**
     * @return time
     */
	public function getfrzfreezedtime()
	{
		return $this->_frzfreezedtime;
	}
	
}