<?php
/**
*	Name			: AllocateSeat.php
*	Author			: kartheek
*	Creation Date	: 10/26/2010
*	Path 			: application/modules/Reservation/models/AllocateSeat.php
*	Description		: This is the Model class for allocate a table.
*					   	
*/
class Reservation_Model_RestaurantQuoteSettings
{
	
	/**
	 * 
	 * @var integer
	 */
	private $_restid;
	/**
	 * 
	 * @var integer
	 */
	private $_id;
	
	/**
	 * 
	 * @var boolean
	 */
	private $_type;
	private $_time;
	/**
	 * 
	 * @var string
	 */
	private $_status;
	
	
	/**
     * @param integer $bookid
     * @return self
     */
	public function setId($id)
	{
		$this->_id = $id;
		return $this;
	}
	
	 /**
     * @return integer
     */
	public function getId()
	{
		return $this->_id;
	}
	
	/**
     * @param integer $restid
     * @return self
     */
	public function setRestId($restid)
	{
		$this->_restid = $restid;
		return $this;
	} 
	
	/**
     * @return integer
     */
	public function getRestId()
	{
		return $this->_restid;
	}
	
	/**
     * @param boolean $bookstatus
     * @return self
     */
	public function setQuoteType($QuoteType)
	{
		$this->_type = $QuoteType;
		return $this;
	}
	
	/**
     * @return boolean
     */
	public function getQuoteType()
	{
		return $this->_type;
	}

	public function setStatus($Status)
	{
		$this->_status = $Status;
		return $this;
	}
	
	/**
     * @return string
     */
	public function getStatus()
	{
		return $this->_status;
	}
	
/**
     * @param integer $tableno
     * @return self
     */
	public function setQuoteTime($QuoteTime)
	{
		$this->_time = $QuoteTime;
		return $this;
	}
	
	/**
     * @return integer
     */
	public function getQuoteTime()
	{
		return $this->_time;
	}
}

