<?php
class Reservation_Model_RestaurantSubscriptionFailAttempts
{
	
	private $_restid;
	private $_id;
	private $_att;
	private $_dat;
	
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}

	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Reservation property');
		}
		$this->$method($value);
	}
	
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Reservation property');
		}
		return $this->$method();
	}
	
	public function setRestId($restid)
	{
		$this->_restid = $restid;
		return $this;
	}
	
	public function getRestId()
	{
		return $this->_restid;
	} 
	
	public function setId($tableid)
	{
		$this->_id = $tableid;
		return $this;
	}
	
	public function getId()
	{
		return $this->_id;
	}
	
	public function setAttempts($Attempts)
	{
		$this->_att = $Attempts;
		return $this;	
	}
	
	public function getAttempts()
	{
		return $this->_att;
	}
	
	public function setLoginDate($LoginDate)
	{
		$this->_dat = $LoginDate;
		return $this;	
	}
	
	public function getLoginDate()
	{
		return $this->_dat;
	}
}