<?php
class Server_ServerController extends Zend_Controller_Action
{
	protected $_bookService = null;
	protected $_restService = null;
	protected $_servService = null;

	public function init()
	{
		if(!$this->_bookService){
			$this->_bookService	= new Application_Service_Reservation();
		}
		if(!$this->_restService){
			$this->_restService	= new Application_Service_Firm();
		}
		if(!$this->_servService){
			$this->_servService	= new Application_Service_Serverservice();
		}
	}

	public function indexAction()
	{

	}
	
	public function updateorinsertserverdetailsAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$result = $this->_servService->updateorinsertServerDetails($request);
			if($result){
				echo json_encode($result);
			}else{
				echo json_encode('false');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function getalltablesAction(){
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$result = $this->_servService->getalltables($request);
			if($result){
				echo json_encode($result);
			}else{
				echo json_encode('false');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function gettablesofserverbyidAction(){
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$result = $this->_servService->gettablesofserverbyid($request);
			if($result){
				echo json_encode($result);
			}else{
				echo json_encode('false');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function assigntablesforserverAction(){
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$result = $this->_servService->assigntablesforserver($request);
			if($result){
				echo json_encode($result);
			}else{
				echo json_encode('false');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function highlightservertablesAction() {
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();		
			$resId = $request->restaurantid;	
			$resevdesk = array();
			$servTablesArr = $this->_servService->getSecTablesForHighlight($resId);
			$resevdesk['ServTables'] = json_encode($servTablesArr);
			if($servTablesArr){
				echo json_encode($resevdesk);
			}else{
				echo json_encode('false');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function clearalltablesofserversAction() {
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();		
			$resId = $request->restaurantid;	
			$result = $this->_servService->clearalltablesofservers($resId);
			if($result){
				echo json_encode($result);
			}else{
				echo json_encode('false');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function activateanddeactserverAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
      //echo '<pre>'; print_r($request); exit;
			$result = $this->_servService->ActivateorDeactServer($request);
			if($result){
				echo json_encode($result);
			}else{
				echo json_encode("false");
			}
				
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function getserversbyrestaurantidAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$result = $this->_servService->getServersByRestaurantid($request);
			if(count($result)>0){
				echo json_encode($result);
			}else{
				echo json_encode('f');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
}	