<?php
class  Application_Service_ApiService
{
	public function ValidateLogin($request)
	{
		try
		{
			$requestedValues = array();
			$finalArr = array();
			$clientService = new Application_Service_Client();
			$firmService = new Application_Service_Firm();
			
			/* Check Login */
			$requestedValues['emailAddress']= $request->email;
			$requestedValues['password']	= $request->password;						
			
			$resultArr = $clientService->CheckLoginDetails($requestedValues);
			/* On Successful Login Check User Type and Get User Info and Restaurant Info */
			if($resultArr['Status']){
				$finalArr['Status'] = "ok";
				
				/* Check User Type By User Id */
				$usertabledata = $resultArr['userdata'];
				$userMapper = new User_Model_ClientDataMapper();
				$userType = $userMapper->getUsertype($usertabledata->usrusertype_id);
				
				$user_id = "";	
				$client = new Application_Service_Client();
				if($userType->getcode() == "RSU" || $userType->getcode() == "SRU")
				{	
					/* Get Rest Id by Rest User Id */
								
					$restid = $client->GetRestIdByRestUserId($usertabledata->usrid);
						
					/* Get Rest Owner Id By Rest Id */
					
					$firm = new Application_Service_Firm();
					$userid = $firm->GetUserIdbyRestId($restid); 
					
					/* Get Rest Owner Details by User Id */
					$restOwnerUserTableData = $client->GetRestOwnerUserTableDetails($userid);
					
					$finalArr['usertabledata'] = $restOwnerUserTableData;
					$user_id = $userid;
				}else{
					
					$user_id = $usertabledata->usrid;					
					$usertabledata->usrcreatedby = null;
					$usertabledata->usrupdatedby = null;
					if($usertabledata->usrlast_login_date == null){
						$usertabledata->usrlast_login_date = $usertabledata->usrregistered_date;
					}					
					$finalArr['usertabledata']	= $usertabledata;
				}
				
				/* Retrieve Super User Restaurants */
				
				if($userType->getcode() == "SRU")
				{
					$superuser_id = array();
					$superuser_id[] = $usertabledata->usrid;
					$SuperUserDataMapper = new User_Model_RestSuperUserDataMapper();
					$superuserresult = $SuperUserDataMapper->retrievesuperuserrestaurants($superuser_id);
					
					if(count($superuserresult) > 0)
					{
						$finalArr['superuser'] = $superuserresult;
					}else{
						$finalArr['superuser'] = false;
					}
				}else{
					$finalArr['superuser'] = false;
				}
				
				/* Retrive Rest Owner Details By User Id */
				
				$owner_details = $client->GetRestOwnerDetails($user_id);
				
				$finalArr['restaurantownertabledata'] 	= $owner_details;
				
				$resService = new Application_Service_Firm();
				$resIdsArr = array();
				
				$OwnIdObj = new FirmManagement_Model_FirmByOwnerId();
				$OwnIdObj->setResOwnerId($user_id);
				
				$mapper = new FirmManagement_Model_FirmDataMapper();
				$restIdsList = $mapper->getApprovedRestaurantIdsByOwnerId($OwnIdObj);
				
				foreach($restIdsList as $resid){
					$resIdsArr[] = $resid->resid;
				}
				$rsoMapper = new User_Model_ManagerDataMapper();
				$GeographicalResultbyUserid = $rsoMapper->getGeographicalInformationByUserId($user_id);
				$restMapper = new FirmManagement_Model_FirmDataMapper();
				$GeographicalResultByRestId = $restMapper->getGeographicalInformationByrestIds($resIdsArr);
				
				$satateids = array();
				if($GeographicalResultbyUserid['stateid'] != null){
					$satateids[] = $GeographicalResultbyUserid['stateid'];
				}
				
				foreach($GeographicalResultByRestId['stateIds'] as $satateid){
					if (!in_array($satateid,$satateids)){
						$satateids[] = $satateid;
					}
				}
				
				$stateMapper = new Application_Model_StateDataMapper();
				$statebasedata = $stateMapper->getStatesByStateIds($satateids);
				
				$regionids = array();
				if($GeographicalResultbyUserid['regionid'] != null){
					$regionids[] = $GeographicalResultbyUserid['regionid'];
				}
				foreach($GeographicalResultByRestId['regionIds'] as $regionid){
					if (!in_array($regionid,$regionids)){
						$regionids[] = $regionid;
					}
				}
				
				$regionMapper = new Application_Model_RegionDataMapper();
				$regionbasedata = $regionMapper->getRegionsByregionIds($regionids);
				
				$stateregionMapper = new Application_Model_StateRegionMapDataMapper();
				$stateregionmapdata = $stateregionMapper->getStateRegionMapByIds($satateids, $regionids);
				
				$cityids = array();
				if($GeographicalResultbyUserid['cityid'] != null){
					$cityids[] = $GeographicalResultbyUserid['cityid'];
				}
				foreach($GeographicalResultByRestId['cityIds'] as $cityid){
					if (!in_array($cityid,$cityids)){
						$cityids[] = $cityid;
					}
				}
				
				$cityMapper = new Application_Model_CityDataMapper();
				$citybasedata = $cityMapper->getCitysBycityIds($cityids);
				
				$regioncityMapper = new Application_Model_RegionCityMapDataMapper();
				$regioncitymapdata = $regioncityMapper->getRegionCityMapByIds($regionids, $cityids);
				
				$neighborids = array();
				foreach($GeographicalResultByRestId['neighborIds'] as $neighborid){
					$neighborids[] = $neighborid;
				}
				
				$neighborhoodMapper = new Application_Model_NeighborhoodDataMapper();
				$neighborhoodbasedata = $neighborhoodMapper->getNeighborhoodsByneighborhoodIds($neighborids);
				
				$cuisineArr = $resService->GetCuisineTableDataByRestaurantId($resIdsArr);
				$paymentOptionsArr = $resService->GetPaymentOptionsTableDataByRestaurantId($resIdsArr);
				
				$restauranttabledata = $resService->GetRestaurantTableDataByOwnerId($user_id);
				
				$resultRestUsers = $resService->SynchronizationOfRestaurantUsersByRestaurantid($resIdsArr);
				
				$finalArr['Status'] = true;				
				$finalArr['restaurantdata']				= $restauranttabledata;
				$finalArr['restaurantusersdata']		= $resultRestUsers["restaurantusersdata"];				
				$finalArr['roletabledata']				= $resultRestUsers["roletabledata"];
				$finalArr['rolemaptabledata']			= $resultRestUsers["rolemaptabledata"];
				$finalArr['statebasedata'] 				= $statebasedata;
				$finalArr['regionbasedata'] 			= $regionbasedata;
				$finalArr['stateregionmapdata'] 		= $stateregionmapdata;
				$finalArr['citybasedata'] 				= $citybasedata;
				$finalArr['regioncitymapdata'] 			= $regioncitymapdata;
				$finalArr['neighborhoodbasedata'] 		= $neighborhoodbasedata;
				
				return $finalArr;
				
			}else{
				$finalArr['Status'] = "error";
				if(isset($resultArr["UserNotApproved"]) && $resultArr["UserNotApproved"] == true)
				{
					$finalArr['Msg'] = "User Not Approved";
				}else if (isset($resultArr["UserInActive"]) && $resultArr["UserInActive"] == true){
					$finalArr['Msg'] = "User InActive";
				}else{
					$finalArr['Msg'] = "Invalid Email or Address";
				}
			}
			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function RetrieveRestMenu($request)
	{
		try
		{
			$restid = $request->restaurantid;
			$firm = new Application_Service_Firm();
			$result = $firm->RetrieveRestauramtMenuByRestId($restid);
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function RetrieveFeedBackQuestionByRestId($request)
	{
		try
		{
			$restid = $request->restaurantid;
			$questionsMapper = new FirmManagement_Model_FeedbackQuestionsMapper();
			$result = $questionsMapper->GetRestQuestionsByRestId($restid);
			return $result;
			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function RetrieveRestWaitQuoteTimesByResId($request)
	{
		try
		{
			$restid = $request->restaurantid;
			$result = array();
			
			/* Get Restaurant Quote Settings */
			
			$quoteSettingsDataMapper = new Reservation_Model_RestaurantQuoteSettingsDataMapper();
			$quoteSettings = $quoteSettingsDataMapper->RetrieveQuoteSettingByRestId($restid);
			
			if(count($quoteSettings) > 0)
			{
				$result["QuoteSettingsStatus"] = true;
				$result["QuoteSettings"] = $quoteSettings;
			}else{
				$result["QuoteSettingsStatus"] = false;
			}
			
			$quoteTimeSettingsDataMapper = new Reservation_Model_RestaurantQuoteTimeSettingsDataMapper();
			$quoteTimes = $quoteTimeSettingsDataMapper->RetrieveRestQuoteTimeSettings($restid);
			
			if(count($quoteTimes) > 0)
			{
				$result["QuoteTimesStatus"] = true;
				$result["QuoteTimes"] = $quoteTimes;
			}else{
				$result["QuoteTimesStatus"] = false;
			}
			
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function SaveWatingReservtions($request)
	{
		try
		{
			$data = json_decode($request);
			$waiting = $data->{'waiting'};
			$bookObjArr = array();
			$restService = new Application_Service_Firm();
			$waitingquoteMapper = new Application_Model_WaitingQuoteTimeDataMapper();
			foreach($waiting as $wait)
			{
				$bookdetails = new Reservation_Model_Reservation();
				$bookdetails->settablet_book_id($wait->boklokid);
				$bookdetails->setbokid($wait->bokid);
				$bookdetails->setbokemail($wait->bokemail);
				$bookdetails->setbokfirst_name($wait->bokfirst_name);
				$bookdetails->setbokfk_restaurant($wait->bokfk_restaurant); 
				$bookdetails->setboklast_name($wait->boklast_name);
				$bookdetails->setbokparty_size($wait->bokparty_size);
				$bookdetails->setbokphone($wait->bokphone);
				$bookdetails->setbokcountry_code($wait->bokcountry_code);
				$bookdetails->setbokspecial_request($wait->bokspecial_request);
				$bookdetails->setbokbooking_date($wait->bokbooking_date);
				$bookdetails->setbokbooking_timings($wait->bokbooking_timings);
				$bookdetails->setbokbooking_status_id($wait->bokbooking_status_id);
				$bookdetails->setbokbooking_made_on($wait->bokbooking_made_on);
				$bookdetails->setBookingMadeTime($wait->bokbooking_made_time);
				$bookdetails->setbokuserid($wait->bokuserid);		  
				$bookdetails->setbokbooking_type_id($wait->bokbooking_type_id);
				$bookdetails->setbokreservation_mode_id($wait->bokreservation_mode_id);
				$bookdetails->setNotificationType($wait->boknotification_type);
				$bookPhrase = uniqid();
				$bookdetails->setbokbookingphrase($bookPhrase);
				$bookdetails->setbokupdateddatetime($wait->bokupdateddatetime);
				$bookdetails->setbokresv_allarrived_status($wait->bokresv_allarrived_status);
				$bookdetails->setbokresv_partialarrived_status($wait->bokresv_partialarrived_status);
				$bookdetails->setbokbooking_confirm_status($wait->bokbooking_confirm_status);
				$bookdetails->setbokresv_checkedin_status($wait->bokresv_checkedin_status);
				$bookdetails->setbokresv_runninglate_status($wait->bokresv_runninglate_status);
				$bookdetails->setbokseat_start($wait->bokseat_start);
				$bookdetails->setbokbooking_status($wait->bokbooked_status);
				$bookdetails->setbokfk_rest_sch_table($wait->bokfk_rest_sch_table);
				$bookdetails->setbooktable($wait->booktable);
				if($wait->bokquoted_time != '' && $wait->bokquoted_time != 'null'){
					$bookdetails->setQuotedTime($wait->bokquoted_time);
					
					/* Set Quote Time Desc */
					$quotecode 	= $wait->bokquoted_time;
					$quoteObj = $waitingquoteMapper->getQuoteTimeById($quotecode);				
					$bookdetails->setquotetimedesc($quoteObj->getDescription());
				}
				
				$restResult = $restService->GetRestaurantDetailsById($wait->bokfk_restaurant);
				$bookdetails->setrestarantname($restResult->resrestaurant_name);
				
				$bookObjArr[] = $bookdetails;
				
				
			}
			
			$ReservationDataMapper = new Reservation_Model_ReservationDataMapper();
			$result = $ReservationDataMapper->SaveTabletAppReservations($bookObjArr);
			
			return $result;
			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function SaveTabletBookingsToWeb($request)
	{
		try
		{
			$reservationService = new Application_Service_Reservation();
			$result = $reservationService->MigrateBookings($request);
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function SaveTabletChangeStatusBookingsToWeb($request)
	{
		try
		{
			if($request->bookdetails){
				$bookDetails = json_decode($request->bookdetails);
				$mapper = new Reservation_Model_ReservationDataMapper();
				$result = $mapper->MigratingChangeStatusReservationsToWeb($bookDetails);
				return $result;
			}else{
				$result = array();
				return $result; 
			}
		}catch(Exception $ex){	
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function SaveCustomrFeedBack($request)
	{
		try
		{
			$data 	  = json_decode($request);			
			$feedback = $data->{'feedback'};		
			$feedbackQuestMapper = new FirmManagement_Model_FeedbackQuestionsMapper();
			$result = $feedbackQuestMapper->SaveTabletFeedBack($feedback);
			return $result;
			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage());
		}
	}
	
	public function GetRestContactGroupsByRestId($request)
	{
		try
		{
			$restid   = $request->restaurantid;
			$offset   = $request->offset;
			$firmMapper = new FirmManagement_Model_FirmGroupUsersDataMapper();			
			$contacts = $firmMapper->getRestaurantContactsByRestidforTablet($restid,$offset);
			return $contacts;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function GetRestFloorPlan($request)
	{
		try
		{
			$restaurantid = $request->restaurantid;
			$firmservice  = new Application_Service_Firm();
			/* Check Floor Plan Status if true get floor details */			
			$floorstatus = $firmservice->getFloorStatusByResid($restaurantid);
			$finalArray = array();
			if($floorstatus->resfloorplanstatus == true){
				
				/* Get Dining Areas */
				$diningMapper = new FirmManagement_Model_FirmDiningAreaDataMapper();
				$Diningresult = $diningMapper->GetAllDiningAreasByResId($restaurantid);
				$diningArr= array();
				foreach($Diningresult as $key=>$value){
					$subArr = array();
					foreach($value as  $key1=>$value1){
						$subArr[$key1]= $value1;
					}
					$diningArr[] = $subArr;
				}				
				/* Get Floor tables */
				$restaurantTablemapper = new FirmManagement_Model_FirmTableDataMapper();
				$restaurantTableResult = $restaurantTablemapper->GetRestaurantTablesByRestaurantidForTablet($restaurantid);
				
				/* Get Floor Entrance */
				$floorentrancemapper = new FirmManagement_Model_FirmFloorEntranceDataMapper();
				$floorentranceResult = $floorentrancemapper->GetRestaurantFloorEntranceByRestaurantid($restaurantid);
				
				/* Get Floor Seprator */
				$resFloorSepMapper = new FirmManagement_Model_FirmFloorSepratorMapper();
				$floorSepArr = $resFloorSepMapper->GetFloorSepratorsByRestaurantid($restaurantid);
				
				$finalArray['status'] = true;
				$finalArray['diningareatabledata']     = $diningArr;
				$finalArray['restauranttabledata']     = $restaurantTableResult;
				$finalArray['floorentrancetabledata']  = $floorentranceResult;
				$finalArray['flooeseparatortabledata'] = $floorSepArr;
			}else{
				$finalArray['status'] = false;
			}	
									
			return $finalArray;	
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function GetRestSchedules($request)
	{
		try
		{
			$restaurantid = $request->restaurantid;
			$firmservice  = new Application_Service_Firm();
			$result = $firmservice->SyncRestScheduleByRestId($restaurantid);
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function GetRestMealTypes($request)
	{
		try
		{
			$restaurantid = $request->restaurantid;
			$firmservice  = new Application_Service_Firm();
			$result = $firmservice->SyncRestMealSettingByRestId($restaurantid);
			return $result;
			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function GetFreezeData($request)
	{
		try
		{
			$restaurantid = $request->restaurantid;
			$firmservice  = new Application_Service_Firm();
			$result = $firmservice->SyncFreezedatesByRestId($restaurantid);
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function GetRestBookings($request)
	{
		try
		{
			$restaurantid = $request->restaurantid;
			$fianalArr = array();
			$resServ = new Application_Service_Firm();
			$timeZone = $resServ->GetRestaurantTimeZone($restaurantid);
			date_default_timezone_set($timeZone);			
			$date	= date('Y-m-d');
			
			$optionsmapper = new Reservation_Model_ReservationOptionsDataMapper();
			$bokoptionsArr = $optionsmapper->GetBookingOptionsByRestaurantId($restaurantid);
			
			$bokmapper = new Reservation_Model_ReservationDataMapper($restaurantid);
			$bokresult = $bokmapper->SynchronizationOfReservationsByRestaurantid($restaurantid,$date);
			$bookingTableDate = $bokresult['bookingsArr'];
			$bokingIds = $bokresult['bokidsArr'];
			
			$bookingcountTabledata = $bokmapper->GetbookingCountTableData($restaurantid,$date);
			
			$bookaccumalativeinventory   = array();
			$bookasigntabledata 		 = array();
			$bokwaitingquotemapTableData = array();
			$bokoptionsmapTabledata 	 = array();
			$booking_fb_event 			 = array();
			$booking_fb_invite 			 = array();
			$booking_invitedguests 		 = array();
			$menu_order					 = array();
			$booking_menu_order 		 = array();
			$booking_menu_items 		 = array();
			
			if($bokingIds){
				
				$bookasigntabledata = $bokmapper->GetBookingtableDataByBookingIdsForTablet($bokingIds);
			
				$quoteMapDataMapper  = new Reservation_Model_ReservationWaitingQuoteMapDataMapper();
				$bokwaitingquotemapTableData = $quoteMapDataMapper->GetWaitingQuoteByBookingIds($bokingIds);
				
				$bokoptionmapmaper = new Reservation_Model_ReservationOptionsMapDataMapper();
				$bokoptionsmapTabledata = $bokoptionmapmaper->GetBookingOptionsByBookingIds($bokingIds);
				
				/* Get Bookings Accumalative Inventory */
				
				$AccumulativeMapper = new Reservation_Model_ReservationAccumulativeInventoryMapper();
				$bokAccumulativeArr = $AccumulativeMapper->GetBookingAccumulativeInventorysByBookingIds($bokingIds);
				
				/* Get Fb Booking FB Eevents */
				$FBEventDataMapper = new Reservation_Model_ReservationFBEventDataMapper();
				$fb_event = $FBEventDataMapper->RetrieveReservationFbEvents($bokingIds);
				
				if($fb_event["status"] == true)
				{
					/* Get Fb Invited */
					$FBInviteDataMapper = new Reservation_Model_ReservationFBInviteDataMapper();
					$booking_fb_invite = $FBInviteDataMapper->RetrieveFbEventInvites($fb_event["fb_event_ids"]); 
				}	

				/* Get Invited Guest List  */
				$InvitedGuestDataMapper = new Reservation_Model_ReservationInvitedGuestDataMapper();
				$booking_invitedguests  = $InvitedGuestDataMapper->RetrieveInvitedGuestList;
				
				/* Get Booking Menu Order */
				$MenuOrderDataMapper = new Reservation_Model_ReservationMenuOrderDataMapper();
				$menu_order = $MenuOrderDataMapper->RetrieveReservationMenuOrder($bokingIds);
				if($menu_order["status"] == true)
				{
					$booking_menu_order = $menu_order["menuorder"];
					$MenuItemsDataMapper = new Reservation_Model_ReservationMenuItemsDataMapper();
					$booking_menu_items = $MenuItemsDataMapper->RetrieveMenuItems($menu_order["menuids"]);
				}
			}		

			
			
			$fianalArr['bookinTabledata']			  = $bookingTableDate;



			$fianalArr['bookingcountTabledata']		  = $bookingcountTabledata;
			$fianalArr['bookingasignTabledata']		  = $bookasigntabledata;			
			$fianalArr['bookingoptionTabledata']	  = $bokoptionsArr;
			$fianalArr['bookingoptinsmapTabledata']	  = $bokoptionsmapTabledat;	
			$fianalArr['bokwaitingquotemapTableData'] = $bokwaitingquotemapTableData;
			$fianalArr['booking_fb_event']			  = $booking_fb_event;	
			$fianalArr['booking_fb_invite']			  = $booking_fb_invite;	
			$fianalArr['booking_invitedguests']		  = $booking_invitedguests;	
			$fianalArr['booking_menu_order']		  = $booking_menu_order;
			$fianalArr['booking_menu_items']		  = $booking_menu_items;
			$fianalArr['bokAccumulativeArr']		  = $bokAccumulativeArr;

			
			return $fianalArr;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function GetRestaurantUsers($request)
	{
		try
		{
			$restaurantid = $request->restaurantid;
			$firmservice  = new Application_Service_Firm();
			$result = $firmservice->SynchronizationOfRestaurantUsersByRestaurantid($restaurantid);
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	/* Dinedesk Desktop Functions */
	
	public function RestaurantSynchronization($request)
	{
		try{
			$userid = '';
			$operation = $request->operation;
			$restaurantid = $request->restaurantid;
			if($request->userid){
				$userid = $request->userid;
			}
			
			$firmService = new Application_Service_Firm();
			$resvService = new Application_Service_Reservation();
			switch($operation){
					case 'FP':
						$result = $firmService->SynchronizationOfFloorPlanByRestaurantid($restaurantid,$userid);
						return $result;
						break;
					case 'SCH':
						$result = $firmService->SynchronizationOfSchedulePlanByRestaurantid($restaurantid,$userid);
						return $result;
						break;
					case 'RSU':
						$result = $firmService->SynchronizationOfRestaurantUsersByRestaurantid($restaurantid);
						return $result;
						break;
					case 'FZE':
						$result = $firmService->SynchronizationOfFreezedatesByRestaurantid($restaurantid,$userid);
						return $result;
						break;
					case 'BOK':
						$result = $resvService->SynchronizationOfReservationsByRestaurantid($restaurantid,$userid);
						return $result;
						break;
					case 'CON':
						$result = $firmService->SynchronizationOfRestContactsByRestaurantid($restaurantid);
						return $result;
						break;
					case 'MEAL':
						$result = $firmService->SynchronizationOfRestMealSettingByRestaurantid($restaurantid);
						return $result;
						break;
					default :
						break;
			}			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function retrieveUpdatedFloorPlanFromWeb($request)
	{
		try{
			$restaurantid = $request->restaurantid;
			$resService = new Application_Service_Firm();		
			$result = $resService->retrieveUpdatedFloorPlanFromWeb($restaurantid);
			return $result;
		}catch(Exception $ex){	
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function retrieveUpdatedSchedulesFromWeb($request)
	{
		try{
			
			$restaurantid = $request->restaurantid;
			$resService = new Application_Service_Firm();
			$result = $resService->retrieveUpdatedSchedulesFromWeb($restaurantid);
			return $result;
		}catch(Exception $ex){	
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function MigrateBookings($request)
	{
		try{
			if($request->bookdetails){
				
				$bookDetails = json_decode($request->bookdetails);
				$mapper = new Reservation_Model_ReservationDataMapper();
				$result = $mapper->MigrateBookings($bookDetails);
				foreach($result['bookDetails'] as $row){
					if($row->bokwebbookingid && $row->bokwebbookingid != null){
					
					}else{
						
						$resDataMapper = new FirmManagement_Model_FirmDataMapper();
						$restObj= new FirmManagement_Model_FirmById();
						$restObj->setRestaurantId($row->bokfk_restaurant);
						$resDetails = $resDataMapper->getRestaurantById($restObj);
						$splresult = '';

						$stateCity = $this->getRestaurantStateByResId($row->bokfk_restaurant);
						$stateId = $stateCity['state'];
						$cityId = $stateCity['city'];
						$regionId = $stateCity['region'];
								
						$mailObj = new Communication_Model_Mail();
						$mailmapper = new Application_Service_Communication();
						$bookStatusMapper = new Application_Model_ReservationStatusDataMapper();
						$bookStatusArr = $bookStatusMapper->GetBookingStatusById(array($row->bokbooking_status_id));
						$bookStatus = $bookStatusArr[$row->bokbooking_status_id];
						
						$userType = "CUS";
						
						if($row->bokemail != ''){
							
							/* Set Restaurant time zone */
							$resServ = new Application_Service_Firm();
							$timeZone = $resServ->GetRestaurantTimeZone($row->bokfk_restaurant);
							date_default_timezone_set($timeZone);						
							
							$bookdate = $row->bokbooking_date;
							$bookdateSplit = explode('-',$bookdate);
							$bookdateMDY = $bookdateSplit[1]."-".$bookdateSplit[2]."-".$bookdateSplit[0];
							
							$bookTimings = date("h:i A",strtotime($row->bokbooking_timings));
							
							if($stateId == ""){
								$stateCity = $this->getRestaurantStateByResId($row->bokfk_restaurant);
								$stateId = $stateCity['state'];
								$cityId = $stateCity['city'];
								$regionId = $stateCity['region'];
							}
							if($bookStatus->getCode() == 'RES'){
								$mailObj->setMsgCode('ReSchedule');
								$name = $row->bokfirst_name.' '.$row->boklast_name;
	
								$data = array(
											  'UserName' 			=> 	$name,
											  'SenTo'    			=> 	$row->bokemail,
											  'phone'			=>	$row->bokphone,
											  'RestName' 			=> 	$resDetails->getRestaurantname(),
											  'ResDate'  			=> 	$bookdateMDY,
											  'Time'     			=> 	$bookTimings,
											  'Size'     			=>	$row->bokparty_size,
											  'Address'	 			=> 	$resDetails->getRestaddress(),
											  'resphone' 			=> 	$resDetails->getRestphone(),
											  'resemail'			=>	$resDetails->getRestemail(),
											  'rescity'				=>	$resDetails->getRestCityDesc(),
											  'resnbh'				=>	$resDetails->getRestNeighborDesc(),
											  'reszipcode'			=>	$resDetails->getRestzipcode(),	
											  'Status'	 			=> 	$bookStatus->getCode(),
											  'Bokid'	 			=>	$row->bokId,
											  'State_Id'			=>	$stateId,
											  'City_Id'				=>	$cityId,
											  'UserType'			=>	$userType,
											  'BookNotf'			=>	false,
								);
															
								$mailObj->setData($data);
								$mailStatus = $mailmapper->SendMail($mailObj);
								
							}else if($bookStatus->getCode() == 'CAN'){
								$mailObj->setMsgCode('Cancel');
								$name = $row->bokfirst_name.' '.$row->boklast_name;
	
								$data = array('UserName' => $name,
											  'SenTo'    => $row->bokemail,
											  'RestName' => $resDetails->getRestaurantname(),
											  'ResDate'  => $bookdateMDY,
											  'Time'     => $bookTimings,
											  'Size'     => $row->bokparty_size,
											  'Address'	 => $resDetails->getRestaddress(),
											  'Status'	 => $bookStatus->getCode(),
											  'State_Id' =>	$stateId,
											  'City_Id'	 =>	$cityId,
											  'resphone' => $resDetails->getRestphone(),
											  'UserType' =>	$userType,
											  'BookId'	 => $row->bokId
								);									
								$mailObj->setData($data);
								$mailStatus = $mailmapper->SendMail($mailObj);
								
							}else if($bookStatus->getCode() == 'WAL'){
								$mailObj->setMsgCode('WalBookConf');
								$name = $row->bokfirst_name.' '.$row->boklast_name;
								$data = array('UserName' 			=> 	$name,
											  'SenTo'    			=>	$row->bokemail,
											  'RestName' 			=> 	$resDetails->getRestaurantname(),
											  'ResDate'  			=> 	$bookdateMDY,
											  'Time'     			=> 	$bookTimings,
											  'Size'     			=> 	$row->bokparty_size,
											  'Address'	 			=> 	$resDetails->getRestaddress(),
											  'resphone' 			=> 	$resDetails->getRestphone(),
											  'resemail'			=>	$resDetails->getRestemail(),
											  'rescity'				=>	$resDetails->getRestCityDesc(),
											  'resnbh'				=>	$resDetails->getRestNeighborDesc(),
											  'reszipcode'			=>	$resDetails->getRestzipcode(),	
											  'Status'	 			=> 	$bookStatus->getCode(),
											  'State_Id'			=>	$stateId,
											  'City_Id'				=>	$cityId,
											  'UserType'			=>	$userType
								);
							
								$mailObj->setData($data);
								$mailStatus = $mailmapper->SendMail($mailObj);
								
							}else{
								$mailObj->setMsgCode('BookConf');
								$name = $row->bokfirst_name.' '.$row->boklast_name;
	
								$data = array(
											  'UserName' 			=> 	$name,
											  'SenTo'    			=> 	$row->bokemail,
											  'phone'				=>	$row->bokphone,
											  'RestName' 			=> 	$resDetails->getRestaurantname(),
											  'ResDate'  			=> 	$bookdateMDY,
											  'Time'     			=> 	$bookTimings,
											  'Size'     			=>	$row->bokparty_size,
											  'Address'	 			=> 	$resDetails->getRestaddress(),
											  'resphone' 			=> 	$resDetails->getRestphone(),
											  'resemail'			=>	$resDetails->getRestemail(),
											  'rescity'				=>	$resDetails->getRestCityDesc(),
											  'resnbh'				=>	$resDetails->getRestNeighborDesc(),
											  'reszipcode'			=>	$resDetails->getRestzipcode(),	
											  'Status'	 			=> 	$bookStatus->getCode(),
											  'Bokid'	 			=>	$row->bokId,
											  'State_Id'			=>	$stateId,
											  'City_Id'				=>	$cityId,
											  'UserType'			=>	$userType,
											  'BookNotf'			=>	false,
								);
								$mailObj->setData($data);
								$mailStatus = $mailmapper->SendMail($mailObj);
							}
						}
						
//						if($row->bookstatuscode == "WAL" && $row->bokphone != "" && $row->bokphone != null)
//						{							
//							$waitingquoteMapper = new Application_Model_WaitingQuoteTimeDataMapper();
//							$quoteStatus 	  	= $waitingquoteMapper->getQuoteTimeById($row->bokquoted_time);
//							$quoteObj 	  		= $quoteStatus;							
//							$name = $row->bokfirst_name.' '.$row->boklast_name;
//							
//							$custMsg = '';
//							$custMsg = 'Hi '.$name.', we have put your reservation in waiting, please wait for '.$quoteObj->getDescription().'. '.$restResult->resrestaurant_name;
//							
//							$bokserv = new Application_Service_Reservation();
//							$bookDet = $bokserv->GetBookingDetails($row->bokId);
//							$resServ = new Application_Service_Firm();
//							$timeZone = $resServ->GetRestaurantTimeZone($bookDet->getbokfk_restaurant());
//							date_default_timezone_set($timeZone);
//							
//							/* Sms Message Saving Start */
//							$msgMapper = new Communication_Model_SmsMessageMapper();
//							$priorMapper = new Application_Model_PriorityDataMapper();
//							$prior = $priorMapper->GetPriorityByCode('H');
//							$emailtypeMapper = new Application_Model_EmailTypeDataMapper();
//							$emailType = $emailtypeMapper->GetEmailTypeByCode('ALERT');
//							$message = new Communication_Model_SmsMessage();
//							$msgPhrase = uniqid ();
//							$message->setBokid($row->bokId)
//										->setPhrase($msgPhrase)
//										->setDescription($custMsg)
//										->setPriority($prior->getcode())
//										->setSmstype($emailType->getcode())
//										->setSentToUser('CUS')
//										->setSentTo($name)
//										->setSentFromUser('ADMIN')
//										->setSentby($resDetails->getRestaurantname())
//										->setTitle('WaitingReserv');
//							
//							$msgid = $msgMapper->SaveMessageDetails($message);
//						}
					}
				}
				return $result['result'];
			}else{
				return 'false';
			}
		}catch(Exception $ex){			
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function MigratingChangeStatusReservationsToWeb($request)
	{
		try
		{
			if($request->bookdetails){				
				$bookDetails = json_decode($request->bookdetails);
				$mapper = new Reservation_Model_ReservationDataMapper();
				$result = $mapper->MigratingChangeStatusReservationsToWeb($bookDetails);
				return $result;
			}else{
				$result = array();
				return $result; 
			}
		}catch(Exception $ex){	
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function BookingWebSync($request)
	{
		try{
			$date = $request->resdate;
			$resid = $request->resid;
			
//			$bookStatus = array('RSD','OVB','BKD','WAL');
//			$bookStatusMapper = new Application_Model_BookingStatusDataMapper();
//			$bookStatusRes = $bookStatusMapper->GetBookingStatusByCode($bookStatus);
//			
			$mapper = new Reservation_Model_ReservationDataMapper();
			$result = $mapper->BookingWebSync($resid,$date);
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function syncBookingStatusChange($request)
	{
		try{			
			$date = $request->resdate;
			$resid = $request->resid;
			
			$bookStatus = array('RSD','BKD','RES','OVB','BOK','COM','CRD','DES','PTS','WAL','WRD','BIL','CAN','QUOTE','READY','BACK','BAR','CANCUS','NEXT','NOS');
			$bookStatusMapper = new Application_Model_ReservationStatusDataMapper();
			$bookStatusRes = $bookStatusMapper->GetBookingStatusByCode($bookStatus);
			
			$mapper = new Reservation_Model_ReservationDataMapper();
			$result = $mapper->syncBookingStatusChange($resid,$date, $bookStatusRes);
			return $result;
			
		}catch(Exception $ex){	
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function updateBokSyncStatusFromNative($request)
	{
		try
		{
			if($request->bookdetails){
				$bookDetails = json_decode($request->bookdetails);
				$mapper = new Reservation_Model_ReservationDataMapper();
				$result = $mapper->updateBokSyncStatusFromNative($bookDetails);
				return $result;
			}
		}catch(Exception $ex){	
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function retrieveWaitingReservationsChatFromWeb($request)
	{
		try{
			$restid = $request->resid;
			$date = $request->resdate;
			$bokmapper = new Reservation_Model_ReservationDataMapper();
			$bookingArr = $bokmapper->getWaitingBookingIdsByRestidandDate($restid, $date);
			$smsmapper = new Notification_Model_SmsMessageMapper();
			$result = $smsmapper->getSmsMessagesByBookingIds($bookingArr);
			return $result;
		}catch(Exception $ex){	
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function MigrateCustContactsFromNativeToWeb($request)
	{
		try
		{
			if($request->restcontactdetails){
				$groupUsersDataMapper = new FirmManagement_Model_FirmGroupUsersDataMapper();
				$contactlist = json_decode($request->restcontactdetails);			
				$result = $groupUsersDataMapper->SaveNativeCustContacts($contactlist);			
				return $result;
			}else{
				return 'false';
			}
			
		}catch(Exception $ex){	
				Uss_Logger_FileLogger::info($ex->getMessage());
				throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function getRestaurantStateByResId($resid)
	{
		try{
			$mapper = new FirmManagement_Model_FirmDataMapper();
			$stateid = $mapper->getRestaurantStateByResId($resid);
			return $stateid;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function getAllRestSuperUsersByOwnerId($request)
	{
		try
		{
			$userid = $request->userid;
			$firmMapper = new FirmManagement_Model_FirmDataMapper();
			$restList = $firmMapper->GetRestListByOwnerId($userid);
			$result = array();
			if($restList && count($restList) > 0)
			{
				$superUserDataMapper = new User_Model_RestSuperUserDataMapper();
				$resultSet = $superUserDataMapper->retrieveallspueruserbyrestid($restList);
				$result['superuser'] = $resultSet;
			}else{
				$resultSet = array();
				$result['superuser'] = $resultSet;
			}
			return $result;
			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}	
	}
	
	public function GetRestServersByRestId($request)
	{
		try
		{
			$restaurantid = $request->restaurantid;			
			$serverDataMapper = new Server_Model_ServerDataMapper();
			$result = $serverDataMapper->retrieveServersByRestIdForSync($restaurantid);
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function SaveNativeServersToWeb($request)
	{
		try
		{			
			if($request->serverdetails)
			{				
				$serverDetails = json_decode($request->serverdetails);
				$serverDataMapper = new Server_Model_ServerDataMapper();
				$result = $serverDataMapper->saveNativeServers($serverDetails);
				return $result;
			}else
			{
				return false;
			}			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function SaveChangeNativeServersToWeb($request)
	{
		try
		{			
			if($request->changeserverdetails)
			{				
				$serverDetails = json_decode($request->changeserverdetails);				
				$serverDataMapper = new Server_Model_ServerDataMapper();
				$result = $serverDataMapper->saveNativeChangeServers($serverDetails);
				return $result;
			}else
			{
				return false;
			}			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function GetRestContactsListByRestId($request)
	{
		try
		{			
			if($request->restaurantid)
			{	
				$restaurantid = $request->restaurantid;
				$firmGroupUsersDataMapper = new FirmManagement_Model_FirmGroupUsersDataMapper();
				$result = $firmGroupUsersDataMapper->getRestaurantContactsForSyncByRestid($restaurantid);
				return $result;
			}else
			{
				return false;
			}			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function retrieveUpdatedSchedulesSettingFromWeb($request)
	{
		try{
			$restaurantid = $request->restaurantid;
			$resService = new Application_Service_Firm();
			$result = $resService->retrieveUpdatedSchedulesSettingFromWeb($restaurantid);
			return $result;
		}catch(Exception $ex){	
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function GetRestBookingsforTablet($request)
	{
		try
		{
			$restaurantid = $request->restaurantid;
			$fianalArr = array();
			$resServ = new Application_Service_Firm();
			$timeZone = $resServ->GetRestaurantTimeZone($restaurantid);
			date_default_timezone_set($timeZone);
      
      if(!isset($request->date)){
			  $date	= '';
			}else{
        $date = date('Y-m-d', strtotime($request->date));
      }
      //echo $date; exit;
			$optionsmapper = new Reservation_Model_ReservationOptionsDataMapper();
			//$bokoptionsArr = $optionsmapper->GetBookingOptionsByRestaurantId($restaurantid);
			
			$bokmapper = new Reservation_Model_ReservationDataMapper($restaurantid);
			$bokresult = $bokmapper->SynchronizationOfReservationsByRestaurantidforTablet($restaurantid,$date);
			$bookingTableDate = $bokresult['bookingsArr'];
			$bokingIds = $bokresult['bokidsArr'];
			
		//	$bookingcountTabledata = $bokmapper->GetbookingCountTableData($restaurantid,$date);
			
			$bookaccumalativeinventory   = array();
//			$bookasigntabledata 		 = array();
			$bokwaitingquotemapTableData = array();
			$bokoptionsmapTabledata 	 = array();
		//	$booking_fb_event 			 = array();
			//$booking_fb_invite 			 = array();
		//	$booking_invitedguests 		 = array();
			$menu_order					 = array();
		//	$booking_menu_order 		 = array();
		//	$booking_menu_items 		 = array();
			
			if($bokingIds){
				
//				$bookasigntabledata = $bokmapper->GetBookingtableDataByBookingIdsForTablet($bokingIds);
			
				$quoteMapDataMapper  = new Reservation_Model_ReservationWaitingQuoteMapDataMapper();
				//$bokwaitingquotemapTableData = $quoteMapDataMapper->GetWaitingQuoteByBookingIds($bokingIds);
				
				$bokoptionmapmaper = new Reservation_Model_ReservationOptionsMapDataMapper();
				//$bokoptionsmapTabledata = $bokoptionmapmaper->GetBookingOptionsByBookingIds($bokingIds);
				
				/* Get Bookings Accumalative Inventory */
				
				$AccumulativeMapper = new Reservation_Model_ReservationAccumulativeInventoryMapper();
			//	$bokAccumulativeArr = $AccumulativeMapper->GetBookingAccumulativeInventorysByBookingIds($bokingIds);
				
				/* Get Fb Booking FB Eevents */
				$FBEventDataMapper = new Reservation_Model_ReservationFBEventDataMapper();
				$fb_event = $FBEventDataMapper->RetrieveReservationFbEvents($bokingIds);
				
				if($fb_event["status"] == true)
				{
					/* Get Fb Invited */
					$FBInviteDataMapper = new Reservation_Model_ReservationFBInviteDataMapper();
				//	$booking_fb_invite = $FBInviteDataMapper->RetrieveFbEventInvites($fb_event["fb_event_ids"]); 
				}	

				/* Get Invited Guest List  */
				$InvitedGuestDataMapper = new Reservation_Model_ReservationInvitedGuestDataMapper();
			//	$booking_invitedguests  = $InvitedGuestDataMapper->RetrieveInvitedGuestList;
				
				/* Get Booking Menu Order */
				$MenuOrderDataMapper = new Reservation_Model_ReservationMenuOrderDataMapper();
				$menu_order = $MenuOrderDataMapper->RetrieveReservationMenuOrder($bokingIds);
				if($menu_order["status"] == true)
				{
					//$booking_menu_order = $menu_order["menuorder"];
					$MenuItemsDataMapper = new Reservation_Model_ReservationMenuItemsDataMapper();
					//$booking_menu_items = $MenuItemsDataMapper->RetrieveMenuItems($menu_order["menuids"]);
				}
			}		

			
			
			$fianalArr['bookinTabledata']			  = $bookingTableDate;
		//	$fianalArr['bookinTabledata_hash_identifier'] = md5(json_encode($bookingTableDate));
			//$fianalArr['bookingcountTabledata']		  = $bookingcountTabledata;
//			$fianalArr['bookingasignTabledata']		  = $bookasigntabledata;			
			//$fianalArr['bookingoptionTabledata']	  = $bokoptionsArr;
			//$fianalArr['bookingoptinsmapTabledata']	  = $bokoptionsmapTabledat;	
		//	$fianalArr['bokwaitingquotemapTableData'] = $bokwaitingquotemapTableData;
		//	$fianalArr['booking_fb_event']			  = $booking_fb_event;	
			//$fianalArr['booking_fb_invite']			  = $booking_fb_invite;	
		//	$fianalArr['booking_invitedguests']		  = $booking_invitedguests;	
		//	$fianalArr['booking_menu_order']		  = $booking_menu_order;
		//	$fianalArr['booking_menu_items']		  = $booking_menu_items;
		//	$fianalArr['bokAccumulativeArr']		  = $bokAccumulativeArr;

			
			return $fianalArr;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function GetSmsCampaignDetailsbyresId($request)
	{
		try{
			$finalArr = array();
			$restaurantid = $request->restaurantid;
			$smscampMapper = new FirmManagement_Model_SmsCampaignDataMapper();
			$result = $smscampMapper->GetSmsCampaignDetailsbyresIdforTablet($restaurantid);
			
			$accountMapper = new FirmManagement_Model_SmsRestaurantSubscriptionDataMapper();
			$accountSet = $accountMapper->GetRestCreditsAccountDetailsforTablet($restaurantid);
			
			$finalArr['smscampaigns'] = $result;
			$finalArr['accountSet'] = $accountSet;
			return $finalArr;
		}catch(Exception $ex){	
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function getpastandfuturereservations($request)
	{
		try{
			$finalArr = array();
			$mapper = new Reservation_Model_ReservationDataMapper();
			$restResult = $mapper->getpastandfuturereservationsforTablet($request);
			$finalArr['reservations'] = $restResult;
			return $finalArr;
		}catch(Exception $ex){	
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function SaveCustomrContacts($request)
	{
		try
		{
			$data 	= json_decode($request);			
			$contact = $data->{'contact'};		
			$Mapper = new FirmManagement_Model_FirmGroupUsersDataMapper();
			$result = $Mapper->SaveTabletContacts($contact);
			return $result;
			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage());
		}
	}
	
	public function getFeedbackReportHistoryofRestaurant($request)
	{
		try{
			$restaurantid = $request->restaurantid;
			$resServ = new Application_Service_Firm();
			$timeZone = $resServ->GetRestaurantTimeZone($restaurantid);
			date_default_timezone_set($timeZone);
			if($request->date == 'today'){
				$from = date('Y-m-d').' 00:00:00';
				$to = date('Y-m-d H:i:s');
			}else if($request->date == 'yesterday'){
				$from = date('Y-m-d H:i:s',strtotime(date('m/d/Y', strtotime("-1 days"))));
				$to = date('Y-m-d H:i:s');
			}else if($request->date == 'week'){
				$from = date('Y-m-d H:i:s',strtotime(date('m/d/Y', strtotime("-7 days"))));
				$to = date('Y-m-d H:i:s');
			}else if($request->date == 'month'){
				$from = date('Y-m-d H:i:s',strtotime(date('m/d/Y', strtotime("-30 days"))));
				$to = date('Y-m-d H:i:s');
			}else{
				$from = date('Y-m-d').' 00:00:00';
				$to = date('Y-m-d H:i:s');
			}
			$mapper = new FirmManagement_Model_FeedbackQuestionsMapper();
    		$result = $mapper->GetFeedbackReportHistoryofRestaurant($restaurantid,$from,$to);
    		return $result;
		}catch (Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function RetrieveQuoteTimesBd()
	{
		try
		{
			$fianalArr = array();
			$mapper = new Reservation_Model_RestaurantQuoteTimeSettingsDataMapper();
			$quotetimesbd = $mapper->RetrieveQuoteTimesbd();
			$fianalArr['QuoteTimes'] = $quotetimesbd;
			return $fianalArr;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function GetRestServersForIpadByRestId($request)
	{
		try
		{
			$restaurantid = $request->restaurantid;
			$serverDataMapper = new Server_Model_ServerDataMapper();
			$result = $serverDataMapper->retrieveServersByRestIdForIpadSync($restaurantid);
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function SaveNativeServersToWebFromIpad($request)
	{
		try
		{	
			$data = json_decode($request);
			$serverDetails = $data->{'serverdetails'};		
			if($serverDetails)
			{		
				$serverDataMapper = new Server_Model_ServerDataMapper();
				$result = $serverDataMapper->saveIosNativeServers($serverDetails);
				return $result;
			}else
			{
				return false;
			}			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function SaveChangeNativeServersToWebFromIpad($request)
	{
		try
		{	
			$data = json_decode($request);
			$serverDetails = $data->{'changeserverdetails'};		
			if($serverDetails)
			{				
				$serverDataMapper = new Server_Model_ServerDataMapper();
				$result = $serverDataMapper->saveIosChangeServers($serverDetails);
				return $result;
			}else
			{
				return false;
			}			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function pickfirmblockedintervelsIpad($request)
	{
		try
		{	
			$finalArr = array();
			$service = new Application_Service_Firm();
			$result = $service->GetRestaurantTimingsFreeze($request);
			
			$mapper = new FirmManagement_Model_FirmMealTypeDataMapper();
			$mealresult = $mapper->GetMealSettingsByRestIdForIpad($request->restaurantid);
			$finalArr['mealintervals'] = $result;
			$finalArr['mealtypes'] = $mealresult;

			return $finalArr;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function SaveQuoteTimesToWebFromIpad($request)
	{
		try
		{	
			$data = json_decode($request);
			$quoteDetails = $data->{'quotedetails'};		
			if($quoteDetails)
			{
				$quoteSettingsDataMapper = new Reservation_Model_RestaurantQuoteSettingsDataMapper();
				$quoteSettings = $quoteSettingsDataMapper->AddRestaurantQuoteFromIpad($quoteDetails);		
				return $quoteSettings;
			}else
			{
				return false;
			}			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function MigratingChangeStatusReservationsToWebfromIpad($request)
	{
		try
		{
			$data = json_decode($request);
			$bookDetails = $data->{'waiting'};
			if($bookDetails){				
				$mapper = new Reservation_Model_ReservationDataMapper();
				$result = $mapper->MigratingChangeStatusReservationsToWebFromIpad($bookDetails);
				return $result;
			}
		}catch(Exception $ex){	
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function getStatesForIpad()
	{
		try
		{
			$resultArr = array();
			$mapper = new Application_Model_StateDataMapper();
			$result = $mapper->getStatesforIpad();
			$resultArr['states'] = $result;
			return $resultArr;
		}catch(Exception $ex){	
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function SavenewIosBookingsToWeb($request)
	{
		try
		{
			$reservationService = new Application_Service_Reservation();
			$result = $reservationService->MigrateIosBookings($request);
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function ValidateLoginForIos($request)
	{
		try
		{
			$requestedValues = array();
			$finalArr = array();
			$clientService = new Application_Service_Client();
			$firmService = new Application_Service_Firm();
			
			/* Check Login */
			$requestedValues['emailAddress']= $request->email;
			$requestedValues['password']	= $request->password;						
			//echo '<pre>'; print_r($requestedValues); exit;
			$resultArr = $clientService->CheckLoginDetails($requestedValues);
			/* On Successful Login Check User Type and Get User Info and Restaurant Info */
			if($resultArr['Status']){
				$finalArr['Status'] = "ok";
				
				/* Check User Type By User Id */
				$usertabledata = $resultArr['userdata'];
				$userMapper = new User_Model_ClientDataMapper();
				$userType = $userMapper->getUsertype($usertabledata->usrusertype_id);
				
				$user_id = "";	
				$client = new Application_Service_Client();
        Uss_Logger_FileLogger::info("rest type".$userType->getcode());
				if($userType->getcode() == "RSU" || $userType->getcode() == "SRU")
				{	
					/* Get Rest Id by Rest User Id */
								
					$restid = $client->GetRestIdByRestUserId($usertabledata->usrid);
						
					/* Get Rest Owner Id By Rest Id */
					
					$firm = new Application_Service_Firm();
					$userid = $firm->GetUserIdbyRestId($restid); 
					
					/* Get Rest Owner Details by User Id */
					$restOwnerUserTableData = $client->GetRestOwnerUserTableDetails($userid);
					
					$finalArr['usertabledata'] = $restOwnerUserTableData;
					$user_id = $userid;
				}else{
					
					$user_id = $usertabledata->usrid;					
					$usertabledata->usrcreatedby = null;
					$usertabledata->usrupdatedby = null;
					if($usertabledata->usrlast_login_date == null){
						$usertabledata->usrlast_login_date = $usertabledata->usrregistered_date;
					}					
					$finalArr['usertabledata']	= $usertabledata;
				}
				
				/* Retrieve Super User Restaurants */
				
				if($userType->getcode() == "SRU")
				{
					$superuser_id = array();
					$superuser_id[] = $usertabledata->usrid;
					$SuperUserDataMapper = new User_Model_RestSuperUserDataMapper();
					$superuserresult = $SuperUserDataMapper->retrievesuperuserrestaurants($superuser_id);
					
					if(count($superuserresult) > 0)
					{
						$finalArr['superuser'] = $superuserresult;
					}else{
						$finalArr['superuser'] = array();
					}
				}else{
					$finalArr['superuser'] = array();
				}
				
				/* Retrive Rest Owner Details By User Id */
				
				$owner_details = $client->GetRestOwnerDetails($user_id);
				
				$finalArr['restaurantownertabledata'] 	= $owner_details;
				
				$resService = new Application_Service_Firm();
				$resIdsArr = array();
				
				$OwnIdObj = new FirmManagement_Model_FirmByOwnerId();
				$OwnIdObj->setResOwnerId($user_id);
				
				$mapper = new FirmManagement_Model_FirmDataMapper();
				$restIdsList = $mapper->getApprovedRestaurantIdsByOwnerId($OwnIdObj);
				//echo '<pre>'; print_r($restIdsList); exit;
				foreach($restIdsList as $resid){
					$resIdsArr[] = $resid->resid;
				}
				$restauranttabledata = $resService->GetRestaurantTableDataByOwnerId($user_id);
        
				$resultRestUsers = $resService->SynchronizationOfRestaurantUsersByRestaurantid($resIdsArr);
        //echo '<pre>'; print_r($resultRestUsers); exit;
				if(is_array($resultRestUsers["restaurantusersdata"]) && count($resultRestUsers["restaurantusersdata"]) > 0){
					$finalArr['restaurantusersdata'] = $resultRestUsers["restaurantusersdata"];
				}else{
					$finalArr['restaurantusersdata'] = array();
				}
				
				$finalArr['Status'] = true;				
				$finalArr['restaurantdata']				= $restauranttabledata;
				$finalArr['access_token'] = $clientService->generateUserTokenWithUserId($usertabledata->usrid);		
				return $finalArr;
				
			}else{
				$finalArr['Status'] = "error";
				if(isset($resultArr["UserNotApproved"]) && $resultArr["UserNotApproved"] == true)
				{
					$finalArr['Msg'] = "User Not Approved";
				}else if (isset($resultArr["UserInActive"]) && $resultArr["UserInActive"] == true){
					$finalArr['Msg'] = "User InActive";
				}else{
					$finalArr['Msg'] = "Invalid Email or Address";
				}
				return $finalArr;
			}
			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function RetrieveFeedBackQuestionByRestIdForIpad($request)
	{
		try
		{
			$restid = $request->restaurantid;
			$questionsMapper = new FirmManagement_Model_FeedbackQuestionsMapper();
			$result = $questionsMapper->GetRestQuestionsByRestIdIos($restid);
			return $result;
			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function ReservationReportForIos($request)
	{
		try{
			$resvReportObj = new Reservation_Model_GetReservationReport();
			$results = array();
			if($request){
				$bookMapper = new Reservation_Model_ReservationDataMapper();
				if($request->reserveid){
					$resvReportObj->setReservationId($request->reserveid);
				}
				if($request->reportsorton){
					$resvReportObj->setReportSortOn($request->reportsorton);
				}
				if($request->reportsortorder){
					$resvReportObj->setReportSortOrder($request->reportsortorder);
				}

				if($request->bokdatetype){
					$resvReportObj->setBokDateType($request->bokdatetype);
				}

				if($request->bokstartdate && $request->bokenddate){
					$resvReportObj->setBookStartDate($request->bokstartdate);
					$resvReportObj->setBookEndDate($request->bokenddate);
				}else if($request->bokstartdate){
					$resvReportObj->setBookStartDate($request->bokstartdate);
				}
				
				if($request->bokstarttime && $request->bokendtime){
					$resvReportObj->setBookStartTime($request->bokstarttime);
					$resvReportObj->setBookEndTime($request->bokendtime);
				}else if($request->bokstarttime){
					$resvReportObj->setBookStartTime($request->bokstarttime);
				}
				
				if($request->restaurantid){
					$resvReportObj->setRestaurantId($request->restaurantid);
				}

				if($request->bookstatus){
					$resvReportObj->setBookStatus($request->bookstatus);
				}
				
				if($request->origin){
					$origin = $request->origin;
					$resvReportObj->setOrigin($origin);
				}
				$bookStatus = array('ALC','DES','BOK','PTS','CRD','RSD','COM','NOS');
				$bookStatusMapper = new Application_Model_ReservationStatusDataMapper();
				$bookStatusRes = $bookStatusMapper->GetBookingStatusByCode($bookStatus);

				$rowSet = $bookMapper->ReservationReportIos($resvReportObj,$bookStatusRes);
				$results['rowset']    = $rowSet;
				return $results;
			}
		}catch (Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function getavailableslotsipad($request)
	{
		try
		{
			$firminvtype = '';
			$firmService = new Application_Service_Firm();
			$result = $firmService->managescheduleSetting($request);
			$resultset = array();
			if($result){
				if($result == 'SPL'){
					$firminvtype = 'SL';
				}else{
					$firminvtype = $result->code;
				}
				$resultset['firmtype'] = $firminvtype;
				if($firminvtype == 'UL'){
					
				}else if($firminvtype == 'SMC'){
					$resultset['availableslots'] = $firmService->getOpenSlotsForMaxCountSetting($request);
				}else{
					$resultset['availableslots'] = $firmService->getNoofTablesandPaxByTimes($request);
				}
				return $resultset;
			}else{
				return $resultset;
			}
			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function GetChangedRestServersForIpadByRestId($request)
	{
		try
		{
			$restaurantid = $request->restaurantid;
			$serverDataMapper = new Server_Model_ServerDataMapper();
			$result = $serverDataMapper->retrieveChangedServersByRestIdForIpadSync($restaurantid);
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function GetUpdatedUsersDataIos($request)
	{
		try
		{
			$finalArr = array();
			$client = new Application_Service_Client();
			$userMapper = new User_Model_ClientDataMapper();
			
			$userType = $userMapper->getUsertype($request->usrusertype_id);
				
			$user_id = "";	
			if($userType->getcode() == "RSU" || $userType->getcode() == "SRU")
			{	
				/* Get Rest Id by Rest User Id */
							
				$restid = $client->GetRestIdByRestUserId($request->userid);
					
				/* Get Rest Owner Id By Rest Id */
				
				$firm = new Application_Service_Firm();
				$userid = $firm->GetUserIdbyRestId($restid); 
				
				/* Get Rest Owner Details by User Id */
				$restOwnerUserTableData = $client->GetRestOwnerUserTableDetails($userid);
				
				$finalArr['usertabledata'] = $restOwnerUserTableData;
				$user_id = $userid;
			}else{		
				$user_id = $request->userid;	
				$restOwnerUserTableData = $client->GetRestOwnerUserTableDetails($user_id);
				
				$finalArr['usertabledata'] = $restOwnerUserTableData;	
			}
			
			/* Retrieve Super User Restaurants */
			
			if($userType->getcode() == "SRU")
			{
				$superuser_id = array();
				$superuser_id[] = $request->userid;
				$SuperUserDataMapper = new User_Model_RestSuperUserDataMapper();
				$superuserresult = $SuperUserDataMapper->retrievesuperuserrestaurants($superuser_id);
				
				if(count($superuserresult) > 0)
				{
					$finalArr['superuser'] = $superuserresult;
				}else{
					$finalArr['superuser'] = array();
				}
			}else{
				$finalArr['superuser'] = array();
			}
			
			/* Retrive Rest Owner Details By User Id */
			
			$owner_details = $client->GetRestOwnerDetails($user_id);
			
			$finalArr['restaurantownertabledata'] 	= $owner_details;
			
			$resService = new Application_Service_Firm();
			$resIdsArr = array();
			
			$OwnIdObj = new FirmManagement_Model_FirmByOwnerId();
			$OwnIdObj->setResOwnerId($user_id);
			
			$mapper = new FirmManagement_Model_FirmDataMapper();
			$restIdsList = $mapper->getApprovedRestaurantIdsByOwnerId($OwnIdObj);
			
			foreach($restIdsList as $resid){
				$resIdsArr[] = $resid->resid;
			}
			$restauranttabledata = $resService->GetRestaurantTableDataByOwnerId($user_id);
			
			$resultRestUsers = $resService->SynchronizationOfRestaurantUsersByRestaurantid($resIdsArr);
			if(is_array($resultRestUsers["restaurantusersdata"]) && count($resultRestUsers["restaurantusersdata"]) > 0){
				$finalArr['restaurantusersdata'] = $resultRestUsers["restaurantusersdata"];
			}else{
				$finalArr['restaurantusersdata'] = array();
			}
			$finalArr['restaurantdata']	= $restauranttabledata;					
			return $finalArr;
				
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function GetChangedRestContactsByRestId($request)
	{
		try
		{
			$restid   = $request->restaurantid;
			$firmMapper = new FirmManagement_Model_FirmGroupUsersDataMapper();			
			$contacts = $firmMapper->getChangedRestaurantContactsByRestidforIpad($restid);
			return $contacts;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function RetrieveChangedRestWaitQuoteTimesByResId($request)
	{
		try
		{
			$restid = $request->restaurantid;
			$result = array();
			
			$quoteTimeSettingsDataMapper = new Reservation_Model_RestaurantQuoteTimeSettingsDataMapper();
			$quoteTimes = $quoteTimeSettingsDataMapper->RetrieveChangedRestQuoteTimeSettings($restid);
			
			if(count($quoteTimes) > 0)
			{
				$result["QuoteTimesStatus"] = true;
				$result["QuoteTimes"] = $quoteTimes;
			}else{
				$result["QuoteTimesStatus"] = false;
			}
			
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function SaveChangedCustomrContacts($request)
	{
		try
		{
			$data 	= json_decode($request);			
			$contact = $data->{'contacts'};		
			$Mapper = new FirmManagement_Model_FirmGroupUsersDataMapper();
			$result = $Mapper->SaveIpadContacts($contact);
			return $result;
			
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage());
		}
	}
    
    public function MigragePosOrders($request)
    {
        try {
            $data 	= json_decode($request);			
			$contact = $data->{'contacts'};		
			$Mapper = new FirmManagement_Model_FirmGroupUsersDataMapper();
			$result = $Mapper->SaveIpadContacts($contact);
			return $result;
        } catch (Exception $ex) {
            Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage());
        }
    }
    
    	/**
	 * This function takes in request parameters and forms new class object which 
	 * compatible to save customer feeedback
	 */
	
	public function saveCustomerFeedbackFromIpad($request)
	{
		try
		{
			$feedbackMain = array();
			if($request->isPost())
			{
				$feedbackMain = $request->getPost();
			}
			else
			{
				$feedbackMain = $_GET;
			}
			$feedback = array();
			foreach ($feedbackMain as $key => $value) {
				switch($key)
				{
					case 'questionids' :
						$string = $feedbackMain['questionids'];
						$arr = explode(",",$string);
						$feedback['questionids'] = array();
						$i = 1;
						foreach ($arr as $ak => $av) {
							$feedback['questionids'][$i] = $av;
							$i++;
						}

					break;
					case 'answerids':
					$string = $feedbackMain['answerids'];
						$arr = explode(",",$string);
						$feedback['answerids'] = array();
						$i = 1;
						foreach ($arr as $ak => $av) {
							$feedback['answerids'][$i] = $av;
							$i++;
						}
					break;
					default:
					$feedback[$key] = $value;
					break;
				}
			}
			$feedback = (object)$feedback;
			$firmService = new Application_Service_Firm();
			$feedbackRequest = new DDApiService_Model_SaveFeedBackRequest();
			$feedbackRequest->questionids = $feedback->questionids;
			$feedbackRequest->answerids = $feedback->answerids;
			$feedbackRequest->addiComments = $feedback->addiComments;
			$feedbackRequest->restaurantid = $feedback->restaurantid;
			$feedbackRequest->rating = $feedback->rating;
			$feedbackRequest->bookingid = false;
			$guestForm = array();
			$guestForm[] = array('name'=>'cusfirName','value'=>$feedback->cusfirName);
			$guestForm[] = array('name'=>'cuslasName','value'=>$feedback->cuslasName);
			$guestForm[] = array('name'=>'countrycode','value'=>$feedback->countrycode);
			$guestForm[] = array('name'=>'cusPhone','value'=>$feedback->cusPhone);
			$guestForm[] = array('name'=>'cusEmail','value'=>$feedback->cusEmail);
			$guestForm[] = array('name'=>'cusBirth','value'=>$feedback->cusBirth);
			$guestForm[] = array('name'=>'DP-cusBirth','value'=>$feedback->DPCusBirth);
			$guestForm[] = array('name'=>'cusAnn','value'=>$feedback->cusAnn);
			$guestForm[] = array('name'=>'DP-cusAnn','value'=>$feedback->DPCusAnn);
			$feedbackRequest->guestForm = $guestForm;
			$json = json_encode(get_object_vars($feedbackRequest));
			$result = $firmService->saveCustomerFeedback($feedbackRequest);
			return $result;
		}
		catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage());
		}
	}

	/**
	 * GET PHONE NUMBERS BY RESTAURANT ID
	 */
	public function getPhoneNumbersByResId($resid)
	{
		try{
			$mapper = new FirmManagement_Model_FirmGroupUsersDataMapper();
			$restResult = $mapper->getCustomerContactNUmbersByResId($resid);
			return $restResult;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}


	public function getPhoneNumbersByGroupId($groupIds)
	{
		try{
			$firmService = new Application_Service_Firm();
			$restResult = $firmService->getPhoneNumbersByContactGroupIds($groupIds);
			return $restResult;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

	/**
	 * [getTaxRulesByRestaurantId returns the list of tax rules for the given restaurant]
	 * @param  [type] $resid [resid]
	 * @return [type]        [array of rules]
	 */
	public function getTaxRulesByRestaurantId($resid)
	{
		try{
			$firmService = new Application_Service_Firm();
			$rawData = $firmService->getTaxRulesByRestaurantId($resid);
			//Converting the array of objects to array
			$response = array();
			foreach ($rawData as $key => $obj) {
					$arr = array();
					$arr['id'] = $obj->getTrId();
					$arr['title'] = $obj->getTrTittle();
					$arr['percent'] = $obj->getTrPercent();
					$arr['type'] = $obj->getTrType();
					$arr['fk_restaurantid'] = $obj->getTrRestaurantId();
					$arr['status'] = $obj->getTrStatus();
					$arr['createdon'] = $obj->getTrCreatedOn();
					$arr['createdby'] = $obj->getTrCreatedBy();
					$arr['updatedon'] = $obj->getTrUpdatedOn();
					$arr['updatedby'] = $obj->getTrUpdatedBy();
					$arr['ignore_to_total'] = $obj->getTrIgnoreToTotal();
					$arr['already_included'] = $obj->getTrAlreadyIncluded();
					$arr['tags'] = $obj->getTrTags();
					$response[] = $arr;
			}
			return $response;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

	/**
	 * [getTaxRulesByRestaurantId returns the list of tax rules for the given restaurant]
	 * @param  [type] $resid [resid]
	 * @return [type]        [array of rules]
	 */
	public function getTaxRulesByRestaurantIdWithColNames($resid)
	{
		try{
			$firmService = new Application_Service_Firm();
			$rawData = $firmService->getTaxRulesByRestaurantId($resid);
			//Converting the array of objects to array
			$response = array();
			foreach ($rawData as $key => $obj) {
					$arr = array();
					$arr['tr_id'] = $obj->getTrId();
					$arr['tr_title'] = $obj->getTrTittle();
					$arr['tr_percent'] = $obj->getTrPercent();
					$arr['tr_type'] = $obj->getTrType();
					$arr['tr_fk_restaurantid'] = $obj->getTrRestaurantId();
					$arr['tr_status'] = $obj->getTrStatus();
					$arr['tr_createdon'] = $obj->getTrCreatedOn();
					$arr['tr_createdby'] = $obj->getTrCreatedBy();
					$arr['tr_updatedon'] = $obj->getTrUpdatedOn();
					$arr['tr_updatedby'] = $obj->getTrUpdatedBy();
					$arr['tr_ignore_to_total'] = $obj->getTrIgnoreToTotal();
					$arr['tr_already_included'] = $obj->getTrAlreadyIncluded();
					$arr['tags'] = $obj->getRuleTags();
					$response[] = $arr;
			}
			return $response;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
        public function getOverbookedpassandphrase($resid)
	{
		try
		{			
			$mapper = new FirmManagement_Model_OverBookedPasswordDataMapper();
			$result = $mapper->getOverbookedpassandphrase($resid);                        
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
}
