<?php
class Admin_Form_AddAdminRole extends Zend_Form
{
    public function init()
    {
    	$checkboxarr = $this->createElement('hidden','checkboxarr');
    	$checkboxarr->removeDecorator('HtmlTag')
    		  		 ->removeDecorator('Label');
    	
    	$company = $this->createElement('select','company');
		$company->removeDecorator('Label')
				->removeDecorator('HtmlTag')
				->setAttrib('class','sel1 required')
				->setRegisterInArrayValidator(false)					
				->setRequired(true);
					
		$rolename = $this->createElement('text','rolename');
    	$rolename->removeDecorator('Label')
    		 	 ->removeDecorator('HtmlTag')
    		 	 ->setAttrib('class','inp1 required')
    		 	 ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter Role Name.'))))
    		 	 ->setAttrib('maxlength', '30')
    		 	 ->setRequired(true);

    	$roledesc = $this->createElement('textarea','roledesc');
    	$roledesc->removeDecorator('Label')
	    		 ->removeDecorator('HtmlTag')
	    		 ->setAttrib('class','inp1 required')
	    		 ->setAttrib('cols', '40')
				 ->setAttrib('rows', '4')
	    		 ->setAttrib('maxlength', '200')
	    		 ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter Role Description.'))))
	    		 ->setRequired(true);
        
              
         $this->addElements( array (
        					$company,
                            $rolename,
                            $roledesc,
                            $checkboxarr                    
                            )
                );
    }
}