<?php

class Admin_Form_AddDiscountMode extends Zend_Form
{
 
    public function init()
    {
    	/* Populating City Base Data */
    	
    	$code = $this->createElement('text','addcode');
    	$code->removeDecorator('Label')
    		 ->removeDecorator('HtmlTag')
    			   ->setAttrib('maxlength', '10')
        		   ->setAttrib('class','inp1 required')
        		   ->addFilters(array('StringTrim'))
        		   ->addValidator('StringLength', false,array(0,30))
        		   ->setValue('')
        		   ->setRequired(true);
        		  
		$desc = $this->createElement('text','adddesc');
		$desc->removeDecorator('Label')
				  ->setAttrib('maxlength', '200')
    			  ->setAttrib('class','inp1 required')
        		  ->removeDecorator('HtmlTag')
        		  ->addFilters(array('StringTrim'))
        		  ->setValue('');
		$Id = $this->createElement('hidden','adddiscmodeid');
    	$Id->removeDecorator('HtmlTag')
    		  ->removeDecorator('Label');
    		  
    	
       $edit = $this->createElement('button','Submit');
       $edit->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Search')           		          		        		
        		   ->setAttrib('class','submitBtn')
                   ->setIgnore(true);
    	
    	                   
		$this->addElements( array ($code,
								   $desc,
								   $edit,
								   $Id));                           	        
    }


}


