<?php
class Admin_Model_AdvertiseTimer
{
	private $_at_id;
	private $_at_fk_adminuser;
	private $_at_timer;
	private $_at_createdon;
	private $_at_updatedon;
		
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Advertise Timer property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Advertise Timer property');
		}
		return $this->$method();
	}
	
	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}
	
	public function setId($at_id)
	{
		$this->_at_id = $at_id;
		return $this;
	}
	
	public function getId()
	{
		return $this->_at_id;
	}
	
	public function setAdminId($_at_fk_adminuser)
	{
		$this->_at_fk_adminuser = $_at_fk_adminuser;
		return $this;
	}
	
	public function getAdminId()
	{
		return $this->_at_fk_adminuser;
	}
	
	public function setTimer($_at_timer)
	{
		$this->_at_timer = $_at_timer;
		return $this;
	}
	
	public function getTimer()
	{
		return $this->_at_timer;
	}
	
	public function setCreatedon($_at_createdon)
	{
		$this->_at_createdon = $_at_createdon;
		return $this;
	}
	
	public function getCreatedon()
	{
		return $this->_at_createdon;
	}
	
	public function setUpdatedon($_at_updatedon)
	{
		$this->_at_updatedon = $_at_updatedon;
		return $this;
	}
	
	public function getUpdatedon()
	{
		return $this->_at_updatedon;
	}

}