<?php
class Admin_Model_RestaurantManualPaymentDetails
{
	private $_at_id;
	private $_at_fk_resid;
	private $_at_start;
	private $_at_end;
	private $_at_desc;
	private $_at_created_by;
	private $_at_created_on;
	private $_at_updated_by;
	private $_at_updated_on;
	private $_at_made_on;
	private $_at_amount;
		
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Advertise Timer property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Advertise Timer property');
		}
		return $this->$method();
	}
	
	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}
	
	public function setId($at_id)
	{
		$this->_at_id = $at_id;
		return $this;
	}
	
	public function getId()
	{
		return $this->_at_id;
	}
	
	public function setResId($Res)
	{
		$this->_at_fk_resid = $Res;
		return $this;
	}
	
	public function getResId()
	{
		return $this->_at_fk_resid;
	}
	
	public function setStart($Start)
	{
		$this->_at_start = $Start;
		return $this;
	}
	
	public function getStart()
	{
		return $this->_at_start;
	}
	
	public function setEnd($End)
	{
		$this->_at_end = $End;
		return $this;
	}
	
	public function getEnd()
	{
		return $this->_at_end;
	}
	
	public function setDesc($Desc)
	{
		$this->_at_desc = $Desc;
		return $this;
	}
	
	public function getDesc()
	{
		return $this->_at_desc;
	}
	
	public function setCreatedon($_at_createdon)
	{
		$this->_at_created_on = $_at_createdon;
		return $this;
	}
	
	public function getCreatedon()
	{
		return $this->_at_created_on;
	}
	
	public function setUpdatedon($_at_updatedon)
	{
		$this->_at_updated_on = $_at_updatedon;
		return $this;
	}
	
	public function getUpdatedon()
	{
		return $this->_at_updated_on;
	}
	
	public function setCreatedby($_at_createdby)
	{
		$this->_at_created_by = $_at_createdby;
		return $this;
	}
	
	public function getCreatedby()
	{
		return $this->_at_created_by;
	}
	
	public function setUpdatedby($_at_updatedby)
	{
		$this->_at_updated_by = $_at_updatedby;
		return $this;
	}
	
	public function getUpdatedby()
	{
		return $this->_at_updated_by;
	}
	
	public function setMadeOn($MadeOn)
	{
		$this->_at_made_on = $MadeOn;
		return $this;
	}
	
	public function getMadeOn()
	{
		return $this->_at_made_on;
	}
	
	public function setamount($at_amount)
	{
		$this->_at_amount = $at_amount;
		return $this;
	}
	
	public function getamount()
	{
		return $this->_at_amount;
	}

}