<?php
class Notification_Form_ContactUs extends Zend_Form
{
  public function init()
    {
      $contact = array();
      
      $contact[] = array('key'=>'email','value'=>' Email');
      $contact[] = array('key'=>'phone','value'=>' Phone');

//  $prevoty_key = Zend_Registry::get('prevoty_api_key');

//  if(isset($_SERVER['HTTP_X_FORWARDED_FOR']) && $_SERVER['HTTP_X_FORWARDED_FOR'] != '') {
//      $ip_address = $_SERVER['HTTP_X_FORWARDED_FOR'];
//  } else {
//      $ip_address = $_SERVER['REMOTE_ADDR'];
//  }
//  $prevoty = new PrevotyClient($prevoty_key);
//  try {
//    $request = new Zend_Controller_Request_Http();
//    $session_cookie = $request->getCookie('PHPSESSID');
//    if(!$request->isPost()) {
//      $trusted_token_user = $session_cookie;
//      $trusted_token_action = "contactus_form";
//      $trusted_token_ttl = "1000";
      // $nonce_token_value = $prevoty->generate_token($trusted_token_user,$trusted_token_action,$trusted_token_ttl);
//    }
//  }
//  catch(PrevotyNetworkException $e) {
//    echo "Network connectivity issue\n";
//  }
//  catch(PrevotyBadInputParameter $e) {
//    echo "Bad input parameter exception\n";
/// }
//  catch(PrevotyBadAPIKey $e) {
//    echo "Bad API key\n";
//  }
//  catch(PrevotyInternalError $e) {
//    echo "Internal Prevoty error\n";
//  }
      
    $this->setAttrib('enctype', 'multipart/form-data');
    
        $contactName = $this->createElement('text', 'contactName');
        $contactName->removeDecorator('Label')
              ->removeDecorator('HtmlTag')
              ->setAttrib('maxlength', '100')
              ->setAttrib('class','uinp1 required')
              ->addFilters(array('StringTrim'))
                ->addValidators(array(array('NotEmpty', true, array('messages' => ' *Required fields'))))                  
              ->setValue('')
              ->setRequired(true);  

        $address = $this->createElement('text','address');
        $address->removeDecorator('Label')
              ->removeDecorator('HtmlTag')
            ->setAttrib('maxlength', '500')
            ->setAttrib('class','uinp1')
            ->addFilters(array('StringTrim'))
            ->addValidators(array(array('NotEmpty', true, array('messages' => ' *Required fields')),
                      array('StringLength', false,array(1,500,'messages' => array(
                    Zend_Validate_StringLength::TOO_LONG => 'address is too long(>510).'
                  )))))                                
                ->setValue('')  
            ->setRequired(false);

         $city = $this->createElement('text', 'city');
         $city->removeDecorator('Label')  
            ->removeDecorator('HtmlTag')                 
            ->setAttrib('class','uinp1')
            ->addFilters(array('StringTrim'))
            ->addValidators(array(array('NotEmpty', true, array('messages' => ' *Required fields'))))    
              ->addValidator('StringLength', false,array(1,100))
              ->setValue('')
              ->setAttrib('maxlength', '100')
              ->setRequired(true);
         
         $state = $this->createElement('text', 'state');
         $state->removeDecorator('Label')  
            ->removeDecorator('HtmlTag')                 
            ->setAttrib('class','uinp1')
            ->addFilters(array('StringTrim'))
            ->addValidators(array(array('NotEmpty', true, array('messages' => ' *Required fields'))))    
              ->addValidator('StringLength', false,array(1,200))
              ->setValue('')
              ->setAttrib('maxlength', '200')
              ->setRequired(false);     

     $country = $this->createElement('text', 'country');
         $country->removeDecorator('Label')  
            ->removeDecorator('HtmlTag')                 
            ->setAttrib('class','uinp1')
            ->addFilters(array('StringTrim'))
            ->addValidators(array(array('NotEmpty', true, array('messages' => ' *Required fields'))))    
              ->addValidator('StringLength', false,array(1,100))
              ->setValue('')
              ->setAttrib('maxlength', '100')
              ->setRequired(false);

         $postalCode = $this->createElement('text', 'postalCode');
         $postalCode->removeDecorator('Label')  
                 ->removeDecorator('HtmlTag')                
                   ->setAttrib('class','uinp1')
                   ->addFilters(array('StringTrim'))
                   ->addValidators(array(array('NotEmpty', true, array('messages' => ' *Required fields'))))    
                       ->addValidator('StringLength', false,array(1,10))
                       ->setValue('')
                       ->setAttrib('maxlength', '10')
                       ->setRequired(false);
                       
         $phone = $this->createElement('text', 'phone');
         $phone->removeDecorator('Label')
              ->removeDecorator('HtmlTag')                  
                  ->setAttrib('class','uinp1')              
                  ->setAttrib('maxlength', '15')
                  ->addFilters(array('StringTrim'))
                  ->addValidators(array(array('NotEmpty', true, array('messages' => ' *Required fields'))))
                  ->setValue('')              
                  ->setRequired(false);                       
                       
        $emailAddress =  $this->createElement('text', 'emailAddress');
        $emailAddress->removeDecorator('Label')
               ->removeDecorator('HtmlTag')                  
               ->setAttrib('maxlength', '40')
               ->setAttrib('class','uinp1')
                   ->addValidators(array(array('NotEmpty', true, array('messages' => ' *Required fields')),
                          array('StringLength', false,array(5,40))))
                   ->addValidator('EmailAddress')    
                   ->addFilters(array('StringTrim'))
                   ->setRequired(true);

         $fax = $this->createElement('text', 'fax');
         $fax->removeDecorator('Label') 
            ->removeDecorator('HtmlTag')               
                ->setAttrib('class','uinp1')              
                ->setAttrib('maxlength', '15')
                ->addFilters(array('StringTrim'))
                ->addValidators(array(array('NotEmpty', true, array('messages' => ' *Required fields'))))
                ->setValue('')              
                ->setRequired(false);
                
     $website = $this->createElement('text', 'website');
         $website->removeDecorator('Label') 
                    ->removeDecorator('HtmlTag')                
                  ->setAttrib('class','uinp1')              
                  ->setAttrib('maxlength', '255')
                  ->addFilters(array('StringTrim'))                 
                  ->setValue('')              
                  ->setRequired(false); 

    $moreinfo = $this->createElement('checkbox','moreinfo');
        $moreinfo->removeDecorator('Label')
              ->removeDecorator('HtmlTag')
              ->setAttrib('class','addcontact')
              ->setRequired(false)
              ->setChecked(false);
            
        $comments = $this->createElement('textarea', 'comments');
        $comments->removeDecorator('Label')
                 ->removeDecorator('HtmlTag')
                 ->setAttrib('maxlength', '1000')
                 ->setAttrib('rows', '3')
                 ->setAttrib('cols', '25')
                 ->setAttrib('class','utextarea')
                 ->addFilters(array('StringTrim'))
                 ->addValidators(array(array('NotEmpty', true, array('messages' => ' *Required fields'))))
                 ->setRequired(true);             

        /*$imageCaptcha = new Zend_Captcha_Image();
        $imageCaptcha->setWidth(150)
               ->setWordlen(6)
               ->setHeight(60)
               ->setTimeout(900)
               ->setFontSize(20)
               ->setGcFreq(5)
               ->setFont('Fonts/tahoma.ttf')
               ->setImgDir('images/captcha/')
               ->setImgUrl('/images/captcha/')
               ->setDotNoiseLevel(0)
               ->setLineNoiseLevel(0);
                 
        $captcha = new Zend_Form_Element_Captcha('captcha',array(
                                      'captcha' => $imageCaptcha 
                                  )); 
    $captcha->removeDecorator('DtDdWrapper')
        ->removeDecorator('HtmlTag')
        ->setAttrib('style','position:relative;margin-top:20px');*/
        
        $contactType = new Zend_Form_Element_Radio('contactType');
    $contactType->removeDecorator('Label')
               ->removeDecorator('HtmlTag')
                 ->setMultiOptions($contact)
                 ->setValue('email')
                 ->setSeparator('&nbsp;&nbsp;&nbsp;')
                 ->setRequired(false);            
    
        $submit = $this->createElement('button','submit');
        $submit->removeDecorator('Label')
              ->removeDecorator('DtDdWrapper')
              ->setValue('Submit')                                        
              ->setAttrib('class','submitBtn')
                  ->setIgnore(true);
                  
    $type = $this->createElement('hidden','type');
      $type->removeDecorator('HtmlTag')
               ->removeDecorator('Label');                  

  /*$noncetoken = $this->createElement('hidden','noncetoken');
        $noncetoken->removeDecorator('HtmlTag')
               ->removeDecorator('Label')
               ->setValue($nonce_token_value['token']);*/
                      
          $this->addElements( array ($contactName,
                         $address,
                         $city,
                         $state,
                         $country,
                         $postalCode,
                         $phone,
                         $emailAddress,
                         $fax,
                         $website,
                         $moreinfo,
                         $comments,
                         $contactType,
                         $type,
                      //   $captcha,
              //   $noncetoken,
                         $submit));
            
    }
}