<?php
class Payments_Model_RestAuthnetPaymentProfileMap
{
	private $_rappmid;
	private $_rappmrestaurant_id;
	private $_rappmpayment_profile_id;
	private $_rappmstatus;
	private $_createddate;
	private $_createdtime;
	private $_createdby;
	private $_updateddate;
	private $_updatedtime;
	private $_updatedby;	
	private $_paymentprof;
	private $_rappminactivestatus;
	
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}

	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid RestAuthnetPaymentProfileMap property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid RestAuthnetPaymentProfileMap property');
		}
		return $this->$method();
	}

	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}

	public function setrappmid($rappmid)
	{
		$this->_rappmid = $rappmid;
		return $this;	
	}
	
	public function getrappmid()
	{
		return $this->_rappmid;
	}
	
	public function setrappmrestaurant_id($rappmrestaurant_id)
	{
		$this->_rappmrestaurant_id = $rappmrestaurant_id;
		return $this;
	}
	
	public function getrappmrestaurant_id()
	{
		return $this->_rappmrestaurant_id;
	}
	
	public function setrappmpayment_profile_id($rappmpayment_profile_id)
	{
		$this->_rappmpayment_profile_id = $rappmpayment_profile_id;
		return $this;
	}
	
	public function getrappmpayment_profile_id()
	{
		return $this->_rappmpayment_profile_id;
	}
	
	public function setrappmstatus($rappmstatus)
	{
		$this->_rappmstatus = $rappmstatus;
		return $this;
	}

	public function getrappmstatus()
	{
		return $this->_rappmstatus;
	}
	
	public function setcreateddate($createddate)
	{
		$this->_createddate = $createddate;
		return $this;
	}
	
	public function getcreateddate()
	{
		return $this->_createddate;
	}
	
	public function setcreatedtime($createdtime)
	{
		$this->_createdtime = $createdtime;
		return $this;
	}
	
	public function getcreatedtime()
	{
		return $this->_createdtime;
	}
	
	public function setcreatedby($createdby)
	{
		$this->_createdby = $createdby;
		return $this;
	}
	
	public function getcreatedby()
	{
		return $this->_createdby;
	}
	
	public function setupdateddate($updateddate)
	{
		$this->_updateddate = $updateddate;
		return $this;
	}
	
	public function getupdateddate()
	{
		return $this->_updateddate;
	}
	
	public function setupdatedtime($updatedtime)
	{
		$this->_updatedtime = $updatedtime;
		return $this;
	}
	
	public function getupdatedtime()
	{
		return $this->_updatedtime;
	}
	
	public function setupdatedby($updatedby)
	{
		$this->_updatedby = $updatedby;
		return $this;
	}
	
	public function getupdatedby()
	{
		return $this->_updatedby;
	}
	
	public function setpaymentprof($paymentprof)
	{
		$this->_paymentprof = $paymentprof;
		return $this;
	}
	
	public function getpaymentprof()
	{
		return $this->_paymentprof;
	}
	
	public function setrappminactivestatus($rappminactivestatus)
	{
		$this->_rappminactivestatus = $rappminactivestatus;
		return $this;
	}
	
	public function getrappminactivestatus()
	{
		return $this->_rappminactivestatus;
	}
}