<?php
/**
*	Name			: PaymentProfileTypeMapper.php
*	Author			: Zubair Ahmed
*	Creation Date	: 7/05/2011
*	Path 			: application/models/PaymentProfileTypeMapper.php
*	Description		: This is the DataMapper class for the payment profiletype basedata table.
*					   	
*/
class Application_Model_PaymentProfileTypeMapper
{
	protected $_dbTable;
	
	public function setDbTable($dbTable)
	{
		if (is_string($dbTable)) {
			$dbTable = new $dbTable();
		}
		if (!$dbTable instanceof Zend_Db_Table_Abstract) {
			throw new Exception('Invalid table data gateway provided');
		}
		$this->_dbTable = $dbTable;
		return $this;
	}
	
	public function getDbTable()
	{
		if (null === $this->_dbTable) {
			$this->setDbTable('Application_Model_DbTable_PaymentProfileType');
		}
		return $this->_dbTable;
	}
	
	public function fetchAll()
	{
		$cache = new Uss_Helper_CacheManager();
		$profileType = array();
		if(!$profileType = $cache->Fetch('paymentprofiletype')){
			$where = array('status = ?'=> true);
			$records = $this->getDbTable()->fetchAll($where);
						
			foreach($records as $record){
				$profileType[] = new Application_Model_PaymentProfileType(						
					$record->toArray());	
			}
			$cache->Save($profileType,'paymentprofiletype');			
		}else{
			$profileType = $cache->Fetch('paymentprofiletype');
		}
		
		$cache = null;
		return $bookstatus;
	}
	
	public function GetProfileTypeByCode($code)
	{
		$bookstatusList = $this->fetchAll();
		
		foreach($bookstatusList as $key=>$value){
			if($value->getcode() == $code){ 
				return $value;								
			}			
		}		
	}
}