<?php
/**
*	Name			: TableTypeDataMapper.php
*	Author			: naresh 
*	Creation Date	: 10/19/2010
*	Path 			: application/models/TableTypeDataMapper.php
*	Description		: This is the DataMapper class for the table type basedata table.
*					   	
*/
class Application_Model_TableTypeDataMapper
{
	protected $_dbTable;
	
	public function setDbTable($dbTable)
	{
		if (is_string($dbTable)) {
			$dbTable = new $dbTable();
		}
		if (!$dbTable instanceof Zend_Db_Table_Abstract) {
			throw new Exception('Invalid table data gateway provided');
		}
		$this->_dbTable = $dbTable;
		return $this;
	}
	
	public function getDbTable()
	{
		if (null === $this->_dbTable) {
			$this->setDbTable('Application_Model_DbTable_TableType');
		}
		return $this->_dbTable;
	}
	
	public function fetchAll()
	{
		$bookstatus = array();
		$where = array('status = ?'=> true);
		$records = $this->getDbTable()->fetchAll($where);
		foreach($records as $record){
			$bookstatus[] = new Application_Model_TableType(						
			$record->toArray());	
		}
		return $bookstatus;
	}
}