<?php
/**
*	Name			: UlistPriceDataMapper.php
*	Author			: Sairam
*	Creation Date	: 2/26/2011
*	Path 			: application/models/UlistPriceyDataMapper.php
*	Description		: This is the DataMapper class for the Ulist Price basedata table.
*					   	
*/
class Application_Model_UlistPriceDataMapper
{
	protected $_dbTable;
	
	public function setDbTable($dbTable)
	{
		if (is_string($dbTable)) {
			$dbTable = new $dbTable();
		}
		if (!$dbTable instanceof Zend_Db_Table_Abstract) {
			throw new Exception('Invalid table data gateway provided');
		}
		$this->_dbTable = $dbTable;
		return $this;
	}
	
	public function getDbTable()
	{
		if (null === $this->_dbTable) {
			$this->setDbTable('Application_Model_DbTable_UlistPrice');
		}
		return $this->_dbTable;
	}
		
	public function fetchAll()
	{
		$ulistprice = array();
		$where = array('ulpr_status = ?'=> true);
		$records = $this->getDbTable()->fetchAll($where);
		foreach($records as $record){
			$ulistprice[] = array('key'=>$price->ulpr_id,'value'=>$price->ulpr_price);	
		}
		
		return $ulistprice;
	}
}