<?php
class Admin_Form_EditState extends Zend_Form
{

    public function init()
    {
    	/* Populating City Base Data */
    	
    	
    	
    	$code = $this->createElement('text','editcode');
    	$code->removeDecorator('Label')
    			  ->setAttrib('class','inp1 required')
    			  ->setAttrib('maxlength', '10')
        		  ->removeDecorator('HtmlTag')
        		  ->addFilters(array('StringTrim'))
        		  ->setValue('');
        		  
		$desc = $this->createElement('text','editdesc');
		$desc->removeDecorator('Label')
    			  ->setAttrib('class','inp1 required')
    			  ->setAttrib('maxlength', '200')
        		  ->removeDecorator('HtmlTag')
        		  ->addFilters(array('StringTrim'))
        		  ->setValue('');
		$Id = $this->createElement('hidden','editstateid');
    	$Id->removeDecorator('HtmlTag')
    		  ->removeDecorator('Label');
    		  
    	$countryid = $this->createElement('hidden','editcountryid');
    	$countryid->removeDecorator('HtmlTag')
    		     ->removeDecorator('Label');	  
    	
        $edit = $this->createElement('button','Update');
        $edit->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Search')           		          		        		
        		   ->setAttrib('class','submitBtn')
                   ->setIgnore(true);
    	
    	                   
		$this->addElements( array ($code,
								   $desc,
								   $edit,
								   $Id,
								   $countryid));                           	        
    }


}