<?php
class Administrator_Form_EditCampPlanDetails extends Zend_Form
{

	public function init()
    {
    	$timeMapper  = new Application_Model_SponsorTimeSelectionDataMapper();
    	$times = $timeMapper->fetchAll();
    	$tiemList = array();  
    	$tiemList[] = array('key'=>'','value'=>'Select Time');  	   
    	foreach($times as $time){
    		$tiemList[] = array('key'=>$time->getCode(),'value'=>$time->getDescription());
    	}
    	
    	$this->setAttrib('enctype', 'multipart/form-data');
    	
    	$camName = $this->createElement('hidden','campId');
    	$camName->removeDecorator('DtDdWrapper')
			  	->removeDecorator('Label')
			  	->removeDecorator('HtmlTag');
    	
		$price = $this->createElement('hidden','priceId');
    	$price->removeDecorator('DtDdWrapper')
			  	->removeDecorator('Label')
			  	->removeDecorator('HtmlTag');
			  	
    	$campStartDate = $this->createElement('text','campaignStartDate');
		$campStartDate->removeDecorator('Label')
					  ->removeDecorator('HtmlTag')
					  ->setAttrib('class','inp1 datepicker required')
					  ->setAttrib('readonly','readonly')
					  ->addFilters(array('StringTrim'))
					  ->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please select StartDate'))))
					  ->setRequired(true);
					  
		$campEndDate = $this->createElement('text','campaignEndDate');
		$campEndDate->removeDecorator('Label')
					->removeDecorator('HtmlTag')
					->setAttrib('class','inp1 datepicker2 required')
					->setAttrib('readonly','readonly')
					->addFilters(array('StringTrim'))
					->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please select EndDate.'))))
					->setRequired(true);
					
		$camtime = $this->createElement('select','campaignTime');
        $camtime->removeDecorator('Label') 
         		  ->removeDecorator('HtmlTag')
         		  ->setAttrib('class','sel1 drpDown ')
         		  ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please select Time.'))))       	   
               	  ->addMultiOptions($tiemList)
                  ->setRequired(true);

        $amount = $this->createElement('text','amount');
		$amount->removeDecorator('Label')
			   ->removeDecorator('HtmlTag')        			     
        	   ->setAttrib('class','inp1')
               ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter the Amount.'))))
               ->addFilters(array('StringTrim'))
               ->setRequired(false); 
               
		$this->addElements( array ($camName,
								   $price,
								   $campStartDate,
								   $campEndDate,
								   $camtime,
								   $amount
								 ));
    	
    }
}