<?php

class Administrator_Form_EditPaymentPlan extends Zend_Form
{

    public function init()
    {

    	$i = 0;
    	$durationArray = array();
    	$durationArray[] = array('key'=>'','value'=>'Select Duration');
    	for($i;$i<24;$i++){
    		$durationArray[] = array('key'=>$i,'value'=>$i);
    	}
    	
//    	$StatusArray = array();
//   		$StatusArray [] = array('key'=>1,'value'=>'Active');
//   		$StatusArray [] = array('key'=>2,'value'=>'In - Active');
    	
    	$camcount = $this->createElement('hidden','PlanId');
    	$camcount->removeDecorator('DtDdWrapper')
			  	 ->removeDecorator('Label')
			  	 ->removeDecorator('HtmlTag');
			  	 
    	$planTitle = $this->createElement('text','editplanTitle');
		$planTitle->removeDecorator('Label')
        		  ->removeDecorator('HtmlTag')
        		  ->setAttrib('maxlength', '100')
//        		  ->setAttrib('readonly','readonly')
        		  ->setAttrib('class','inp1')
        		  ->addFilters(array('StringTrim'))
        		  ->addValidator('StringLength', false,array(0,100))
        		  ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter Subscription Plan Title.'))))
        		  ->setValue('')
        		  ->setRequired(true);
        			    
    	$planDesc = $this->createElement('textarea','editplanDesc');
		$planDesc->removeDecorator('Label')
		 		 ->removeDecorator('HtmlTag')
				 ->setValue('')              
                 ->setAttrib('cols', '40')
			     ->setAttrib('rows', '5')
			     ->addFilters(array('StringTrim'))
			     ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please Enter Subscription Plan Description.'))))
			     ->setRequired(true);
			     
			     
		$planDuration = $this->createElement('text','editplanDuration');
		$planDuration->removeDecorator('Label')
        			 ->removeDecorator('HtmlTag')
        			 ->setAttrib('maxlength', '100')
        			 ->setAttrib('readonly','readonly')
        			 ->setAttrib('class','inp1')
//        			 ->addMultiOptions($durationArray)        			    
        			 ->setValue('')
        			 ->setRequired(true);
        
        			 
        $planAmount = $this->createElement('text','editplanAmount');
		$planAmount->removeDecorator('Label')
			   	   ->removeDecorator('HtmlTag')        			     
        	       ->setAttrib('class','inp1')
        	       ->setAttrib('readonly','readonly')
                   ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter the Amount.'))))
                   ->addFilters(array('StringTrim'))
                   ->setRequired(false);
               
//        $planstatus = $this->createElement('select','planStatus');
//		$planstatus->removeDecorator('Label')
//        		   ->removeDecorator('HtmlTag')
//        		   ->setAttrib('maxlength', '100')
//        		   ->setAttrib('class','sel1')
//        		   ->addMultiOptions($StatusArray)        			    
//        		   ->setValue('')
//        		   ->setRequired(true);
    	                   
		$this->addElements( array ($planTitle,
								   $planDesc,
								   $planDuration,
								   $planAmount,
								   $camcount,
//								   $planstatus
								   ));                           	        
    }
}
	