<?php
class Administrator_Model_Company
{
	private $_id;
	private $_companyname;
	private $_description;
	private $_email;
	private $_phone;
	private $_address;
	private $_website;
	private $_status;	
	private $_logouturl;
	private $_countrycode;
	private $_licensekey;
	private $_createdby;	
	private $_createddatetime;
	private $_updatedby;
	private $_updateddatetime;
	private $_companytype;
	private $_partnerweburl;
	private $_companylogo;
        private $_companypriceperrest;
	
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Advertise Timer property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Advertise Timer property');
		}
		return $this->$method();
	}
	
	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}
	
	public function setId($id)
	{
		$this->_id = $id;
		return $this;
	}
	
	public function getId()
	{
		return $this->_id;
	}
	
	public function setCompanyname($companyname)
	{
		$this->_companyname = $companyname;
		return $this;
	}
	
	public function getCompanyname()
	{
		return $this->_companyname;
	}
	
	public function setDescription($description)
	{
		$this->_description = $description;
		return $this;
	}
	
	public function getDescription()
	{
		return $this->_description;
	}
	
	public function setEmail($email)
	{
		$this->_email = $email;
		return $this;
	}
	
	public function getEmail()
	{
		return $this->_email;
	}
	
	public function setPhone($phone)
	{
		$this->_phone = $phone;
		return $this;
	}
	
	public function getPhone()
	{
		return $this->_phone;
	}
	
	public function setAddress($address)
	{
		$this->_address = $address;
		return $this;
	}
	
	public function getAddress()
	{
		return $this->_address;
	}
	
	public function setWebsite($website)
	{
		$this->_website = $website;
		return $this;
	}
	
	public function getWebsite()
	{
		return $this->_website;
	}
	
	public function setCreatedby($createdby)
	{
		$this->_createdby = $createdby;
		return $this;
	}
	
	public function getCreatedby()
	{
		return $this->_createdby;
	}
	
	public function setStatus($status)
	{
		$this->_status = $status;
		return $this;
	}
	
	public function getStatus()
	{
		return $this->_status;
	}
	
	public function setLogoutUrl($logouturl)
	{
		$this->_logouturl = $logouturl;
		return $this;
	}
	
	public function getLogoutUrl()
	{
		return $this->_logouturl;
	}
	
	public function setCountryCode($countrycode)
	{
		$this->_countrycode = $countrycode;
		return $this;
	}
	
	public function getCountryCode()
	{
		return $this->_countrycode;
	}
	
	public function setLicenceKey($licencekey)
	{
		$this->_licensekey = $licencekey;
		return $this;
	}
	
	public function getLicenceKey()
	{
		return $this->_licensekey;
	}
	
	public function setCreatedDatetime($createddatetime)
	{
		$this->_createddatetime = $createddatetime;
		return $this;
	}
	
	public function getCreatedDatetime()
	{
		return $this->_createddatetime;
	}
	
	public function setUpdatedBy($updatedby)
	{
		$this->_updatedby = $updatedby;
		return $this;
	}
	
	public function getUpdatedBy()
	{
		return $this->_updatedby;
	}
	
	public function setUpdatedDatetime($updateddatetime)
	{
		$this->_updateddatetime = $updateddatetime;
		return $this;
	}
	
	public function getUpdatedDatetime()
	{
		return $this->_updateddatetime;
	}
	
	public function setCompanyType($companytype)
	{
		$this->_companytype = $companytype;
		return $this;
	}
	
	public function getCompanyType()
	{
		return $this->_companytype;
	}
	
	public function setPartnerweburl($partnerweburl)
	{
		$this->_partnerweburl = $partnerweburl;
		return $this;
	}
	
	public function getPartnerweburl()
	{
		return $this->_partnerweburl;
	}
	
	public function setCompanylogo($companylogo)
	{
		$this->_companylogo = $companylogo;
		return $this;
	}
	
	public function getCompanylogo()
	{
		return $this->_companylogo;
	}
        
	public function setCompanyPricePerRest($companypriceperrest)
	{
		$this->_companypriceperrest = $companypriceperrest;
		return $this;
	}
	
	public function getCompanyPricePerRest()
	{
		return $this->_companypriceperrest;
	}
}