<?php
class Deals_DealsController extends Zend_Controller_Action
{
	protected $_specialService = null;
	protected $_restService = null; 
	protected $_bookService = null;
	protected $_facebookObj = null;
	public function init()
	{
		if(!$this->_specialService){
			$this->_specialService	= new Application_Service_Deals();
		}
		
		if(!$this->_restService){
			$this->_restService	= new Application_Service_Firm();
		}
		if(!$this->_bookService){
			$this->_bookService	= new Application_Service_Reservation();
		}
		if(!$this->_facebookObj){
			include('facebook/src/facebook.php');	
			$this->_facebookObj = new Facebook(array(
			    'appId'  => '432575743506777',
			    'secret' => 'bd9a73a6f4ddb44fd49ab8f2553d68c0',
				'cookie'     => false,
				'fileUpload' => true 
			));
		}
	}
	
	public function indexAction()
	{
		// action body
	}
	
	
	public function gettablinebyfirmidAction()
	{
		$this->_helper->layout->disableLayout();
		$this->_helper->viewRenderer->setNoRender();
		$request = $this->getRequest();
		$resid = $request->restid;
		$tagline=$this->_specialService->GetSpecialTagLineByResId($resid);
				$splTag = '';
				if($tagline){
					$splTag = $tagline->spl_tag_tagline;
					echo $splTag;
				}
				else 
				echo 0;
	}
	
	
	public function firmdealAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$request = $this->getRequest();
				$resServ = new Application_Service_Firm();
				if($request->restaurantid){
					$resStat = $resServ->AuthenticateRestByAuth($data,$request->restaurantid);
				}else{
					$resStat = false;
				}
				$this->view->secureLoginStatus = $resStat;
				$referer = $_SERVER['SERVER_NAME'];
				$this->view->referer = $referer;
				if($resStat){
					$this->_helper->layout()->setLayout('restaurantuserlayout');
					$form = $this->_specialService->getRestaurantSpecialForm();
					/*code to retrive the tagline*/
					$resid = $request->restaurantid;
					if($request->restaurantid && isset($request->splId)){
						$this->view->splId = $request->splId;
						$this->view->restaurantid = $request->restaurantid;
						$this->view->splDet = $this->_specialService->GetWidgetSpecialDetailsById($request->restaurantid,$request->splId,false);
						if(isset($request->reference)){
							$this->view->reference = $request->reference;
							$userObj = $this->_facebookObj->api('/me',array('access_token'=>$data['access_token']));
							$this->view->fbuser = $userObj['id'];
						}
					}else{
						$tagline=$this->_specialService->GetSpecialTagLineByResId($resid);
						$splTag = '';
						if($tagline){
							$splTag = $tagline->spl_tag_tagline;
						}
						$mapper = new FirmManagement_Model_FirmDataMapper();
						$owner = new FirmManagement_Model_OwnerByRestaurantId();
						$owner->setRestaurantId($resid);
						$resownername = $mapper->getOwnerByRestId($owner);
						
	//					if($data['Usertype'] == "RSO"){
	//						if($resownername->getRestUser() != $data['User_Id']){
	//							$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
	//						}
	//					}else if($data['Usertype'] == "RSU"){
	//						if($resid != $data['RestId']){
	//							$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
	//						}
	//					}
						$this->view->tagLine=$splTag;
						
						$restType = $this->_restService->getRestaurantTypeById($resid);
						foreach($restType as $key=>$value){
							if($key != ''){
								$this->view->typeId = $key;
							}
						}
						//-------------------------------//
						$restNameList = $this->_restService->GetRestaurantDetailsById($request->restaurantid);
						$this->view->restaurantid = $request->restaurantid;
						$this->view->restaurantDet = $restNameList;
						$form->restaurantid->setValue($request->restaurantid);
						
						if($this->getRequest()->isPost()){
							$result = $this->_specialService->PostSpecial($this->getRequest()->getPost());
							if($result['status']){
								$this->view->splId = $result['SplStat'];
								$this->view->splStat = 't';
								$this->view->splDet = $this->_specialService->GetWidgetSpecialDetailsById($request->restaurantid,$result['SplStat'],false);
							}else{
								$this->view->form = $result['SplForm'];
							}
						}else{
							if(isset($request->splId)){
								$this->view->splId = $request->splId;
								$this->view->splStat = 'f';
								$this->view->splDet = $this->_specialService->GetWidgetSpecialDetailsById($request->restaurantid,$request->splId,false);
							}
							if(isset($request->reference)){
								$this->view->reference = $request->reference;
							}
							$this->view->form = $form;
						}
					}
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function editdealAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$this->_helper->layout()->setLayout('restaurantuserlayout');
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$form = $this->_specialService->getEditRestaurantSpecialScheduleForm();
				$searchForm = $this->_specialService->getSearchSpecialForm();
				$restNameList = "";
				if($data['Usertype'] == "RSO" || $data['Usertype'] == "ADM" || $data['Usertype'] == "ADU"){
					$restNameList = $this->_restService->GetRestNameById($data);
				}else if($data['Usertype'] == "RSU"){
					$restNameList = $this->_restService->GetRestNameById($data);
				}else if($data['Usertype'] == "SRU"){
					$restNameList = $data['restList'];
				}
				
				$request = $this->getRequest();
				$restid = $request->restaurantid;
				$this->view->restaurantid = $request->restaurantid;
				
				if($this->getRequest()->isPost()){
					if(isset($request->formstatus)){
						$result = $this->_specialService->ManageSpecial($request,$data,$page);
					if($request->searchStartDate){
						$searchForm->searchStartDate->setValue($request->searchStartDate);
					}
					if($request->RestaurantName){
						$searchForm->RestaurantName->setValue($request->RestaurantName);
					}
					if($request->searchEndDate){
						$searchForm->searchEndDate->setValue($request->searchEndDate);
					}
					if($request->searchStartTime){
						$searchForm->searchStartTime->setValue($request->searchStartTime);
					}
					if($request->searchEndTime){
						$searchForm->searchEndTime->setValue($request->searchEndTime);
					}
					if($request->splstatus){
						$searchForm->splstatus->setValue($request->splstatus);
					}
					$this->view->searchList = $result['resDet'];
					$this->view->pageList = $result['result'];
					$this->view->restSplSch = $form;
					}else{
						$updateResult = $this->_specialService->UpdateSpecialSchedule($this->getRequest()->getPost(),$request);
						$result = $this->_specialService->ManageSpecial($request,$data,$page);
						if($updateResult['status']){
							$sp = $request->specialid;
							$this->view->searchList = $result['resDet'];
							$this->view->pageList = $result['result'];
							$this->view->restSplSch = $form;
						}else{
							$this->view->restSplSch = $form;
							$this->view->SchUpForm = 	'restSplSch';
							$this->view->searchList = $result;
						}
					}
				}else{
					$result = $this->_specialService->ManageSpecial($request,$data,$page);
					$this->view->searchList = $result['resDet'];
					$this->view->pageList = $result['result'];
					$this->view->restSplSch = $form;
				}
				$splsearchcount = $this->_specialService->getsplsearchcountbyresid($restid);
				$this->view->splsearchcount = $splsearchcount;
				$searchForm->RestaurantName->addMultiOptions($restNameList);
				$this->view->searchform = $searchForm;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function firmdealinfoAction()
	{
		try{
			$request = $this->getRequest();
			$resultSpl = $this->_specialService->GetSpecialDetailsById($request,false);
			$this->view->custaction = $request->custaction;
			if($request->custaction == 'customer'){
				$this->view->spldate = $request->spldate;
				$this->view->spltime = $request->spltime;
				$this->view->count = $request->count;
			}
			$this->view->result = $resultSpl;
			 
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function managefirmsdealAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$this->_helper->layout()->setLayout('restaurantuserlayout');
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$request = $this->getRequest();
				if(isset($request->reference)){
					$this->view->reference = $request->reference;
					$userObj = $this->_facebookObj->api('/me',array('access_token'=>$data['access_token']));
					$this->view->fbuser = $userObj['id'];
				}
				$referer = $_SERVER['SERVER_NAME'];
				$this->view->referer = $referer;
				$eventDetails = $this->_specialService->getFbEvent($request);
				$this->view->eventDet = $eventDetails;
				if($this->getRequest()->isPost()){
					$result = $this->_specialService->EditRestaurantSpecial($this->getRequest()->getPost(),$request);
					$formArr = $this->_specialService->editRestaurantSpecialDetails($request,$data);
					$resultSpl = $this->_specialService->GetSpecialDetailsById($request,false);
					$this->view->restaurantid = $request->restaurantid;
					$this->view->specialid = $request->specialid;
					$this->view->splId = $request->specialid;
					if($result['status']){
						$sp = $request->specialid;
						$this->view->result = $resultSpl;
						$this->view->editSplForm = $formArr['editSplForm'];
						$this->view->restSplImage = $formArr['restSplImage'];
						$this->view->restSplSch = $formArr['restSplSch'];
						$this->view->restSplCost = $formArr['restSplCost'];
						$this->view->restSplTitle = $formArr['restSplTitle'];
						
					}else{
						if(isset($result['editSplForm'])){
							$this->view->editSplForm = $result['editSplForm'];
							$this->view->descForm = 	'editSplForm';
						}else{
							$this->view->editSplForm = $formArr['editSplForm'];
						}
						if(isset($result['restSplImage'])){
							$this->view->restSplImage = $result['restSplImage'];
							$this->view->ImageUpForm = 	'restSplImage';
						}else{
							$this->view->restSplImage = $formArr['restSplImage'];
						}
						if(isset($result['restSplSch'])){
							$this->view->restSplSch = $result['restSplSch'];
							$this->view->SchUpForm = 	'restSplSch';
						}else{
							$this->view->restSplSch = $formArr['restSplSch'];
						}
						if(isset($result['restSplCost'])){
							$this->view->restSplCost = $result['restSplCost'];
							$this->view->CostUpForm = 	'restSplCost';
						}else{
							$this->view->restSplCost = $formArr['restSplCost'];
						}
						if(isset($result['restSplTitle'])){
							$this->view->restSplTitle = $result['restSplTitle'];
							$this->view->TitleUpForm = 	'restSplTitle';
						}else{
							$this->view->restSplTitle = $formArr['restSplTitle'];
						}
						$this->view->result = $resultSpl;
					}
				}else{
					$resultSpl                = $this->_specialService->GetSpecialDetailsById($request,false);
					$formArr                  = $this->_specialService->editRestaurantSpecialDetails($request,$data);
					$this->view->result       = $resultSpl;
					$this->view->editSplForm  = $formArr['editSplForm'];
					$this->view->restSplImage = $formArr['restSplImage'];
					$this->view->restSplSch   = $formArr['restSplSch'];
					$this->view->restSplCost  = $formArr['restSplCost'];
					$this->view->restSplTitle = $formArr['restSplTitle'];
					$this->view->restaurantid = $request->restaurantid;
					$this->view->specialid    = $request->specialid;
					$this->view->splId = $request->specialid;
				}
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function patrondealhistoryAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$this->_helper->layout()->setLayout('customerlayout');
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				$bookResults = $this->_bookService->GetCustSplBookingHistory($data['User_Id'],$page);
				$this->view->searchList = $bookResults;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function editdealstatusAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$result = $this->_specialService->UpdateSpecialStatus($request);
			if($result){
				echo 'success';
			}else{
				echo 'f';
			}
			
			}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function retrievedealinfobyidAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			$result = $this->_specialService->GetSpecialDetailsById($request,true);
			echo json_encode($result);

		}catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}
	}
	
	public function retrievedealbydateAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$result = $this->_specialService->getRestaurantSpecialByDate($request);
			
			echo $result;
		}catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}
	}
	
	public function updateorinsertdealtagAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			$userid=$data['User_Id'];
			
			if($this->getRequest()->isPost()){
			$form=new Deals_Model_SpecialTagLine();
			$restId=$request->restaurantid;
			$form=$this->_specialService->SetSpecialTagLineData($request,$data,$userid);
			$mapper=new Deals_Model_SpecialTagLineMapper();
			$dbresponse=$mapper->SaveSpecialTagLine($form);
				if($dbresponse){					
					if($dbresponse=='updated')
					{
						echo 'updated';
					}
					else 
					{						
						echo 'inserted';
					}
				}
				else 'exception';			
			}			
			
		}catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}
	}
	
	public function dealreserationhistoryAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$this->_helper->layout()->setLayout('restaurantuserlayout');
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$request = $this->getRequest();
				$result = $this->_specialService->specialBookingReport($request);
				$this->view->splinfo = $result['splinfo'];
				$this->view->cusbokhis = $result['cusbokhis'];
				$this->view->restaurantid = $request->restaurantid;
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}	
		}catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}
	}
	
	public function editdealwithsocialmediaAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			
			
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			$auth = Zend_Auth::getInstance();
			if(isset($request->error_reason) && isset($request->error)){
				$auth->clearIdentity();
				echo "<script type=\"text/javascript\">";
    			echo "window.close(); </script>";
			}else{
//				$storage = new Zend_Auth_Storage_Session('fblogin');
//				$data = $storage->read();
//				$auth = Zend_Auth::getInstance();
				/* facebook*/	
			 	$app_id = "432575743506777";
			   	$app_secret = "bd9a73a6f4ddb44fd49ab8f2553d68c0";
			   	$referer = $_SERVER['SERVER_NAME'];
			   	$my_url = "http://$referer/Deals/Deals/editdealwithsocialmedia";
			   	
			   	
			   	$loginProfile = $data;
			   	if(isset($request->splurl)){
			   		$loginProfile['splurl'] = $request->splurl;
			   	}
			   	$code = $request->code;
				
			   	if(empty($code)) {
			    	$loginProfile['state'] = md5(uniqid(rand(), TRUE)); // CSRF protection
			     	$dialog_url = "https://www.facebook.com/dialog/oauth?domain=$referer&locale=en_US&client_id=" 
							       . $app_id . "&redirect_uri=" . urlencode($my_url) . "&scope=user_events,friends_events,publish_actions,friends_hometown,friends_location,friends_about_me,user_about_me,user_hometown,user_location,user_birthday,friends_birthday,manage_pages,publish_stream,create_event,rsvp_event&state="
							       . $loginProfile['state'];
			
			     	
			//     	echo '<a href="'.$dialog_url.'" onclick="window.open (this.href, "child", "height=400,width=300"); return false">Click to log out</a>';
					$storage->write($loginProfile); 
					echo $dialog_url; 
			   	}
			   	if($loginProfile['state'] && ($loginProfile['state'] === $request->state)) {
			    	$token_url = "https://graph.facebook.com/oauth/access_token?"
						       . "client_id=" . $app_id . "&redirect_uri=" . urlencode($my_url)
						       . "&client_secret=" . $app_secret . "&code=" . $code."&scope=user_events,friends_events,publish_actions,friends_hometown,friends_location,friends_about_me,user_about_me,user_hometown,user_location,user_birthday,friends_birthday,manage_pages,publish_stream,create_event,rsvp_event";
			
					try{
				     	$response = file_get_contents($token_url);
				     	$params = null;
				     	parse_str($response, $params);
				
				     	$loginProfile['access_token'] = $params['access_token'];
				
				     	$graph_url = "https://graph.facebook.com/me?access_token=" 
				       				. $params['access_token'];
				
						$storage->write($loginProfile);
						echo "<script type=\"text/javascript\">";
	    				echo "window.opener.location.href = '".$loginProfile['splurl']."';window.close(); </script>";
	//					echo "<script type=\"text/javascript\">";
	//    				echo "parent.window.location.href = '".$loginProfile['splurl']."'; </script>";
					}catch(Exception $e){
						unset($loginProfile['access_token']);
						$storage->write($loginProfile);
					}
			   	}
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}
	}
	
	public function getfbfriendslistAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			$friends = $this->_facebookObj->api('/me/friends',array('access_token'=>$data['access_token'],'fields'=>'id,name,birthday,gender,username,hometown,bio,age_range,location'));
			echo json_encode($friends);
		}catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}
	}
	
	public function getfbpagelistAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			$pagesList = $this->_facebookObj->api('/me/accounts',array('access_token'=>$data['access_token']));
			echo json_encode($pagesList);
		}catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}
	}
	
	public function retrievefirmpatronsAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			$result = $this->_restService->GetRestaurantUsersContacts($data,$request);
			echo json_encode($result);
		}catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}
	}
	
	public function createfbeventAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			$pageid = $request->pageid;
			$resultSpl = $this->_specialService->GetSpecialDetailsById($request,false);
			$pagesList = $this->_facebookObj->api('/me/accounts',array('access_token'=>$data['access_token']));
			$token = '';
			foreach($pagesList['data'] as $value){
				if($value['id'] == $pageid){
					$token = $value['access_token'];
					$location = $value['name'];
					break;
				}
			}
			$resid = $request->restaurantid;
			$resServ = new Application_Service_Firm();
			$timeZone = $resServ->GetRestaurantTimeZone($resid);
			date_default_timezone_set($timeZone);
			$startevent = date(DATE_ISO8601, strtotime(date('Y-m-d',strtotime($resultSpl->getStartdate())).' '. $resultSpl->getStarttime()));
			$endevent = date(DATE_ISO8601, strtotime(date('Y-m-d',strtotime($resultSpl->getEnddate())).' '. $resultSpl->getEndtime()));
			$imageUrl = '';
			if($resultSpl->getSpecialimage()){
				foreach($resultSpl->getSpecialimage() as $image)
				{
					$removespace = strlen(trim($image)); 
					$withspace = strlen($image); 
					if($image && $removespace == $withspace){
						$imageUrl .=  $image;
						break;
					}else{
						$imageUrl .= '/images/notavailable.png';
					}
				}
			}else{
				$imageUrl .= '/images/notavailable.png';
			}
			$attachment = array(
								"name"				=>	$resultSpl->getSpecialtitle(),
								"access_token"		=>	$token,
								"start_time"		=>	$startevent,
								"location"			=>	$resultSpl->getRestaurantname().', '.$resultSpl->getRestaurantaddress().', '.$resultSpl->getRestaurantcity(),
								"end_time"			=>	$endevent,
								"description"		=>	$resultSpl->getDescription()
							);
			$result = $this->_facebookObj->api('/'.$pageid.'/events/', 'post', $attachment);
			if($imageUrl){
				$attachment = array(
									"access_token"		=>	$token,
									"cover_url" => 'http://www.dinedesk.com'.$imageUrl
								);
				$Imgresult = $this->_facebookObj->api('/'.$result['id'], 'post', $attachment);
			}
			echo $result['id'];						
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage());
		}
	}
	
	public function getfbeventdetailsAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			$eventid = $request->eventid;
			$eventArr = array();
			try{
				$Invited = @file_get_contents('https://graph.facebook.com/' . $eventid.'/invited?access_token=' . $data['access_token']);
		        if ( empty($Invited) ) {
	                return false;
		        }
		        $params = @json_decode($Invited);
		        $eventArr['invited'] = $params;
		        $eventArr['attending'] = array('data'=>array());
		        $eventArr['maybe'] = array('data'=>array());
		        $eventArr['declined'] = array('data'=>array());
		        $eventArr['noreply'] = array('data'=>array()); 
		        foreach($eventArr['invited']->data as $invited){
		        	if($invited->rsvp_status == 'attending'){
		        		$eventArr['attending']['data'][] = $invited; 
		        	}else if($invited->rsvp_status == 'unsure'){
		        		$eventArr['maybe']['data'][] = $invited; 
		        	}else if($invited->rsvp_status == 'declined'){
		        		$eventArr['declined']['data'][] = $invited; 
		        	}else if($invited->rsvp_status == 'not_replied'){
		        		$eventArr['noreply']['data'][] = $invited; 
		        	}
		        }		       
				$syncDetails = $this->_specialService->syncDealFbEvent($eventArr,$eventid);
			}catch(Exception $e){
				$eventArr = array();
			}
			echo json_encode($eventArr);
		}catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}
	}
	
	public function savefbeventAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$result = $this->_specialService->saveFbEvent($request);
			if($result){
				echo 't';
			}else{
				echo 'f';
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}
	}
	
	public function saveemailblastrequestAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$templateResult = $this->_specialService->CreateTemplate($request);
			if($templateResult){
				$result = $this->_specialService->saveEmailBlastRequest($request,$templateResult);
				if($result){
					echo 't';
				}else{
					echo 'f';
				}
			}else{
				echo 'f';
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}
	}
	
	public function savefbinviteesAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$result = $this->_specialService->saveFbInvitees($request);
			if($result){
				echo 't';
			}else{
				echo 'f';
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage());
		}
	}
}