<?php
class Deals_Form_EditRestSpecialInformation extends Zend_Form
{
	public function init()
	{
		$splId = $this->createElement('hidden','specialid');
		$splId->removeDecorator('DtDdWrapper')
			  ->removeDecorator('Label')
			  ->removeDecorator('HtmlTag');
    	$restId = $this->createElement('hidden','restaurantid');
    	$restId->removeDecorator('DtDdWrapper')
    			->removeDecorator('Label')
				->removeDecorator('HtmlTag');
		$spldetails = $this->createElement('hidden','editspldesc');
		$spldetails->removeDecorator('DtDdWrapper')
					->removeDecorator('Label')
					->removeDecorator('HtmlTag');
		$spldetails->setValue('editspldesc');
		
    	$specialDescription = $this->createElement('textarea', 'editspecialDescription');
		$specialDescription->removeDecorator('Label')
						->removeDecorator('HtmlTag')                	   
                	    ->setAttrib('maxlength', '10000')
                	    ->setValue('')              
                	    ->setAttrib('cols', '40')
			            ->setAttrib('rows', '4')
			            ->addFilters(array('StringTrim'))
			            ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please Enter specialDescription.')),
			           			array('StringLength', false,array(1,10000,'messages' => array(
              					Zend_Validate_StringLength::TOO_LONG => 'Description is too long(>10000).'
              				)))))
			            ->setRequired(true);
			            
		$specialSubmit = $this->createElement('submit','editSubmit');
        $specialSubmit->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Submit')           		          		        		
        		   ->setAttrib('class','submitBtn')
                   ->setIgnore(true);

		$specialReset = $this->createElement('reset','editReset');
        $specialReset->removeDecorator('Label')        		 
        		  ->setValue('Reset')
        		  ->removeDecorator('DtDdWrapper')           	  	 
        	  	  ->setAttrib('class','submitBtn')
              	  ->setIgnore(true);
					  	  
        $this->addElements( array ($splId,
									$restId,
									$spldetails,
									$specialDescription,
        							$specialSubmit,
        							$specialReset));
	}
}