<?php
class Deals_Form_SpecialTagLine extends Zend_Form
{
	public function init()
	{			

     
		$specialTagLineText = $this->createElement('text','tagline');
		$specialTagLineText->removeDecorator('Label')
						 ->removeDecorator('HtmlTag')
						 ->setAttrib('class','tagline')
						 ->addFilters(array('StringTrim'))
						 ->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please enter tag line.'))))
						 ->setRequired(true);
					
		$specialSubmit = $this->createElement('submit','Submit');
        $specialSubmit->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Submit')           		          		        		
        		   ->setAttrib('class','tagbtn')
        		    ->setAttrib('onclick','settag')
                   ->setIgnore(true);
                   
      
             	  
		$restaurantid = $this->createElement('select','restaurantid');   
		$restaurantid ->setLabel('restaurant')  
					->removeDecorator('Label')
        	  		->removeDecorator('HtmlTag') 
        	  		->setAttrib('class', 'sel4')       	   
             		->setRequired(true);
              		
					;        	  
		 $restownerid = $this->createElement('hidden','restownerid');
    	$restownerid->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label')
    	       	   ; 

		$specialReset = $this->createElement('reset','Reset');
        $specialReset->removeDecorator('Label')        		 
        		  ->setValue('Reset')
        		  ->removeDecorator('DtDdWrapper')           	  	 
        	  	  ->setAttrib('class','submitBtn')
              	  ->setIgnore(true);
					  	  
        $this->addElements( array (
        							$specialTagLineText,        							      							
        							$specialSubmit,
        							$specialReset,
        							$restaurantid,$restownerid
        							
        				   ));
		
    }
}