<?php
class Deals_Model_RestaurantSpecialRecurenceDataMapper
{
	protected $_dbTable;
	
	public function setDbTable($dbTable)
	{
		if (is_string($dbTable)) {
			$dbTable = new $dbTable();
		}
		if (!$dbTable instanceof Zend_Db_Table_Abstract) {
			throw new Exception('Invalid table data gateway provided');
		}
		$this->_dbTable = $dbTable;
		return $this;
	}
	
	public function getDbTable()
	{
		if (null === $this->_dbTable) {
			$this->setDbTable('Deals_Model_DbTable_RestaurantSpecialRecurence');
		}
		return $this->_dbTable;
	}

	public function getsplweekdays($splid)
	{
		try
		{	
			$recurenceTable = $this->getDbTable();
			$selectWeeks = $recurenceTable->select();
			$selectWeeks->setIntegrityCheck(false);
			$selectWeeks->from(array('rsr'=>'mt.restaurant_special_reccurence'),array('rsrid','rsrday_of_week'))
				->join(array('wrb'=>'mt.weekly_recurence_bd'),'wrb.id = rsr.rsrday_of_week',array('description as day'))
				->where('rsr.rsrfk_restaurant_special = ? ',$splid);
			$weekResult = $recurenceTable->fetchAll($selectWeeks);
			return $weekResult;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
}