<?php
class Phone_CustomerController extends Zend_Controller_Action
{
	protected $_restaurantService = null;
	public function init()
	{
		//$this->_helper->layout->setLayout('webapplayout');
		if(!$this->_restaurantService){
			$this->_restaurantService = new Application_Service_Firm();
		}
	}
	
	public function indexAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				
			}else{
				$this->_helper->redirector('mlogin','Authenticate','Phone');
			}	
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function customerdashAction()
	{
		try{
			$this->_helper->layout->setLayout('mobileaddlayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$page = $this->_request->getParam('page');
				if (empty($page)){
					$page = 1;
				}
				/* Reteriving Account Information */
				$userService = new Application_Service_Client();
				
				$this->view->accountinfo = $userService->GetAccountInfo($data);
				$bookingService = new Application_Service_Reservation();
				$bookingList = $bookingService->GetCusBookingsByOwnerId($data,$page);
				$this->view->bookHistRes = $bookingList;
				$request = $this->getRequest();
				if(isset($request->actstat)){
					$this->view->actstat = $request->actstat;
				}
			}else{
				$this->_helper->redirector('mlogin','Authenticate','Phone');
			}	
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function customerdashboardAction()
	{
		try{
			$this->_helper->layout->setLayout('mobilelayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				if($data['Usertype'] == "CUS"){
					$this->view->secureLoginStatus = true;
				}
			}else{
				$this->_helper->redirector('mlogin','Authenticate','Phone');
			}	
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function cusbookhisdetailsAction()
	{
		$auth = Zend_Auth::getInstance();
		if($auth->hasIdentity()){
			$request = $this->getRequest();
			$bookingService = new Application_Service_Reservation();
			$result = $bookingService->GetBookingDetailsCusByBokid($request,'phrase');
			$this->view->bokphrase = $request->bookingid;
			$this->view->result = $result;
		}else{
			$this->_helper->redirector('mlogin','Authenticate','Phone');
		}	
	}
	
	public function cancelcusreservationAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
			
				$bokservice = new Application_Service_Reservation();
				$result = $bokservice->CancelCusResv($request,$data);
				if($result){				
					return $this->_helper->redirector('custreservationdetails','Customer','Phone',array('bookingid'=>$request->bokphrase,'bokphrase'=>$request->bookingid));
				}else{
					return $this->_helper->redirector('custreservationdetails','Customer','Phone',array('bookingid'=>$request->bokphrase,'bokphrase'=>$request->bookingid,'actstat'=>'f'));
				}
			}else{
				$this->_helper->redirector('mlogin','Authenticate','Phone');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function updatereservationAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$this->_helper->layout->setLayout('mobilelayout');
				$request = $this->getRequest();
				$bokid = $request->bokid;
				$bookService = new Application_Service_Reservation();
				$result = $bookService->GetBookingDetailsByPhraseId($bokid);
				$this->view->result = $result;
				$resid = $result->getbokfk_restaurant();
				$form = $bookService->getMakeResevMobileForm();
					$restaurantService = new Application_Service_Firm();
					$restinfo = $restaurantService->GetRestaurantNamesById($result->getbokfk_restaurant());
					$this->view->restinfo = $restinfo;
					$dateArray = $bookService->getDatesBetweenDateRange($request);
					$this->view->restaurantid = $request->restaurantid;
					$this->view->dateArray = $dateArray;
					
					if($request->isPost()){
						$formData = $request->getPost();
						$resultant = $bookService->UpdateReservationMobile($formData,$bokid);
						if($resultant['status']){
							if($formData['bookingStatus'] == 'RSD'){
								$this->_helper->redirector('customerdashboard','Customer','Phone');
							}else if($formData['bookingStatus'] == 'OVB'){
								$this->_helper->redirector('customerdashboard','Customer','Phone');
							}
								
						}else{
							$form = $resultant['form'];
							$this->view->MakeResForm = $form;
						}
					}else{
						
						$fromValues = array(
										'pax'					=>	$result->getbokparty_size(),
										'resDate'				=>	$result->getbokbooking_date(),
										'resTime'				=>	$result->getbokbooking_timings(),
										'lastName'				=>	$result->getboklast_name(),
										'firstName'				=>	$result->getbokfirst_name(),
										'notificationType'		=>	$result->getNotificationType(),
										'number'				=>	$result->getbokphone(),
										'countryCode'			=>	$result->getbokcountry_code(),
										'email'					=>	$result->getbokemail(),
										'dinerRequest'			=>	$result->getbokspecial_request(),
										'contactInfo'			=>	$result->getbokrestaurant_note(),
										'bookingStatus'			=>	$result->getbokbooking_status(),
										'tableSize'				=>	$result->getTableSize(),
										'noOfTables'			=>	$result->getNoOfTables(),
										'bookingid'				=>	$result->getbokid(),
										'inventoryid'			=>	$result->getInventoryId(),
										'origin'				=>	$result->getbokreservation_mode_code(),
										'seltime'				=>	date('h:i A',strtotime($result->getbokbooking_timings())),
										'overBookingstatus'		=>	'',
										'noteType'				=>	$result->getNotificationType(),
										'restaurantid'			=>	$result->getbokfk_restaurant(),
					);
					
					$form->populate($fromValues);
						$this->view->MakeResForm = $form;
					}
					
				if($result->getbokbooking_status_code() == 'RSD'){
					$timezone = "";
					$mapper = new FirmManagement_Model_FirmDataMapper();
					$timezone = $mapper->GetRestaurantTimeZone($resid);
					date_default_timezone_set($timezone);
					
					if($request->date){
						$split = explode('-',$request->date);
						$date = date('m-d-Y',mktime(0,0,0,$split[0],$split[1],$split[2]));
					}else{
						$split = explode('-',$result->getbokbooking_date());
						$date = date('m-d-Y',mktime(0,0,0,$split[1],$split[2],$split[0]));
					}
					if($request->time){
						$time = $request->time;
					}else{
						$time = date("h:i A",strtotime($result->getbokbooking_timings()));
					}
					if($request->pax){
						$pax = $request->pax;
					}else{
						$pax = $result->getbokparty_size();
					}
					
					$maxPartyRes = "";
					$maxParty = "";
					$maxPartyAllowed = "Yes";
					$minParty = "";
					
					// BEGIN Getting Max and Min Party Sizes Day Wise//	
					$dateSplit = explode("-",$date);
					$weekday = date("D", mktime(0,0,0,$dateSplit[0],$dateSplit[1],$dateSplit[2]));	 
					
					$object = new FirmManagement_Model_FirmDayPartySettings();
					$object->setrdpsfk_restaurants($resid);	
					$mapper = new FirmManagement_Model_FirmDayPartySettingsMapper();
					$resultArray = $mapper->GetDayPartySize($object);
					$maxallowedsize = $resultArray['ressize'];
					$tempdata = $resultArray['times'];
					foreach($tempdata as $item)
					{
						$x=strtoupper($item['day']);
						$y=strtoupper($weekday);
						$z = strcmp ($x,$y);
						if(!$z){
							if($item['daystatus']){
								$maxParty = $item['maxsize'];
								$minParty = $item['minsize'];							
							}else{							
								$maxParty = $maxallowedsize;
								$minParty = 1;							
							}
							break;
						}else{
							$maxParty = $maxallowedsize;
							$minParty = 1;							
						}
					}
					
					if(!$resultArray){
							$maxParty = $maxallowedsize;
							$minParty = 1;
					}
					if(($pax > $maxParty || $pax < $minParty)){
						$maxPartyAllowed = "No";	
					}
					// END Getting Max and Min Party Sizes Day Wise//		
					
					$resttimings = new Reservation_Model_GetRestaurantTimings();
					$resttimings->setDate($date);
					$resttimings->setRestId($resid);
					$resttimings->setTime($time);
					$resttimings->setpartysize($pax);
					$resttimings->setResType('web');
					$detailsMapper = new Reservation_Model_SearchListViewDataMapper();
					
					/* Check Whether the selected date contains any special schedule */
					$restSpecialSchObject = new FirmManagement_Model_FirmSpecialSchedule();
					$restSpecialSchObject->setrsesfk_restaurant($resttimings->getRestId());
					$restSpecialSchObject->setrseseventdate($resttimings->getDate());
					$restSplSchMapperObj = new FirmManagement_Model_FirmSpecialScheduleMapper();				
					$splSchRow = $restSplSchMapperObj->CheckSpecialScheduleAvilable($restSpecialSchObject);
		
					if($splSchRow){
						$searchList = $detailsMapper->GetRestTimings($resttimings);	
					}else{
						$resDataMapper = new FirmManagement_Model_FirmDataMapper();
						$seetingArr = $resDataMapper->getScheduleSettingTypeByresId($resid);
						$settingType = $seetingArr['settingType'];
						
						if($settingType == 'SL'){
							$searchList = $detailsMapper->GetRestTimings($resttimings);
						}else if($settingType == 'UL'){
							$searchList = $detailsMapper->GetRestTimingsForUnlimited($resttimings);
						}else if($settingType == 'SMC'){
							$searchList = $detailsMapper->GetRestTimingsForMaxCount($resttimings);
						}else if($settingType == 'SAC'){
							$searchList = $detailsMapper->GetRestTimingsForAccumulative($resttimings);
						}
					}
					$index = 0;
					$searchListArr = "";
					if($searchList){
						foreach($searchList as $listval){
							if($listval['status'] == 'WAL'){
								continue;
							}else{
								$searchListArr[$index] = $listval;
								$index++;
							} 
						}
					}else{
						$frezresult = $bookService->getFreezeTypeByDateAndResId($resid, $date);
						if($frezresult && $frezresult['type'] == 'All'){
							$frzdescMap = $bookService->getFreezeDesc($request);
							if($frzdescMap && $frzdescMap->rfdm_desc){
								$this->view->freezedesc = $frzdescMap->rfdm_desc;
							}else{
								$serv = new Application_Service_Firm();
								$msg = $serv->getRestaurantTimeSearchMessage($request->restaurantid);
								$this->view->freezedesc = $msg->resbooking_search_msg;
							}
						}else{
							$serv = new Application_Service_Firm();
							$msg = $serv->getRestaurantTimeSearchMessage($request->restaurantid);
							$this->view->freezedesc = $msg->resbooking_search_msg;
						}
					}
					$payService = new Application_Service_Renumeration();
					
	//				$payResult = $payService->GetRestaurantPaymentSettingsByResId($resid,$result->getbokbooking_date());	
					$payStat = 'false';
	//				$payType = '';
	//				if($payResult){
	//					$payType = $payResult['rpsnoshow_type'];
	//					$this->view->payType = $payType;
	//					$this->view->payAmt = $payResult['payamount'];
	//					if($request->pax >= $payResult['paypax']){		
	//						$payStat = 'true';
	//					}
	//				}
					
					$this->view->searchlist = $searchListArr;
					$this->view->restid = $resid;
					$this->view->pax = $pax;
					$this->view->date = $date;
					$this->view->time = $time;
					$this->view->bokid = $bokid;
					$this->view->paymentStatus = $payStat;
		
					$resDataMapper = new FirmManagement_Model_FirmDataMapper();
					$restid = new FirmManagement_Model_FirmById();
					$restid->setRestaurantId($resid);
					$resDetails = $resDataMapper->getRestaurantById($restid);
									
					$this->view->resDetails = $resDetails;
					$this->view->resName = $resDetails->getRestaurantname();
					$this->view->resAddress = $resDetails->getRestaddress();
					$this->view->resPhone	= $resDetails->getRestphone();
					$this->view->resCountryCode	= $resDetails->getres_country_code();
					$this->view->restid = $resid;
					$this->view->maxPartyStatus = $maxPartyAllowed;
					$this->view->maxParty = $maxParty;
					$this->view->minParty = $minParty;
					
					$CountryCodeMapper = new Application_Model_CountryCodeDataMapper();
			    	$CountryCode = $CountryCodeMapper->fetchAll();
			    	$CodeList = array();
			    	$CodeList[] = array('key'=>'','value'=>'Select Country Flag');
			    	foreach($CountryCode as $listcode){
			    		$CodeList[] = array('key'=>$listcode->getCountry_dial_code(),'value'=>$listcode->getCountry_flag());
			    	}
					    	
			    	$this->view->codelist = $CodeList;	
				}else{
					$this->view->alredychange = $result->getbokbooking_status_code();
				}
			}else{
				$this->_helper->redirector('mlogin','Authenticate','Phone');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function custreservationhistoryAction()
	{
		$this->_helper->layout->setLayout('mobilelayout');
		$auth = Zend_Auth::getInstance();
		if($auth->hasIdentity()){
			$storage = new Zend_Auth_Storage_Session();
			$data = $storage->read();
			$page = $this->_request->getParam('page');
			if (empty($page)){
				$page = 1;
			}
			$request = $this->getRequest();
			$bookingService = new Application_Service_Reservation();
			$bookResults = $bookingService->GetCustBookingHistoryForMobile($request,$data['User_Id'],$data['Phone'],$data['Email'],$page);
			$this->view->bookHistRes = $bookResults;
			$this->view->tab = $request->tab;
			if($data['Usertype'] == "CUS"){
				$this->view->secureLoginStatus = true;
			}			
		}else{
			$this->_helper->redirector('mlogin','Authenticate','Phone');
		}	
	}
	
	public function getbookingreservationdatesforcusAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				$bookingService = new Application_Service_Reservation();
				if($request->fromdate){
					$dateArray = $bookingService->getDatesBetweenDateRangeForCus($request);
					echo json_encode($dateArray);
				}
			}else{
			 $this->_helper->redirector('mlogin','Authenticate','Phone');
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	public function custreservationdetailsAction()
	{
		try{
			$this->_helper->layout->setLayout('mobilelayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$request = $this->getRequest();
				$bookingService = new Application_Service_Reservation();
				$result = $bookingService->GetBookingDetailsCusByBokid($request);
				$this->view->result = $result;
				$this->view->bokid = $request->bookingid;
				$this->view->bokphrase = $request->bokphrase;
				$this->view->actstat = $request->actstat;
				if($data['Usertype'] == "CUS"){
					$this->view->secureLoginStatus = true;
				}	
			}
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	/**
	 * function for edit customer details
	 */
	public function customerprofileAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$this->_helper->layout()->setLayout('mobilelayout');
				$ClientService = new Application_Service_Client();
				if($this->getRequest()->isPost()){
					$result = $ClientService->EditCustomerProfile($this->getRequest()->getPost());
					if($result['status']){
						$this->view->successmsg = "Profile Updated Successfully";
						$this->view->form = $result['form'];
					}else{
						$this->view->form = $result['form'];
					}
				}else{
					$form = $ClientService->GetCustomerProfileById($data);
					$this->view->form = $form;
				}
				if($data['Usertype'] == "CUS"){
					$this->view->secureLoginStatus = true;
				}
				
			}else{
				$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
}