<?php 
class FirmManagement_Form_EditFirmContactDetails extends Zend_Form
{

	public function init()
    {
    	 $this->setAttrib('enctype', 'multipart/form-data');
    	 
//    	$timezoneMapper = new Application_Model_TimeZoneDataMapper();
//    	$timezones = $timezoneMapper->fetchAll();
//    	$timezoneList = array();
//    	$timezoneList[] = array('key'=>'','value'=>'Select TimeZone');
//    	foreach($timezones as $timezone){
//    		$timezoneList[] = array('key'=>$timezone->getCode(),'value'=>$timezone->getDescription());
//    	}
    	
    	$CountryCodeMapper = new Application_Model_CountryCodeDataMapper();
    	$CountryCode = $CountryCodeMapper->fetchAll();
    	$CodeList = array();
    	$CodeList[] = array('key'=>'','value'=>'Select flag');
    	foreach($CountryCode as $listcode){
    		$CodeList[] = array('key'=>$listcode->getDescription(),'value'=>$listcode->getCode());
    	}
    	
    	
    	$restId = $this->createElement('hidden','restaurantid');
    	$contact = $this->createElement('hidden','contact');
    	$contact->setvalue('contact');
    	
    	
    	$resEmailAddress =  $this->createElement('text', 'emailAddress');
        $resEmailAddress ->removeDecorator('Label')
        				 ->removeDecorator('HtmlTag')        			     
        			     ->setAttrib('maxlength', '255')
        				 ->setAttrib('class','inp2')
                		 ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please enter your Email Address.')),
                		 				array('StringLength', false,array(5,255))))
                		 ->addValidator('EmailAddress',false,array('messages'=>array(Zend_Validate_EmailAddress::INVALID =>'Please enter a valid Host Name')))
						 ->addErrorMessage('Pleaes Enter Valid Email Address')
                		 ->addFilters(array('StringTrim'))
               			 ->setRequired(true);          			 
         			 
        $resTimezone = $this->createElement('select','restimezone');
        $resTimezone->removeDecorator('Label')
	         		 ->removeDecorator('HtmlTag')
	         		 ->setAttrib('class','sel1 drpDown')
	         		 ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please select TimeZone.'))))       	     
	                 ->setRequired(false);
	                  			                  
        $rescountryCode = $this->createElement('select','rescountryCode');
		$rescountryCode->removeDecorator('Label')
        			    ->removeDecorator('HtmlTag')
        			    ->setAttrib('maxlength', '100')
        			    ->setAttrib('class','sel1 drpDown')    
        			    ->setAttrib('style','width:92px;')  
        			    ->addMultiOptions($CodeList)   
        			    ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please select country code.'))))    
                        ->setValue('')
        			    ->setRequired(false);

         $rescodetext = $this->createElement('text', 'rescodetext');
         $rescodetext->removeDecorator('Label')  
         			   ->removeDecorator('HtmlTag')      		       
        		       ->setAttrib('class','inp2')
        		       ->setAttrib('style','width:92px;')
        		       ->setAttrib('readonly','readonly')
        		       ->addFilters(array('StringTrim'))
        		       ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please select country code.'))))    
                       ->setValue('')
                       ->setAttrib('maxlength', '5')
                       ->setRequired(true); 
                       
         $resPhone = $this->createElement('text', 'resPhone');
         $resPhone->removeDecorator('Label')
         		  ->removeDecorator('HtmlTag')                  
                  ->setAttrib('class','inp2')              
                  ->setAttrib('maxlength', '10')
                  ->addFilters(array('StringTrim'))
                  ->setAttrib('style','width:70%;')
                  ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please Enter Phone Number.'))))
                  ->addValidator('regex', false, array('pattern' =>'/^[0-9 ]+$/','messages' => 'Enter a valid Phone Number'))
                  ->setValue('')              
                  ->setRequired(true);

         $resFax = $this->createElement('text', 'resFax');
         $resFax->removeDecorator('Label') 
         		->removeDecorator('HtmlTag')               
                ->setAttrib('class','inp2')              
                ->setAttrib('maxlength', '15')
                ->addFilters(array('StringTrim'))
                ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please Enter Fax Number.'))))
                ->setValue('')              
                ->setRequired(false);
                
                 			 
         $resWebsite = $this->createElement('text', 'resWebsite');
         $resWebsite->removeDecorator('Label') 
                    ->removeDecorator('HtmlTag')               	
                	->setAttrib('class','inp2')              
                	->setAttrib('maxlength', '255')
                	->addFilters(array('StringTrim'))
                	->addValidators(array(array('NotEmpty', true, array('messages' => 'Please Enter WebSite.'))))
                	->setValue('')              
                	->setRequired(false);
                	
         $resManager = $this->createElement('text', 'resManager');
         $resManager->removeDecorator('Label') 
                    ->removeDecorator('HtmlTag')               	
                	->setAttrib('class','inp2')              
                	->setAttrib('maxlength', '255')
                	->addFilters(array('StringTrim'))
                	->addValidators(array(array('NotEmpty', true, array('messages' => 'Please Enter Restaurant ManagerName.'))))
                	->setValue('')              
                	->setRequired(false);
                
        $this->addElements( array ($restId,
								   $resEmailAddress,
								   $resTimezone,
								   $resPhone,
								   $resFax,
								   $rescodetext,
								   $resManager,
								   $resWebsite,
								   $contact
							   )		
		
		);	 
         		 
    }
                                 
}