<?php

class FirmManagement_Form_ExcelImport extends Zend_Form
{
	public function init()
    {
    	$this->setAttrib('enctype', 'multipart/form-data');
    	
    	$excel = $this->createElement('file','excelimp');
		$excel->removeDecorator('Label')
			     ->removeDecorator('HtmlTag')
			     ->setAttrib('class','inp1')			     
			     ->setRequired(true)
			     ->addValidator('Extension', false, 'xls,xlsx'); 
		
		$resId = $this->createElement('hidden','restId');
		$grpId = $this->createElement('hidden','grpId');
		$userid = $this->createElement('hidden','userid');
		
		
		$restNameCtl = $this->createElement('select','ExcelRestaurantName');
        $restNameCtl->removeDecorator('Label')
         		    ->removeDecorator('HtmlTag')
         		    ->setAttrib('class','sel1 drpDown')
         		    ->addValidators(array
        		 				  (array('NotEmpty', true, array('messages' => 'Please select RestaurantName.'))))
         		    ->setRegisterInArrayValidator(false)
         		    ->setRequired(true);
         		    
         		    
		$resSubmit = $this->createElement('submit','Submit');
        $resSubmit->removeDecorator('Label')
        		  ->removeDecorator('DtDdWrapper')
        		  ->setValue('Submit')           		          		        		
        		  ->setAttrib('class','submitBtn')
                  ->setIgnore(true);

		$resReset = $this->createElement('reset','Reset');
        $resReset->removeDecorator('Label')        		 
        		 ->setValue('Reset')
        		 ->removeDecorator('DtDdWrapper')           	  	 
        	  	 ->setAttrib('class','submitBtn')
              	 ->setIgnore(true);	
			     
		$this->addElements( array ($excel,
								   $resId,
								   $grpId,
								   $userid,
								   $restNameCtl,
								   $resSubmit,
								   $resReset));
    }
    
}