<?php
class FirmManagement_Model_MenuItemsAddonDataMapper
{
	protected $_dbTable;

	public function setDbTable($dbTable)
	{
		if (is_string($dbTable)) {
			$dbTable = new $dbTable();
		}
		if (!$dbTable instanceof Zend_Db_Table_Abstract) {
			throw new Exception('Invalid table data gateway provided');
		}
		$this->_dbTable = $dbTable;
		return $this;
	}

	public function getDbTable()
	{
		if (null === $this->_dbTable) {
			$this->setDbTable('FirmManagement_Model_DbTable_MenuItemsAddons');
		}
		return $this->_dbTable;
	}
	
	public function updateItemMod($request)
	{
		try{
			$db = Zend_Db_Table::getDefaultAdapter();
			$storage = new Zend_Auth_Storage_Session();
			$userdata = $storage->read();
			
            $moditemId = $request->modid; 
            
            $where = array('mia_id = ?'=>$moditemId);
            $row_affected = $this->getDbTable()->delete($where);
			return $row_affected;
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}	
}