<?php
class ManageRestaurant_Form_EditRestaurantSpecialImage extends Zend_Form
{

	public function init()
    {
    	$this->setAttrib('enctype', 'multipart/form-data');
    	
    	$splId = $this->createElement('hidden','specialid');
    	$restId = $this->createElement('hidden','restaurantid');
		$splimage = $this->createElement('hidden','splimage');
		$splimage->setValue('splimage');
    	$specialTitle = $this->createElement('hidden','splTitle');
    	
    	
    	$specialImage = $this->createElement('file','specialImage');
		$specialImage->removeDecorator('Label')
			     	 ->removeDecorator('HtmlTag')
			     	 ->setAttrib('class','inp1')			     
			     	 ->setRequired(false)
			     	 ->addValidator('FilesSize', false, array('min' => '1kB', 'max' => '100kB'))
			     	 ->addValidator('Extension', false, 'jpg,png,gif');
			     
		$this->addElements( array ($splId,
								   $restId,
								   $splimage,
								   $specialImage,
								   $specialTitle));
    	
    }
}