<?php

class ManageRestaurant_Form_EditRole extends Zend_Form
{

    public function init()
    {
        $menumapper = new Application_Model_PermissionsTypeDataMapper();
        $menu = $menumapper->getRestUserMenuBD();
    	$restUserMenuList = array();
    	foreach($menu as $menulist){
    		if($menulist->getCode() != "MR" && $menulist->getCode() != 'PS' && $menulist->getCode() != 'MPAY' && $menulist->getCode() != "BV"){
    			$restUserMenuList[] = array('key'=>$menulist->getId(),'value'=>$menulist->getDescription());
    		}
    	}
    	$rolid = $this->createElement('hidden','editroleid');
    	$rolid->removeDecorator('Label')
    		  ->removeDecorator('HtmlTag');
    		  
    	$checkboxarr = $this->createElement('hidden','editcheckboxarr');
    	$checkboxarr->removeDecorator('HtmlTag')
    		  		 ->removeDecorator('Label');
    	
    	$restNameCtl = $this->createElement('select','editRestaurantName');
		$restNameCtl->removeDecorator('Label')
					->removeDecorator('HtmlTag')
					->setAttrib('class','sel1 required')
					->setRegisterInArrayValidator(false)					
					->setRequired(true);
    	 
//    	$permisstionType = $this->createElement('select','editpermisstionType');
//        $permisstionType->removeDecorator('Label')
//         			 ->removeDecorator('HtmlTag')
//         			 ->setAttrib('class','sel1 required')
//         			 ->setAttrib('multiple', 'multiple')
//         			 ->addMultiOptions($restUserMenuList)
//         			 ->setRegisterInArrayValidator(false)
//         			 //->setRequired(true)
//         			 ->size=5;
         			 
    	$roleName = $this->createElement('text','editroleName');
    	$roleName->removeDecorator('Label')
    		 ->removeDecorator('HtmlTag')
    		 ->setAttrib('class','inp1 required')
    		 ->setAttrib('readonly','readonly')
    		 ->setAttrib('maxlength', '30')
    		 ->setRequired(true);

    	$roleDesc = $this->createElement('textarea','editroleDesc');
    	$roleDesc->removeDecorator('Label')
    		 ->removeDecorator('HtmlTag')
    		 ->setAttrib('class','inp1 required')
    		 ->setAttrib('readonly','readonly')
    		 ->setAttrib('cols', '40')
			 ->setAttrib('rows', '4')
    		 ->setAttrib('maxlength', '200')
    		 ->setRequired(true);
        
              
         $this->addElements( array (
        					$restNameCtl,
//                            $permisstionType,
                            $roleName,
                            $roleDesc,
                            $rolid,
                            $checkboxarr                     
                            )
                );
    }


}

