<?php
class Notification_NotificationController extends Zend_Controller_Action
{
	protected $_notificationService = null;
	protected $_bookService = null;
	protected $_restService = null;
	public function init()
	{
		if(!$this->_notificationService){
			$this->_notificationService	= new Application_Service_Notification();
		}
		if(!$this->_bookService){
			$this->_bookService	= new Application_Service_Booking();
		}
		if(!$this->_restService){
			$this->_restService	= new Application_Service_Restaurant();
		}
	
	}
	public function indexAction()
	{
		// action body
	}
	public function sendmailAction()
	{
		
			
		if($this->getRequest()->isPost()){
			if($this->_notificationService->SendMail($this->getRequest()->getPost())){
				$this->view->isSubmit_ = true;
				//return $this->_helper->redirector('restaurantschedule');
			}
		}
	}
	
	public function getmessageAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			if($request){
				$this->_notificationService->ChangeBokStatusByResponse($request);
			}
		}catch(Exception $ex){
			
		}
	}
	
	public function notifyfriendsAction()
	{
		$this->_helper->layout()->setLayout('emaillayout');
	try{
			
			$request = $this->getRequest();
			$bokid   = $request->bokid;
			$restId = $request->resid;
			$bokStat = $request->bokstat;
			$notstat = $request->notstat;
			$result = $this->_bookService->GetBookingDetailsByPhraseId($bokid);
			$this->view->bookedData = $result;
			$this->view->restaurantid = $restId;
			$this->view->bokStat = $bokStat;
			$this->view->bokid = $bokid;
			$this->view->notstat = $notstat;
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function rnnotifyfriendsAction()
	{
		$this->_helper->layout()->setLayout('rnlandingpagelayout');
		try{
			
			$request = $this->getRequest();
			$bokid   = $request->bokid;
			$restId = $request->resid;
			$bokStat = $request->bokstat;
			$notstat = $request->notstat;
			$result = $this->_bookService->GetBookingDetailsByPhraseId($bokid);
			$this->view->bookedData = $result;
			$this->view->restaurantid = $restId;
			$this->view->bokStat = $bokStat;
			$this->view->bokid = $bokid;
			$this->view->notstat = $notstat;
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	
	public function notifyfriendsmailAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();		
			if($this->_notificationService->NotifyFriendsEmail($request)){
				$this->view->isSubmit_ = true;
			return 	$this->_helper->redirector('widgetbookingconfirmation','Booking','Booking',array('bokid'=>$request->bokid,'resid'=>$request->resid,'bokstat'=>$request->bokstat));
			}

		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
		
	}
	
	public function widgetnotifyfriendsAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			$request = $this->getRequest();
			$bokid   = $request->bokid;
			$restId = $request->restid;
			$bokStat = $request->bokstat;
			$result = $this->_bookService->GetBookingDetailsByPhraseId($bokid);
			$this->view->bookedData = $result;
			$this->view->restaurantid = $restId;
			$this->view->bokStat = $bokStat;
			$this->view->bokid = $bokid;
			$this->view->splname = $request->splname;
			$restService = new Application_Service_Restaurant();
			/* get company details by restid */
			$restCompanyId = $restService->restaurantCompanyDetails($request->restid);
			$this->view->companyid = $restCompanyId->res_companyid;	
			/* Get Widget Theme Start */			
			$theme = $restService->GetWidgetThemeByRestId($request);
			$this->view->theme = $theme;
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function nichewidgetnotifyfriendsAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			$request = $this->getRequest();
			$bokid   = $request->bokid;
			$restId = $request->restid;
			$bokStat = $request->bokstat;
			$result = $this->_bookService->GetBookingDetailsByPhraseId($bokid);
			$this->view->bookedData = $result;
			$this->view->restaurantid = $restId;
			$this->view->bokStat = $bokStat;
			$this->view->bokid = $bokid;
			$this->view->splname = $request->splname;
			$restService = new Application_Service_Restaurant();
			/* Get Widget Theme Start */
			
			$theme = $restService->GetWidgetThemeByRestId($request);
			$this->view->theme = $theme;
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function kingstonwidgetnotifyfriendsAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			$request = $this->getRequest();
			$bokid   = $request->bokid;
			$restId = $request->restid;
			$bokStat = $request->bokstat;
			$result = $this->_bookService->GetBookingDetailsByPhraseId($bokid);
			$this->view->bookedData = $result;
			$this->view->restaurantid = $restId;
			$this->view->bokStat = $bokStat;
			$this->view->bokid = $bokid;

		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
		
	public function widgetnotifymailAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			//$mailObj = new Notification_Model_Mail();			
			$request = $this->getRequest();	
			if($this->_notificationService->WidgetNotifyFriendsEmail($request)){
				$this->view->isSubmit_ = true;
			return 	$this->_helper->redirector('widgetbookingconfirmation','Booking','Booking',array('bokid'=>$request->bokid,'resid'=>$request->resid,'bokstat'=>$request->bokstat));
			}
			
			return $this->_helper->redirector('widgetindex','Booking','Booking',array('restid'=>$request->resid));
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function mailnotifymailAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			//$mailObj = new Notification_Model_Mail();			
			$request = $this->getRequest();	
			if($this->_notificationService->WidgetNotifyFriendsEmail($request)){
				return $this->_helper->redirector('notifyfriends','Notification','Notification',array('bokid'=>$request->bokid,'resid'=>$request->resid,'notstat'=>1));
			}else{
				return $this->_helper->redirector('notifyfriends','Notification','Notification',array('bokid'=>$request->bokid,'resid'=>$request->resid,'notstat'=>1));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function rnmailnotifymailAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			//$mailObj = new Notification_Model_Mail();			
			$request = $this->getRequest();	
			if($this->_notificationService->WidgetNotifyFriendsEmail($request)){
				return $this->_helper->redirector('rnnotifyfriends','Notification','Notification',array('bokid'=>$request->bokid,'resid'=>$request->resid,'notstat'=>1));
			}else{
				return $this->_helper->redirector('rnnotifyfriends','Notification','Notification',array('bokid'=>$request->bokid,'resid'=>$request->resid,'notstat'=>1));
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	public function nichewidgetnotifymailAction()
	{
	try{
			$this->_helper->layout->disableLayout();
			//$mailObj = new Notification_Model_Mail();			
			$request = $this->getRequest();	
			if($this->_notificationService->WidgetNotifyFriendsEmail($request)){
				$this->view->isSubmit_ = true;
			return 	$this->_helper->redirector('nichewidgetbookingconfirmation','Booking','Booking',array('bokid'=>$request->bokid,'resid'=>$request->resid,'bokstat'=>$request->bokstat));
			}
			
			return $this->_helper->redirector('nichewidgetindex','Booking','Booking',array('restid'=>$request->resid));
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function kingstonwidgetnotifymailAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			//$mailObj = new Notification_Model_Mail();			
			$request = $this->getRequest();	
			if($this->_notificationService->WidgetNotifyFriendsEmail($request)){
				$this->view->isSubmit_ = true;
			return 	$this->_helper->redirector('kingstonwidgetbookingconfirmation','Booking','Booking',array('bokid'=>$request->bokid,'resid'=>$request->resid,'bokstat'=>$request->bokstat));
			}
			
			return $this->_helper->redirector('kingstonwidgetindex','Booking','Booking',array('restid'=>$request->resid));
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function notifyconfirmationAction()
	{
		try{
			$request = $this->getRequest();	
			//$this->view->sendername=$request->sendername;
			$this->view->bokid=$request->bokid;	
			$bokid   = $request->bokid;
			$constat=$request->constat;
			$result =new Booking_Model_Booking(); 
			$result = $this->_bookService->GetBookingDetailsByPhraseId($bokid);
			$senderFname=$result->getbokfirst_name(); 
			$senderLname=$result->getboklast_name();
			$this->view->fname=$senderFname;
			$this->view->lname=$senderLname;
			$this->_notificationService->NotifyConfirmation($result,$request);
			}
		catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function sendremindernotificationAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$bookService = new Application_Service_Booking();
			$bookService->GetReminderNotificationReservations();
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function emailnotificationAction()
	{
		try{
			$request = $this->getRequest();
			$requestObj = Zend_Controller_Front::getInstance()->getRequest();
			$result = $this->_notificationService->MessageDisplayDetails($request);
			
			if(isset($requestObj->viewPage)){
				$Msgarray = array('BookConfRNLand','BookNotfRNLand','BookNotCanRNLand','CancelRNLand','ReScheduleRNLand','rnnotifyfriendsLand');
				if(in_array($result['msg'], $Msgarray)){
					$this->_helper->layout()->setLayout('rnlandingpagelayout');
				}else if($result['user'] != 'RES' && $requestObj->viewPage == 'm'){
					$this->_helper->layout()->setLayout('mobileaddlayout');
				}else{
					$this->_helper->layout()->setLayout('emaillayout');
				}
			}else{
				/**
				 * 
				 * To apply Rewards or Ureserv Layout
				 */
				$Msgarray = array('BookConfRNLand','BookNotfRNLand','BookNotCanRNLand','CancelRNLand','ReScheduleRNLand','rnnotifyfriendsLand');
				if(in_array($result['msg'], $Msgarray)){
					$this->_helper->layout()->setLayout('rnlandingpagelayout');
				}
				else{
					$this->_helper->layout()->setLayout('emaillayout');
				}
			}
			if($result['result']){
				$this->view->body = $result['result'];
				$this->view->bodyStatus = 'true';
			}else{
				$this->view->bodyStatus = 'false';
				$this->view->body = $request->msgid;
			}
		}catch (Exception $ex){
			$this->view->bodyStatus = 'false';
			$this->view->body = $request->msgid;
			throw new Exception($ex->getMessage()) ;
		}
	}
	public function rnnotifyconfirmationAction()
	{
		try{
			$request = $this->getRequest();	
			//$this->view->sendername=$request->sendername;
			$this->view->bokid=$request->bokid;	
			$bokid   = $request->bokid;
			$constat=$request->constat;
			$result =new Booking_Model_Booking(); 
			$result = $this->_bookService->GetBookingDetailsByPhraseId($bokid);
			$senderFname=$result->getbokfirst_name(); 
			$senderLname=$result->getboklast_name();
			$this->view->fname=$senderFname;
			$this->view->lname=$senderLname;
			$this->_notificationService->rnNotifyConfirmation($result,$request);
			$this->_helper->layout()->setLayout('rnlandingpagelayout');
			}
		catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
}