<?php
class Payments_Form_SearchTransaction extends Zend_Form
{
	public function init()
	{        
        $txnId = $this->createElement('text', 'txnId');
        $txnId->removeDecorator('Label')
        			   	 ->removeDecorator('HtmlTag')
        			   	 ->setAttrib('maxlength', '40')
        			   	 ->setAttrib('style','width:100px;')
        			   	 ->setAttrib('class','inp1')
        			   	 ->addFilters(array('StringTrim'))
        			     ->addValidator('StringLength', false,array(0,40))
        			     ->setValue('')
        			     ->setRequired(true);
        			             
        $invNumber = $this->createElement('text', 'invNumber');
        $invNumber->removeDecorator('Label')
        			   	 ->removeDecorator('HtmlTag')
        			   	 ->setAttrib('maxlength', '40')
        			   	 ->setAttrib('style','width:100px;')
        			   	 ->setAttrib('class','inp1')
        			   	 ->addFilters(array('StringTrim'))
        			     ->addValidator('StringLength', false,array(0,40))
        			     ->setValue('')
        			     ->setRequired(true);
        			     
        $paymentProfileId = $this->createElement('select','paymentProfileId');
        $paymentProfileId->removeDecorator('Label')
         		    	 ->removeDecorator('HtmlTag')
         		    	 ->setAttrib('style','width:100px;')
         		    	 ->setAttrib('class','sel1 drpDown')
         		    	 ->setRegisterInArrayValidator(false)
         		    	 ->setRequired(false);
         		    	 			     
		$search = $this->createElement('submit','Search');
        $search->removeDecorator('Label')
        		  ->removeDecorator('HtmlTag')
        		  ->removeDecorator('DtDdWrapper') 
        		  ->setValue('Submit')           		          		        		
        		  ->setAttrib('class','submitBtn')
                  ->setIgnore(true);
                  
        $this->addElements( array ($txnId,
        						   $invNumber,
        						   $paymentProfileId,
        						   $search
        						)); 		
	}
}
