<?php
class Payments_Model_RestaurantPaymentPlanMap
{
	private $_rppmid;
	private $_rppmpayment_plan_id;
	private $_rppmrestaurant_id;
	private $_rppmplan_activation_date;
	private $_rppmplan_activation_time;
	private $_rppmplan_enddate;
	private $_rppmplan_endtime;
	private $_rppmstatus;
	
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}

	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid RestAuthnetPaymentProfileMap property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid RestAuthnetPaymentProfileMap property');
		}
		return $this->$method();
	}

	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}

	public function setrppmid($rppmid)
	{
		$this->_rppmid = $rppmid;
		return $this;
	}
	
	public function getrppmid()
	{
		return $this->_rppmid;
	}
	
	public function setrppmpayment_plan_id($rppmpayment_plan_id)
	{
		$this->_rppmpayment_plan_id = $rppmpayment_plan_id;
		return $this;
	}
	
	public function getrppmpayment_plan_id()
	{
		return $this->_rppmpayment_plan_id;
	}

	public function setrppmrestaurant_id($rppmrestaurant_id)
	{
		$this->_rppmrestaurant_id = $rppmrestaurant_id;
		return $this;
	}
	
	public function getrppmrestaurant_id()
	{
		return $this->_rppmrestaurant_id;
	}
	
	public function setrppmplan_activation_date($rppmplan_activation_date)
	{
		$this->_rppmplan_activation_date = $rppmplan_activation_date;
		return $this;
	}
	
	public function getrppmplan_activation_date()
	{
		return $this->_rppmplan_activation_date;
	}
	
	public function setrppmplan_activation_time($rppmplan_activation_time)
	{
		$this->_rppmplan_activation_time = $rppmplan_activation_time;
		return $this;
	}
	
	public function getrppmplan_activation_time()
	{
		return $this->_rppmplan_activation_time;
	}
		
	public function setrppmplan_enddate($rppmplan_enddate)
	{
		$this->_rppmplan_enddate = $rppmplan_enddate;
		return $this;
	}
	
	public function getrppmplan_enddate()
	{
		return $this->_rppmplan_enddate;
	}
	
	public function setrppmplan_endtime($rppmplan_endtime)
	{
		$this->_rppmplan_endtime = $rppmplan_endtime;
		return $this;
	}
	
	public function getrppmplan_endtime()
	{
		return $this->_rppmplan_endtime;
	}
	
	public function setrppmstatus($rppmstatus)
	{
		$this->_rppmstatus = $rppmstatus;
		return $this;
	}
	
	public function getrppmstatus()
	{
		return $this->_rppmstatus;
	}
}