<?php
class Payments_Model_SearchTransaction
{
	protected $_customerprofileid;
	protected $_txnid;
	protected $_paymentprofileid;
	protected $_invnumber;
	protected $_startdate;
	protected $_starttime;
	protected $_enddate;
	protected $_endtime;
	protected $_resName;
	protected $_resId;
	
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid AuthnetCustomerProfile property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid AuthnetCustomerProfile property');
		}
		return $this->$method();
	}
	
	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}
	
	public function setcustomerprofileid($customerprofileid)
	{
		$this->_customerprofileid = $customerprofileid;
		return $this;
	}
	
	public function getcustomerprofileid()
	{
		return $this->_customerprofileid;
	}
	
	public function settxnid($txnid)
	{
		$this->_txnid = $txnid;
		return $this;
	}
	
	public function gettxnid()
	{
		return $this->_txnid;
	}
	
	public function setpaymentprofileid($paymentprofileid)
	{
		$this->_paymentprofileid = $paymentprofileid;
		return $this;
	}
	
	public function getpaymentprofileid()
	{
		return $this->_paymentprofileid;
	}
	
	public function setinvnumber($invnumber)
	{
		$this->_invnumber = $invnumber;
		return $this;
	}
	
	public function getinvnumber()
	{
		return $this->_invnumber;
	}
	
	public function setstartdate($startdate)
	{
		$this->_startdate = $startdate;
		return $this;
	}
	
	public function getstartdate()
	{
		return $this->_startdate;
	}
	
	public function setstarttime($starttime)
	{
		$this->_starttime = $starttime;
		return $this;
	}
	
	public function getstarttime()
	{
		return $this->_starttime;
	}
	
	public function setenddate($enddate)
	{
		$this->_enddate = $enddate;
		return $this;
	}
	
	public function getenddate()
	{
		return $this->_enddate;
	}
	
	public function setendtime($endtime)
	{
		$this->_endtime = $endtime;
		return $this;
	}
	
	public function getendtime()
	{
		return $this->_endtime;
	}
	
	public function setresName($resName)
	{
		$this->_resName = $resName;
		return $this;
	}
	
	public function getresName()
	{
		return $this->_resName;
	}
	
	public function setresId($resId)
	{
		$this->_resId = $resId;
		return $this;
	}
	
	public function getresId()
	{
		return $this->_resId;
	}
}