<?php
class Payments_Model_SubscriptionPaid
{
	private $_subpid;
	private $_subprestaurant_id;
	private $_subpbilling_date;
	private $_subpamount;
	private $_subpplan_id;
	private $_subpbilling_fromdate;
	private $_subpbilling_todate;
	private $_subptransaction_id;
	private $_subp_status;

	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid SubscriptionPaid property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid SubscriptionPaid property');
		}
		return $this->$method();
	}
	
	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}
	
	public function setsubpid($subpid)
	{
		$this->_subpid = $subpid;
		return $this;
	}
	
	public function getsubpid()
	{
		return $this->_subpid;
	}
	
	public function setsubprestaurant_id($subprestaurant_id)
	{
		$this->_subprestaurant_id = $subprestaurant_id;
		return $this;	
	}
	
	public function getsubprestaurant_id()
	{
		return $this->_subprestaurant_id;
	}
	
	public function setsubpbilling_date($subpbilling_date)
	{
		$this->_subpbilling_date = $subpbilling_date;
		return $this;
	}
	
	public function getsubpbilling_date()
	{
		return $this->_subpbilling_date;
	}
	
	public function setsubpamount($subpamount)
	{
		$this->_subpamount = $subpamount;
		return $this;
	}
	
	public function getsubpamount()
	{
		return $this->_subpamount;
	}
	
	public function setsubpplan_id($subpplan_id)
	{
		$this->_subpplan_id = $subpplan_id;
		return $this;
	}
	
	public function getsubpplan_id()
	{
		return $this->_subpplan_id;
	}
	
	public function setsubpbilling_fromdate($subpbilling_fromdate)
	{
		$this->_subpbilling_fromdate = $subpbilling_fromdate;
		return $this;
	}
	
	public function getsubpbilling_fromdate()
	{
		return $this->_subpbilling_fromdate;
	}
	
	public function setsubpbilling_todate($subpbilling_todate)
	{
		$this->_subpbilling_todate = $subpbilling_todate;
		return $this;
	}
	
	public function getsubpbilling_todate()
	{
		return $this->_subpbilling_todate;
	}
	
	public function setsubptransaction_id($subptransaction_id)
	{
		$this->_subptransaction_id = $subptransaction_id;
		return $this;
	}
	
	public function getsubptransaction_id()
	{
		return $this->_subptransaction_id;
	}
	
	public function setsubp_status($subp_status)
	{
		$this->_subp_status = $subp_status;
		return $this;
	}
	
	public function getsubp_status()
	{
		return $this->_subp_status;
	}
}