<?php
class Payments_Model_SubscriptionPlans{
	private $_spid;
	private $_spplan_title;
	private $_spplan_description;
	private $_spamount;
	private $_spplan_duration;
	private $_spplan_status;
	private $_spcreated_date;
	private $_spcreated_time;
	private $_spcreated_by;
	private $_spupdated_date;
	private $_spupdated_time;
	private $_spupdated_by;
	
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}

	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid SubscriptionPlans property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid SubscriptionPlans property');
		}
		return $this->$method();
	}

	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}

	public function setspid($spid)
	{
		$this->_spid = $spid;
		return $this;	
	}
	
	public function getspid()
	{
		return $this->_spid;
	}
	
	public function setspplan_title($spplan_title)
	{
		$this->_spplan_title = $spplan_title;
		return $this;
	}
	
	public function getspplan_title()
	{
		return $this->_spplan_title;
	}
	
	public function setspplan_description($spplan_description)
	{
		$this->_spplan_description = $spplan_description;
		return $this;
	}
	
	public function getspplan_description()
	{
		return $this->_spplan_description;
	}
	
	public function setspamount($spamount)
	{
		$this->_spamount = $spamount;
		return $this;
	}
	
	public function getspamount()
	{
		return $this->_spamount;
	}

	public function setspplan_duration($spplan_duration)
	{
		$this->_spplan_duration = $spplan_duration;
		return $this;
	}
	
	public function getspplan_duration()
	{
		return $this->_spplan_duration;
	}
	
	public function setspplan_status($spplan_status)
	{
		$this->_spplan_status = $spplan_status;
		return $this;
	}
	
	public function getspplan_status()
	{
		return $this->_spplan_status;
	}
	
	public function setspcreated_date($spcreated_date)
	{
		$this->_spcreated_date = $spcreated_date;
		return $this;
	}
	
	public function getspcreated_date()
	{
		return $this->_spcreated_date;
	}

	public function setspcreated_time($spcreated_time)
	{
		$this->_spcreated_time = $spcreated_time;
		return $this;
	}
	
	public function getspcreated_time()
	{
		return $this->_spcreated_time;
	}
	
	public function setspcreated_by($spcreated_by)
	{
		$this->_spcreated_by = $spcreated_by;
		return $this;
	}
	
	public function getspcreated_by()
	{
		return $this->_spcreated_by;
	}

	public function setspupdated_date($spupdated_date)
	{
		$this->_spupdated_date = $spupdated_date;
		return $this;
	}
	
	public function getspupdated_date()
	{
		return $this->_spupdated_date;
	}

	public function setspupdated_time($spupdated_time)
	{
		$this->_spupdated_time = $spupdated_time;
		return $this;
	}
	
	public function getspupdated_time()
	{
		return $this->_spupdated_time;
	}
	
	public function setspupdated_by($spupdated_by)
	{
		$this->_spupdated_by = $spupdated_by;
		return $this;
	}
	
	public function getspupdated_by()
	{
		return $this->_spupdated_by;
	}
}