<?php
class Payments_Model_SubscriptionRenewal
{
	private $_srid;
	private $_srrestaurant_id;
	private $_srbilling_date;
	private $_srbilling_duedate;
	private $_sramount;
	private $_srplan_id;
	private $_srbilling_fromdate;
	private $_srbilling_todate;
	private $_srstatus;
	
	
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid SubscriptionRenewal property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid SubscriptionRenewal property');
		}
		return $this->$method();
	}
	
	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}
	
	public function setsrid($srid)
	{
		$this->_srid = $srid;
		return $this;
	}
	
	public function getsrid()
	{
		return $this->_srid;
	}
	
	public function setsrrestaurant_id($srrestaurant_id)
	{
		$this->_srrestaurant_id = $srrestaurant_id;
		return $this;
	}
	
	public function getsrrestaurant_id()
	{
		return $this->_srrestaurant_id;
	}
	
	public function setsrbilling_date($srbilling_date)
	{
		$this->_srbilling_date = $srbilling_date;
		return $this;
	}
	
	public function getsrbilling_date()
	{
		return $this->_srbilling_date;
	}
	
	public function setsrbilling_duedate($srbilling_duedate)
	{
		$this->_srbilling_duedate = $srbilling_duedate;
		return $this;
	}
	
	public function getsrbilling_duedate()
	{
		return $this->_srbilling_duedate;
	}
	
	public function setsramount($sramount)
	{
		$this->_sramount = $sramount;
		return $this;
	}
	
	public function getsramount()
	{
		return $this->_sramount;
	}
	
	public function setsrplan_id($srplan_id)
	{
		$this->_srplan_id = $srplan_id;
		return $this;
	}
	
	public function getsrplan_id()
	{
		return $this->_srplan_id; 
	}
	
	public function setsrbilling_fromdate($srbilling_fromdate)
	{
		$this->_srbilling_fromdate = $srbilling_fromdate;
		return $this;
	}
	
	public function getsrbilling_fromdate()
	{
		return $this->_srbilling_fromdate;
	}
	
	public function setsrbilling_todate($srbilling_todate)
	{
		$this->_srbilling_todate = $srbilling_todate;
		return $this;
	}
	
	public function getsrbilling_todate()
	{
		return $this->_srbilling_todate; 
	}
	
	public function setsrstatus($srstatus)
	{
		$this->_srstatus = $srstatus;
		return $this;
	}
	
	public function getsrstatus()
	{
		return $this->_srstatus;	
	}
}