<?php
class Phone_RestaurantController extends Zend_Controller_Action
{
	protected $_restaurantService = null;
	public function init()
	{
		//$this->_helper->layout->setLayout('webapplayout');
		if(!$this->_restaurantService){
			$this->_restaurantService = new Application_Service_Firm();
		}
	}
	
	public function indexAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				
			}else{
				$this->_helper->redirector('mlogin','Authenticate','Phone');
			}	
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function restowndashAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
					
			}else{
				$this->_helper->redirector('mlogin','Authenticate','Phone');
			}	
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function restaurantlistAction()
	{
		try{
			$this->_helper->layout->setLayout('mobilelayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();
				$resultObj = $this->_restaurantService->GetRestDataById($data);
				$this->view->myrest = $resultObj;
			}else{
				$this->_helper->redirector('mlogin','Authenticate','Phone');
			}	
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function managerestAction()
	{
		try{
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				if($request->restaurantid){					
					$result = $this->_restaurantService->GetRestaurantNamesById($request->restaurantid);
					$this->view->restinfo = $result;
				}
			}else{
				$this->_helper->redirector('mlogin','Authenticate','Phone');
			}	
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function restaurantmenumobileAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$request = $this->getRequest();
			$result = $this->_restaurantService->restaurantMenus($request);
			$this->view->menuinfo = $result['categorys'];
			$this->view->theme = $result['menuTheme'];
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function restaurantmenumobileswipeAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$request = $this->getRequest();
			$result = $this->_restaurantService->restaurantMenus($request);
			$this->view->menuinfo = $result['categorys'];
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function managemenuAction()
	{
		try{
			//$this->_helper->layout->disableLayout();
			$this->_helper->layout->setLayout('mobilelayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();	
				$request = $this->getRequest();
				if($request->restaurantid){
					$resStat = $this->_restaurantService->AuthenticateRestByAuth($data,$request->restaurantid);
				}else{
					$resStat = false;
				}
				if($resStat){					
					$result = $this->_restaurantService->GetRestaurantNamesById($request->restaurantid);
					$this->view->restinfo = $result;
				}
				$this->view->secureLoginStatus = $resStat;			
			}else{
				$this->_helper->redirector('mlogin','Authenticate','Phone');
			}	
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function restmarketingAction()
	{
		try{
			$this->_helper->layout->setLayout('mobilelayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$storage = new Zend_Auth_Storage_Session();
				$data = $storage->read();	
		        $request = $this->getRequest();
		        if($request->restaurantid){
					$resStat = $this->_restaurantService->AuthenticateRestByAuth($data,$request->restaurantid);
				}else{
					$resStat = false;
				}
				if($resStat){
					$restId = $request->restaurantid;
					$countrycodeMap = new Reservation_Model_ReservationDataMapper();
					$countrycode = $countrycodeMap->getRestaurantLocByResId($restId);
					if($countrycode->state == 'IND'){
						if($this->getRequest()->isPost()){
					       	$request = $this->getRequest()->getPost();
				       		if($request['phoneNums'] && $request['msgbody'] && $request['smstitle']){
								$status = $this->_restaurantService->sendSmsToCustomerNumFromMobileMode($request,$restId,$data);
								if($status && $request['sendsocial']){
							//		return $this->_helper->redirector('managesocialmedia','Social','SocialMedia',array('smscampid'=>$status));
									return $this->_helper->redirector('restmarketingsuccessmsg','Restaurant','Phone',array('restaurantid'=>$restId));
								}else if($status){
									return $this->_helper->redirector('restmarketingsuccessmsg','Restaurant','Phone',array('restaurantid'=>$restId));
								}		       		
				       		}else{
				       			if(! $request['msgbody']){
				       				$this->view->nomessage = true;
				       			}
				       			if(!$request['smstitle']){
			       					$this->view->smstitle = true;
				       			}
				       		}
						}	
						$this->view->restaurantid = $restId;
						$result = $this->_restaurantService->getphonenumbersbyresId($restId);
						$leftmessageMapper = new FirmManagement_Model_SmsRestaurantCampCountDataMapper();
						$leftmessage = 	$leftmessageMapper->getLeftMessagesCountByResid($restId);	
						if($leftmessage){
							if($leftmessage != 'noaccess'){
								$this->view->leftmessage = $leftmessage;
							}
						}else{
							$this->view->leftmessage = '0';
						}
						$this->view->phonenum = $result['phonestring'];
						$this->view->phonenumCount = $result['countNumbers'];
				
					}else{
						$this->view->restaurantid = $restId;
						$this->view->notIndia = $countrycode->state;
					}
				}
				$this->view->secureLoginStatus = $resStat;
			}else{
				$this->_helper->redirector('mlogin','Authenticate','Phone');
			}	
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function restmarketingsuccessmsgAction()
	{
		try{
			$this->_helper->layout->setLayout('mobilelayout');
			$auth = Zend_Auth::getInstance();
			if($auth->hasIdentity()){
				$request = $this->getRequest();
				if($request->restaurantid){					
				//	$result = $this->_restaurantService->GetRestaurantNamesById($request->restaurantid);
					$this->view->restaurantid = $request->restaurantid;
				}else{
					$this->_helper->redirector('mlogin','Authenticate','Phone');
				}
			}else{
				$this->_helper->redirector('mlogin','Authenticate','Phone');
			}	
		}catch(Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
}