<?php

class Phone_Form_MakeReservation extends Zend_Form
{

    public function init()
    {
    	$passwordConfirm = new Uss_Validate_PasswordConfirmation();
    	
   		$paxList   = array();
    	$paxList[] = array('key'=>'','value'=>'Select Party Size');
    	$paxList[] = array('key'=>'1','value'=>'1 person');
    	
    	for($i = 2;$i<=200;$i++){
    		$paxList[] = array('key'=>$i,'value'=>$i.' persons');
   	 	}
    	$notificationTypeMapper = new Application_Model_NotificationTypeDataMapper();
    	$result = $notificationTypeMapper->fetchAll();
    	$notificationList = array();
    	//$notificationList[] = array('key'=>'','value'=>'None');
    	foreach($result  as $value){
    		$notificationList[] = array('key'=>$value->getCode(),'value'=> " ". $value->getDescription());
    	}
    	
    	$SpecialStatusMapper = new Application_Model_SpecialStatusDataMapper();
    	$SpecialStatus = $SpecialStatusMapper->fetchAll();
    	$splstatusList = array();
    	$splstatusList[] = array('key'=>'','value'=>'Select Status');
    	foreach($SpecialStatus as $spllist){
    		$splstatusList[] = array('key'=>$spllist->getId(),'value'=>$spllist->getDescription());
    	}
    	
    	$start = strtotime('12:00 AM');
		$end = strtotime('11:59 PM');
		$options = '';
		$times = array();
		$times[] = array('key'=>'','value'=>'Select Time');
		for($i = $start; $i <= $end; $i += 900) 
		{
			$times[] = array('key'=>date('h:i A', $i),'value'=>date('h:i A', $i));
		} 
    	
    	$resId = $this->createElement('hidden','restaurantid');
    	$resId->removeDecorator('HtmlTag')
    		  ->removeDecorator('Label');

      	$origin = $this->createElement('hidden','origin');
    	$origin->removeDecorator('HtmlTag')
    		   ->removeDecorator('Label')
    		   ->setValue('PHN');
    		   
		$overBookingstatus = $this->createElement('hidden','overBookingstatus');
    	$overBookingstatus->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label')
    	       	    ->setValue('NO');    		   
    		  
    	$resDate = $this->createElement('select','resDate');
    	$resDate->removeDecorator('HtmlTag')    			 
    		     ->removeDecorator('Label')
    		     ->setRegisterInArrayValidator(false);
    	
    	$resTime = $this->createElement('select','resTime');
    	$resTime->removeDecorator('HtmlTag')    			 
    			 ->removeDecorator('Label')    	
    			 ->addMultiOptions($times)		 
    			 ->setRegisterInArrayValidator(false);
    	
    	$pax = $this->createElement('select','pax');
    	$pax->removeDecorator('HtmlTag')
    	     ->removeDecorator('Label')    	     
			 ->addMultiOptions($paxList)
			 ->setRegisterInArrayValidator(false);
			 			 
    	$bookingStatus = $this->createElement('hidden','bookingStatus');
    	$bookingStatus->removeDecorator('HtmlTag')
    				  ->removeDecorator('Label');
    	
    	$tableSize = $this->createElement('hidden','tableSize');
    	$tableSize->removeDecorator('HtmlTag')
    			  ->removeDecorator('Label');
    	
    	$noOfTables = $this->createElement('hidden','noOfTables');
    	$noOfTables->removeDecorator('HtmlTag')
    			   ->removeDecorator('Label');
    	
    	$inventoryid = $this->createElement('hidden','inventoryid');
    	$inventoryid->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label');
    	
    	$rescheduleStatus = $this->createElement('hidden','rescheduleStatus');
    	$rescheduleStatus->removeDecorator('HtmlTag')
    					 ->removeDecorator('Label');
    	$bookingid = $this->createElement('hidden','bookingid');
    	$bookingid->removeDecorator('HtmlTag')
    					 ->removeDecorator('Label');
    					 
		$seltime = $this->createElement('hidden','seltime');
    	$seltime->removeDecorator('HtmlTag')
    			->removeDecorator('Label');    					 
    					 
        $firstName = $this->createElement('text', 'firstName');
        $firstName->removeDecorator('Label')
        		  ->removeDecorator('HtmlTag')
        		  ->setAttrib('class','inp1 required listView')
        		  ->setAttrib('maxlength', '30')
        		  ->addFilters(array('StringTrim'))        		  
        		  ->setRequired(true);
        			   
        $lastName = $this->createElement('text', 'lastName');        
        $lastName->removeDecorator('Label')
        		 ->removeDecorator('HtmlTag')
        		 ->setAttrib('maxlength', '30')
        		 ->setAttrib('class','inp1 required listView')
        		 ->addFilters(array('StringTrim'))        		
        		 ->setRequired(true);
        			   
        
////        $notificationType = $this->createElement('select','notificationType');
//		$notificationType = new Zend_Form_Element_Radio('notificationType');
//    	$notificationType->removeDecorator('HtmlTag')    			 
//    			 		 ->removeDecorator('Label')
//    			 		 ->addMultiOptions($notificationList)
//    			 		 ->setValue('email')
//    			 		 ->setRegisterInArrayValidator(false);

        $notificationType = new Zend_Form_Element_Radio('notificationType');
		$notificationType->removeDecorator('Label')
			   		  	 ->removeDecorator('HtmlTag')
			   		  	 ->setMultiOptions($notificationList)
			   		  	 ->setValue('sms')
			   		  	 ->setAttrib('title', 'Notification Type')
			   		  	 ->setSeparator(' ')
			   		  	 ->setRequired(false);
    			 		 			   			   		  	 
		$noteType = $this->createElement('hidden','noteType');
    	$noteType->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label');
    	       	    
        $number = $this->createElement('text', 'number');
        $number->removeDecorator('Label')
        	   ->removeDecorator('HtmlTag')
        	   ->setAttrib('maxlength', '15')
        	   ->addFilters(array('StringTrim'))
        	    ->setRequired(false)
           //    ->setAttrib('style','width:50% !important;')
        	   ->setAttrib('class','phnum');
        			   
        			   
        $email = $this->createElement('text', 'email');
        $email->removeDecorator('Label')
        	   ->removeDecorator('HtmlTag')
        	   ->setAttrib('maxlength', '40')
        	   ->addFilters(array('StringTrim'))
        	   ->setRequired(false)
        	   ->setAttrib('style','width:80% !important;')
        	   ->addValidator('Email');
       $countryCode = $this->createElement('text', 'countryCode');
       $countryCode->removeDecorator('Label')  
         		   ->removeDecorator('HtmlTag')      		       
        	       ->setAttrib('class','inp1 countrycode')
        	       ->setAttrib('readonly','readonly')
				   ->setAttrib('style','float:left; width:85px;')
        //	       ->setAttrib('placeholder', ' Code')
        	       ->setAttrib('title', 'Country Code')
        	       ->addFilters(array('StringTrim'))
        	       ->setValue('')
                   ->setAttrib('maxlength', '5');
	

		$dinerRequest = $this->createElement('textarea', 'dinerRequest');
        $dinerRequest->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '200')
        			   ->setAttrib('rows', '1')  
        			   ->setAttrib('cols', '30')      			   
        			   ->addFilters(array('StringTrim'));
        			   
        $contactInfo = $this->createElement('textarea', 'contactInfo');
        $contactInfo->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '500')
        			   ->setAttrib('rows', '1') 
        			   ->setAttrib('cols', '30')       			   
        			   ->addFilters(array('StringTrim'));	

    	       	    
    	$overBookingstatus = $this->createElement('hidden','overBookingstatus');
    	$overBookingstatus->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label')
    	       	    ->setValue('NO');
    	
    	$addcontactstatus = $this->createElement('hidden','addcontactstatus');
    	$addcontactstatus->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label');
		
        $bokoptions = $this->createElement('select','bokoptions');
    	$bokoptions->removeDecorator('HtmlTag')
    	     ->removeDecorator('Label')
    	     ->setRegisterInArrayValidator(false)
    	     ->setAttrib('class', 'sel1 form');
    	
    	     
        $cusaddress = $this->createElement('text', 'cusaddress');
        $cusaddress->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '30')
        			   ->setAttrib('class','inp1')
        			   ->setAttrib('placeholder', 'Address')
        			   ->setAttrib('title', 'Address')
        			   ->setAttrib('style','width:180px;height:20px;')
        			   ->addFilters(array('StringTrim'))        			   
        			   ->setValue('')
        			   ->setRequired(false);
    	       
        $cusdislikes = $this->createElement('textarea', 'cusdislikes');
        $cusdislikes->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '500')
        			   ->setAttrib('rows', '1')
        			   ->setAttrib('cols', '25')
        			   ->setAttrib('placeholder', 'Allergies/Dislikes')
        			   ->setAttrib('title', 'Allergies/Dislikes')
        			   ->setAttrib('style','width:250px;')
        			   ->addFilters(array('StringTrim'));
        			   
         $cusdesig  = $this->createElement('text', 'cusdesig');
         $cusdesig->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '30')
        			   ->setAttrib('class','inp1')
        			   ->setAttrib('placeholder', 'Designation')
        			   ->setAttrib('title', 'Designation')
        			   ->setAttrib('style','width:120px;height:20px;')
        			   ->addFilters(array('StringTrim'))        			   
        			   ->setValue('')
        			   ->setRequired(false);
        $cuscompany  = $this->createElement('text', 'cuscompany');
        $cuscompany->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '30')
        			   ->setAttrib('class','inp1')
        			   ->setAttrib('placeholder', 'Company')
        			   ->setAttrib('title', 'Company')
        			   ->setAttrib('style','width:120px;height:20px;')
        			   ->addFilters(array('StringTrim'))        			   
        			   ->setValue('')
        			   ->setRequired(false);		   
        			   
        			   
      $specialStatus = $this->createElement('select','specialStatus');
      $specialStatus->removeDecorator('HtmlTag')
    	     ->removeDecorator('Label')
    	     ->setAttrib('class', 'sel2')
    	     ->setAttrib('title', 'Special Status')
    	     ->setAttrib('style','width:130px;')
			 ->addMultiOptions($splstatusList);
    	       	    
 	  $cuscontactid = $this->createElement('hidden','cuscontactid');
      $cuscontactid->removeDecorator('HtmlTag')
    		  		 ->removeDecorator('Label')
    		  		 ->setValue('');
    		  		 
    	$this->addElements( array ($firstName,
									$lastName,
									$number,
									$email,									
									$resId,
							    	$resDate,
							    	$resTime,
							    	$pax,
							    	$bookingStatus,
							    	$noOfTables,
							    	$tableSize,
							    	$contactInfo,
							    	$dinerRequest,							    	
							    	$origin,
							    	$notificationType,							    	
							    	$rescheduleStatus,
							    	$inventoryid,							    	
							    	$overBookingstatus,
							    	$noteType,
							    	$addcontactstatus,
							    	$seltime,
							    	$overBookingstatus,
							    	$countryCode,
							    	$bokoptions,
							    	$bookingid,
							    	$cusaddress,
									$cusdislikes,
									$cusdesig,
									$cuscompany,
									$specialStatus,
									$cuscontactid							    	
								  )		
		
		);	 
    }


}
?>

