<?php

class Reservation_Form_BlockReserv extends Zend_Form
{

    public function init()
    {
    	
    	$resId = $this->createElement('hidden','restaurantid');
    	$resId->removeDecorator('HtmlTag')
    		  ->removeDecorator('Label');
    	
    	$bookingStatus = $this->createElement('hidden','blkbookingStatus');
    	$bookingStatus->removeDecorator('HtmlTag');
    	
    	
    	$returnAction = $this->createElement('hidden','blkreturnAction');
    	$returnAction->removeDecorator('HtmlTag')
    		  		 ->removeDecorator('Label'); 	
    	
    	
        $firstName = $this->createElement('text', 'blkfirstName');
        $firstName->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '30')
        			   ->setAttrib('class','inp1')
        			   ->setAttrib('title','First Name')
        			   ->setAttrib('placeholder','First Name')
        			   ->setAttrib('style','height:23px')
        			   ->addFilters(array('StringTrim'))        			   
        			   ->setValue('')
        			   ->setRequired(true);
        $lastName = $this->createElement('text', 'blklastName');
        $lastName->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '30')
        			   ->setAttrib('title','Last Name')
        			   ->setAttrib('placeholder','Last Name')
        			   ->setAttrib('style','height:23px')
        			   ->addFilters(array('StringTrim'))
        			   ->setAttrib('class','inp1');
        			   
        			   
        $countryCode = $this->createElement('text', 'countryCode');
        $countryCode->removeDecorator('Label')  
         			   ->removeDecorator('HtmlTag')      		       
        		       ->setAttrib('class','countrycode inp1')
        		       ->setAttrib('style','width:52px;height:20px;')
        		       ->setAttrib('readonly','readonly')
        		       ->setAttrib('placeholder', 'Code')
        		       ->setAttrib('title', 'Country Code')
        		       ->addFilters(array('StringTrim'))
        		       ->setValue('')
                       ->setAttrib('maxlength', '5');
                       
        $number = $this->createElement('text', 'blknumber');
        $number->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '10')
        			   ->setAttrib('title','Phone')
        			   ->setAttrib('placeholder','Phone')
        			   ->setAttrib('style','width:102px; height:23px')
        			   ->addFilters(array('StringTrim'))
        			   ->setAttrib('class','inp1 phnum');
        $email = $this->createElement('text', 'blkemail');
        $email->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '40')
        			   ->setAttrib('title','Email')
        			   ->setAttrib('placeholder','Email')
        			   ->setAttrib('style','height:23px')
        			   ->addFilters(array('StringTrim'))
        			   ->setAttrib('class','inp1 email');
       
         $blkdate = $this->createElement('hidden','blkdate');
    	$blkdate->removeDecorator('HtmlTag')
    		  ->removeDecorator('Label');      			
        			 
		$this->addElements( array ($firstName,
									$lastName,
									$number,
									$email,									
									$resId,
							    	$blkdate,
							    	$bookingStatus,
							    	$returnAction,
							    	$countryCode
								  )		
		
		);	 
    }


}
?>

