<?php

class Reservation_Form_CustomerKioskReservation extends Zend_Form
{

    public function init()
    {
    	
		$QuotedList	=	array();
   	 	$quoteMapper = new Application_Model_WaitingQuoteTimeDataMapper();
    	$quoteResult = $quoteMapper->fetchAll();
    	$QuotedList = array();
    	$QuotedList[] = array('key'=>'','value'=>'Select Waiting Time');
    	foreach($quoteResult as $result){
    		$QuotedList[] = array('key'=>$result->getCode(),'value'=>$result->getDescription());
    	}
	    	   	
	    $paxList   = array();
	    $paxList[] = array('key'=>'','value'=>'Select Pax');
	    	for($i = 1;$i<=200;$i++){
	    		$paxList[] = array('key'=>$i,'value'=>$i);
	   	 }
    	$resId = $this->createElement('hidden','restaurantid');
    	$resId->removeDecorator('HtmlTag')
    		  ->removeDecorator('Label');
    		  
    	$returnAction = $this->createElement('hidden','returnAction');
    	$returnAction->removeDecorator('HtmlTag')
    		  		 ->removeDecorator('Label'); 	

    	$bookingid = $this->createElement('hidden','bookingid');
    	$bookingid->removeDecorator('HtmlTag')
    		  	  ->removeDecorator('Label');

    	$origin = $this->createElement('hidden','waitorigin');
    	$origin->removeDecorator('HtmlTag')
    		   ->removeDecorator('Label')
    		   ->setValue('WIN');
    		  
    	$resDate = $this->createElement('hidden','waitresDate');
    	$resDate->removeDecorator('HtmlTag')
    			 ->setAttrib('readonly','readonly')
    			 ->addFilters(array('StringTrim'))
    		     ->removeDecorator('Label');
    	
    	$resTime = $this->createElement('hidden','waitresTime');
    	$resTime->removeDecorator('HtmlTag')
//    			 ->setAttrib('class','required')
    			 ->addFilters(array('StringTrim'))
    			 ->removeDecorator('Label');
    	
    	$pax = $this->createElement('select','waitpax');
    	$pax->removeDecorator('HtmlTag')
    	     ->removeDecorator('Label')
    	     ->setAttrib('class', 'sel2 form required')
    	     ->setAttrib('style', 'width:80px;')
			 ->addMultiOptions($paxList);
			 
		$quotedtime = $this->createElement('text','quotedTime');
    	$quotedtime->removeDecorator('HtmlTag')
    	     	   ->removeDecorator('Label')
    	     	   ->setAttrib('readonly', 'readonly')
    	     	   ->setAttrib('class', 'inp1 form required dNone')
    	     	   ->setAttrib('style', 'width:222px;')
			 	   //->addMultiOptions($QuotedList)
			 	   ->setRequired(true);
			 
    	$bookingStatus = $this->createElement('hidden','waitbookingStatus');
    	$bookingStatus->removeDecorator('HtmlTag')
    				  ->removeDecorator('Label');
    	
    	$tableSize = $this->createElement('hidden','waittableSize');
    	$tableSize->removeDecorator('HtmlTag')
    			  ->removeDecorator('Label');
    	
    	$noOfTables = $this->createElement('hidden','waitnoOfTables');
    	$noOfTables->removeDecorator('HtmlTag')
    			   ->removeDecorator('Label');
    	
    	$inventoryid = $this->createElement('hidden','waitinventoryid');
    	$inventoryid->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label');
    	
    	$rescheduleStatus = $this->createElement('hidden','waitrescheduleStatus');
    	$rescheduleStatus->removeDecorator('HtmlTag')
    					 ->removeDecorator('Label');
    	
        $firstName = $this->createElement('text','waitfirstName');
        $firstName->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '30')
        			   ->setAttrib('class','inp1 required')
        			   ->addFilters(array('StringTrim'))        			   
        			   ->setValue('')
        			   ->setRequired(true);
        			   
        $lastName = $this->createElement('text','waitlastName');
        $lastName->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '30')
        			   ->addFilters(array('StringTrim'))
        			   ->setAttrib('class','inp1 required')
        			   ->setRequired(true);
        			   			   		  	 
		$noteType = $this->createElement('hidden','waitnoteType');
    	$noteType->removeDecorator('HtmlTag')
    			->setValue('email')
    	       	    ->removeDecorator('Label');
    	       	    
        $number = $this->createElement('text','waitnumber');
        $number->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '15')
        			   ->addFilters(array('StringTrim'))
        			   ->setRequired(true)
        			   ->setAttrib('class','inp1 phnum required');
        			   
		$dinerRequest = $this->createElement('textarea','waitdinerRequest');
        $dinerRequest->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('style', 'width:284px;')
        			   ->setAttrib('rows', '3')
        			   ->setAttrib('cols', '25')
        			   ->addFilters(array('StringTrim'));
        $contactInfo = $this->createElement('textarea','waitcontactInfo');
        $contactInfo->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('style', 'width:284px;')
        			   ->setAttrib('rows', '3')
        			   ->setAttrib('cols', '25')
        			   ->addFilters(array('StringTrim'));
               			
        $resSubmit = $this->createElement('submit','Submit');
        $resSubmit->removeDecorator('Label')
        		  ->removeDecorator('DtDdWrapper')
        		  ->setValue('Submit')           		          		        		
        		  ->setAttrib('class','submitBtn')
                  ->setIgnore(true);

		$resReset = $this->createElement('reset','Reset');
        $resReset->removeDecorator('Label')        		 
        		 ->setValue('Reset')
        		 ->removeDecorator('DtDdWrapper')           	  	 
        	  	 ->setAttrib('class','submitBtn')
              	 ->setIgnore(true);
        
        $password =  $this->createElement('password','password');
        $password->removeDecorator('Label')
         		->removeDecorator('HtmlTag')
        		->setAttrib('maxlength', '20')
        		->setAttrib('class','i','wait')
                ->setRequired(false)
                ->setValue('');	

        $pwdstatus = $this->createElement('hidden','waitpwdstatus');
    	$pwdstatus->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label')
    	       	    ->setValue('f');
    	       	    
    	$overBookingstatus = $this->createElement('hidden','waitoverBookingstatus');
    	$overBookingstatus->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label')
    	       	    ->setValue('NO');
    	
    	$addcontactstatus = $this->createElement('hidden','waitaddcontactstatus');
    	$addcontactstatus->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label');
    	
    	$cuscontactid = $this->createElement('hidden','waitcuscontactid');
    	$cuscontactid->removeDecorator('HtmlTag')
    		  		 ->removeDecorator('Label')
    		  		 ->setValue('');
        $countryCode = $this->createElement('text','countryCode');
        $countryCode->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->addFilters(array('StringTrim'))
        			   ->setAttrib('readonly','readonly')
        			   ->setAttrib('placeholder','Country Code')
        			   ->setRequired(true)
        			   ->setAttrib('class','inp1 phnum');    
    	       	    
    	$this->addElements( array ($firstName,
									$lastName,
									$number,						
									$resId,
							    	$resDate,
							    	$resTime,
							    	$pax,
							    	$bookingStatus,
							    	$noOfTables,
							    	$tableSize,
							    	$resSubmit,
							    	$resReset,
							    	$contactInfo,
							    	$dinerRequest,
							    	$returnAction,
							    	$origin,
							    	$bookingid,
							    	$rescheduleStatus,
							    	$inventoryid,
							    	$password,
							    	$pwdstatus,
							    	$overBookingstatus,
							    	$noteType,
							    	$quotedtime,
							    	$addcontactstatus,
							    	$cuscontactid,
							    	$countryCode
								  )
		
		);	 
    }
}
