<?php

class Reservation_Form_MakeReservation extends Zend_Form
{

    public function init()
    {
    	$passwordConfirm = new Uss_Validate_PasswordConfirmation();
    	
    	$paxList   = array();
    	$paxList[] = array('key'=>'','value'=>'Select Party Size');
    	$paxList[] = array('key'=>'1','value'=>'1 person');
    	
    	for($i = 2;$i<=200;$i++){
    		$paxList[] = array('key'=>$i,'value'=>$i.' persons');
   	 	}
   	 	
		$CountryCodeMapper = new Application_Model_CountryCodeDataMapper();
    	$CountryCode = $CountryCodeMapper->fetchAll();
    	$CodeList = array();
    	$CodeList[] = array('key'=>'','value'=>'Select flag');
    	foreach($CountryCode as $listcode){
    		$CodeList[] = array('key'=>$listcode->getDescription(),'value'=>$listcode->getCode());
    	}
		
    	$SpecialStatusMapper = new Application_Model_SpecialStatusDataMapper();
    	$SpecialStatus = $SpecialStatusMapper->fetchAll();
    	$splstatusList = array();
    	$splstatusList[] = array('key'=>'','value'=>'Select Status');
    	foreach($SpecialStatus as $spllist){
    		$splstatusList[] = array('key'=>$spllist->getId(),'value'=>$spllist->getDescription());
    	}
    	
  //   	$start = strtotime('07:00 AM');
		// $end = strtotime('11:59 PM');
		// $options = '';
		// $times = array();
		// $times[] = array('key'=>'','value'=>'Select Time');
		// for($i = $start; $i <= $end; $i += 900) 
		// {
		// 	$times[] = array('key'=>date('h:i A', $i),'value'=>date('h:i A', $i));
		// } 
    	
   	 	/*$hoursList = array();
   	 	for($i = 0; $i<=12 ; $i++){
   	 		if($i<10){
   	 			$i = '0'.$i; 
   	 			$hoursList[] =  array('key'=>$i,'value'=>$i);
   	 		}else{
   	 			$hoursList[] =  array('key'=>$i,'value'=>$i);
   	 		}
   	 	}
   	 	
   	 	$minutesList = array();
   	 	for($i = 0; $i<=59 ; $i++){
   	 		if($i<10){
   	 			$i = '0'.$i;
   	 			$minutesList[] = array('key'=>$i,'value'=>$i);
   	 		}else{
   	 			$minutesList[] = array('key'=>$i,'value'=>$i);
   	 		}
   	 	}*/
   	 	
   	 	$meridianList = array(
							array('key'=>'PM','value'=>'PM'),
							array('key'=>'AM','value'=>'AM')
   	 					);
   	 	
		/*$originList	=	array(
			array('key'=>'','value'=>'Select Origin'),
			array('key'=>'WIN','value'=>'WALK IN'),
			array('key'=>'PHN','value'=>'PHONE'),
			array('key'=>'INAT','value'=>'DineDesk')
		);*/
		
    	/*$tableTypeMapper = new Application_Model_TableTypeDataMapper();
    	$tableTypeResult = $tableTypeMapper->fetchAll();
    	$tableTypeList = array();
    	$tableTypeList[] = array('key'=>'','value'=>'Select Table Type');
    	foreach($tableTypeResult  as $result){
    		$tableTypeList[] = array('key'=>$result->getId(),'value'=>$result->getDescription());
    	}*/
    	
		
		
		
    	$notificationTypeMapper = new Application_Model_NotificationTypeDataMapper();
    	$result = $notificationTypeMapper->fetchAll();
    	$notificationList = array();
    	//$notificationList[] = array('key'=>'','value'=>'None');
    	foreach($result  as $value){
    		$notificationList[] = array('key'=>$value->getCode(),'value'=> " ". $value->getDescription());
    	}
    	
    	$resId = $this->createElement('hidden','restaurantid');
    	$resId->removeDecorator('HtmlTag')
    		  ->removeDecorator('Label');
    	$returnAction = $this->createElement('hidden','returnAction');
    	$returnAction->removeDecorator('HtmlTag')
    		  		 ->removeDecorator('Label'); 	

    	$bookingid = $this->createElement('hidden','bookingid');
    	$bookingid->removeDecorator('HtmlTag')
    		  		 ->removeDecorator('Label');

    	$origin = $this->createElement('hidden','origin');
    	$origin->removeDecorator('HtmlTag')
    		   ->removeDecorator('Label')
    		   ->setValue('PHN');
    		   
    	$paymentStat = $this->createElement('checkbox','paymentStatus');
    	$paymentStat->removeDecorator('Label')
			        ->removeDecorator('HtmlTag')
			        ->setAttrib('class','recChk')
			        ->setRequired(false)
//			        ->setValue('true')
			        ->setChecked(false);
			        
		$blockedStat = $this->createElement('checkbox','blockedStatus');
    	$blockedStat->removeDecorator('Label')
			        ->removeDecorator('HtmlTag')
			        ->setAttrib('class','recChk')
			        ->setRequired(false)
//			        ->setValue('true')
			        ->setChecked(false);	        

		$blockDes = $this->createElement('textarea','blockedDesc');
    	$blockDes->removeDecorator('HtmlTag')
    			 ->setAttrib('class','')
    			 ->setAttrib('maxlength', '200')
	        	 ->setAttrib('rows', '3')
	        	 ->setAttrib('cols', '25')
//    			 ->setAttrib('readonly','readonly')
//    			 ->setAttrib('style','width:100px;')
    			 ->addFilters(array('StringTrim'))
    		     ->removeDecorator('Label');	        
			        
    	$blockAmt = $this->createElement('text','blockedAmt');
    	$blockAmt->removeDecorator('HtmlTag')
    			 ->setAttrib('class','form')
//    			 ->setAttrib('readonly','readonly')
//    			 ->setAttrib('style','width:100px;')
    			 ->addFilters(array('StringTrim'))
    		     ->removeDecorator('Label');
    		     
    	$resDate = $this->createElement('text','resDate');
    	$resDate->removeDecorator('HtmlTag')
    			 ->setAttrib('class','datepicker2 required resDatePicker')
    			 ->setAttrib('readonly','readonly')
    			 ->setAttrib('style','width:130px;')
    			 ->setAttrib('placeholder', 'Date')
    			 ->setAttrib('title', 'Date')
    			 ->addFilters(array('StringTrim'))
    		     ->removeDecorator('Label');
    	
    	$resTime = $this->createElement('select','resTime');
    	$resTime->removeDecorator('HtmlTag')
    			 ->setAttrib('class','sel2 required')
    			 // ->addMultiOptions($times)
    			  ->setAttrib('style','webkit-appearance: menulist-button; width: 100%; position: absolute; opacity: 0; height: 50px; font-size: 14px; right: 0px; top: 0px;')
    			 ->removeDecorator('Label');

//    	$hours = $this->createElement('select','hours');
//    	$hours->removeDecorator('HtmlTag')
//    	     ->removeDecorator('Label')
//    	     ->setAttrib('class', 'sel2 required')
//			 ->addMultiOptions($hoursList);
//			 
//		$minutes = $this->createElement('select','minutes');
//    	$minutes->removeDecorator('HtmlTag')
//    	     ->removeDecorator('Label')
//    	     ->setAttrib('class', 'sel2 required')
//			 ->addMultiOptions($minutesList);
//			 
		$meridian = $this->createElement('select','meridian');
    	$meridian->removeDecorator('HtmlTag')
    	     ->removeDecorator('Label')
    	     ->setAttrib('class', 'sel2 required form')
			 ->addMultiOptions($meridianList);  
			   	
		$initials = $this->createElement('select','reservationInitials');
    	$initials->removeDecorator('HtmlTag')
    	     ->removeDecorator('Label')
    	     ->setRegisterInArrayValidator(false)
    	     ->setAttrib('class', 'sel1 required form'); 
    	     
    	$bokcreatedby = $this->createElement('text','reservationCreator');
    	$bokcreatedby->removeDecorator('HtmlTag')
		    	     ->removeDecorator('Label')
		    	     ->setAttrib('maxlength','3')
		    	     ->setAttrib('style','width:100px;')
		    	     ->setAttrib('placeholder', 'Taken by')
		    	     ->setAttrib('class', 'inp1 required form'); 

    	$bokoptions = $this->createElement('select','bokoptions');
    	$bokoptions->removeDecorator('HtmlTag')
    	     ->removeDecorator('Label')
    	     ->setRegisterInArrayValidator(false)
    	     ->setAttrib('class', 'sel1 form');
    	
    	$pax = $this->createElement('select','pax');
    	$pax->removeDecorator('HtmlTag')
    	     ->removeDecorator('Label')
    	     ->setAttrib('class', 'sel2 required')
    	     ->setAttrib('title', 'Party Size')
    	     ->setAttrib('style','width:130px;')
			 ->addMultiOptions($paxList);
			 
		/*$tableType = $this->createElement('select','tableType');
    	$tableType->removeDecorator('HtmlTag')
    	     ->removeDecorator('Label')
    	      ->setAttrib('class','required')        
			 ->addMultiOptions($tableTypeList);*/
			 
    	$bookingStatus = $this->createElement('hidden','bookingStatus');
    	$bookingStatus->removeDecorator('HtmlTag')
    				  ->removeDecorator('Label');
    	
    	$tableSize = $this->createElement('hidden','tableSize');
    	$tableSize->removeDecorator('HtmlTag')
    			  ->removeDecorator('Label');
    	
    	$noOfTables = $this->createElement('hidden','noOfTables');
    	$noOfTables->removeDecorator('HtmlTag')
    			   ->removeDecorator('Label');
    	
    	$inventoryid = $this->createElement('hidden','inventoryid');
    	$inventoryid->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label');
    	
    	$rescheduleStatus = $this->createElement('hidden','rescheduleStatus');
    	$rescheduleStatus->removeDecorator('HtmlTag')
    					 ->removeDecorator('Label');
    	
        $firstName = $this->createElement('text', 'firstName');
        $firstName->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '30')
        			   ->setAttrib('class','inp1 required')
        			   ->setAttrib('title', 'First Name')
				   ->setAttrib('placeholder', 'First Name')
        			   ->addFilters(array('StringTrim'))        			   
        			   ->setValue('')
        			   ->setRequired(true);
        $lastName = $this->createElement('text', 'lastName');
        $lastName->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '30')
					   ->setAttrib('placeholder','Last Name')
        			   ->addFilters(array('StringTrim'))
        			   ->setAttrib('class','inp1')
        			   ->setAttrib('title', 'Last Name');
        $notificationType = new Zend_Form_Element_Radio('notificationType');
		$notificationType->removeDecorator('Label')
			   		  	 ->removeDecorator('HtmlTag')
			   		  	 ->setMultiOptions($notificationList)
			   		  	 ->setValue('sms')
			   		  	 ->setAttrib('title', 'Notification Type')
			   		  	 ->setSeparator(' ')
			   		  	 ->setRequired(false);
			   		  	 
		$noteType = $this->createElement('hidden','noteType');
    	$noteType->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label');
					
		$rescountryCode = $this->createElement('select','countryCode');
		$rescountryCode->removeDecorator('Label')
        			    ->removeDecorator('HtmlTag')
        			    ->setAttrib('maxlength', '100')
        			    ->setAttrib('class', 'sel2 form required')
    	     	   		->setAttrib('title', 'Country Code')
        			    ->addMultiOptions($CodeList)  
        			    ->addValidators(array(array('NotEmpty', true, array('messages' => 'Please select country code.'))))    
                        ->setValue('');
        		//	    ->setRequired(true);

         $countryCode = $this->createElement('text', 'countryCode');
         $countryCode->removeDecorator('Label')  
         			   ->removeDecorator('HtmlTag')      		       
        		       ->setAttrib('class','countrycode inp1')
					    ->setAttrib('style','float:left; width:60px;')
        		       ->setAttrib('readonly','readonly')
        		       ->setAttrib('title', 'Country Code')
        		       ->addFilters(array('StringTrim'))
        		       ->setValue('')
                       ->setAttrib('maxlength', '5');
                //       ->setRequired(true);
					
        $number = $this->createElement('text', 'number');
        $number->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '15')
        			   ->setAttrib('title', 'Phone Number')        			   
					   ->setAttrib('placeholder','Phone Number')
        			   ->addFilters(array('StringTrim'))
					   ->setAttrib('style','width:80% !important;')
        			   ->setAttrib('class','inp1 phnum');
        $email = $this->createElement('text', 'email');
        $email->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '40')
					   ->setAttrib('placeholder','Email')
        			   ->setAttrib('title', 'EmailId')
        			   ->addFilters(array('StringTrim'))
        			   ->setAttrib('class','inp1 email');
        
        /*$origin = $this->createElement('select', 'origin');
        $origin->removeDecorator('HtmlTag')
    	     ->removeDecorator('Label')
    	     ->setAttrib('class', 'required')
			 ->addMultiOptions($originList);*/
		$dinerRequest = $this->createElement('textarea', 'dinerRequest');
        $dinerRequest->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '200')
        			   ->setAttrib('rows', '3')
        			   ->setAttrib('cols', '25')
        			   ->setAttrib('placeholder', 'Reservation Notes')
        			   ->setAttrib('title', 'Reservation Notes')
        			   ->setAttrib('style','width:250px;')
        			   ->addFilters(array('StringTrim'));
        $contactInfo = $this->createElement('textarea', 'contactInfo');
        $contactInfo->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '500')
        			   ->setAttrib('rows', '1')
        			   ->setAttrib('cols', '25')
        			   ->setAttrib('placeholder', 'Booking Note')
        			   ->setAttrib('title', 'Booking Note')
        			   ->setAttrib('style','width:250px;')
        			   ->addFilters(array('StringTrim'));
               			
        $resSubmit = $this->createElement('submit','Submit');
        $resSubmit->removeDecorator('Label')
        		  ->removeDecorator('DtDdWrapper')
        		  ->setValue('Submit')           		          		        		
        		  ->setAttrib('class','submitBtn')
                  ->setIgnore(true);

		$resReset = $this->createElement('reset','Reset');
        $resReset->removeDecorator('Label')        		 
        		 ->setValue('Reset')
        		 ->removeDecorator('DtDdWrapper')           	  	 
        	  	 ->setAttrib('class','submitBtn')
              	 ->setIgnore(true);
        
        $password =  $this->createElement('password','password');
        $password->removeDecorator('Label')
         		->removeDecorator('HtmlTag')
        		->setAttrib('maxlength', '20')
        		->setAttrib('class','inp1')
                ->setRequired(false)
                ->setValue('');	

        $pwdstatus = $this->createElement('hidden','pwdstatus');
    	$pwdstatus->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label')
    	       	    ->setValue('f');
    	       	    
    	$overBookingstatus = $this->createElement('hidden','overBookingstatus');
    	$overBookingstatus->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label')
    	       	    ->setValue('NO');
    	
    	$addcontactstatus = $this->createElement('hidden','addcontactstatus');
    	$addcontactstatus->removeDecorator('HtmlTag')
    	       	    ->removeDecorator('Label');
    	$cuscontactid = $this->createElement('hidden','cuscontactid');
    	$cuscontactid->removeDecorator('HtmlTag')
    		  		 ->removeDecorator('Label')
    		  		 ->setValue('');
    		  		 
        $cusaddress = $this->createElement('text', 'cusaddress');
        $cusaddress->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '30')
        			   ->setAttrib('class','inp1')
        			   ->setAttrib('placeholder', 'Address')
        			   ->setAttrib('title', 'Address')
        			   ->setAttrib('style','width:180px;height:20px;')
        			   ->addFilters(array('StringTrim'))        			   
        			   ->setValue('')
        			   ->setRequired(false);
    	       
        $cusdislikes = $this->createElement('textarea', 'cusdislikes');
        $cusdislikes->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '500')
        			   ->setAttrib('rows', '1')
        			   ->setAttrib('cols', '25')
        			   ->setAttrib('placeholder', 'Allergies/Dislikes')
        			   ->setAttrib('title', 'Allergies/Dislikes')
        			   ->setAttrib('style','width:250px;')
        			   ->addFilters(array('StringTrim'));
        			   
         $cusdesig  = $this->createElement('text', 'cusdesig');
         $cusdesig->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '30')
        			   ->setAttrib('class','inp1')
        			   ->setAttrib('placeholder', 'Designation')
        			   ->setAttrib('title', 'Designation')
        			   ->setAttrib('style','width:120px;height:20px;')
        			   ->addFilters(array('StringTrim'))        			   
        			   ->setValue('')
        			   ->setRequired(false);
        $cuscompany  = $this->createElement('text', 'cuscompany');
        $cuscompany->removeDecorator('Label')
        			   ->removeDecorator('HtmlTag')
        			   ->setAttrib('maxlength', '30')
        			   ->setAttrib('class','inp1')
        			   ->setAttrib('placeholder', 'Company')
        			   ->setAttrib('title', 'Company')
        			   ->setAttrib('style','width:120px;height:20px;')
        			   ->addFilters(array('StringTrim'))        			   
        			   ->setValue('')
        			   ->setRequired(false);		   
        			   
        			   
      $specialStatus = $this->createElement('select','specialStatus');
      $specialStatus->removeDecorator('HtmlTag')
    	     ->removeDecorator('Label')
    	     ->setAttrib('class', 'sel2')
    	     ->setAttrib('title', 'Special Status')
    	     ->setAttrib('style','width:130px;')
			 ->addMultiOptions($splstatusList);
        			   
    	/*$addcuscontact = $this->createElement('checkbox','addcuscontact');
       	$addcuscontact->removeDecorator('Label')
			        ->removeDecorator('HtmlTag')
			        ->setAttrib('class','addcontact')
			        ->setRequired(false)
			        ->setChecked(false);*/
    	       	    
    	$this->addElements( array ($firstName,
									$lastName,
									$number,
									$email,									
									$resId,
							    	$resDate,
							    	$resTime,
//							    	$hours,
//							    	$minutes,
							    	$meridian,
							    	$pax,
							    	$bookingStatus,
							    	$noOfTables,
							    	$tableSize,
							    	$resSubmit,
							    	$resReset,
							    	$contactInfo,
							    	$dinerRequest,
							    	$returnAction,
							    	$origin,
							    	$notificationType,
							    	$bookingid,
							    	$rescheduleStatus,
							    	$inventoryid,
							    	$password,
							    	$pwdstatus,
							    	$overBookingstatus,
							    	$noteType,
							    	$addcontactstatus,
							    	$paymentStat,
							    	$cuscontactid,
							    	$initials,
							    	$blockDes,
							    	$blockedStat,
							    	$blockAmt,
							    	$bokoptions,
							    	$bokcreatedby,
									$rescountryCode,
									$countryCode,
									$cusaddress,
									$cusdislikes,
									$cusdesig,
									$cuscompany,
									$specialStatus
								  )				
		);	 
    }
}
?>