<?php
class Reservation_Form_QuoteTimeSettings extends Zend_Form
{

	public function init()
    {
		$this->setAttrib('enctype', 'multipart/form-data');
    	  
    	$resid = $this->createElement('hidden','restaurantid');
    	$resid->removeDecorator('Label')
         		 ->removeDecorator('HtmlTag');
         
        $id = $this->createElement('hidden','id');
    	$id->removeDecorator('Label')
         		 ->removeDecorator('HtmlTag')
         		 ->setValue(1);
         		    
    	$paxList1   = array();
    	for($i = 1;$i<=49;$i++){
    		$paxList1[] = array('key'=>$i,'value'=>$i);
   	 	}
   	 	
   		$paxList   = array();
    	for($i = 1;$i<=50;$i++){
    		$paxList[] = array('key'=>$i,'value'=>$i);
   	 	}
   	 	
    	$notificationList = array();
    	$notificationList[0] = array('key'=>'Fixed','value'=> 'Set fixed times');
    	$notificationList[1] = array('key'=>'Variable','value'=> 'Set variable times');
    	
    	$QuotedList	=	array();
   	 	$quoteMapper = new Application_Model_WaitingQuoteTimeDataMapper();
    	$quoteResult = $quoteMapper->fetchAll();
    	$QuotedList = array();
    	$QuotedList[] = array('key'=>'','value'=>'Select');
    	foreach($quoteResult as $result){
    		$QuotedList[] = array('key'=>$result->getCode(),'value'=>$result->getDescription());
    	}
    	
    	$notificationType = new Zend_Form_Element_Radio('quoteType');
		$notificationType->removeDecorator('Label')
			   		  	 ->removeDecorator('HtmlTag')
			   		  	 ->setMultiOptions($notificationList)
			   		  	 ->setValue('Fixed')
			   		  	 ->setSeparator(' ')
			   		  	 ->setRequired(false);
   	 	
		$startpax = $this->createElement('select','startpax');
    	$startpax->removeDecorator('HtmlTag')
    	 	     ->removeDecorator('Label')
    	     	 ->setAttrib('class', 'sel2')
    	     	 ->addMultiOptions($paxList1)
             	 ->setRequired(true);
             	 
        $endpax = $this->createElement('select','endpax');
    	$endpax->removeDecorator('HtmlTag')
    	 	   ->removeDecorator('Label')
    	 	   ->setAttrib('class', 'sel2')
			 	 ->addMultiOptions($paxList)
             	 ->setRequired(true);
        
        $quotedtime = $this->createElement('select','quotedTime');
    	$quotedtime->removeDecorator('HtmlTag')
    	     	   ->removeDecorator('Label')
    	     	   ->setAttrib('class', 'sel2 form required')
    	     	   ->setAttrib('style', 'width:135px;')
			 	   ->addMultiOptions($QuotedList);
			 	    
        $Submit = $this->createElement('submit','Submit');
        $Submit->removeDecorator('Label')
        		   ->removeDecorator('DtDdWrapper')
        		   ->setValue('Submit')           		          		        		
        		   ->setAttrib('class','submitBtn')
                   ->setIgnore(false);

           
        $this->addElements( array ($id,
        							$resid,
        						   $startpax,
        						   $endpax,
        						   $quotedtime,
        						   $Submit,
        						   $notificationType
        				));
    }
}