<?php
class Reservation_Form_ReservationConfirmation extends Zend_Form
{
    public function init()
    {
    	$imageCaptcha = new Zend_Captcha_Image();
        $imageCaptcha->setWidth(120)
        			 ->setWordlen(4)
        			 ->setHeight(50)
        			 ->setTimeout(900)
        			 ->setFontSize(20)
        			 ->setGcFreq(5)
        			 ->setFont('Fonts/tahoma.ttf')
        			 ->setImgDir('images/captcha/')
        			 ->setImgUrl('/images/captcha/')
        			 ->setDotNoiseLevel(0)
        			 ->setLineNoiseLevel(0);
        			   
        $captcha = new Zend_Form_Element_Captcha('captcha',array(
										         					'captcha' => $imageCaptcha 
										         			)); 
		$captcha->removeDecorator('Label')
				->removeDecorator('DtDdWrapper')
				->removeDecorator('HtmlTag')
				->setRequired(true)
				->setAttrib('style','position:relative;margin-top:20px');
		
		$termsandconditions = $this->createElement('checkbox','termsandconditions');
    	$termsandconditions->removeDecorator('Label')
			        ->removeDecorator('HtmlTag')
			        ->setAttrib('class','recChk')
			        ->setRequired(true)
			        ->setValue(false);
			        //->setChecked(false)
        			       
        $submit = $this->createElement('submit','Submit');
        $submit->setLabel("Submit")
        		 ->removeDecorator('DtDdWrapper')        		
        		 ->setAttrib('class','submitBtn')
                 ->setIgnore(true);
				
				
		$this->addElements( array($captcha,
								  $termsandconditions,
								  $submit
                            	));
    }
}