<?php
/**
*	Name			: AddReservationNote.php
*	Author			: kartheek
*	Creation Date	: 10/26/2010
*	Path 			: application/modules/Reservation/models/AddReservationNote.php
*	Description		: This is the Model class for add reservation note.
*					   	
*/
class Reservation_Model_AddReservationNote
{
	/**
	 * 
	 * @var integer
	 */
	private $_userid;
	
	/**
	 * 
	 * @var integer
	 */
	private $_bookingid;
	
	/**
	 * 
	 * @var integer
	 */
	private $_resid;
	
	/**
	 * 
	 * @var string
	 */
	private $_note;
	private $_guestnote;
	
	/**
     * @param integer $userid
     * @return self
     */
	public function setUserId($userid)
	{
		$this->_userid = $userid;
		return $this;
	}
	
	 /**
     * @return integer
     */
	public function getUserId()
	{
		return $this->_userid;
	}
	
	/**
     * @param integer $bookingid
     * @return self
     */
	public function setBookingId($bookingid)
	{
		$this->_bookingid = $bookingid;
		return $this;
	}
	
	 /**
     * @return integer
     */
	public function getBookingId()
	{
		return $this->_bookingid;
	}
	
	/**
     * @param integer $resid
     * @return self
     */
	public function setResId($resid)
	{
		$this->_resid = $resid;
		return $this;
	}
	
	 /**
     * @return integer
     */
	public function getResId()
	{
		return $this->_resid;
	}
	
	/**
     * @param string $note
     * @return self
     */
	public function setNote($note)
	{
		$this->_note = $note;
		return $this;
	}
	
	/**
     * @return integer
     */
	public function getNote()
	{
		return $this->_note;
	}
	
	public function setguestNote($guestnote)
	{
		$this->_guestnote = $guestnote;
		return $this;
	}
	
	public function getguestNote()
	{
		return $this->_guestnote;
	}
}

