<?php
/**
*	Name			: AllocateSeat.php
*	Author			: kartheek
*	Creation Date	: 10/26/2010
*	Path 			: application/modules/Reservation/models/AllocateSeat.php
*	Description		: This is the Model class for allocate a table.
*					   	
*/
class Reservation_Model_AllocateSeat
{
	/**
	 * 
	 * @var integer
	 */
	private $_bookid;
	
	/**
	 * 
	 * @var integer
	 */
	private $_restid;
	
	/**
	 * 
	 * @var boolean
	 */
	private $_bookstatus;
	
	/**
	 * 
	 * @var integer
	 */
	private $_booktableid;
	
	/**
	 * 
	 * @var integer
	 */
	private $_booktableno;

	/**
	 * 
	 * @var string
	 */
	private $_bookstatuscode;
	
	/**
	 * 
	 * @var integer
	 */
	private $_diningid;
	
	private $_userid;
	private $_contactid;
	private $_date;
	
	/**
     * @param integer $bookid
     * @return self
     */
	public function setBookId($bookid)
	{
		$this->_bookid = $bookid;
		return $this;
	}
	
	 /**
     * @return integer
     */
	public function getBookId()
	{
		return $this->_bookid;
	}
	
	/**
     * @param integer $restid
     * @return self
     */
	public function setRestId($restid)
	{
		$this->_restid = $restid;
		return $this;
	} 
	
	/**
     * @return integer
     */
	public function getRestId()
	{
		return $this->_restid;
	}
	
	/**
     * @param boolean $bookstatus
     * @return self
     */
	public function setBookStatus($bookstatus)
	{
		$this->_bookstatus = $bookstatus;
		return $this;
	}
	
	/**
     * @return boolean
     */
	public function getBookStatus()
	{
		return $this->_bookstatus;
	}

	/**
     * @param integer $tableid
     * @return self
     */
	public function setBookTableId($tableid)
	{
		$this->_booktableid = $tableid;
		return $this;
	}
		
	/**
     * @return integer
     */
	public function getBookTableId()
	{
		return $this->_booktableid;
	}
	
	/**
     * @param integer $tableno
     * @return self
     */
	public function setBookTableNo($tableno)
	{
		$this->_booktableno = $tableno;
		return $this;
	}
	
	/**
     * @return integer
     */
	public function getBookTableNo()
	{
		return $this->_booktableno;
	}
	
	/**
     * @param string $code
     * @return self
     */
	public function setBookStatusCode($code)
	{
		$this->_bookstatuscode = $code;
		return $this;
	}
	
	/**
     * @return string
     */
	public function getBookStatusCode()
	{
		return $this->_bookstatuscode;
	}
	
	/**
     * @param integer $tableno
     * @return self
     */
	public function setDiningId($diningid)
	{
		$this->_diningid = $diningid;
		return $this;
	}

	/**
     * @return integer
     */
	public function getDiningId()
	{
		return	$this->_diningid;
	}
	
	public function setUserId($userid)
	{
		$this->_userid = $userid;
		return $this;
	}

	/**
     * @return integer
     */
	public function getUserId()
	{
		return	$this->_userid;
	}
	
	public function setContactid($contactid)
	{
		$this->_contactid = $contactid;
		return $this;
	}

	/**
     * @return integer
     */
	public function getContactid()
	{
		return	$this->_contactid;
	}
	
	public function setBookDate($date)
	{
		$this->_date = $date;
		return $this;
	}
	
	/**
     * @return integer
     */
	public function getBookDate()
	{
		return $this->_date;
	}
}

