<?php
class Reservation_Model_ReservationSpecial
{
	private $_bksid;
	private $_bksfk_booking;
	private $_bksspecial_id;
	private $_bksamount;
	private $_bkscreatedby;
	private $_bkscreateddatetime;
	private $_bksupdatedby;
	private $_bksupdateddatetime;
	
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Reservation Special property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Reservation Special property');
		}
		return $this->$method();
	}
	
	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}
	
	public function setbksid($bksid)
	{
		$this->_bksid = $bksid;
		return $this;
	}
	
	public function getbksid()
	{
		return $this->_bksid;
	}
	
	public function setbksfk_booking($bksfk_booking)
	{
		$this->_bksfk_booking = $bksfk_booking;
		return $this;
	}
	
	public function getbksfk_booking()
	{
		return $this->_bksfk_booking;
	}
	
	public function setbksspecial_id($bksspecial_id)
	{
		$this->_bksspecial_id = $bksspecial_id;
		return $this;
	}
	
	public function getbksspecial_id()
	{
		return $this->_bksspecial_id;
	}
	
	public function setbksamount($bksamount)
	{
		$this->_bksamount = $bksamount;
		return $this;
	}
	
	public function getbksamount()
	{
		return $this->_bksamount;
	}
		
	public function setbkscreatedby($bkscreatedby)
	{
		$this->_bkscreatedby = $bkscreatedby;
		return $this;
	}
	
	public function getbkscreatedby()
	{
		return $this->_bkscreatedby;
	}
	
	public function setbkscreateddatetime($bkscreateddatetime)
	{
		$this->_bkscreateddatetime = $bkscreateddatetime;
		return $this;
	}
	
	public function getbkscreateddatetime()
	{
		return $this->_bkscreateddatetime;
	}
	
	public function setbksupdatedby($bksupdatedby)
	{
		$this->_bksupdatedby = $bksupdatedby;
		return $this;
	}
	
	public function getbksupdatedby()
	{
		return $this->_bksupdatedby;
	}
	
	public function setbksupdateddatetime($bksupdateddatetime)
	{
		$this->_bksupdateddatetime = $bksupdateddatetime;
		return $this;
	}
	
	public function getbksupdateddatetime()
	{
		return $this->_bksupdateddatetime;
	}
	
}