<?php
/**
*	Name			: ReservationsCount.php
*	Author			: Zubair Ahmed
*	Creation Date	: 4/26/2011
*	Path 			: application/modules/Reservation/models/ReservationsCount.php
*	Description		: This is the Model class for reservations count table.
*					   	
*/
class Reservation_Model_ReservationsCount
{
	/**
	 * 
	 * @var integer
	 */
	private $_restid;
	
	/**
	 * 
	 * @var integer
	 */
	private $_count;
	
	/**
     * @param integer $restid
     * @return self
     */
	public function setRestId($restid)
	{
		$this->_restid = $restid;
		return $this;
	} 
	
	/**
     * @return integer
     */
	public function getRestId()
	{
		return $this->_restid;
	}
	
	/**
     * @param integer $count
     * @return self
     */
	public function setReservationCount($count)
	{
		$this->_count = $count;
		return $this;
	}
	
	/**
     * @return integer
     */
	public function getReservationCount()
	{
		return $this->_count;
	}
}

