<?php
/**
*	Name			: RestaurantFreezeTimeMapDataMapper.php
*	Author			: Mahesh
*	Creation Date	: 6/7/2011
*	Path 			: application/modules/Reservation/models/RestaurantFreezeTimeMapDataMapper.php
*	Description		: This is the datamapper class for restaurant freeze timemap table.
*					   	
*/
class Reservation_Model_RestaurantFreezeTimeMapDataMapper
{
	/**
	 * Instance variable of restaurant freeze timemap table
	 * @var object
	 */
	protected $_dbTable;

	/**
     * @param instance of DbTable restaurant freeze timemap $dbTable
     * @return self
     */
	public function setDbTable($dbTable)
	{
		if (is_string($dbTable)) {
			$dbTable = new $dbTable();
		}
		if (!$dbTable instanceof Zend_Db_Table_Abstract) {
			throw new Exception('Invalid table data gateway provided');
		}
		$this->_dbTable = $dbTable;
		return $this;
	}

	/**
     * @return instance of DbTable restaurant freeze timemap
     */
	public function getDbTable()
	{
		if (null === $this->_dbTable) {
			$this->setDbTable('Reservation_Model_DbTable_RestaurantFreezeTimeMap');
		}
		return $this->_dbTable;
	}
}