<?php

class User_LoginController extends Zend_Controller_Action
{

	protected $_userService = null;
	public function init()
	{
		$domain = $_SERVER["SERVER_NAME"];
		if ($domain == "www.dinedesk.co.za" || $domain == "dinedesk.co.za")
		{
			$auth = Zend_Auth::getInstance();
			$request = Zend_Controller_Front::getInstance()->getRequest();
			$action = $request->getActionName();
					
			if(!$auth->hasIdentity()){
				
				switch($action)
				{
					case 'login' : 
						 	$loginUrl = $this->view->url(array('module' =>'User','controller'=>'Login','action'=>'signinza'),'loginza',true);
			  				$this->_redirect($loginUrl);
					break;
				}
			}			
		}else if ($domain == "www.dinedesk.mx" || $domain == "dinedesk.mx")
		{
			$auth = Zend_Auth::getInstance();
			$request = Zend_Controller_Front::getInstance()->getRequest();
			$action = $request->getActionName();
					
			if(!$auth->hasIdentity()){
				
				switch($action)
				{
					case 'login' : 
						 	$loginUrl = $this->view->url(array('module' =>'User','controller'=>'Login','action'=>'signinmx'),'signinmx',true);
			  				$this->_redirect($loginUrl);
					break;
				}
			}			
		}
		if(!$this->_userService){
			$this->_userService	= new Application_Service_Client();
		}
	}

	public function indexAction()
	{
		// action body
	}

	public function signinAction()
	{
		try{
			if($_SERVER['HTTP_HOST'] == 'hbcsolutions.net' || $_SERVER['HTTP_HOST'] == 'www.hbcsolutions.net'){
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'hbcsignin'),'hbclogin',true));
			}
                        if($_SERVER['HTTP_HOST'] == 'http://app.diningwithus.com' || $_SERVER['HTTP_HOST'] == 'app.diningwithus.com'){
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'dwusignin'),'dwulogin',true));
			}
				if($_SERVER['HTTP_HOST'] == 'www.diningwithus.org' ){
					// DININGWITHUS.ORG SETTINGS
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'dwusignin'),'dwulogin',true));
			}
			$this->_helper->layout()->setLayout('mtlogin');
			$form = $this->_userService->getLoginForm();
			$auth = Zend_Auth::getInstance();
			if($this->getRequest()->isPost()){
				$loginRes = $this->_userService->Login($this->getRequest()->getPost());
				$pres = $loginRes ['loginprofile'];	
				//echo '<pre>'; print_r($loginRes); exit;
				if($loginRes['Status']){
          if($pres ['RestId'] == 2646){$loginRes['Usertype'] = 'RSO'; $pres['flrStatus'] = 1; $pres['schStatus'] = 1;}
					switch($loginRes['Usertype']){
						case 'CUS' : $this->_helper->redirector('guestacctandbookinghistory','Client','User');
						break;
						case 'RSO' :
            $presid = $pres['RestId'];
            $schStatus = $pres['schStatus'];
            $flrStatus = $pres['flrStatus'];
            if(!$flrStatus && $presid != ''){
                $this->_helper->redirector('reservationarea','Firm','FirmManagement',array('resid'=>$presid));
            } 
            if(!$schStatus && $presid != ''){
                $this->_helper->redirector('addfirminventory','Firm','FirmManagement',array('restaurantid'=>$presid));
            }
						 	if($presid != ''){
						 		if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));
						 		}else{
						 			$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));
						 		}
							}else{
								$this->_helper->redirector('addfirm','Firm','FirmManagement');									
							}
						break;
						case 'RSU' : 
               $presid = $pres ['RestId'];
							$perm = $loginRes['loginprofile'];
							$permission = $perm['Permissions'];
							$permm = false;

							foreach($permission as $value){
//							$permission = $value->permcode;
								if ($value->permcode == 'GM') {
									$permm = true;	
									break;
								}
							}
							if ($permm) {
								if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}else{
									$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}	
							}else{
								$this->_helper->redirector('addfirm','Firm','FirmManagement');									
							}													
						break;
						case 'SRU' : 
              $presid = $pres ['RestId'];
							$perm = $loginRes['loginprofile'];
							$permission = $perm['Permissions'];
							$permm = false;

							foreach($permission as $value){
//							$permission = $value->permcode;
								if ($value->permcode == 'GM') {
									$permm = true;	
									break;
                    			}
							}
							if ($permm) {
								if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}else{
									$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}	
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');								
							}													
						break;
						case 'ADM' : $this->_helper->redirector('administratordashboard','Administrator','Administrator');
						break;
						case 'ADU' : $this->_helper->redirector('administratoruserdashboard','Administrator','Administrator');
						break;
					}
	
				}else {
					if(!$auth->hasIdentity()){
						if(isset($loginRes['isFormValid'])){
							$formdata = $this->getRequest()->getPost();
							$InvalidAttempts = $formdata['InvalidAttempts']+1;
							
							$LoginAttemptMapper = new User_Model_LoginAttemptsDataMapper();
							if($formdata['emailAddress'] != null){
								$attempts = 0;
								$attempts = $LoginAttemptMapper->ManageInavlidLoginAttempts($formdata['emailAddress']);
								if(isset($formdata['captcha'])){
									if($InvalidAttempts > 3 ){
										$this->view->attempts = $InvalidAttempts;
									}else{
										$this->view->attempts = $attempts;
									}
									if(isset($loginRes['Form'])){
										$this->view->loginForm = $loginRes['Form'];
									}else{
										$this->view->loginForm = $form;
										$this->view->errorMessage = "Invalid username or password. Please try again.";
									}
								}else{
									if(($InvalidAttempts > 3) || ($attempts >= 3 && $InvalidAttempts > 3)){
										$this->view->attempts = $attempts;
									}
									$this->view->loginForm = $form;
									$this->view->errorMessage = "Invalid username or password. Please try again.";
								}
							}else{
								if($InvalidAttempts > 3){
									$this->view->attempts = $InvalidAttempts;
								}
								$this->view->loginForm = $form;
								$this->view->errorMessage = "Invalid username or password. Please try again.";
							}
							$this->view->inavalidattemptscount = $InvalidAttempts;
						}else if(isset($loginRes['UserNotApproved'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Your registration is pending for approval. Please try after some time.";
						}else if(isset($loginRes['UserInActive'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Your registration is In-Active. Please contact Admin.";
						}else if(isset($loginRes['CompanyInActive'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Please contact Admin.";
						}else{
							$this->view->loginForm = $loginRes['Form'];
						}
					}else{
						$storage = new Zend_Auth_Storage_Session();
						$data = $storage->read();
						$this->view->emailstat = true;
						if($data['Email']){
							$form->emailAddress->setValue($data['Email']);
							$form->emailAddress->setAttrib('readonly','readonly');
						}
						$this->view->loginForm = $form;
						$this->view->errorMessage = "Invalid Password. Please try again.";
					}
				}
			}else{
				if(!$auth->hasIdentity()){
					$userip = $_SERVER["REMOTE_ADDR"];
//					if(filter_var($userip, FILTER_VALIDATE_IP)){
//						$response=@file_get_contents('http://www.netip.de/search?query='.$userip);
//						if (!empty($response)){
//							$patterns=array();
//				            $patterns["country"] = '#Country: (.*?)&nbsp;#i';
////				            $patterns["state"] = '#State/Region: (.*?)<br#i';
////				            $patterns["town"] = '#City: (.*?)<br#i';
//				            //Array where results will be stored
//			                $ipInfo=array();
//			                //check response from ipserver for above patterns
//			                foreach ($patterns as $key => $pattern){
//			                	$ipInfo[$key] = preg_match($pattern,$response,$value) && !empty($value[1]) ? $value[1] : 'not found';
//			                }
//			                
//			                if($ipInfo['country'] == 'AE - United Arab Emirates'){
//			                	$this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'roundmenusignin'),'roundmenulogin',true));
//			                }else{
//								$this->view->loginForm = $form;
//							}
//						}else{
							$this->view->loginForm = $form;
//						}
//					}
				}else{
					$storage = new Zend_Auth_Storage_Session();
					$data = $storage->read();
					$this->view->emailstat = true;
					if($data['Email']){
						$form->emailAddress->setValue($data['Email']);
						$form->emailAddress->setAttrib('readonly','readonly');
					}
					$this->view->loginForm = $form;
				}
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function signinzaAction()
	{
		try{
			$this->_helper->layout()->setLayout('mtloginza');
			$form = $this->_userService->getLoginForm();
			$auth = Zend_Auth::getInstance();
			if($this->getRequest()->isPost()){
				$loginRes = $this->_userService->Login($this->getRequest()->getPost());
				$pres = $loginRes ['loginprofile'];	
				$presid = $pres ['RestId'];		
				if($loginRes['Status']){
					switch($loginRes['Usertype']){
						case 'CUS' : $this->_helper->redirector('guestacctandbookinghistory','Client','User');
						break;
						case 'RSO' :
						 	if($presid != ''){
						 		if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));
						 		}else{
						 			$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));
						 		}
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');									
							}
						break;
						case 'RSU' : 
							$perm = $loginRes['loginprofile'];
							$permission = $perm['Permissions'];
							$permm = false;

							foreach($permission as $value){
//							$permission = $value->permcode;
								if ($value->permcode == 'GM') {
									$permm = true;	
									break;
								}
							}
							if ($permm) {
								if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}else{
									$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}	
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');								
							}													
						break;
						case 'SRU' : 
							$perm = $loginRes['loginprofile'];
							$permission = $perm['Permissions'];
							$permm = false;

							foreach($permission as $value){
//							$permission = $value->permcode;
								if ($value->permcode == 'GM') {
									$permm = true;	
									break;
								}
							}
							if ($permm) {
								if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}else{
									$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}	
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');								
							}													
						break;
						case 'ADM' : $this->_helper->redirector('administratorconsole','Administrator','Administrator');
						break;
						case 'ADU' : $this->_helper->redirector('administratoruserdashboard','Administrator','Administrator');
						break;
					}
	
				}else {
					if(!$auth->hasIdentity()){
						if(isset($loginRes['isFormValid'])){
							$formdata = $this->getRequest()->getPost();
							$InvalidAttempts = $formdata['InvalidAttempts']+1;
							
							$LoginAttemptMapper = new User_Model_LoginAttemptsDataMapper();
							if($formdata['emailAddress'] != null){
								$attempts = 0;
								$attempts = $LoginAttemptMapper->ManageInavlidLoginAttempts($formdata['emailAddress']);
								if(isset($formdata['captcha'])){
									if($InvalidAttempts > 3 ){
										$this->view->attempts = $InvalidAttempts;
									}else{
										$this->view->attempts = $attempts;
									}
									if(isset($loginRes['Form'])){
										$this->view->loginForm = $loginRes['Form'];
									}else{
										$this->view->loginForm = $form;
										$this->view->errorMessage = "Invalid username or password. Please try again.";
									}
								}else{
									if(($InvalidAttempts > 3) || ($attempts >= 3 && $InvalidAttempts > 3)){
										$this->view->attempts = $attempts;
									}
									$this->view->loginForm = $form;
									$this->view->errorMessage = "Invalid username or password. Please try again.";
								}
							}else{
								if($InvalidAttempts > 3){
									$this->view->attempts = $InvalidAttempts;
								}
								$this->view->loginForm = $form;
								$this->view->errorMessage = "Invalid username or password. Please try again.";
							}
							$this->view->inavalidattemptscount = $InvalidAttempts;
						}else if(isset($loginRes['UserNotApproved'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Your registration is pending for approval. Please try after some time.";
						}else if(isset($loginRes['UserInActive'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Your registration is In-Active. Please contact Admin.";
						}else if(isset($loginRes['CompanyInActive'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Please contact Admin.";
						}else{
							$this->view->loginForm = $loginRes['Form'];
						}
					}else{
						$storage = new Zend_Auth_Storage_Session();
						$data = $storage->read();
						$this->view->emailstat = true;
						$form->emailAddress->setValue($data['Email']);
						$form->emailAddress->setAttrib('readonly','readonly');
						$this->view->loginForm = $form;
						$this->view->errorMessage = "Invalid Password. Please try again.";
					}
				}
			}else{
				if(!$auth->hasIdentity()){
					$this->view->loginForm = $form;
				}else{
					$storage = new Zend_Auth_Storage_Session();
					$data = $storage->read();
					$this->view->emailstat = true;
					$form->emailAddress->setValue($data['Email']);
					$form->emailAddress->setAttrib('readonly','readonly');
					$this->view->loginForm = $form;
				}
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function signinmxAction()
	{
		try{
			$this->_helper->layout()->setLayout('mtloginmx');
			$form = $this->_userService->getLoginForm();
			$auth = Zend_Auth::getInstance();
			if($this->getRequest()->isPost()){
				$loginRes = $this->_userService->Login($this->getRequest()->getPost());
				$pres = $loginRes ['loginprofile'];	
				$presid = $pres ['RestId'];		
				if($loginRes['Status']){
					switch($loginRes['Usertype']){
						case 'CUS' : $this->_helper->redirector('guestacctandbookinghistory','Client','User');
						break;
						case 'RSO' :
						 	if($presid != ''){
						 		if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));
						 		}else{
						 			$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));
						 		}
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');									
							}
						break;
						case 'RSU' : 
							$perm = $loginRes['loginprofile'];
							$permission = $perm['Permissions'];
							$permm = false;

							foreach($permission as $value){
//							$permission = $value->permcode;
								if ($value->permcode == 'GM') {
									$permm = true;	
									break;
								}
							}
							if ($permm) {
								if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}else{
									$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}	
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');								
							}													
						break;
						case 'SRU' : 
							$perm = $loginRes['loginprofile'];
							$permission = $perm['Permissions'];
							$permm = false;

							foreach($permission as $value){
//							$permission = $value->permcode;
								if ($value->permcode == 'GM') {
									$permm = true;	
									break;
								}
							}
							if ($permm) {
								if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}else{
									$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}	
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');								
							}													
						break;
						case 'ADM' : $this->_helper->redirector('administratordashboard','Administrator','Administrator');
						break;
						case 'ADU' : $this->_helper->redirector('administratoruserdashboard','Administrator','Administrator');
						break;
					}
	
				}else {
					if(!$auth->hasIdentity()){
						if(isset($loginRes['isFormValid'])){
							$formdata = $this->getRequest()->getPost();
							$InvalidAttempts = $formdata['InvalidAttempts']+1;
							
							$LoginAttemptMapper = new User_Model_LoginAttemptsDataMapper();
							if($formdata['emailAddress'] != null){
								$attempts = 0;
								$attempts = $LoginAttemptMapper->ManageInavlidLoginAttempts($formdata['emailAddress']);
								if(isset($formdata['captcha'])){
									if($InvalidAttempts > 3 ){
										$this->view->attempts = $InvalidAttempts;
									}else{
										$this->view->attempts = $attempts;
									}
									if(isset($loginRes['Form'])){
										$this->view->loginForm = $loginRes['Form'];
									}else{
										$this->view->loginForm = $form;
										$this->view->errorMessage = "Invalid username or password. Please try again.";
									}
								}else{
									if(($InvalidAttempts > 3) || ($attempts >= 3 && $InvalidAttempts > 3)){
										$this->view->attempts = $attempts;
									}
									$this->view->loginForm = $form;
									$this->view->errorMessage = "Invalid username or password. Please try again.";
								}
							}else{
								if($InvalidAttempts > 3){
									$this->view->attempts = $InvalidAttempts;
								}
								$this->view->loginForm = $form;
								$this->view->errorMessage = "Invalid username or password. Please try again.";
							}
							$this->view->inavalidattemptscount = $InvalidAttempts;
						}else if(isset($loginRes['UserNotApproved'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Your registration is pending for approval. Please try after some time.";
						}else if(isset($loginRes['UserInActive'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Your registration is In-Active. Please contact Admin.";
						}else if(isset($loginRes['CompanyInActive'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Please contact Admin.";
						}else{
							$this->view->loginForm = $loginRes['Form'];
						}
					}else{
						$storage = new Zend_Auth_Storage_Session();
						$data = $storage->read();
						$this->view->emailstat = true;
						$form->emailAddress->setValue($data['Email']);
						$form->emailAddress->setAttrib('readonly','readonly');
						$this->view->loginForm = $form;
						$this->view->errorMessage = "Invalid Password. Please try again.";
					}
				}
			}else{
				if(!$auth->hasIdentity()){
					$this->view->loginForm = $form;
				}else{
					$storage = new Zend_Auth_Storage_Session();
					$data = $storage->read();
					$this->view->emailstat = true;
					$form->emailAddress->setValue($data['Email']);
					$form->emailAddress->setAttrib('readonly','readonly');
					$this->view->loginForm = $form;
				}
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function searchforsigninAction()
	{
		 try{
			if($this->getRequest()->isPost()){
				$loginObj = new User_Model_Signin();
				if($_REQUEST['email']){
					$loginObj->setEmailAddress(trim($_REQUEST['email']));
				}
				if($_REQUEST['password']){
					$loginObj->setPassword(trim($_REQUEST['password']));
				}
				$loginRes = $this->_userService->LoginFromSearch($loginObj);
				$this->_helper->layout->disableLayout();
				$this->_helper->viewRenderer->setNoRender();
				if($loginRes['Status']){
					$cusProfile = array();
					$loginProfileArray = array();
					$loginProfileArray = $loginRes['loginprofile'];
					if(isset($loginProfileArray['Email'])){
						$cusProfile['Email'] = $loginProfileArray['Email'];	
					}else{
						$cusProfile['Email'] = "";
					}
					
					if(isset($loginProfileArray['Salution'])){
						$cusProfile['Salution'] = $loginProfileArray['Salution'];
					}else{
						$cusProfile['Salution'] = "";
					}
					if(isset($loginProfileArray['Firstname'])){
						$cusProfile['Firstname'] = $loginProfileArray['Firstname'];
					}else{
						$cusProfile['Firstname'] = "";
					}
					if(isset($loginProfileArray['LastName'])){
						$cusProfile['LastName'] = $loginProfileArray['LastName'];
					}else{
						$cusProfile['LastName'] = "";
					}
					if(isset($loginProfileArray['User_Id'])){
						$cusProfile['User_Id'] = $loginProfileArray['User_Id'];
					}else{
						$cusProfile['User_Id'] = "";
					}
					if(isset($loginProfileArray['Phone'])){
						$cusProfile['Phone'] = $loginProfileArray['Phone'];
					}else{
						$cusProfile['Phone'] = "";
					}
					$loginProfile = implode("|",$cusProfile);
					echo $loginProfile;
				}else{
					echo "f";
				}
			}
		 }catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function socialwidgetsigninsearchAction()
	{
		 try{
			if($this->getRequest()->isPost()){
				$loginObj = new User_Model_Signin();
				if($_REQUEST['email']){
					$loginObj->setEmailAddress(trim($_REQUEST['email']));
				}
				if($_REQUEST['password']){
					$loginObj->setPassword(trim($_REQUEST['password']));
				}
				$loginRes = $this->_userService->LoginFromSearch($loginObj);
				$this->_helper->layout->disableLayout();
				$this->_helper->viewRenderer->setNoRender();
				if($loginRes['Status']){
					$cusProfile = array();
					$loginProfileArray = array();
					$loginProfileArray = $loginRes['loginprofile'];
					if(isset($loginProfileArray['Email'])){
						$cusProfile['Email'] = $loginProfileArray['Email'];	
					}else{
						$cusProfile['Email'] = "";
					}
					
					if(isset($loginProfileArray['Salution'])){
						$cusProfile['Salution'] = $loginProfileArray['Salution'];
					}else{
						$cusProfile['Salution'] = "";
					}
					if(isset($loginProfileArray['Firstname'])){
						$cusProfile['Firstname'] = $loginProfileArray['Firstname'];
					}else{
						$cusProfile['Firstname'] = "";
					}
					if(isset($loginProfileArray['LastName'])){
						$cusProfile['LastName'] = $loginProfileArray['LastName'];
					}else{
						$cusProfile['LastName'] = "";
					}
					if(isset($loginProfileArray['User_Id'])){
						$cusProfile['User_Id'] = $loginProfileArray['User_Id'];
					}else{
						$cusProfile['User_Id'] = "";
					}
					if(isset($loginProfileArray['Phone'])){
						$cusProfile['Phone'] = $loginProfileArray['Phone'];
					}else{
						$cusProfile['Phone'] = "";
					}
					$loginProfile = implode("|",$cusProfile);
					echo $loginProfile;
				}else{
					echo "f";
				}
			}
		 }catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function signoutAction()
 {
  try{
   $storage = new Zend_Auth_Storage_Session();
   $userData = $storage->read();
   $companyid = $userData['companyid'];
                        
   if($this->_userService->Logout()){
    if($_SERVER['SERVER_NAME'] == 'hbcsolutions.net' || $_SERVER['SERVER_NAME'] == 'www.hbcsolutions.net'){
     return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'hbcsignin'),'hbclogin',true));
                                } else if($companyid==25){ // diningwithus logout
                                        return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'dwusignin'),'dwulogin',true));
                                }
                                else{
     return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true)); 
    }    
   }
  }catch (Exception $ex){
   throw new Exception($ex->getMessage()) ;
  }
 }
	
	public function resetpasswordAction()
	{
		try{
	//		$this->_helper->layout()->setLayout('loginlayout');
			$this->_helper->layout()->setLayout('mtlogin');
			$form = $this->_userService->getUserPasswordChangeForm();
			$auth = Zend_Auth::getInstance();
			if($this->getRequest()->isPost()){
				$result = $this->_userService->changeUserPassword($this->getRequest()->getPost());
				if($result['status']){
					return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
				}else if(!$result['status']){
					$this->view->form = $form;
					if(isset($result['msg'])){
						$this->view->passwordmsg = $result['msg'];
						$this->view->userid = $result['userid'];
					}else{
						$this->view->passwordmsg = "Please fill correct details";
						$this->view->userid = $result['userid'];
					}
				}else{					
					$this->view->form = $form;
				}
			}else{
				$this->view->form = $form;
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function hbcresetpasswordAction()
	{
		try{
	//		$this->_helper->layout()->setLayout('loginlayout');
			$this->_helper->layout->disableLayout();
			$form = $this->_userService->getUserPasswordChangeForm();
			$auth = Zend_Auth::getInstance();
			if($this->getRequest()->isPost()){
				$result = $this->_userService->changeUserPassword($this->getRequest()->getPost());
				if($result['status']){
					return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'hbcsignin'),'hbclogin',true));
				}else if(!$result['status']){
					$this->view->form = $form;
					if(isset($result['msg'])){
						$this->view->passwordmsg = $result['msg'];
						$this->view->userid = $result['userid'];
					}else{
						$this->view->passwordmsg = "Please fill correct details";
						$this->view->userid = $result['userid'];
					}
				}else{					
					$this->view->form = $form;
				}
			}else{
				$this->view->form = $form;
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function editallAction()
	{
		try{
			$result = $this->_userService->updateAll();
			if($result){
				return $this->_redirect($this->view->url(array('module'=>'User','controller'=>'Login', 'action'=>'signin'),'login',true));
			}else{
				echo 'f';
			}
			
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function checkloginfromwixAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$this->_helper->viewRenderer->setNoRender();
			$request = $this->getRequest();
			$values = array();
			$values['emailAddress'] = $request->email;
			$values['password'] = $request->password;
			$data = $this->_userService->CheckLoginDetails($values);
			if($data['Status']){
				$result = $this->_userService->getRestaurantDetailsByUserData($data['userdata']);
				if(count($result) > 0 ){
					echo json_encode($result);		
				}else{
					echo json_encode('f');
				}
			}else{
				echo json_encode('f');
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function roundmenusigninAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$form = $this->_userService->getLoginForm();
			$auth = Zend_Auth::getInstance();
			if($this->getRequest()->isPost()){
				$loginRes = $this->_userService->Login($this->getRequest()->getPost());
				$pres = $loginRes ['loginprofile'];	
				$presid = $pres ['RestId'];		
				if($loginRes['Status']){
					switch($loginRes['Usertype']){
						case 'CUS' : $this->_helper->redirector('guestacctandbookinghistory','Client','User');
						break;
						case 'RSO' :
						 	if($presid != ''){
						 		if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));
						 		}else{
						 			$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));
						 		}
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');									
							}
						break;
						case 'RSU' : 
							$perm = $loginRes['loginprofile'];
							$permission = $perm['Permissions'];
							$permm = false;

							foreach($permission as $value){
//							$permission = $value->permcode;
								if ($value->permcode == 'GM') {
									$permm = true;	
									break;
								}
							}
							if ($permm) {
								if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}else{
									$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}	
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');								
							}													
						break;
						case 'SRU' : 
							$perm = $loginRes['loginprofile'];
							$permission = $perm['Permissions'];
							$permm = false;

							foreach($permission as $value){
//							$permission = $value->permcode;
								if ($value->permcode == 'GM') {
									$permm = true;	
									break;
								}
							}
							if ($permm) {
								if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}else{
									$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}	
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');								
							}													
						break;
						case 'ADM' : $this->_helper->redirector('administratordashboard','Administrator','Administrator');
						break;
						case 'ADU' : $this->_helper->redirector('administratoruserdashboard','Administrator','Administrator');
						break;
					}
	
				}else {
					if(!$auth->hasIdentity()){
						if(isset($loginRes['isFormValid'])){
							$formdata = $this->getRequest()->getPost();
							$InvalidAttempts = $formdata['InvalidAttempts']+1;
							
							$LoginAttemptMapper = new User_Model_LoginAttemptsDataMapper();
							if($formdata['emailAddress'] != null){
								$attempts = 0;
								$attempts = $LoginAttemptMapper->ManageInavlidLoginAttempts($formdata['emailAddress']);
								if(isset($formdata['captcha'])){
									if($InvalidAttempts > 3 ){
										$this->view->attempts = $InvalidAttempts;
									}else{
										$this->view->attempts = $attempts;
									}
									if(isset($loginRes['Form'])){
										$this->view->loginForm = $loginRes['Form'];
									}else{
										$this->view->loginForm = $form;
										$this->view->errorMessage = "Invalid username or password. Please try again.";
									}
								}else{
									if(($InvalidAttempts > 3) || ($attempts >= 3 && $InvalidAttempts > 3)){
										$this->view->attempts = $attempts;
									}
									$this->view->loginForm = $form;
									$this->view->errorMessage = "Invalid username or password. Please try again.";
								}
							}else{
								if($InvalidAttempts > 3){
									$this->view->attempts = $InvalidAttempts;
								}
								$this->view->loginForm = $form;
								$this->view->errorMessage = "Invalid username or password. Please try again.";
							}
							$this->view->inavalidattemptscount = $InvalidAttempts;
						}else if(isset($loginRes['UserNotApproved'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Your registration is pending for approval. Please try after some time.";
						}else if(isset($loginRes['UserInActive'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Your registration is In-Active. Please contact Admin.";
						}else if(isset($loginRes['CompanyInActive'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Please contact Admin.";
						}else{
							$this->view->loginForm = $loginRes['Form'];
						}
					}else{
						$storage = new Zend_Auth_Storage_Session();
						$data = $storage->read();
						$this->view->emailstat = true;
						if($data['Email']){
							$form->emailAddress->setValue($data['Email']);
							$form->emailAddress->setAttrib('readonly','readonly');
						}
						$this->view->loginForm = $form;
						$this->view->errorMessage = "Invalid Password. Please try again.";
					}
				}
			}else{
				if(!$auth->hasIdentity()){
					$this->view->loginForm = $form;
				}else{
					$storage = new Zend_Auth_Storage_Session();
					$data = $storage->read();
					$this->view->emailstat = true;
					if($data['Email']){
						$form->emailAddress->setValue($data['Email']);
						$form->emailAddress->setAttrib('readonly','readonly');
					}
					$this->view->loginForm = $form;
				}
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}    
        public function dwusigninAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$form = $this->_userService->getLoginForm();
			$auth = Zend_Auth::getInstance();
			if($this->getRequest()->isPost()){
				$loginRes = $this->_userService->Login($this->getRequest()->getPost());
				$pres = $loginRes ['loginprofile'];	
				$presid = $pres ['RestId'];		
				if($loginRes['Status']){
					switch($loginRes['Usertype']){
						case 'CUS' : $this->_helper->redirector('guestacctandbookinghistory','Client','User');
						break;
						case 'RSO' :
						 	if($presid != ''){
						 		if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));
						 		}else{
						 			$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));
						 		}
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');									
							}
						break;
						case 'RSU' : 
							$perm = $loginRes['loginprofile'];
							$permission = $perm['Permissions'];
							$permm = false;

							foreach($permission as $value){
//							$permission = $value->permcode;
								if ($value->permcode == 'GM') {
									$permm = true;	
									break;
								}
							}
							if ($permm) {
								if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}else{
									$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}	
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');								
							}													
						break;
						case 'SRU' : 
							$perm = $loginRes['loginprofile'];
							$permission = $perm['Permissions'];
							$permm = false;

							foreach($permission as $value){
//							$permission = $value->permcode;
								if ($value->permcode == 'GM') {
									$permm = true;	
									break;
								}
							}
							if ($permm) {
								if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}else{
									$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}	
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');								
							}													
						break;
						case 'ADM' : $this->_helper->redirector('administratordashboard','Administrator','Administrator');
						break;
						case 'ADU' : $this->_helper->redirector('administratoruserdashboard','Administrator','Administrator');
						break;
					}
	
				}else {
					if(!$auth->hasIdentity()){
						if(isset($loginRes['isFormValid'])){
							$formdata = $this->getRequest()->getPost();
							$InvalidAttempts = $formdata['InvalidAttempts']+1;
							
							$LoginAttemptMapper = new User_Model_LoginAttemptsDataMapper();
							if($formdata['emailAddress'] != null){
								$attempts = 0;
								$attempts = $LoginAttemptMapper->ManageInavlidLoginAttempts($formdata['emailAddress']);
								if(isset($formdata['captcha'])){
									if($InvalidAttempts > 3 ){
										$this->view->attempts = $InvalidAttempts;
									}else{
										$this->view->attempts = $attempts;
									}
									if(isset($loginRes['Form'])){
										$this->view->loginForm = $loginRes['Form'];
									}else{
										$this->view->loginForm = $form;
										$this->view->errorMessage = "Invalid username or password. Please try again.";
									}
								}else{
									if(($InvalidAttempts > 3) || ($attempts >= 3 && $InvalidAttempts > 3)){
										$this->view->attempts = $attempts;
									}
									$this->view->loginForm = $form;
									$this->view->errorMessage = "Invalid username or password. Please try again.";
								}
							}else{
								if($InvalidAttempts > 3){
									$this->view->attempts = $InvalidAttempts;
								}
								$this->view->loginForm = $form;
								$this->view->errorMessage = "Invalid username or password. Please try again.";
							}
							$this->view->inavalidattemptscount = $InvalidAttempts;
						}else if(isset($loginRes['UserNotApproved'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Your registration is pending for approval. Please try after some time.";
						}else if(isset($loginRes['UserInActive'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Your registration is In-Active. Please contact Admin.";
						}else if(isset($loginRes['CompanyInActive'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Please contact Admin.";
						}else{
							$this->view->loginForm = $loginRes['Form'];
						}
					}else{
						$storage = new Zend_Auth_Storage_Session();
						$data = $storage->read();
						$this->view->emailstat = true;
						if($data['Email']){
							$form->emailAddress->setValue($data['Email']);
							$form->emailAddress->setAttrib('readonly','readonly');
						}
						$this->view->loginForm = $form;
						$this->view->errorMessage = "Invalid Password. Please try again.";
					}
				}
			}else{
				if(!$auth->hasIdentity()){
					$this->view->loginForm = $form;
				}else{
					$storage = new Zend_Auth_Storage_Session();
					$data = $storage->read();
					 if($data['Usertype'] == 'RSO'){
		 if($data['DefaultView'] =='floor')
{

           $this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$data['RestId']));
       
		 }
	  else {
	                                           $this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$data['RestId'])); 
	                                       }
 }
                                    
                                       
                                       if($data['Usertype'] == 'ADU') {
                                           $this->_helper->redirector('administratoruserdashboard','Administrator','Administrator');
                                       }
					$this->view->emailstat = true;
					if($data['Email']){
						$form->emailAddress->setValue($data['Email']);
						$form->emailAddress->setAttrib('readonly','readonly');
					}
					$this->view->loginForm = $form;
				}
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function hbcsigninAction()
	{
		try{
			$this->_helper->layout->disableLayout();
			$form = $this->_userService->getLoginForm();
			$auth = Zend_Auth::getInstance();
			if($this->getRequest()->isPost()){
				$loginRes = $this->_userService->Login($this->getRequest()->getPost());
				$pres = $loginRes ['loginprofile'];	
				$presid = $pres ['RestId'];		
				if($loginRes['Status']){
					switch($loginRes['Usertype']){
						case 'CUS' : $this->_helper->redirector('guestacctandbookinghistory','Client','User');
						break;
						case 'RSO' :
						 	if($presid != ''){
						 		if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));
						 		}else{
						 			$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));
						 		}
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');									
							}
						break;
						case 'RSU' : 
							$perm = $loginRes['loginprofile'];
							$permission = $perm['Permissions'];
							$permm = false;

							foreach($permission as $value){
//							$permission = $value->permcode;
								if ($value->permcode == 'GM') {
									$permm = true;	
									break;
								}
							}
							if ($permm) {
								if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}else{
									$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}	
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');								
							}													
						break;
						case 'SRU' : 
							$perm = $loginRes['loginprofile'];
							$permission = $perm['Permissions'];
							$permm = false;

							foreach($permission as $value){
//							$permission = $value->permcode;
								if ($value->permcode == 'GM') {
									$permm = true;	
									break;
								}
							}
							if ($permm) {
								if($pres['DefaultView'] == 'floor'){
									$this->_helper->redirector('floorplan','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}else{
									$this->_helper->redirector('calendar','Reservation','Reservation',array('selTab'=>0,'restaurantid'=>$presid));	
								}	
							}else{
								$this->_helper->redirector('firmpatrondetails','Client');								
							}													
						break;
						case 'ADM' : $this->_helper->redirector('administratordashboard','Administrator','Administrator');
						break;
						case 'ADU' : $this->_helper->redirector('administratoruserdashboard','Administrator','Administrator');
						break;
					}
	
				}else {
					if(!$auth->hasIdentity()){
						if(isset($loginRes['isFormValid'])){
							$formdata = $this->getRequest()->getPost();
							$InvalidAttempts = $formdata['InvalidAttempts']+1;
							
							$LoginAttemptMapper = new User_Model_LoginAttemptsDataMapper();
							if($formdata['emailAddress'] != null){
								$attempts = 0;
								$attempts = $LoginAttemptMapper->ManageInavlidLoginAttempts($formdata['emailAddress']);
								if(isset($formdata['captcha'])){
									if($InvalidAttempts > 3 ){
										$this->view->attempts = $InvalidAttempts;
									}else{
										$this->view->attempts = $attempts;
									}
									if(isset($loginRes['Form'])){
										$this->view->loginForm = $loginRes['Form'];
									}else{
										$this->view->loginForm = $form;
										$this->view->errorMessage = "Invalid username or password. Please try again.";
									}
								}else{
									if(($InvalidAttempts > 3) || ($attempts >= 3 && $InvalidAttempts > 3)){
										$this->view->attempts = $attempts;
									}
									$this->view->loginForm = $form;
									$this->view->errorMessage = "Invalid username or password. Please try again.";
								}
							}else{
								if($InvalidAttempts > 3){
									$this->view->attempts = $InvalidAttempts;
								}
								$this->view->loginForm = $form;
								$this->view->errorMessage = "Invalid username or password. Please try again.";
							}
							$this->view->inavalidattemptscount = $InvalidAttempts;
						}else if(isset($loginRes['UserNotApproved'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Your registration is pending for approval. Please try after some time.";
						}else if(isset($loginRes['UserInActive'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Your registration is In-Active. Please contact Admin.";
						}else if(isset($loginRes['CompanyInActive'])){
							$this->view->loginForm = $form;
							$this->view->errorMessage = "Please contact Admin.";
						}else{
							$this->view->loginForm = $loginRes['Form'];
						}
					}else{
						$storage = new Zend_Auth_Storage_Session();
						$data = $storage->read();
						$this->view->emailstat = true;
						if($data['Email']){
							$form->emailAddress->setValue($data['Email']);
							$form->emailAddress->setAttrib('readonly','readonly');
						}
						$this->view->loginForm = $form;
						$this->view->errorMessage = "Invalid Password. Please try again.";
					}
				}
			}else{
				if(!$auth->hasIdentity()){
					$this->view->loginForm = $form;
				}else{
					$storage = new Zend_Auth_Storage_Session();
					$data = $storage->read();
					$this->view->emailstat = true;
					if($data['Email']){
						$form->emailAddress->setValue($data['Email']);
						$form->emailAddress->setAttrib('readonly','readonly');
					}
					$this->view->loginForm = $form;
				}
			}
		}catch (Exception $ex){
			throw new Exception($ex->getMessage()) ;
		}
	}
	
}
