<?php
class User_Model_AdminPatron extends User_Model_Client
{
	protected $_id;
	protected $_userid;
	protected $_adu_firstname;
	protected $_adu_lastname;
	protected $_adu_company_id;
	protected $_adu_stateid;
	protected $_adu_regionid;
	protected $_adu_cityid;
	protected $_adu_neighbourhoodid;
	protected $_adu_address;
	protected $_adu_zipcode;
	protected $_adu_status;
	protected $_regionbd;
	protected $_citybd;
	protected $_rolebd;
	protected $_neighbourhoodbd;
	
	public function __construct(array $options = null)
	{
		if(is_array($options)){
			$this->setOptions($options);
		}		
	}
	
	public function __set($name, $value)
	{
		$method = 'set' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Price Plan property');
		}
		$this->$method($value);
	}
	
	public function __get($name)
	{
		$method = 'get' . $name;
		if (('mapper' == $name) || !method_exists($this, $method)) {
			throw new Exception('Invalid Price Plan property');
		}
		return $this->$method();
	}
	
	public function setOptions(array $options)
	{
		$methods = get_class_methods($this);
		foreach ($options as $key => $value) {
			$method = 'set' . ucfirst($key);
			if (in_array($method, $methods)) {
				$this->$method($value);
			}
		}
		return $this;
	}
	
	public function setId($id)
	{
		$this->_id = $id;
		return $this;
	}
	
	public function getId()
	{
		return $this->_id;
	}
	
	public function setUserId($userid)
	{
		$this->_userid = $userid;
		return $this;
	}
	
	public function getUserId()
	{
		return $this->_userid;
	}	

	public function setadu_firstname($adu_firstname)
	{
		$this->_adu_firstname = $adu_firstname;
		return $this;
	}
	
	public function setadu_password($adu_password)
	{
		$this->_password = (string)$adu_password;
		return $this;
	}
	
	public function getadu_password()
	{
		return $this->_adu_password;
	}
	
	
	public function getadu_firstname()
	{
		return $this->_adu_firstname;
	}

	public function setadu_lastname($adu_lastname)
	{
		$this->_adu_lastname = $adu_lastname;
		return $this;
	}
	
	public function getadu_lastname()
	{
		return $this->_adu_lastname;
	}
	
	public function setadu_company_id($adu_company_id)
	{
		$this->_adu_company_id = $adu_company_id;
		return $this;
	}
	
	public function getadu_company_id()
	{
		return $this->_adu_company_id;
	}
	
	public function setadu_stateid($adu_stateid)
	{
		$this->_adu_stateid = $adu_stateid;
		return $this;
	}
	
	public function getadu_stateid()
	{
		return $this->_adu_stateid;
	}
	
	public function setadu_regionid($adu_regionid)
	{
		$this->_adu_regionid = $adu_regionid;
		return $this;
	}
	
	public function getadu_regionid()
	{
		return $this->_adu_regionid;
	}
	
	public function setadu_cityid($adu_cityid)
	{
		$this->_adu_cityid = $adu_cityid;
		return $this;
	}
	
	public function getadu_cityid()
	{
		return $this->_adu_cityid;
	}
	
	public function setadu_neighbourhoodid($adu_neighbourhoodid)
	{
		$this->_adu_neighbourhoodid = $adu_neighbourhoodid;
		return $this;
	}
	
	public function getadu_neighbourhoodid()
	{
		return $this->_adu_neighbourhoodid;
	}

	public function setadu_address($adu_address)
	{
		$this->_adu_address = $adu_address;
		return $this;
	}
	
	public function getadu_address()
	{
		return $this->_adu_address;
	}
	
	public function setadu_zipcode($adu_zipcode)
	{
		$this->_adu_zipcode = $adu_zipcode;
		return $this;
	}
	
	public function getadu_zipcode()
	{
		return $this->_adu_zipcode;
	}	

	public function setadu_status($adu_status)
	{
		$this->_adu_status = $adu_status;
		return $this;
	}
	
	public function getadu_status()
	{
		return $this->_adu_status;
	}
	
	public function setRegionbd($regionbd)
	{
		$this->_regionbd = $regionbd;
		return $this;
	}
	
	public function getRegionbd()
	{
		return $this->_regionbd;
	}
	
	public function setCitybd($citybd)
	{
		$this->_citybd = $citybd;
		return $this;
	}
	
	public function getCitybd()
	{
		return $this->_citybd;
	}
	
	public function setneighbourhoodbd($neighbourhoodbd)
	{
		$this->_neighbourhoodbd = $neighbourhoodbd;
		return $this;
	}
	
	public function getneighbourhoodbd()
	{
		return $this->_neighbourhoodbd;
	}
	
	public function setRolebd($rolebd)
	{
		$this->_rolebd = $rolebd;
		return $this;
	}
	
	public function getRolebd()
	{
		return $this->_rolebd;
	}
}