<?php
class Application_Service_Deals
{
	protected $_form = array();

	public function setRestaurantSpecialForm(Zend_Form $form)
	{
		$this->_form['restauarntSpecial'] = $form;
	}

	public function getRestaurantSpecialForm()
	{
		if(empty($this->_form['restauarntSpecial'])){
			$this->setRestaurantSpecialForm(new Deals_Form_RestaurantSpecial());
		}
		return $this->_form['restauarntSpecial'];
	}
	public function setSpecialTagLineForm(Zend_Form $form)
	{
		$this->_form['specialTagLine'] = $form;
	}

	public function getSpecialTagLineForm()
	{
		if(empty($this->_form['specialTagLine'])){
			$this->setSpecialTagLineForm(new Deals_Form_SpecialTagLine());
		}
		return $this->_form['specialTagLine'];
	}
	public function setEditRestaurantSpecialForm(Zend_Form $form)
	{
		$this->_form['editresturantSpecial'] = $form;
	}

	public function getEditRestaurantSpecialForm()
	{
		if(empty($this->_form['editresturantSpecial'])){
			$this->setEditRestaurantSpecialForm(new Deals_Form_EditRestSpecialInformation());
		}
		return $this->_form['editresturantSpecial'];
	}

	public function setEditRestaurantSpecialCost(Zend_Form $form)
	{
		$this->_form['editresturantSpecialCost'] = $form;
	}

	public function getEditRestaurantSpecialCost()
	{
		if(empty($this->_form['editresturantSpecialCost'])){
			$this->setEditRestaurantSpecialCost(new Deals_Form_EditRestSpecialCost());
		}
		return $this->_form['editresturantSpecialCost'];
	}

	public function setEditRestaurantSpecialScheduleForm(Zend_Form $form)
	{
		$this->_form['editresturantSpecialSchedule'] = $form;
	}

	public function getEditRestaurantSpecialScheduleForm()
	{
		if(empty($this->_form['editresturantSpecialSchedule'])){
			$this->setEditRestaurantSpecialScheduleForm(new Deals_Form_EditRestaurantSpecialSchedule());
		}
		return $this->_form['editresturantSpecialSchedule'];
	}

	public function setEditRestaurantSpecialImageForm(Zend_Form $form)
	{
		$this->_form['editresturantSpecialImage'] = $form;
	}

	public function getEditRestaurantSpecialImageForm()
	{
		if(empty($this->_form['editresturantSpecialImage'])){
			$this->setEditRestaurantSpecialImageForm(new Deals_Form_EditRestaurantSpecialImage());
		}
		return $this->_form['editresturantSpecialImage'];
	}
	public function setEditRestaurantSpecialTitleForm(Zend_Form $form)
	{
		$this->_form['editresturantSpecialTitle'] = $form;
	}

	public function getEditRestaurantSpecialTitleForm()
	{
		if(empty($this->_form['editresturantSpecialTitle'])){
			$this->setEditRestaurantSpecialTitleForm(new Deals_Form_EditRestSpecialTitle());
		}
		return $this->_form['editresturantSpecialTitle'];
	}

	public function setSearchSpecialForm(Zend_Form $form)
	{
		$this->_form['SearchSpecialForm'] = $form;
	}

	public function getSearchSpecialForm()
	{
		if(empty($this->_form['SearchSpecialForm'])){
			$this->setSearchSpecialForm(new Deals_Form_SearchSpecialForm());
		}
		return $this->_form['SearchSpecialForm'];
	}

	public function PostSpecial(array $data)
	{
		try{
			$form = $this->getRestaurantSpecialForm();
			$form->specialType->setValue(1);
			if($data['canmakeresv'] == 1 || $data['canmakepayresv'] == 1){
				$form->regularPrice->setRequired(true);
				$form->discountpecentage->setRequired(true);
				$form->priceWithDiscount->setRequired(true);
				$form->NumOfdishes->setRequired(true);
				$form->specialCount->setRequired(true);
				$form->specialpriceType->setRequired(true);
			}else{
				$form->regularPrice->setRequired(false);
				$form->discountpecentage->setRequired(false);
				$form->priceWithDiscount->setRequired(false);
				$form->NumOfdishes->setRequired(false);
				$form->specialCount->setRequired(false);
				$form->specialpriceType->setRequired(false);
			}
			if($data['specialTimeRecurrence'] == 'All Day'){
				$data['specialStartTime'] = '12:01 AM';
				$data['specialEndTime'] = '11:59 PM';
			}
			if($data['specialRecurrence'] == 1)
			{
				$form->weeks->setRequired(true);
			}else{
				$form->weeks->setRequired(false);
			}

			if($data['specialDay'] == 'Single Day')
			{
				$form->specialEndDate->setRequired(false);
			}else{
				$form->specialEndDate->setRequired(true);
			}
			
			if($form->isValid($data)){
									
				$imageadapter = $form->specialImage->getTransferAdapter();
				$splTitle = trim($data['specialTitle']);
				$restid = $data['restaurantid'];
					
				$paths = $this->UploadSplImage($imageadapter,$splTitle,$restid);
				$imagepatharray = array();
				$imagepath = null;

				if($paths){
					//$imagepath[] = $paths['imagepath'];
					for($i=0;$i<=4;$i++){
						if($paths[$i]){
							$imagepatharray[] = $paths[$i];
						}else{
							$imagepatharray[] = " ";
						}
					}
				$image_path = implode(',',$imagepatharray);
				$imagepath = $image_path;
				}
				$restaurantSpl = new Deals_Model_RestaurantSpecial();
					
				$formData = $form->getValues($data);
				$specialRecurence = 'FALSE';
				$specialWeeks = array();
				if($formData['specialRecurrence'] == 1)
				{
					$specialRecurence = 'TRUE';
					$weeks = $formData['weeks'];
					foreach($weeks as $day){
						$specialObj = new Deals_Model_RestaurantSpecialRecurence();
						$specialObj->setWeekId($day);
						$specialWeeks[] = $specialObj;
					}
				}

//				$kidsEatFree = 'FALSE';
//				$kidsSelection = "";
//				if($formData['kidsEatFree'] == 1)
//				{
//					$kidsEatFree = 'TRUE';
//					$kidsSelection = $formData['kidsSelection'];
//				}

				if($formData['canmakeresv'] == 1 || $formData['canmakepayresv'] == 1){
					$restaurantSpl->setRegprice($formData['regularPrice']);
					$restaurantSpl->setDispercentage($formData['discountpecentage']);
					$restaurantSpl->setPricewithdiscount($formData['priceWithDiscount']);
					$restaurantSpl->setDiscountMode($formData['discountmode']);
					$restaurantSpl->setNoofdishes($formData['NumOfdishes']);
					$restaurantSpl->setSpecialCount($formData['specialCount']);
					$restaurantSpl->setSpecialpricetype($formData['specialpriceType']);
				}
				$storage = new Zend_Auth_Storage_Session();
				$usdata = $storage->read();
				$restaurantSpl->setRestaurantid($usdata['RestId']);
				$restaurantSpl->setFoodtype($formData['restcustype']);
				$restaurantSpl->setSpecialtypeid($formData['specialType']);
				if($formData['canmakeresv'] == 1 && $formData['canmakepayresv'] == 1){
					$restaurantSpl->setSpecialCategoryType(4);	
				}else if($formData['canmakeresv'] == 1){
					$restaurantSpl->setSpecialCategoryType(2);
				}else{
					$restaurantSpl->setSpecialCategoryType($formData['specialCatType']);
				}
				
				
				$restaurantSpl->setSpecialtitle($formData['specialTitle']);
				
				$restaurantSpl->setSpecialimage($imagepath);
//				$restaurantSpl->setKidsinfo($kidsSelection);
//				$restaurantSpl->setKidsstatus($kidsEatFree);
				if($data['specialDay'] == 'Single Day'){
					$restaurantSpl->setStartdate($data['DP-specialStartDate']);
					$restaurantSpl->setEnddate($data['DP-specialStartDate']);
				}else{
					$restaurantSpl->setStartdate($data['DP-specialStartDate']);
					$restaurantSpl->setEnddate($data['DP-specialEndDate']);
				}
				//$starttime = $formData['specialStartHoursTime'].":".$formData['specialStartMinutesTime']." ".$formData['specialStartMeridiem'];
				$restaurantSpl->setStarttime($formData['specialStartTime']);
				//$endtime = $formData['specialEndHoursTime'].":".$formData['specialEndMinutesTime']." ".$formData['specialEndMeridiem'];
				$restaurantSpl->setEndtime($formData['specialEndTime']);
				$restaurantSpl->setSpecialrecurence($specialRecurence);
				$restaurantSpl->setWeekids($specialWeeks);
				$restaurantSpl->setDescription($formData['specialDescription']);
				
				$restaurantSpl->setStatus(TRUE);
				$restaurantSpl->setDeleteStatus(TRUE);

				$mapper = new Deals_Model_RestaurantSpecialDataMapper();
				$status = $mapper->SaveSpecial($restaurantSpl);
				
				/* folder rename */		
				$folderRename = rename("images/restaurant_images/$restid/restaurant_Specials/$splTitle/","images/restaurant_images/$restid/restaurant_Specials/$status/");
				$imageTitleRename = '/'.$splTitle.'/';
		        $imageRename = str_replace($imageTitleRename,'/'.$status.'/',$imagepath);
		        $result = $mapper->Updateimgpath($status,$imageRename);
				return array('status'=>$result,'SplStat'=>$status);
			}else{
				$formData = $form->getValues();
				$form->populate($data);
				$result = array('status'=>false,'SplForm'=>$form);
				return $result;
			}
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function ManageSpecial($request,$data,$pageNo)
	{
		try{
			$restIdObj = new Deals_Model_SpecialsByRestId();
			if($data['Usertype'] == "ADM" || $data['Usertype'] == "ADU"){
				$Id = $data['restownerId'];
			}else{
				$Id = $data['User_Id'];
			}
		//	$restIdObj->setRestaurantId($request->restaurantid)
			$restIdObj->setRestaurantId($data['RestId'])
					  ->setUserId($Id);
			if(isset($request->formstatus)){
				if($request->searchStartDate){
					$restIdObj->setStartDate($request->searchStartDate);
				}
				if($request->searchEndDate){
					$restIdObj->setEndDate($request->searchEndDate);
				}
				if($request->searchStartTime){
					$restIdObj->setStartTime($request->searchStartTime);
				}
				if($request->searchEndTime){
					$restIdObj->setEndTime($request->searchEndTime);
				}
				if($request->splstatus){
					$restIdObj->setDelStatus($request->splstatus);
				}
			}
			$mapper = new Deals_Model_RestaurantSpecialDataMapper();
			$resultList = $mapper->RetrieveSpecialsByRestId($restIdObj,$pageNo);
			return $resultList;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function GetSpecialDetailsById($request,$isAjaxCall)
	{
		try{
			$restid = $request->restaurantid;
			$splid = $request->specialid;
			$splIdObj = new Deals_Model_RestaurantSpecialById();
			$splIdObj->setSpecialId($splid)
			->setRestId($restid);

			$mapper = new Deals_Model_RestaurantSpecialDataMapper();
			$result = $mapper->RetrieveSpecialDetailsById($splIdObj,$isAjaxCall);

			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function GetWidgetSpecialDetailsById($restid,$splid,$isAjaxCall)
	{
		try{
			$splIdObj = new Deals_Model_RestaurantSpecialById();
			$splIdObj->setSpecialId($splid)
			->setRestId($restid);

			$mapper = new Deals_Model_RestaurantSpecialDataMapper();
			$result = $mapper->RetrieveSpecialDetailsById($splIdObj,$isAjaxCall);

			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function EditRestaurantSpecial(array $data,$request)
	{
		try{
			$splid = $request->specialid;
			if($request->editspldesc){
				$form =  $this->getEditRestaurantSpecialForm();
				if($form->isValid($data)){
					$formData = $form->getValues();

					$restaurantSpl = new Deals_Model_RestaurantSpecial();
					$restaurantSpl->setId((int)$form->getValue('specialid'));
					$restaurantSpl->setDescription($formData['editspecialDescription']);
					$restaurantSpl->setStatus(TRUE);

					$mapper = new Deals_Model_RestaurantSpecialDataMapper();
					$status = $mapper->updateRestSpecialDesc($restaurantSpl);
					if($status){
						$form->populate($data);
						$result = array('status'=>true,'editspecialid'=>$splid);
					}
					return $result;
				}else{
					$formData = $form->getValues();
					$form->populate($data);
					$result = array('status'=>false,'editSplForm'=>$form);
					return $result;
				}
			}else if($request->splcost){
				$form =  $this->getEditRestaurantSpecialCost();
				if($form->isValid($data)){
					$formData = $form->getValues();
					$restaurantSpl = new Deals_Model_RestaurantSpecial();
					$restaurantSpl->setId((int)$form->getValue('specialid'));
					$restaurantSpl->setRegprice($formData['editregularPrice']);
					$restaurantSpl->setDispercentage($formData['editdiscountpecentage']);
					$restaurantSpl->setDiscountMode($formData['editdiscountmode']);
					$restaurantSpl->setPricewithdiscount($formData['editpriceWithDiscount']);
					$restaurantSpl->setSpecialpricetypeid($formData['editspecialpriceType']);
					$mapper = new Deals_Model_RestaurantSpecialDataMapper();
					$status = $mapper->updateRestSpecial($restaurantSpl);
					if($status){
						$form->populate($data);
						$result = array('status'=>true,'editspecialid'=>$splid);
					}
					return $result;
				}else{
					$formData = $form->getValues();
					$form->populate($data);
					$result = array('status'=>false,'restSplCost'=>$form);
					return $result;
				}
			}else if($request->splimage){
				$form =  $this->getEditRestaurantSpecialImageForm();
				if($form->isValid($data)){
				    $imageadapArray = array();
				    $adapter = $form->specialImage->getTransferAdapter();
				    $mapper = new Deals_Model_RestaurantSpecialDataMapper();
				    $dbImagepath = $mapper->getImagePathById($splid);
				    $string = $dbImagepath['rspspecial_image'];
				    $existedImages = explode(',',$string);
					$splTitle = trim($data['splTitle']);
					$restid = $data['restaurantid'];

					
					$paths = $this->UploadSplImageEdit($adapter,$splid,$restid,$existedImages);
					$imagepath = null;
					if($paths){
						//$imagepath[] = $paths['imagepath'];
						for($i=0;$i<=4;$i++){
							if($paths[$i]){
								$imagepatharray[] = $paths[$i];
							}else{
								$imagepatharray[] = "";
							}
						}
						$image_path = implode(",",$imagepatharray);
						$imagepath = $image_path;
					}
					$restaurantSpl = new Deals_Model_RestaurantSpecial();
					$restaurantSpl->setId($request->specialid)
					->setSpecialimage($request->specialImage);
					if($imagepath){
						$restaurantSpl->setSpecialimage($imagepath);
					}
					$mapper = new Deals_Model_RestaurantSpecialDataMapper();
					$status = $mapper->updateRestaurantSpecialImage($restaurantSpl);
					if($status){
						$form->populate($data);
						$result = array('status'=>true);
					}
					return $result;
				}else{
					$formData = $form->getValues();
					$form->populate($data);
					$result = array('status'=>false,'restSplImage'=>$form);
					return $result;
				}
			}else if($request->editsplschedule){
				$restsplSch = $this->getEditRestaurantSpecialScheduleForm();
				if($data['specialDay'] == 1)
				{
					$restsplSch->specialEndDate->setRequired(false);
				}else{
					$restsplSch->specialEndDate->setRequired(true);
				}
				
				if($restsplSch->isValid($data)){
					$formData = $restsplSch->getValues();

					$specialRecurence = 'FALSE';
					$specialWeeks = array();
					if($formData['specialRecurrence'] == 1)
					{
						$specialRecurence = 'TRUE';
						$weeks = $formData['weeks'];
						foreach($weeks as $day){
							$specialObj = new Deals_Model_RestaurantSpecialRecurence();
							$specialObj->setWeekId($day);
							$specialWeeks[] = $specialObj;
						}
					}

					$restaurantSpl = new Deals_Model_RestaurantSpecial();
					$restaurantSpl->setId($formData['editspecialid']);
					if($data['specialDay'] == 1){
						$restaurantSpl->setStartdate(date('m-d-Y',strtotime($formData['specialStartDate'])));
						$restaurantSpl->setEnddate(date('m-d-Y',strtotime($formData['specialStartDate'])));
					}else{
						$restaurantSpl->setStartdate(date('m-d-Y',strtotime($formData['specialStartDate'])));
						$restaurantSpl->setEnddate(date('m-d-Y',strtotime($formData['specialEndDate'])));
					}
					$restaurantSpl->setStarttime($formData['specialStartTime']);
					$restaurantSpl->setEndtime($formData['specialEndTime']);
					$restaurantSpl->setSpecialrecurence($specialRecurence);
					$restaurantSpl->setWeekids($specialWeeks);

					$mapper = new Deals_Model_RestaurantSpecialDataMapper();
					$status = $mapper->updateRestSpecialSchedule($restaurantSpl);
					if($status){
						$restsplSch->populate($data);
						$result = array('status'=>true);
					}
					return $result;
				}else{
					$formData = $restsplSch->getValues();
					$restsplSch->populate($data);
					$result = array('status'=>false,'restSplSch'=>$restsplSch);
					return $result;
				}
			}else if($request->editspltitle){
				$restsplTit = $this->getEditRestaurantSpecialTitleForm();
				if($data['editsplnoStatus'] == ''){
					$restsplTit->NumOfdishes->setRequired(false);
				}else{
					$restsplTit->NumOfdishes->setRequired(true);
				}				
				if($restsplTit->isValid($data)){
					$formData = $restsplTit->getValues();
					$title = $formData['specialTitle'];
					$count = $formData['NumOfdishes'];
					$splid = $request->specialid;
					$mapper = new Deals_Model_RestaurantSpecialDataMapper();
					$status = $mapper->updateSpecialTitle($title,$count,$splid);
					if($status){
						$restsplTit->populate($data);
						$result = array('status'=>true);
					}
					return $result;
				}else{
					$formData = $restsplTit->getValues();
					$restsplTit->populate($data);
					$result = array('status'=>false,'restSplTitle'=>$restsplTit);
					return $result;
				}
			}
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function editRestaurantSpecialDetails($request,$data)
	{
		try{
			if($data['Usertype'] == "ADM" || $data['Usertype'] == "ADU"){
				$restOwnId = $data['restownerId'];
			}else{
				$restOwnId = $data['User_Id'];
			}			
			$restid = $request->restaurantid;
			$splid = $request->specialid;
			$splIdObj = new Deals_Model_RestaurantSpecialById();
			$splIdObj->setSpecialId($splid)
			->setRestId($restid);

			$OwnerIdObj = new FirmManagement_Model_FirmNamesByOwnerId();
			$OwnerIdObj->setRestOwnerId($restOwnId);
			$restMapper = new FirmManagement_Model_FirmDataMapper();
			$restNamesList = $restMapper->getRestaurantNamesByOwnerId($OwnerIdObj);
			$restService = new Application_Service_Firm();
			$restTypeList = $restService->getRestaurantTypeById($restid);

			$mapper = new Deals_Model_RestaurantSpecialDataMapper();
			$result = $mapper->RetrieveSpecialDetailsById($splIdObj,false);
			$regPrice = substr($result->getRegprice(),1);
			$regPrice = str_replace(",","",$regPrice);
			$discPrice = substr($result->getPricewithdiscount(),1);
			$discPrice = str_replace(",","",$discPrice);
			$formValues = array(
					'specialid'						=>	$splid,
					'restaurantid'					=> 	$restid,
					'editspecialDescription'		=>	$result->getDescription()
			);
				
			$editsplform = $this->getEditRestaurantSpecialForm();
			$editsplform->populate($formValues);

			$costValues = array(
					'specialid'						=>	$splid,
					'restaurantid'					=> 	$restid,
					'editregularPrice'				=>	$regPrice,
					'editpriceWithDiscount'			=>	$discPrice
			);
			$editsplcost = $this->getEditRestaurantSpecialCost();
			$editsplcost->populate($costValues);
			$editsplcost->setDefaults(array('editdiscountmode'=>$result->getDiscountMode(),
											'editdiscountpecentage'	=>	$result->getDispercentage()));
				
			$titleValues = array('specialid'	=>	$splid,
								 'specialTitle' =>  $result->getSpecialtitle(),
								 'NumOfdishes'	=>  $result->getNoofdishes());
			$editspltitle = $this->getEditRestaurantSpecialTitleForm();
			$editspltitle->populate($titleValues);
				
			$ImgValues = array('specialid'		=>	$splid,
							'editspecialImage'	=>	$result->getSpecialimage()
			);
			$restsplImage = $this->getEditRestaurantSpecialImageForm();
			$restsplImage->populate($ImgValues);
			$startDate = date('d M Y',strtotime($result->getStartdate()));
			$endDate = date('d M Y',strtotime($result->getEnddate()));
			$startTime = date("h:i A",strtotime($result->getStarttime()));
			$endTime = date("h:i A",strtotime($result->getEndtime()));

			$formVal = array('editspecialid'	=>	$splid,
							 'editrestaurantid'	=>	$restid,
							 'specialStartDate'	=>	$startDate,
							 'specialEndDate'	=>	$endDate,
							 'specialStartTime'	=>	$startTime,
							 'specialEndTime'	=>	$endTime,
							 'specialRecurrence'=>  $result->getSpecialrecurence()
			);
			$restsplSch = $this->getEditRestaurantSpecialScheduleForm();
			$weekIds = "";
			foreach($result->getWeekids() as $week){
				$weekIds[] = $week->getWeekId();
			}
			$restsplSch->setDefaults(array('weeks' => $weekIds));
			$restsplSch->populate($formVal);

			$restform = array();
			$restform['editSplForm'] = $editsplform;
			$restform['restSplImage'] = $restsplImage;
			$restform['restSplSch'] = $restsplSch;
			$restform['restSplCost'] = $editsplcost;
			$restform['restSplTitle'] = $editspltitle;
			return $restform;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

//	public function UploadSplImage($adapter,$restspl,$restid)
//	{
//		try{
//			$image_path = null;
//			$logopath = null;
//			$uploadpath = "images/restaurant_images/$restid/restaurant_Specials/$restspl";
//			$dir = mkdir($uploadpath);
//			$imageName = null;
//			$imagepath = array();
//			if (file_exists($uploadpath)){
//			if($adapter && $restspl){
//				$i=0;
//				foreach ($adapter->getFileInfo() as $info) {
//					$ext = $this->_findexts($info['name']);
//					$fileName = 'specialImage'.$i.'_'.$restid.'.'.$ext;
//					foreach ($info as $filenames){
//						$adapter->setFilters(array(new Zend_Filter_File_Rename(array('target'=>$uploadpath.$fileName, $filenames))));
//					}
//					if($adapter->receive($info['name'])){
//							$image_path = '/'.$uploadpath.$fileName;
//							$imagepath[] = $image_path;
//						}
//						$i++;
//				}
//			}
//		}
//	//		$result1 = array('imagepath' => $imagepath);
//			return $imagepath;
//		}catch(Exception $ex){
//			Uss_Logger_FileLogger::info($ex->getMessage());
//			throw new Exception($ex->getMessage()) ;
//		}
//	}

	
	public function UploadSplImage($adapter,$restspl,$restid)
	{
			try{
				$image_path = null;
				$logopath = null;
				$uploadpath = "images/restaurant_images/$restid/restaurant_Specials/";
				if(!file_exists($uploadpath)){
					$dir = mkdir($uploadpath);
				}
				$uploadpath = "images/restaurant_images/$restid/restaurant_Specials/$restspl/";
				if(!file_exists($uploadpath)){
					$dir = mkdir($uploadpath);
				}
				$imageName = null;
				$imagepath = array();
				if (file_exists($uploadpath)){
				if($adapter && $restspl){
					$i=0;
					foreach ($adapter->getFileInfo() as $info) {
						if($info['name']!=null){
							$ext = $this->_findexts($info['name']);
							$fileName = 'specialImage'.$i.'_'.$restid.'.'.$ext;
							foreach ($info as $filenames){
								$adapter->setFilters(array(new Zend_Filter_File_Rename(array('target'=>$uploadpath.$fileName, $filenames))));
							}
							if($adapter->receive($info['name'])){
									$image_path = '/'.$uploadpath.$fileName;
									$imagepath[] = $image_path;
								}
								$i++;
						}else{
							$i++;
							$imagepath[] = "";
						}
					}
				}
			}
		//		$result1 = array('imagepath' => $imagepath);
			return $imagepath;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	public function UploadSplImageEdit($adapter,$restsplid,$restid,$existedImages)
	{
		try{
			$result = null;
			$image_path = null;
			$imagepath = array();
			$logopath = null;
			$uploadpath = "images/restaurant_images/$restid/restaurant_Specials/$restsplid/";
			$dirPath =  $_SERVER['DOCUMENT_ROOT']."/images/restaurant_images/$restid/restaurant_Specials/$restsplid/";
		//	$dir = mkdir($uploadpath);
			$imageName = null;
				if (!file_exists($dirPath)){
					mkdir($dirPath,0777,true);
				}
			if (file_exists($dirPath)){
				if($adapter && $restsplid){
					$i=0;	
					if($i!= 5){
						foreach ($adapter->getFileInfo() as $info) {
							if($info['name']!=null){
								$file_exists = ltrim($existedImages[$i],'/');
								if(file_exists($file_exists)){
									$ext = $this->_findexts($info['name']);
									$fileName = 'specialImage'.$i.'_'.$restid.'.'.$ext;
									if($uploadpath.$fileName == $file_exists){
										$adapter->setFilters(array(new Zend_Filter_File_Rename(array('target'=>$uploadpath.$fileName, 'overwrite'=>true))));
										if($adapter->receive($info['name'])){
											$image_path = '/'.$uploadpath.$fileName;
											$imagepath[] = $image_path;
										}
									}else{
											$deletefile = $file_exists;
											unlink($deletefile);
											$adapter->setFilters(array(new Zend_Filter_File_Rename(array('target'=>$uploadpath.$fileName, 'overwrite'=>true))));
											if($adapter->receive($info['name'])){
												$image_path = '/'.$uploadpath.$fileName;
												$imagepath[] = $image_path;
											}
								    }
								}else{
										$ext = $this->_findexts($info['name']);
										$fileName = 'specialImage'.$i.'_'.$restid.'.'.$ext;
											$adapter->setFilters(array(new Zend_Filter_File_Rename(array('target'=>$uploadpath.$fileName, 'overwrite'=>true))));
										if($adapter->receive($info['name'])){
											$image_path = '/'.$uploadpath.$fileName;
											$imagepath[] = $image_path;
										}
								}
							}else{
								if(array_key_exists($i,$existedImages)){
									$imagepath[] = $existedImages[$i];
								}
							}
							$i++;
						}
					}
				}
			}	

		//	$result = array('imagepath' => $imagepath);
			return $imagepath;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	
//	public function UploadSplImageEdit($adapter,$restsplid,$restid,$existedImages)
//	{
//		try{
//			$result = null;
//			$image_path = null;
//			$imagepath = array();
//			$logopath = null;
//			$uploadpath =  "images/restaurant_images/$restid/restaurant_Specials/$restsplid/";
//		//	$dir = mkdir($uploadpath);
//			$imageName = null;
//			if (file_exists($uploadpath)){
//				if($adapter && $restsplid){
//					$i=0;	
//					if($i!= 5){
//						foreach ($adapter->getFileInfo() as $info) {
//							if($info['name']!=null){
//								$file_exists = ltrim($existedImages[$i],'/');
//								if(file_exists($file_exists)){
//									$ext = $this->_findexts($info['name']);
//									$fileName = 'specialImage'.$i.'_'.$restid.'.'.$ext;
//									if($uploadpath.$fileName == $file_exists){
//										$adapter->setFilters(array(new Zend_Filter_File_Rename(array('target'=>$uploadpath.$fileName, 'overwrite'=>true))));
//										if($adapter->receive($info['name'])){
//											$image_path = '/'.$uploadpath.$fileName;
//											$imagepath[] = $image_path;
//										}
//									}else{
//											$deletefile = $file_exists;
//											unlink($deletefile);
//											$adapter->setFilters(array(new Zend_Filter_File_Rename(array('target'=>$uploadpath.$fileName, 'overwrite'=>true))));
//											if($adapter->receive($info['name'])){
//												$image_path = '/'.$uploadpath.$fileName;
//												$imagepath[] = $image_path;
//											}
//								    }
//								}else{
//										$ext = $this->_findexts($info['name']);
//										$fileName = 'specialImage'.$i.'_'.$restid.'.'.$ext;
//											$adapter->setFilters(array(new Zend_Filter_File_Rename(array('target'=>$uploadpath.$fileName, 'overwrite'=>true))));
//										if($adapter->receive($info['name'])){
//											$image_path = '/'.$uploadpath.$fileName;
//											$imagepath[] = $image_path;
//										}
//								}
//							}else{
//								if(array_key_exists($i,$existedImages)){
//									$imagepath[] = $existedImages[$i];
//								}
//							}
//							$i++;
//						}
//					}
//				}
//			}	
//
//		//	$result = array('imagepath' => $imagepath);
//			return $imagepath;
//		}catch(Exception $ex){
//			Uss_Logger_FileLogger::info($ex->getMessage());
//			throw new Exception($ex->getMessage()) ;
//		}
//	}

	public function _findexts($filename)
	{
		try{
			$filename = strtolower($filename) ;
			//$exts = preg_split("[/\\.]", $filename) ;
			$exts = @split("[/\\.]", $filename) ;
			$n = count($exts)-1;
			$exts = $exts[$n];
			return $exts;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function UpdateSpecialStatus($request)
	{
		try{
			$splId = $request->specialid;
			$status = $request->status;
			$mapper = new Deals_Model_RestaurantSpecialDataMapper();
			$result = $mapper->UpdateRestSpecialStatus($splId,$status);
				
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage());
		}
	}

	public function UpdateSpecialSchedule(array $data,$request)
	{
		try{
			$splid = $request->editspecialid;
			$restsplSch = $this->getEditRestaurantSpecialScheduleForm();
			if($restsplSch->isValid($data)){
				$formData = $restsplSch->getValues();
					
				$specialRecurence = 'FALSE';
				$specialWeeks = array();
				if($formData['specialRecurrence'] == 1)
				{
					$specialRecurence = 'TRUE';
					$weeks = $formData['weeks'];
					foreach($weeks as $day){
						$specialObj = new Deals_Model_RestaurantSpecialRecurence();
						$specialObj->setWeekId($day);
						$specialWeeks[] = $specialObj;
					}
				}

				$restaurantSpl = new Deals_Model_RestaurantSpecial();
				$restaurantSpl->setId($formData['editspecialid']);
				$restaurantSpl->setStartdate(date('m-d-Y',strtotime($formData['specialStartDate'])));
				$restaurantSpl->setEnddate(date('m-d-Y',strtotime($formData['specialEndDate'])));
				$restaurantSpl->setStarttime($formData['specialStartTime']);
				$restaurantSpl->setEndtime($formData['specialEndTime']);
				$restaurantSpl->setSpecialrecurence($specialRecurence);
				$restaurantSpl->setWeekids($specialWeeks);
					
				$mapper = new Deals_Model_RestaurantSpecialDataMapper();
				$status = $mapper->updateRestSpecialSchedule($restaurantSpl);
				if($status){
					$restsplSch->populate($data);
					$result = array('status'=>true);
				}
				return $result;
			}else{
				$formData = $restsplSch->getValues();
				$restsplSch->populate($data);
				$result = array('status'=>false,'restSplSch'=>$restsplSch);
				return $result;
			}
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage());
		}
	}

	public function getRestaurantSpecialByDate($request)
	{
		try{
			$date = '';
			$resid = $request->restid;
			$resServ = new Application_Service_Firm();
			$timeZone = $resServ->GetRestaurantTimeZone($resid);
			date_default_timezone_set($timeZone);
			
			if($request->date){
				$date = $request->date;
			}else{
				$date = date('Y-m-d');
			}
			
			$mapper = new Deals_Model_RestaurantSpecialDataMapper();
			$result = $mapper->getRestaurantSpecialByDate($resid,$date);
			return $result;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage());
		}
	}
	
	
	public function SetSpecialTagLineData($request,$data,$userid)
	{
		try{
			$form = $this->getSpecialTagLineForm();
			if($form->isValid($data)){
			
			}
			$restid = $request->restaurantid;
			$restowner=$userid;
			$tagline=$request->tagline;
			//$splid = $request->specialid;
			$splTagLineIdObj = new Deals_Model_SpecialTagLine();
			$splTagLineIdObj->setRestaurantid($restid)
					->setTagLine($tagline)
					->setCreatedby($restowner)				
				->setUpdatedby($restowner);

//			$mapper = new Deals_Model_RestaurantSpecialDataMapper();
//			$result = $mapper->RetrieveSpecialDetailsById($splIdObj,$isAjaxCall);

			return $splTagLineIdObj;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	
	public function GetSpecialTagLineData($userid,$offset)
	{
		
	try{
			$ownerid = $userid;
			$resByOwnIdObj = new FirmManagement_Model_FirmByOwnerId();
			$resByOwnIdObj->setResOwnerId($ownerid);

			$mapper = new Deals_Model_SpecialTagLineMapper();
			$restaurantList = $mapper->getSpecialTagLineDetails($ownerid,$offset);
			return $restaurantList;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function GetSpecialTagLineByResId($restid)
	{
		try{
			$mapper = new Deals_Model_SpecialTagLineMapper();
			$restaurantList = $mapper->getSpecialTagLinebyResId($restid);
			return $restaurantList;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function SpecialCountIncrementer(Deals_Model_RestaurantSpecialCounter $counter)
	{
		try{
			$mapper = new Deals_Model_RestaurantSpecialCounterDataMapper();
			$incCounter = $mapper->IncrementSpecialCounter($counter);
			return $incCounter;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function IncrementSpecialSearchCount($resid)
	{
		try{
			$splcountobj = new Deals_Model_RestaurantSpecialSearchCounter();
			$splcountobj->setRestaurantid($resid);
			$mapper = new Deals_Model_RestaurantSpecialSearchCounterDataMapper();
			$incCounter = $mapper->IncrementSpecialSearchCount($splcountobj);
			return $incCounter;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function getsplsearchcountbyresid($resid)
	{
		try{
			$splcountobj = new Deals_Model_RestaurantSpecialSearchCounter();
			$splcountobj->setRestaurantid($resid);
			$mapper = new Deals_Model_RestaurantSpecialSearchCounterDataMapper();
			$incCounter = $mapper->getsplsearchcountbyresid($splcountobj);
			return $incCounter;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}	
	}
	
	public function RetrieveSpecilInfoById($specialid)
	{
		try{
			$SpecialDataMapper = new Deals_Model_RestaurantSpecialDataMapper();
			$row = $SpecialDataMapper->GetSpecialInfoById($specialid);
			return $row;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function specialBookingReport($request)
	{
		try{
			$splIdObj = new Deals_Model_RestaurantSpecialById();
			$splIdObj->setSpecialId($request->splid)
					 ->setRestId($request->restaurantid);
			$SpecialDataMapper = new Deals_Model_RestaurantSpecialDataMapper();
			$splinfo = $SpecialDataMapper->RetrieveSpecialDetailsBysplid($splIdObj);
			$bokservice = new Application_Service_Reservation();
			$cusbokhis = $bokservice->GetCusSplBookingHistoryBysplid($request);
			$rasulArr = array();
			$rasulArr['splinfo'] = $splinfo;
			$rasulArr['cusbokhis'] = $cusbokhis;
			return $rasulArr;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function saveFbEvent($request)
	{
		try{
			$eventid = $request->eventid;
			$splid = $request->specialid;
			$restFbSpl = new Deals_Model_RestaurantFBEvent();
			$restFbSpl->setrfbe_event_fb_id($eventid)
					  ->setrfbe_fk_deal_id($splid)
					  ->setrfbe_created_fb_by($request->createdby)
					  ->setrfbe_created_fb_for($request->pageid);
			$mapper = new Deals_Model_RestaurantFBEventDataMapper();
			$fbEvent = $mapper->SaveEvent($restFbSpl);
			return $fbEvent;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function getFbEvent($request)
	{
		try{
			$splid = $request->specialid;
			$restFbSpl = new Deals_Model_RestaurantFBEvent();
			$restFbSpl->setrfbe_fk_deal_id($splid);
			$mapper = new Deals_Model_RestaurantFBEventDataMapper();
			$fbEvent = $mapper->GetFbEvent($restFbSpl);
			return $fbEvent;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function saveFbInvitees($request)
	{
		try{
			$resid = $request->restaurantid;
			$eventid = $request->eventid;
			$requestArr = array();
			$usersArr = explode(',',substr($request->users, 0, -1));
			foreach($usersArr as $user){
				$restFbSpl = new Deals_Model_RestaurantFbEventInvitee();
				$restFbSpl->setStatus(true)
						  ->setInvitestatus('invited')
						  ->setFbuser($user)
						  ->setEvent($eventid);
				$requestArr[] = $restFbSpl;
			}					  
			$mapper = new Deals_Model_RestaurantFbEventInviteeDataMapper();
			$fbEvent = $mapper->Save($requestArr);
			return $fbEvent;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}

	public function syncDealFbEvent($eventArr,$eventid)
	{
		try{
			$mapper = new Deals_Model_RestaurantFbEventInviteeDataMapper();
			$fbEvent = $mapper->SyncDealStatistics($eventArr,$eventid);
			return $fbEvent;
		}catch(Exception $ex){ 
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	
	public function saveEmailBlastRequest($request,$templateId)
	{
		try{
			$resid = $request->restaurantid;
			$splid = $request->specialid;
			$requestArr = array();
			$usersArr = explode(',',substr($request->users, 0, -1));
			foreach($usersArr as $user){
				$restFbSpl = new Deals_Model_RestaurantEmailBlastRequest();
				$restFbSpl->setEmailblastRestaurant($resid)
						  ->setEmailblastContact($user)
						  ->setEmailblastDeal($splid)
						  ->setStatus('T')
						  ->setEmailblastInviteStatus('Invited')
						  ->setTempId($templateId)
						  ->setEmailStatus('F');
				$requestArr[] = $restFbSpl;
			}					  
			$mapper = new Deals_Model_RestaurantEmailBlastRequestDataMapper();
			$fbEvent = $mapper->Save($requestArr);
			return $fbEvent;
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
	public function CreateTemplate($request)
	{
		try{
			$resid = $request->restaurantid;
			$splid = $request->specialid;
			$dealsMapper = new Deals_Model_RestaurantSpecialDataMapper();
			$result = $dealsMapper->GetDealDetails($resid,$splid);
			$splImage = $result->rspspecial_image;
			if($splImage){
				$imageRow = explode(',',$splImage);
				if($imageRow[0]){
					foreach($imageRow as $image){
						$removespace = strlen(trim($image)); 
						$withspace = strlen($image); 
						if($image && $removespace == $withspace){
							$dealImg = $image;
							break;
						}
					}
				}else{
					$dealImg = '/images/notavailable.png';
				}
			}else{
				$dealImg = '/images/notavailable.png';
			}
			$days = '';
			if($result->rsprecurencestatus){ 
				$recurence = new Deals_Model_RestaurantSpecialRecurenceDataMapper();
				$weekResult = $recurence->getsplweekdays($splid);
				$splWeek= array();
				foreach($weekResult as $value){
					$splWeek[] = $value->day;
				}
				if(count($splWeek) == 7){
					$days = 'on All Days';
				}else{
					$days =  'on '.implode(',',$splWeek);
				}
			}
			
			$startTime = date("h:i A",strtotime($result->rspstart_time));
			$endTime =  date("h:i A",strtotime($result->rspend_time));
			$startDate = date("d M Y",strtotime($result->rspstart_date));
			if($result->rspstart_date != $result->rspend_date){
				$endDate = date("d M Y",strtotime($result->rspend_date));
				$dealDate = '<span>Available from '.$startDate. ' to ' . $endDate.'<span><span>  '.$startTime.' to '.$endTime . '  '.$days.'.</span>';
			}else{
				$dealDate = '<span>Available on '.$startDate.'</span><span>  '.$startTime.' to'.$endTime . '  '.$days.'.</span>';
			}
			$description = $result->rspdescription;
			$dealTitle = $result->rspspecial_title;
			$resName = $result->resrestaurant_name;
			$resAddress = $result->resaddress;
			$resCity = $result->citydesc;
			$resNeighbor = $result->neighdesc;
			$template = '<div><img src="http://www.dinedesk.com'.$dealImg.'" width="50%" height="30%" /><br><div>'.$dealTitle.'</div><br><div> '.$description.'</div><br><div>'.$dealDate.'</div><br><div><span>Available at <b> '.$resName.'</b> -'.$resAddress. ',' .$resNeighbor.',' .$resCity.'</span></div></div>';
			
			$dealTemplate = new Deals_Model_RestaurantEmailBlastTemplate();
			$dealTemplate->setEmailblastRestaurantId($resid)
						  ->setEmailblastDealId($splid)
						  ->setEmailblastTemplate($template)
						  ->setEmailblastSubject($dealTitle);
			
			$mapper = new Deals_Model_RestaurantEmailBlastTemplateMapper();
			$result = $mapper->SaveTemplate($dealTemplate);
			if($result){
				$fromaddress = 'admin@dinedesk.com';
				$replyfromaddress = 'support@dinedesk.com';
				$fromname = 'DineDesk';
				$replyfromname = 'DineDesk Support';
				$receiverslist = 'admin@dinedesk.com';
				
				Zend_Mail::setDefaultTransport( new Zend_Mail_Transport_Postmark('7c73f7f1-c2e6-4bbd-aa4b-fc1dadcb7da8' ));
				$mail = new Zend_Mail();
				$mail->setFrom($fromaddress, $fromname);
			    $mail->setReplyTo($fromaddress,$fromname);
			    $mail->addTo( $receiverslist,'Admin');
		        $mail->addBcc('support@dinedesk.com');
			    $mail->setSubject($dealTitle);
			    $mail->setBodyHtml($template);
			    $mail->send();
			    return $result;
			}else{
				return false;
			}				
		}catch(Exception $ex){
			Uss_Logger_FileLogger::info($ex->getMessage());
			throw new Exception($ex->getMessage()) ;
		}
	}
}